<?php

/*
 * Copyright (c) FAGICIEL 2017
 */

/**
 * 
 * @author p.boumkwo
 */
include  APPLICATION_PATH. '/Models/CategorieCible.php';
class CategorieCibleDAO {
    //put your code here
    public  $categorieCible;
    
    function CategorieCibleDAO(){
        $this->categorieCible =new \Application\Models\CategorieCible();
        $registry = Zend_Registry::getInstance();
        $this->_em = $registry->entitymanager;
    }
    
    public function enregistrer($categorieCible){
        
        $this->_em->persist($categorieCible);
        $this->_em->flush();
    }
    
    public function modifier($categorieCible){
        
        $this->_em->merge($categorieCible);
        $this->_em->flush();
    }
    
    public function supprimer($categorieCible){
        
        $this->_em->remove($categorieCible);
        $this->_em->flush();
    }
    
     public function obtenirCategorieCible($id){
        $intervalle = $this->_em->getRepository('\Application\Models\CategorieCible') ->find($id);
        return $intervalle;
    }
   
     public function obtenirListeCategorieParCategorieOrigine($categOrigine){
        $liste = $this->_em->getRepository('\Application\Models\CategorieCible') ->findBy(array('idCategorieOrigine'=>$categOrigine, 'statut'=> 1));
        return $liste;
    }
    
     public function obtenirListeCategorieParCategories($categOrigine, $categArrivee){
        $liste = $this->_em->getRepository('\Application\Models\CategorieCible') ->findOneBy(array('idCategorieOrigine'=>$categOrigine, 'idCategorieArrivee'=>$categArrivee, 'statut'=> 1));
        return $liste;
    }
    
    public function lister(){
        $liste = $this->_em->getRepository('\Application\Models\CategorieCible')
               ->findBy(array('statut'=> 1), array('idCategorieCible'=> 'DESC'));
           return $liste;
    }
    
//    public function verificationConflit($soeMin , $soeMax){
//        $lesConflits = $this->_em->getRepository("\Application\Models\CategorieCible")->createQueryBuilder("p")
//                            ->where("p.statut = 1");
//        $lesConflits->andWhere(
//                            $lesConflits->expr()->orX(
//                                $lesConflits->expr()->andX(
//                                    $lesConflits->expr()->gte('p.sommeMinimale', ':min'),
//                                    $lesConflits->expr()->lte('p.sommeMinimale' , ':max')
//                                ),
//                                $lesConflits->expr()->andX(
//                                    $lesConflits->expr()->gte('p.sommeMaximale', ':min'),
//                                    $lesConflits->expr()->lte('p.sommeMaximale' , ':max')
//                                ),
//                                $lesConflits->expr()->andX(
//                                    $lesConflits->expr()->gte(':min' , 'p.sommeMinimale'),
//                                    $lesConflits->expr()->lte(':min' , 'p.sommeMaximale' )
//                                ),
//                                $lesConflits->expr()->andX(
//                                    $lesConflits->expr()->gte(':max' , 'p.sommeMinimale'),
//                                    $lesConflits->expr()->lte(':max' , 'p.sommeMaximale' )
//                                )
//                            )     
//                    );
//        $lesConflits->setParameter("min" , $soeMin);
//        $lesConflits->setParameter("max" , $soeMax);
//        return $lesConflits->getQuery()->getResult();
//    }
   
}

