<?php

/**
 * Model's function of CommandeClientEnCours Entity 
 */

include  APPLICATION_PATH. '/Models/CommandeClientEnCours.php';
class CommandeClientEnCoursDAO {
    
    public $_em;
    
    function CommandeClientEnCoursDAO(){
        $registry = Zend_Registry::getInstance();
        $this->_em = $registry->entitymanager;
    }
    
    /**
     * 
     * @param \Application\Models\CommandeClientEnCours $commandeClientEnCours
     */
    public function enregistrer($commandeClientEnCours){
        
        $this->_em->persist($commandeClientEnCours);
        $this->_em->flush();
    }
    
    /**
     * 
     * @param \Application\Models\CommandeClientEnCours $commandeClientEnCours
     */
    public function editer($commandeClientEnCours){
        $this->_em->merge($commandeClientEnCours);
        $this->_em->flush();
    }
    
    /**
     * 
     * @param \Application\Models\CommandeClientEnCours $commandeClientEnCours
     */
    public function supprimer($commandeClientEnCours){
        $this->_em->remove($commandeClientEnCours);
        $this->_em->flush();
    }
    
    
    public function listerCommandeClientEnCours(){
        $liste = $this->_em->getRepository("\Application\Models\CommandeClientEnCours")->findBy(array("statut" => 1));
        return $liste;
    }
    
    public function getCommandeClientEnCours($idCommandeClientEnCours ){
        $commandeClientEnCours = $this->_em->getRepository("\Application\Models\CommandeClientEnCours")->findOneBy( array("idCommandeClientEnCours" => $idCommandeClientEnCours) );
        return $commandeClientEnCours;
    }
    
    public function getLastCommandeClientEnCoursUtilisateur($utilisateur){
        $commandeClientEnCours = $this->_em->getRepository("\Application\Models\CommandeClientEnCours")->findOneBy(array("idUtilisateur" => $utilisateur));
        return $commandeClientEnCours;
    }
    
}