<?php

include  APPLICATION_PATH . '/Models/BonAchatClient.php';

class CustomerVoucherDAO
{

    public $entityManager;
    private $modelName = "\Application\Models\BonAchatClient";

    function __construct()
    {
        $registry = Zend_Registry::getInstance();
        $this->entityManager = $registry->entitymanager;
    }

    public function create()
    {
        return new \Application\Models\BonAchatClient();
    }

    /**
     * 
     * @param \Application\Models\BonAchatClient $customerVoucher
     */
    public function save($customerVoucher)
    {
        $this->entityManager->persist($customerVoucher);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param \Application\Models\BonAchatClient $customerVoucher
     */
    public function update($customerVoucher)
    {
        $this->entityManager->merge($customerVoucher);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param int $id
     * @return \Application\Models\BonAchatClient
     */
    public function getCustomerVoucherById($id)
    {
        return $this->entityManager->getRepository($this->modelName)->findOneBy(array("idBonAchatClient" => $id));
    }

    /**
     * 
     * @param string $number
     * @return \Application\Models\BonAchatClient
     */
    public function getCustomerVoucherByNumber($number)
    {
        return $this->entityManager->getRepository($this->modelName)->findOneBy(array("codeBonAchatClient" => $number, "statut" => 1));
    }
}
