<?php

/*
 * Model's functions of ElementArticle Entity
 */

/**
 * @author Paul BOUMKWO
 */

include APPLICATION_PATH . '/Models/ElementArticle.php';

class ElementArticleDAO {
    //put your code here
    
    function ElementArticleDAO(){
        $registry = Zend_Registry::getInstance();
        $this->_em = $registry->entitymanager;
    }
    
    /**
     * 
     * @param Application\Models\ElementArticle $elementArticle
     */
    public function enregistrer($elementArticle){
        $this->_em->persist($elementArticle);
        $this->_em->flush();
        
    }
    
    /**
     * 
     * @param Application\Models\elementArticle $elementArticle
     */
    public function editer($elementArticle){
        $this->_em->merge($elementArticle);
        $this->_em->flush();
    }
    
    /**
     * 
     * @param integer $id
     * @return Application\Models\ElementArticle
     */
    public function getElementArticle($id){
        $elementArticle = $this->_em->getRepository('\Application\Models\ElementArticle')->find($id);
        return $elementArticle;
    }
    
    public function listerElementArticle($article){
        $listeElementArticle = $this->_em->getRepository("\Application\Models\ElementArticle")->findBy(array("statut" => 1 , "idArticle" => $article));
        return $listeElementArticle;
    }
    
}
