<?php

/*
 * Model's functions of LigneAvoir Entity
 */

/**
 * @author Paul BOUMKWO
 */

include APPLICATION_PATH . '/Models/LigneAvoir.php';

class LigneAvoirDAO {
    //put your code here
    
    function LigneAvoirDAO(){
        $registry = Zend_Registry::getInstance();
        $this->_em = $registry->entitymanager;
    }
    
    /**
     * 
     * @param Application\Models\LigneAvoir $ligneAvoir
     */
    public function enregistrer($ligneAvoir){
        $this->_em->persist($ligneAvoir);
        $this->_em->flush();
        
    }
    
    /**
     * 
     * @param Application\Models\LigneAvoir $ligneAvoir
     */
    public function editer($ligneAvoir){
        $this->_em->merge($ligneAvoir);
        $this->_em->flush();
    }
    
    /**
     * 
     * @param integer $id
     * @return Application\Models\LigneAvoir
     */
    public function getLigneAvoir($id){
        $article = $this->_em->getRepository('\Application\Models\LigneAvoir')->find($id);
        return $article;
    }
    
    
    /**
     * 
     * @param \Application\Models\Avoir $avoir
     * @return Array of \Application\Models\LigneAvoir
     */
    public function listerLigneAvoir($avoir){
        $listeLigneAvoir = $this->_em->getRepository("\Application\Models\LigneAvoir")->findBy(array("statut" => 1 , "idAvoir" => $avoir));
        return $listeLigneAvoir;
    }
    
   
}
