<?php

/**
 * Model's function of LigneCommandeClientEnCours Entity 
 */

include  APPLICATION_PATH. '/Models/LigneCommandeClientEnCours.php';
class LigneCommandeClientEnCoursDAO {
    
    public $_em;
    
    function LigneCommandeClientEnCoursDAO(){
        $registry = Zend_Registry::getInstance();
        $this->_em = $registry->entitymanager;
    }
    
    /**
     * 
     * @param \Application\Models\LigneCommandeClientEnCours $ligneCommandeClientEnCours
     */
    public function enregistrer($ligneCommandeClientEnCours){
        
        $this->_em->persist($ligneCommandeClientEnCours);
        $this->_em->flush();
    }
    
    /**
     * 
     * @param \Application\Models\LigneCommandeClientEnCours $ligneCommandeClientEnCours
     */
    public function editer($ligneCommandeClientEnCours){
        $this->_em->merge($ligneCommandeClientEnCours);
        $this->_em->flush();
    }
    
    /**
     * 
     * @param \Application\Models\LigneCommandeClientEnCours $ligneCommandeClientEnCours
     */
    public function supprimer($ligneCommandeClientEnCours){
        $this->_em->remove($ligneCommandeClientEnCours);
        $this->_em->flush();
    }
    
    public function listerLigneCommandeClientEnCours(){
        $liste = $this->_em->getRepository("\Application\Models\LigneCommandeClientEnCours")->findBy(array("statut" => 1));
        return $liste;
    }
    
    public function getLigneCommandeClientEnCours($idLigneCommandeClientEnCours){
        $ligneCommandeClientEnCours = $this->_em->getRepository("\Application\Models\LigneCommandeClientEnCours")->findOneBy( array("idLigneCommandeClientEnCours" => $idLigneCommandeClientEnCours) );
        return $ligneCommandeClientEnCours;
    }
    
    public function getLigneCommandeClientEnCoursCommande($commandeClientEnCours){
        $liste = $this->_em->getRepository("\Application\Models\LigneCommandeClientEnCours")->findBy(array("idCommandeClientEnCours" => $commandeClientEnCours , "statut" => 1));
        return $liste;
    }
    
    public function getLigneCommandeClientEnCoursCommandeNumlot($commande , $numlot ){
        $ligneCommandeClientEnCours = $this->_em->getRepository("\Application\Models\LigneCommandeClientEnCours")->findOneBy(array("idCommandeClientEnCours" => $commande , "numLot" => $numlot , "statut" => 1));
        return $ligneCommandeClientEnCours;
    }
    
}