<?php

/*
 * Model's functions of LigneCommandeProduitsClient Entity
 */

/**
 * @author Lionel
 */

include APPLICATION_PATH . '/Models/LigneCommandeProduitsClient.php';

class LigneCommandeProduitsClientDAO {
    //put your code here
    
    public $_em;
    
    function LigneCommandeProduitsClientDAO(){
        $registry = Zend_Registry::getInstance();
        $this->_em = $registry->entitymanager;
    }
    
    /**
     * 
     * @param Application\Models\LigneCommandeProduitsClient $lingeCommandeProduitsClient
     */
    public function enregistrer($ligneCommandeProduitsClient){
        $this->_em->persist($ligneCommandeProduitsClient);
        $this->_em->flush();
        
    }
    
    /**
     * 
     * @param Application\Models\LigneCommandeProduitsClient $ligneCommandeProduitsClient
     */
    public function editer($ligneCommandeProduitsClient){
        $this->_em->merge($ligneCommandeProduitsClient);
        $this->_em->flush();
    }
    
    public function supprimer($ligneCommandeProduitsClient){
        $this->_em->remove($ligneCommandeProduitsClient);
        $this->_em->flush();
    }
    
    /**
     * 
     * @param integer $id
     * @return Application\Models\LigneCommandeProduitsClient
     */
    public function getLigneCommandeProduitsClient($id){
        $ligneCommandeProduitsClient = $this->_em->getRepository('\Application\Models\LigneCommandeProduitsClient')->find($id);
        return $ligneCommandeProduitsClient;
    }
    
    public function listeLigneCommandeProduitsClient($commandeproduit){
        $ligneCommandeProduitsClient = $this->_em->getRepository('\Application\Models\LigneCommandeProduitsClient')->findBy(array("idCommandeProduitsClient" => $commandeproduit,"statut"=>1));
        return $ligneCommandeProduitsClient;
    }
    
}
