<?php

include APPLICATION_PATH . '/Models/Parametre.php';

class ParameterDAO {

    public $entityManager;

    function ParameterDAO(){
        $registry = Zend_Registry::getInstance();
        $this->entityManager = $registry->entitymanager;
    }
    
    /**
     * 
     * @param Application\Models\Parametre $parameter
     */
    public function save($parameter){
        $this->entityManager->persist($parameter);
        $this->entityManager->flush();
    }
    
    /**
     * 
     * @param Application\Models\Parametre $parameter
     */
    public function update($parameter){
        $this->entityManager->merge($parameter);
        $this->entityManager->flush();
    }
    
    /**
     * 
     * @param integer $id
     * @return Application\Models\Parametre
     */
    public function getParameter($id){
        return $this->entityManager->getRepository('\Application\Models\Parametre')->find($id);
    }
    
    /**
     * 
     * @return Application\Models\Parametre
     */
    public function listParameters(){
        return $this->entityManager->getRepository("\Application\Models\Parametre")->findAll();
    }
    
    /**
     * 
     * @param string $name
     * @return Application\Models\Parametre
     */
    public function getParameterByName($name){
        return $this->entityManager->getRepository("\Application\Models\Parametre")->findOneBy(array("nom" => $name));
    }
   
}
