<?php

/**
 * Model's function of ParametrePointVente Entity 
 */

include  APPLICATION_PATH. '/Models/ParametresPointVente.php';
class ParametrePointVenteDAO {
    
    public $_em;
    
    function ParametrePointVenteDAO(){
        $registry = Zend_Registry::getInstance();
        $this->_em = $registry->entitymanager;
    }
    
    /**
     * 
     * @param \Application\Models\ParametresPointVente $parametrePointVente
     */
    public function enregistrer($parametrePointVente){
        
        $this->_em->persist($parametrePointVente);
        $this->_em->flush();
    }
    
    /**
     * 
     * @param \Application\Models\ParametresPointVente $parametrePointVente
     */
    public function editer($parametrePointVente){
        $this->_em->merge($parametrePointVente);
        $this->_em->flush();
    }
    
    
    public function listerParametrePointVente(){
        $liste = $this->_em->getRepository("\Application\Models\ParametresPointVente")->findBy(array("statut" => 1));
        return $liste;
    }
    
    public function getPeriodeValiditePoint($idParametrePointVente){
        $parametrePointVente = $this->_em->getRepository("\Application\Models\ParametresPointVente")->findOneBy( array("idParametrePointVente" => $idParametrePointVente) );
        return $parametrePointVente;
    }
    
    public function listerParametreParPointVente($idPointVente){
        $parametresPointVente = $this->_em->getRepository("\Application\Models\ParametresPointVente")->findOneBy( array("idPointVente" => $idPointVente) );
        return $parametresPointVente;
    }
    
}