<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * BonAchat
 *
 * @ORM\Table(name="bon_achat")
 * @ORM\Entity
 */
class BonAchat
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ID_BON_ACHAT", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idBonAchat;

    /**
     * @var float
     *
     * @ORM\Column(name="MONTANT_BON_ACHAT", type="float", nullable=false)
     */
    private $montantBonAchat;

    /**
     * @var integer
     *
     * @ORM\Column(name="STATUT", type="smallint", nullable=false)
     */
    private $statut;



    /**
     * Get idBonAchat
     *
     * @return integer 
     */
    public function getIdBonAchat()
    {
        return $this->idBonAchat;
    }

    /**
     * Set montantBonAchat
     *
     * @param float $montantBonAchat
     * @return BonAchat
     */
    public function setMontantBonAchat($montantBonAchat)
    {
        $this->montantBonAchat = $montantBonAchat;
    
        return $this;
    }

    /**
     * Get montantBonAchat
     *
     * @return float 
     */
    public function getMontantBonAchat()
    {
        return $this->montantBonAchat;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return BonAchat
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }
}