<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * CritereStock
 *
 * @ORM\Table(name="critere_stock")
 * @ORM\Entity
 */
class CritereStock
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id_critere_stock", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idCritereStock;

    /**
     * @var integer
     *
     * @ORM\Column(name="type_critere", type="smallint", nullable=false)
     */
    private $typeCritere;

    /**
     * @var string
     *
     * @ORM\Column(name="nom_critere", type="string", length=255, nullable=false)
     */
    private $nomCritere;

    /**
     * @var integer
     *
     * @ORM\Column(name="ordre", type="integer", nullable=true)
     */
    private $ordre;

    /**
     * @var integer
     *
     * @ORM\Column(name="statut", type="integer", nullable=false)
     */
    private $statut;



    /**
     * Get idCritereStock
     *
     * @return integer 
     */
    public function getIdCritereStock()
    {
        return $this->idCritereStock;
    }

    /**
     * Set typeCritere
     *
     * @param integer $typeCritere
     * @return CritereStock
     */
    public function setTypeCritere($typeCritere)
    {
        $this->typeCritere = $typeCritere;
    
        return $this;
    }

    /**
     * Get typeCritere
     *
     * @return integer 
     */
    public function getTypeCritere()
    {
        return $this->typeCritere;
    }

    /**
     * Set nomCritere
     *
     * @param string $nomCritere
     * @return CritereStock
     */
    public function setNomCritere($nomCritere)
    {
        $this->nomCritere = $nomCritere;
    
        return $this;
    }

    /**
     * Get nomCritere
     *
     * @return string 
     */
    public function getNomCritere()
    {
        return $this->nomCritere;
    }

    /**
     * Set ordre
     *
     * @param integer $ordre
     * @return CritereStock
     */
    public function setOrdre($ordre)
    {
        $this->ordre = $ordre;
    
        return $this;
    }

    /**
     * Get ordre
     *
     * @return integer 
     */
    public function getOrdre()
    {
        return $this->ordre;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return CritereStock
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }
}