<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * Magasin
 *
 * @ORM\Table(name="magasin")
 * @ORM\Entity
 */
class Magasin
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ID_MAGASIN", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idMagasin;

    /**
     * @var string
     *
     * @ORM\Column(name="NOM_MAGASIN", type="string", length=255, nullable=true)
     */
    private $nomMagasin;

    /**
     * @var integer
     *
     * @ORM\Column(name="STATUT", type="smallint", nullable=true)
     */
    private $statut;



    /**
     * Get idMagasin
     *
     * @return integer 
     */
    public function getIdMagasin()
    {
        return $this->idMagasin;
    }

    /**
     * Set nomMagasin
     *
     * @param string $nomMagasin
     * @return Magasin
     */
    public function setNomMagasin($nomMagasin)
    {
        $this->nomMagasin = $nomMagasin;
    
        return $this;
    }

    /**
     * Get nomMagasin
     *
     * @return string 
     */
    public function getNomMagasin()
    {
        return $this->nomMagasin;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return Magasin
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }
}