<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * ModeleMessage
 *
 * @ORM\Table(name="modele_message")
 * @ORM\Entity
 */
class ModeleMessage
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id_modele", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idModele;

    /**
     * @var string
     *
     * @ORM\Column(name="titre", type="string", length=255, nullable=false)
     */
    private $titre;

    /**
     * @var string
     *
     * @ORM\Column(name="message", type="text", nullable=false)
     */
    private $message;

    /**
     * @var integer
     *
     * @ORM\Column(name="statut", type="smallint", nullable=false)
     */
    private $statut;



    /**
     * Get idModele
     *
     * @return integer 
     */
    public function getIdModele()
    {
        return $this->idModele;
    }

    /**
     * Set titre
     *
     * @param string $titre
     * @return ModeleMessage
     */
    public function setTitre($titre)
    {
        $this->titre = $titre;
    
        return $this;
    }

    /**
     * Get titre
     *
     * @return string 
     */
    public function getTitre()
    {
        return $this->titre;
    }

    /**
     * Set message
     *
     * @param string $message
     * @return ModeleMessage
     */
    public function setMessage($message)
    {
        $this->message = $message;
    
        return $this;
    }

    /**
     * Get message
     *
     * @return string 
     */
    public function getMessage()
    {
        return $this->message;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return ModeleMessage
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }
}