<?php

//This file is intent to make on access verification in case where user try to cheat using page url

class AccessRightChecker
{
    static function checkAccessRight($controllerInstance, $menuId)
    {
        $profileLineDao = new ProfileLineDAO();
        $userDao = new UserDAO();
        $currentUser = $userDao->getUserById($_SESSION[SESSION_USER_ID]);
        $profile = $currentUser->getIdProfil();
        $userHasRight = $profileLineDao->hasMenuRight($profile, $menuId);
        if (!$userHasRight) {
            if ($controllerInstance->getRequest()->isPost()) {
                echo ApiResponse::respond(NO_ACCESS_RIGHT_DETECTED_CODE);
            } else {
                $base = rtrim($controllerInstance->getRequest()->getBaseUrl(), '/');
                $correctUrl = $base . '/Cheat/index';
                header("Location: {$correctUrl}");
            }
            exit();
        }
    }
}
