<?php

//This file is intent to provide some utilities functions

class Utility
{
    /**
     * 
     * @param DateTime $date
     * @return string
     */
    static function generatePrintCode($date)
    {
        $generator = "0123456789";
        $code = "";
        $length = 5;
        for ($i = 1; $i <= $length; $i++) {
            $code .= substr($generator, (rand() % (strlen($generator))), 1);
        }
        return "{$date->format(DATE_FORMAT_YEAR)}{$code}{$date->format('mdhis')}";
    }

    /**
     * 
     * @param int $length
     * @return string
     */
    static function generatePassword($length = 8)
    {
        $alphabet = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890#$()!-+=';
        $pass = array();
        $alphaLength = strlen($alphabet) - 1;
        for ($i = 0; $i < $length; $i++) {
            $n = rand(0, $alphaLength);
            $pass[] = $alphabet[$n];
        }
        return implode($pass);
    }

    /**
     * 
     * @param int $length
     * @return string
     */
    static function generateOtp($length = 6)
    {
        $alphabet = '0123456789';
        $pass = array();
        $alphaLength = strlen($alphabet) - 1;
        for ($i = 0; $i < $length; $i++) {
            $n = rand(0, $alphaLength);
            $pass[] = $alphabet[$n];
        }
        return implode($pass);
    }
}
