<?php

//Remember default language is french

include APPLICATION_PATH . '/translation/index/french.php';
include APPLICATION_PATH . '/translation/shared/french.php';
include APPLICATION_PATH . '/translation/home/french.php';
include APPLICATION_PATH . '/translation/stock/french.php';
include APPLICATION_PATH . '/translation/productCategory/french.php';
include APPLICATION_PATH . '/translation/productNature/french.php';
include APPLICATION_PATH . '/translation/product/french.php';
include APPLICATION_PATH . '/translation/cheat/french.php';
include APPLICATION_PATH . '/translation/report/french.php';
include APPLICATION_PATH . '/translation/expenseCategory/french.php';
include APPLICATION_PATH . '/translation/store/french.php';
include APPLICATION_PATH . '/translation/pointOfSale/french.php';
include APPLICATION_PATH . '/translation/customer/french.php';
include APPLICATION_PATH . '/translation/supplier/french.php';
include APPLICATION_PATH . '/translation/error/french.php';
include APPLICATION_PATH . '/translation/setting/french.php';
include APPLICATION_PATH . '/translation/user/french.php';
include APPLICATION_PATH . '/translation/profile/french.php';
include APPLICATION_PATH . '/translation/operations/french.php';
include APPLICATION_PATH . '/translation/fundEntryCategory/french.php';
include APPLICATION_PATH . '/translation/exit/french.php';
include APPLICATION_PATH . '/translation/order/french.php';
include APPLICATION_PATH . '/translation/reception/french.php';
include APPLICATION_PATH . '/translation/view/french.php';
include APPLICATION_PATH . '/translation/appointment/french.php';
include APPLICATION_PATH . '/translation/message/french.php';
include APPLICATION_PATH . '/translation/salary/french.php';
include APPLICATION_PATH . '/translation/subscription/french.php';
include APPLICATION_PATH . '/translation/loyalty/french.php';
include APPLICATION_PATH . '/translation/promotion/french.php';
include APPLICATION_PATH . '/translation/password/french.php';
include APPLICATION_PATH . '/translation/sale/french.php';
include APPLICATION_PATH . '/translation/cashoutSession/french.php';

class French
{
    static function combine()
    {
        $translationsToCombine = [
            "index" => IndexFrench::combine(),
            "shared" => SharedFrench::combine(),
            "home" => HomeFrench::combine(),
            "stock" => StockFrench::combine(),
            "productCategory" => ProductCategoryFrench::combine(),
            "productNature" => ProductNatureFrench::combine(),
            "product" => ProductFrench::combine(),
            "cheat" => CheatFrench::combine(),
            "report" => ReportFrench::combine(),
            "expenseCategory" => ExpenseCategoryFrench::combine(),
            "store" => StoreFrench::combine(),
            "pointOfSale" => PointOfSaleFrench::combine(),
            "customer" => CustomerFrench::combine(),
            "supplier" => SupplierFrench::combine(),
            "error" => ErrorFrench::combine(),
            "setting" => SettingFrench::combine(),
            "user" => UserFrench::combine(),
            "profile" => ProfileFrench::combine(),
            "operations" => OperationsFrench::combine(),
            "fundEntryCategory" => FundEntryCategoryFrench::combine(),
            "exit" => ExitFrench::combine(),
            "order" => OrderFrench::combine(),
            "reception" => ReceptionFrench::combine(),
            "view" => ViewFrench::combine(),
            'appointment' => AppointmentFrench::combine(),
            "message" => MessageFrench::combine(),
            "salary" => SalaryFrench::combine(),
            "subscription" => SubscriptionFrench::combine(),
            "loyalty" => LoyaltyFrench::combine(),
            "promotion" => PromotionFrench::combine(),
            "password" => PasswordFrench::combine(),
            "sale" => SaleFrench::combine(),
            "cashoutSession" => CashoutSessionFrench::combine(),
        ];
        $translations = [];
        foreach ($translationsToCombine as $key => $value) {
            foreach ($value as $subKey => $subValue) {
                $translations[$key . "." . $subKey] = $subValue;
            }
        }
        return $translations;
    }
}
