<?php

//Remember default language is french

class CashoutSessionEnglish
{

    public static $values = [
        "index" => [
            "cashoutSessionOpened" => "Cash register session opened",
        ]
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}