<?php

//Remember default language is french

class CheatEnglish
{
    public static $values = [
        "index" => [
            "unauthorizedAccess" => "Unauthorized access",
            "detectionMessage" => "We have detected that you have tried to access an unauthorized resource",
            "adminNotificationMessage" => "We have notified the system administrator of this unauthorized access attempt",
        ],
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
