<?php

//Remember default language is french

class ExitFrench
{
    public static $values = [
        "type" => [
            "newType" => "Nouveau type",
            "userHelpingMessage1" => "Pour une raison ou une autre vous pouvez être amené à sortir certains produits de votre stock sans qu'ils ne soient vendus",
            "userHelpingMessage2" => "Vous pouvez catégoriser ces sorties exceptionnelles d'ici",
            "code" => "Code",
            "searchByTypeName" => "Rechercher par de nom de type",
            "searchByCode" => "Rechercher par code",
            "pleaseFillNameField" => "Veuillez remplir le champ nom",
            "pleaseFillCodeField" => "Veuillez remplir le champ code",
            "exceptionalOutingTypeSuccessfullyRegistered" => "Type de sortie exceptionnelle enregistré avec succès",
            "aTypeWithThisNameAlreadyExists" => "Un type portant ce nom existe déjà",
            "aTypeWithThisCodeAlreadyExists" => "Un type portant ce code existe déjà",
            "editType" => "Modifier le type",
            "exceptionalOutingTypeUpdatedSuccessfully" => "Type de sortie exceptionnelle mis à jour avec succès",
            "doYouConfirmTheDeletionOfTheExceptionalOutingType" => "Confirmez-vous la suppression du type de sortie excetionnelle",
            "exceptionalOutingTypeDeletedSuccessfully" => "Type de sortie exceptionnelle supprimé avec succès",
        ],
        "index" => [
            "newExceptionalOuting" => "Nouvelle sortie expcetionnelle",
            "searchByStore" => "Rechercher par magasin",
            "noStoreSelected" => "Aucun magasin sélectionné",
            "searchByExitType" => "Rechercher par type de sortie",
            "noExitTypeSelected" => "Aucun type sortie sélectionnée",
            "outingDateAfterThisDate" => "Date de sortie après cette date",
            "outingDateBeforeThisDate" => "Date de sortie avant cette date",
            "number" => "Numéro",
            "store" => "Magasin",
            "exitType" => "Type de sortie",
            "entryDate" => "Date de saisie",
            "outingDate" => "Date de sortie",
            "comment" => "Commentaire",
            "user" => "Utilisateur",
            "selectingStocks" => "Sélection des stocks",
            "searchByBatchNumber" => "Rechercher par numéro de lot",
            "searchByProductName" => "Rechercher par nom de produit",
            "exitInfo" => "Informations sur la sortie",
            "exitContent" => "Contenu de la sortie",
            "emptyExitAtTheMoment" => "Sortie vide pour le moment",
            "commentOnExit" => "Commentaire sur la sortie",
            "concernedStore" => "Magasin concerné",
            "pleaseSelectTheConcernedStoreFirst" => "Veuillez d'abord sélectionner le magasin concerné",
            "clickToAddToExit" => "Cliquez pour ajouter à la sortie",
            "quantity" => "Quantité",
            "batchNumber" => "Numéro de lot",
            "qty" => "Qté",
            "batchN" => "N° Lot",
            "product" => "Produit",
            "remainingQuantity" => "Quantité restante",
            "sellingPrice" => "Prix de vente",
            "quantityToOut" => "Quantité à sortir",
            "pleaseSelectAnExitTypeForThisExit" => "Veuillez sélectionner un type de sortie pour cette sortie",
            "pleaseSelectAnOutingDateForThisExit" => "Veuillez sélectioner une date de sortie pour cette sortie",
            "pleaseFillCommentOnExitField" => "Veuillez remplir le champ commentaire sur la sortie",
            "anExitCannotBeEmpty" => "Une sortie ne peut être vide",
            "pleaseEnterAValidQuantity" => "Veuillez entrer une quantité valide",
            "pleaseDoNotExceedTheRemainingQuantityOnStock" => "Veuillez ne pas dépasser la quantité restante sur le stock",
            "exitSuccessfullyRegistered" => "Sortie enregistrée avec succès",
            "insufficientRemainingQuantityForStockWithBatchNumber" => "Quantité restante insuffisante pour le stock de numéro de lot",
            "editExceptionalOuting" => "Modifier la sortie exceptionnelle",
            "exitUpdatedSuccessfully" => "Sortie mise à jour avec succès",
            "consultExceptionalOuting" => "Consulter la sortie exceptionnelle",
            "doYouConfirmTheDeletionOfTheExit" => "Confirmez-vous la suppression de la sortie N°",
            "exitDeletedSuccessfully" => "Sortie supprimée avec succès",
            "printTheListOfExceptionalOutings" => "Impression de la liste des sorties exceptionnelles",
            "dateAfter" => "Date après le",
            "dateBefore" => "Date avant le",
            "store" => "Magasin",
            "allTypes" => "Tous les types",
        ],
        "validation" => [
            "doYouConfirmTheValidationOfTheExit" => "Confirmez-vous la validation de la sortie N°",
            "exitValidatedSuccessfully" => "Sortie validée avec succès",
        ]
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
