<?php

//Remember default language is french

class ExpenseCategoryFrench
{
    public static $values = [
        "index" => [
            "userHelpingMessage1" => "Il s'agit de catégoriser les différentes dépenses que vous faites dans votre structure, vous avez par exemple des dépenses pour l'électricité, pour le journal... Vous créez des catégories pour chaque axe de dépense",
            "pleaseFillCategoryNameField" => "Veuillez remplir le champs nom de la catégorie",
            "expenseCategorySuccessfullyRegistered" => "Catégorie de dépense enregistrée avec succès",
            "anExpenseCategoryWithThisNameAlreadyExists" => "Une catégorie de dépense portant ce nom existe déjà",
            "expenseCategoryUpdatedSuccessfully" => "Catégorie de dépense mise à jour avec succès",
            "doYouConfirmTheDeletionOfTheExpenseCategory" => "Confirmez-vous la suppression de la catégorie de dépense",
            "expenseCategoryDeletedSuccessfully" => "Catégorie de dépense supprimée avec succès",
            "searchByCategoryName" => "Rechercher par nom de catégorie",
        ],
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
