<?php

//Remember default language is french

class LoyaltyFrench
{
    public static $values = [
        "index" => [
            "newCards" => "Nouvelles cartes",
            "pointOfSale" => "Point de vente",
            "customer" => "Client",
            "expirationDate" => "Date d'expiration",
            "searchByPointOfSale" => "Rechercher par point de vente",
            "searchByCustomer" => "Rechercher par client",
            "searchByCardStatus" => "Rechercher par statut de carte",
            "allPointsOfSale" => "Tous les points de vente",
            "allCustomers" => "Tous les clients",
            "allStatuses" => "Tous les statuts",
            "notAttributed" => "Non attribuée",
            "attributed" => "Attribuée",
            "linkTheCardToACustomer" => "Lier la carte à un client",
            "howManyCards" => "Combien de cartes",
            "linkedToWhichPointOfSale" => "Liées à quel point de vente",
            "noPointOfSaleSelected" => "Aucun point de vente sélectionné",
            "pleaseEnterAValidNumberOfCards" => "Veuillez entrer un nombre de cartes valide",
            "pleaseSelectAPointOfSale" => "Veuillez sélectionner un point de vente",
            "pleaseSelectAnExpirationDate" => "Veuillez sélectionner une date d'expiration",
            "loyaltyCardsRegisteredSuccessfully" => "Cartes de fidelité enregistrées avec succès",
            "linkToACustomer" => "Liaison à un client",
            "noCustomerSelected" => "Aucun client sélectionné",
            "pleaseSelectACustomer" => "Veuillez sélectionner un client",
            "cardCode" => "Code de la carte",
            "cardLinkedSuccessfully" => "Carte liée avec succès",
            "theCustomerAlreadyHasALoyaltyCardAtThePointOfSale" => "Le client possède déjà une carte de fidelité au point de vente",
            "doYouConfirmTheDeletionOfTheLoyaltyCardWithCode" => "Confirmez-vous la suppression de la carte de fidelité de code",
            "loyaltyCardDeletedSuccessfully" => "Carte de fidelité supprimée avec succès",
            "thisCardWasAlreadyLinked" => "Cette carte a déjà été liéée",
            "group" => "Groupe",
        ],
        "purchaseIntervals" => [
            "newInterval" => "Nouvel intervalle",
            "filterByMinimumPurchaseAmount" => "Filtrer par montant minimal d'achat",
            "filterByMaximumPurchaseAmount" => "Filtrer par montant maximal d'achat",
            "minimumAmount" => "Montant minimum",
            "maximumAmount" => "Montant maximum",
            "numberOfPoints" => "Nombre de points",
            "editInterval" => "Modifier l'intervalle",
            "pleaseEnterAValidAmountForTheMinimumAmount" => "Veuillez entrer un montant valide pour le montant minimum",
            "pleaseEnterAValidAmountForTheMaximumAmount" => "Veuillez entrer un montant valide pour le montant maximum",
            "pleaseEnterAValidNumberForTheNumberOfPoints" => "Veuillez entrer un nombre valide pour le nombre de points",
            "purchaseIntervalCreatedSuccessfully" => "Intervalle d'achat créé avec succès",
            "overlappingIntervalDetected" => "Chevauchement d'intervalle détecté",
            "purchaseIntervalUpdatedSuccessfully" => "Intervalle d'achat mis à jour avec succès",
            "theMinimumAmountCannotBeGreaterThanTheMaximumAmount" => "Le montant minimum ne peut être supérieur au montant maximal",
            "doYouConfirmTheDeletionOfThePurchaseInterval" => "Confirmez-vous la suppression de l'intervalle d'achat",
            "purchaseIntervalDeletedSuccessfully" => "Intervalle d'achat supprimé avec succès",
        ],
        "pointsIntervals" => [
            "newInterval" => "Nouvel intervalle",
            "minimumNumberOfPoints" => "Nombre minimal de points",
            "maximumNumberOfPoints" => "Nombre maximal de points",
            "voucherAmount" => "Montant du bon d'achat",
            "editInterval" => "Modifier l'intervalle",
            "filterByMinimumNumberOfPoints" => "Filtrer par nombre minimal de points",
            "filterByMaximumNumberOfPoints" => "Filtrer par nombre maximal de points",
            "pleaseEnterAValidNumberForTheMinimumNumberOfPoints" => "Veuillez entrer un nombre valide pour le nombre miminal de points",
            "pleaseEnterAValidNumberForTheMaximumNumberOfPoints" => "Veuillez entrer un nombre valide pour le nombre maximal de points",
            "pleaseEnterAValidAmountForTheVoucherAmount" => "Veuillez entrer un montant valide pour le montant du bon d'achat",
            "theMinimumNumberOfPointsCannotBeGreaterThanTheMaximumNumberOfPoints" => "Le nombre minimal de points ne peut être supérieur au nombre maximal de points",
            "pointsIntervalCreatedSuccessfully" => "Intervalle de points créé avec succès",
            "overlappingIntervalDetected" => "Chevauchement d'intervalle détecté",
            "pointsIntervalUpdatedSuccessfully" => "Intervalle de points mis à jour avec succès",
            "doYouConfirmTheDeletionOfThePointsInterval" => "Confirmez-vous la suppression de l'intervalle de points",
            "pointsIntervalDeletedSuccessfully" => "Intervalle de points supprimé avec succès",
        ],
        "cardDiscounts" => [
            "newDiscount" => "Nouvelle remise",
            "filterByStartDate" => "Filtrer par date de début",
            "filterByEndDate" => "Filtrer par date de fin",
            "startDate" => "Date de début",
            "endDate" => "Date de fin",
            "discountPercentage" => "Pourcentage de réduction",
            "discountDays" => "Jours de réduction",
            "categoriesInvolved" => "Catégories concernées",
            "noDaySelected" => "Aucun jour sélectionné",
            "allCategories" => "Toutes les catégories",
            "pleaseSelectAStartDate" => "Veuillez sélectionner une date de début",
            "pleaseSelectAnEndDate" => "Veuillez sélectionner une date de fin",
            "theStartDateCannotBeAfterTheEndDate" => "La date de début ne peut être après la date de fin",
            "pleaseEnterAValidDiscountPercentage" => "Veuillez entrer un pourcentage de réduction valide",
            "pleaseSelectAtLeastOneDiscountDay" => "Veuillez sélectionner au moins un jour de réduction",
            "periodicDiscountCreatedSuccessfully" => "Remise périodique créée avec succès",
            "anotherDiscountOverTheSamePeriodConcernsTheCategory" => "Une autre remise sur la même période concerne la catégorie",
            "editDiscount" => "Modifier la remise",
            "periodicDiscountUpdatedSuccessfully" => "Remise périodique mise à jour avec succès",
            "doYouConfirmTheDeletionOfTheDiscount" => "Confirmez-vous la suppression de la remise",
            "periodicDiscountDeletedSuccessfully" => "Remise périodique supprimée avec succès",
        ],
        "currentPoints" => [
            "searchByCustomer" => "Rechercher par client",
            "searchByMinimumNumberOfPoints" => "Rechercher par nombre minimum de points",
            "searchByMaximumNumberOfPoints" => "Rechercher par nombre maximum de points",
            "allCustomers" => "Tous les clients",
            "customer" => "Client",
            "numberOfPoints" => "Nombre de points",
            "allPointsOfSale" => "Tous les points de vente",
            "searchByPointOfSale" => "Rechercher par point de vente",
            "pointOfSale" => "Point de vente",
            "cardNumber" => "Numéro de carte",
            "expirationDate" => "Date d'expiration",
        ],
        "vouchers" => [
            "newVoucher" => "Nouveau bon d'achat",
            "searchByPointOfSale" => "Rechercher par point de vente",
            "searchByCustomer" => "Rechercher par client",
            "allPointsOfSale" => "Tous les points de vente",
            "allCustomers" => "Tous les clients",
            "code" => "Code",
            "pointsOfSaleConcerned" => "Points de vente concernés",
            "customer" => "Client",
            "issueDate" => "Date d'émission",
            "expirationDate" => "Date d'expiration",
            "amount" => "Montant",
            "issueDateAfterThisDate" => "Date d'émission après cette date",
            "issueDateBeforeThisDate" => "Date d'émission avant cette date",
            "validInWhichPointsOfSale" => "Valable dans quels points de vente",
            "noPointOfSaleSelected" => "Aucun point de vente sélectionné",
            "customer" => "Client",
            "noCustomerSelected" => "Aucun client sélectionné",
            "pleaseSelectAtLeastOnePointOfSale" => "Veuillez sélectionner au moins un point de vente",
            "pleaseSelectACustomer" => "Veuillez sélectionner un client",
            "pleaseEnterAValidNumberForTheVoucherAmount" => "Veuillez entrer un nombre valide pour le montant du bon d'achat",
            "pleaseSelectAnExpirationDate" => "Veuillez sélectionner une date d'expiration",
            "voucherCreatedSuccessfully" => "Bon d'achat créé avec succès",
            "status" => "Statut",
            "used" => "Utilisé",
            "unused" => "Non utilisé",
            "editVoucher" => "Modifier le bon d'achat",
            "voucherUpdatedSuccessfully" => "Bon d'achat mis à jour avec succès",
            "doYouConfirmTheDeletionOfTheVoucherWithCode" => "Confirmez-vous la suppression du bon d'achat de code",
            "voucherDeletedSuccessfully" => "Bon d'achat supprimé avec succès",
            "origin" => "Origine",
            "freelyCreated" => "Créé librement",
            "loyaltyCard" => "Carte de fidelité",
        ],
        "voucherValidation" => [
            "doYouConfirmTheValidationOfTheVoucherWithCode" => "Confirmez-vous la validation du bon d'achat de code",
            "voucherValidatedSuccessfully" => "Bon d'achat validé avec succès",
            "convertForAllLoyaltyCards" => "Convertir pour toutes les cartes de fidelité",
        ],
        "convertPoints" => [
            "convertForAllLoyaltyCards" => "Convertir pour toutes les cartes de fidelité",
            "searchByPointOfSale" => "Rechercher par point de vente",
            "allPointsOfSale" => "Tous les points de vente",
            "searchByCustomer" => "Rechercher par client",
            "allCustomers" => "Tous les clients",
            "cardNumber" => "Numéro de carte",
            "customer" => "Client",
            "numberOfPoints" => "Nombre de points",
            "pointOfSale" => "Point de vente",
            "expirationDate" => "Date d'expiration",
            "convertThePoints" => "Convertir les points",
            "pointsConversion" => "Conversion des points",
            "doYouConfirmTheConversionOfPointsOfTheLoyaltyCardNumber" => "Confirmez-vous la conversion des points de la carte de fidelité N°",
            "intoVoucher" => "en bon d'achat",
            "vouchersObtainedByPointsConversionAreValidatedAndCannotBeDeleted" => "Les bons d'achats obtenus par conversion de points sont validés et non supprimables",
            "convert" => "Convertir",
            "insufficientPointsToConvertIntoAVoucher" => "Nombre de points insuffisant pour la conversion en bon d'achat",
            "pointsSuccessfullyConverted" => "Conversion de points effectuée avec succès",
            "loyaltyCardNumber" => "Carte de fidélité N°",
            "voucherNumber" => "Bon d'achat N°",
            "convertForWhichPointOfSale" => "Convertir pour quel point de vente",
            "noPointOfSaleSelected" => "Aucun point de vente sélectionné",
            "pointOfSaleConversionWarningMessage" => "Cette action convertira les points de toutes les cartes de fidélité liées au point de vente sélectionné",
            "pleaseSelectAPointOfSale" => "Veuillez sélectionner un point de vente",
            "conversionSuccessfullyDone" => "Conversion effectuée avec succès",
        ],
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
