<?php

//Remember default language is french

class MessageEnglish
{
    public static $values = [
        "index" => [
            "{{APPOINTMENT_DATETIME_WITH_LETTERS}}" => "{{APPOINTMENT_DATETIME_WITH_LETTERS}}",
            "willBeReplacedByTheAppointmentDateLettersAndTimeWhenSending" => "Will be replace by the appointment date(written with letters) and time when sending",
            "{{APPOINTMENT_DATETIME_WITH_NUMBERS}}" => "{{APPOINTMENT_DATETIME_WITH_NUMBERS}}",
            "willBeReplacedByTheAppointmentDateNumbersAndTimeWhenSending" => "Will be replace by the appointment date(written with numbers) and time when sending",
            "{{APPOINTMENT_ACTIVITY}}" => "{{APPOINTMENT_ACTIVITY}}",
            "willBeReplacedByTheAppointmentActivityWhenSending" => "Will be replaced by the appointment activity when sending",
            "{{APPOINTMENT_POINT_OF_SALE}}" => "{{APPOINTMENT_POINT_OF_SALE}}",
            "willBeReplacedByThePointOfSaleWhenSending" => "Will be replaced by the appointment point of sale when sending",
            "compositionOfTheMessageToBeSent" => "Composition of the message to be sent",
            "selectionOfRecipients" => "Selection of recipients",
            "recipientsSelected" => "Recipients selected",
            "messageTemplate" => "Message template",
            "noMessageTemplateSelected" => "No message template selected",
            "freePersonalizedMessage" => "Free personalized message",
            "message" => "Message",
            "appointmentReminder" => "Appointment reminder",
            "happyBirthday" => "Happy birthday",
            "followUpOfCustomers" => "Follow-up of customers",
            "promotionForTheBestCustomers" => "Promotion for the best customers",
            "satisfactionSurvey" => "Satisfaction survey",
            "forAnAppointmentReminderThereAreAdditionalTagsAvailable" => "For an appointment reminder there are additional tags available",
            "forADate" => "For a date",
            "forAPeriod" => "For a period",
            "remindAppointmentsHint" => "Only appointments whose start date has not yet arrived are taken into account",
            "reminderType" => "Reminder type",
            "appointmentsDate" => "Appointments date",
            "startDate" => "Start date",
            "endDate" => "End date",
            "happyBirthdayMessage" => "Today is the most beautiful day of the year {{CUSTOMER_FIRST_NAME}}: the day you were born! We wish you a happy birthday and hope with all our heart that this year will be synonymous with immense happiness.",
            "remindAppointmentMessage" => "Hello {{CUSTOMER_CIVILITY}} {{CUSTOMER_LAST_NAME}}, we remind you of your appointment for {{APPOINTMENT_ACTIVITY}} on {{APPOINTMENT_DATETIME_WITH_LETTERS}} at {{APPOINTMENT_POINT_OF_SALE}}, see you soon.",
            "followUpMessage" => "Hello {{CUSTOMER_CIVILITY}} {{CUSTOMER_LAST_NAME}}, we hope you are well.\nWe noticed that it has been a while since your last visit with us, we want you to know that we are here for you and appreciate your loyalty.\nWe hope to see you soon and look forward to serving you again.\nHave a pleasant day\nBest wishes.",
            "promotionForTheBestCustomersMessage" => "Hello {{CUSTOMER_CIVILITY}} {{CUSTOMER_LAST_NAME}}, we would like to thank you for being one of our best customers.\nTo thank you for your loyalty, we offer you a 30% discount on your next purchase.\nThank you again for your confidence in us.\nHave a nice day\nSincerely.",
            "satisfactionSurveyMessage" => "Hello {{CUSTOMER_CIVILITY}} {{CUSTOMER_LAST_NAME}},\nWe hope you have enjoyed your visits with us.\nCould you please take a moment to tell us if you were satisfied with our services? Your opinion is important to us and will help us improve our customer service.\nThank you in advance for your response.\nWe look forward to hearing from you.",
            "seeAPreview" => "See a preview",
            "loadingPossibleRecipients" => "Loading possible recipients",
            "theMessageWillBeSentToAllPotentialRecipients" => "The message will be sent to all potential recipients",
            "noPossibleRecipientFound" => "No possible recipient found",
            "searchACustomer" => "Search a customer",
            "customer" => "Customer",
            "phoneNumber" => "Phone number",
            "email" => "Email",
            "selectCustomer" => "Select customer",
            "remindAppointmentHint" => "Only appointments whose start date has not yet arrived will be taken into account",
            "sendCustomerHint" => "Messages will only be sent to customers for whom a phone number or email is registered",
            "selectAllPossibleRecipients" => "Select all possible recipients",
            "deselectTheCustomer" => "Deselect the customer",
            "seeTheMessageThatWillBeSentToThisCustomer" => "See the message that will be sent to this customer",
            "forWhichPointOfSale" => "For which point of sale",
            "allPointsOfSale" => "All points of sale",
            "dateAndTime" => "Date and time",
            "sendTheMessages" => "Send the messages",
            "pleaseEnterTheMessageToSend" => "Please enter the message to send",
            "theMessageSentWillBe" => "The message sent will be",
            "mr" => "Mr.",
            "ms" => "Ms.",
            "mr/ms" => "Mr/Ms.",
            "thisMessageCounts" => "This message counts",
            "characters" => "characters",
            "itWillCost" => "it will cost",
            "sms" => "SMS",
            "pleaseSelectAtLeastOneRecipient" => "Please select at least one recipient",
            "unfortunatelyWeWereUnableToSendAnyOfYourMessages" => "Unfortunately we were unable to send any of your messages",
            "messagesSentSuccessfully" => "Messages sent successfully",
            "smsSentSuccessfully" => "SMS sent successfully",
            "emailSentSuccessfully" => "Email sent successfully",
            "emails" => "Emails",
            "unsentMessages" => "Unsent messages",
            "smsStatus" => "Sms status",
            "emailStatus" => "Email status",
            "sent" => "Sent",
            "unsent" => "Unsent",
            "filterByGender" => "Filter by gender",
            "all" => "All",
            "menOnly" => "Men only",
            "womenOnly" => "Women only",
            "sendMessageBy" => "Send message by",
            "smsAndMail" => "Sms/Mail",
            "smsOnly" => "Sms only",
            "mailOnly" => "Mail only",
            "considerCustomersWhoseVisitIsHowManyDaysOld" => "Consider customers whose visit is how many days old",
            "minPurchaseSum" => "Min. purchase sum",
            "minNumberOfVisits" => "Min. number of visits",
            "reloadPossibleRecipients" => "Reload possible recipients",
            "pleaseEnterAValidNumberOfDays" => "Please enter a valid number of days",
            "followUpDayCountHint" => "Customers will be considered if their last visit was on or before",
            "pleaseEnterAValidAmountForTheMinimumPurchaseAmount" => "Please enter a valid amount for the minimum purchase amount",
            "pleaseEnterAValidNumberOfMinimumCustomerVisits" => "Please enter a valid number for the minimum customer visits",
            "visits" => "Visits",
            "notConsidered" => "Not considered",
            "mailSubject" => "Mail subject",
            "toSendByEmailPleaseSpecifyTheSubject" => "To send by e-mail, please specify the subject",
        ],
        "templates" => [
            "newTemplate" => "New template",
            "title" => "Title",
            "message" => "Message",
            "searchByTemplateTitle" => "Search by template title",
            "editTemplate" => "Edit template",
            "pleaseFillTitleField" => "Please fill title field",
            "pleaseFillMessageField" => "Please fill message field",
            "messageTemplateSuccessfullyRegistered" => "Message template successfully registered",
            "aMessageTemplateWithThisTitleAlreadyExists" => "A message template with this title already exists",
            "messageTemplateUpdatedSuccessfully" => "Message template updated successfully",
            "doYouConfirmTheDeletionOfTheMessageTemplate" => "Do you confirm the deletion of the message template",
            "messageTemplateDeletedSuccessfully" => "Message template deleted successfully",
        ],
        "messagesPersonalizationDescription" => "Messages are personalized with tags replaced when the message is sent. The tags currently available are",
        "{{CUSTOMER_LAST_NAME}}" => "{{CUSTOMER_LAST_NAME}}",
        "willBeReplacedByTheCustomerLastNameWhenSending" => "Will be replaced by the customer's last name when sending",
        "{{CUSTOMER_FIRST_NAME}}" => "{{CUSTOMER_FIRST_NAME}}",
        "willBeReplacedByTheCustomerFirstNameWhenSending" => "Will be replaced by the customer's first name when sending",
        "{{CUSTOMER_CIVILITY}}" => "{{CUSTOMER_CIVILITY}}",
        "willBeReplacedByTheCustomerCivilityWhenSending" => "Will be replaced by the customer's civility when sending",
        "{{CURRENT_DATE_WITH_LETTERS}}" => "{{CURRENT_DATE_WITH_LETTERS}}",
        "willBeReplacedByTheCurrentDateWrittenWithLettersWhenSending" => "Will be replaced by the current date written with letters when sending",
        "eg" => "e.g.",
        "{{CURRENT_DATE_WITH_NUMBERS}}" => "{{CURRENT_DATE_WITH_NUMBERS}}",
        "willBeReplacedByTheCurrentDateWrittenWithNumbersWhenSending" => "Will be replaced by the current date written with numbers when sending",
        "{{COMPANY_NAME}}" => "{{COMPANY_NAME}}",
        "willBeReplacedByTheCompanyNameWhenSending" => "Will be replaced by the company name when sending",
        "unknownTagFound" => "Unknown tag found",
        "pleaseUseOnlyAvailableTags" => "Please use only available tags",
        "thisMailWasSentWith" => "This mail was send with",
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
