<?php

//Remember default language is french

class MessageFrench
{
    public static $values = [
        "index" => [
            "{{APPOINTMENT_DATETIME_WITH_LETTERS}}" => "{{DATE_HEURE_DU_RENDEZ_AVEC_LETTRES}}",
            "willBeReplacedByTheAppointmentDateLettersAndTimeWhenSending" => "Sera remplacée par la date(écrite avec des lettres) et l'heure du rendez-vous à l'envoi",
            "{{APPOINTMENT_DATETIME_WITH_NUMBERS}}" => "{{DATE_HEURE_DU_RENDEZ_VOUS_AVEC_CHIFFRES}}",
            "willBeReplacedByTheAppointmentDateNumbersAndTimeWhenSending" => "Sera remplacée par la date(écrite avec des chiffres) et l'heure du rendez-vous à l'envoi",
            "{{APPOINTMENT_ACTIVITY}}" => "{{ACTIVITE_DU_RENDEZ_VOUS}}",
            "willBeReplacedByTheAppointmentActivityWhenSending" => "Sera remplacée par l'activité du rendez-vous à l'envoi",
            "{{APPOINTMENT_POINT_OF_SALE}}" => "{{POINT_DE_VENTE_DU_RENDEZ_VOUS}}",
            "willBeReplacedByThePointOfSaleWhenSending" => "Sera remplacée par le point de vente du rendez-vous à l'envoi",
            "compositionOfTheMessageToBeSent" => "Composition du message  à envoyer",
            "selectionOfRecipients" => "Sélection des destinataires",
            "recipientsSelected" => "Destinataires sélectionnés",
            "messageTemplate" => "Modèle de message",
            "noMessageTemplateSelected" => "Aucun modèle de message sélectionné",
            "freePersonalizedMessage" => "Message personnalisé libre",
            "message" => "Message",
            "appointmentReminder" => "Rappel de rendez-vous",
            "happyBirthday" => "Joyeux anniversaire",
            "followUpOfCustomers" => "Relance des clients",
            "promotionForTheBestCustomers" => "Promotion pour les meilleurs clients",
            "satisfactionSurvey" => "Enquête de satisfaction",
            "forAnAppointmentReminderThereAreAdditionalTagsAvailable" => "Pour un rappel de rendrez-vous vous avez des étiquettes supplémentaires disponibles",
            "forADate" => "Pour une date",
            "forAPeriod" => "Pour une période",
            "remindAppointmentsHint" => "Ne sont pris en compte que les rendez-vous dont la date de début n'est pas encore arrivée",
            "reminderType" => "Type de rappel",
            "appointmentsDate" => "Date des rendez-vous",
            "startDate" => "Date de début",
            "endDate" => "Date de fin",
            "happyBirthdayMessage" => "Aujourd’hui, c’est le plus beau jour de l’année {{PRENOM_DU_CLIENT}} : celui où tu es né ! Nous te souhaitons un joyeux anniversaire et espérons de tout cœur que cette année sera synonyme d’immense bonheur.",
            "remindAppointmentMessage" => "Bonjour {{CIVILITE_DU_CLIENT}} {{NOM_DU_CLIENT}}, nous vous rappellons votre rendez-vous pour {{ACTIVITE_DU_RENDEZ_VOUS}} du {{DATE_HEURE_DU_RENDEZ_AVEC_LETTRES}} à {{POINT_DE_VENTE_DU_RENDEZ_VOUS}}, à bientôt.",
            "followUpMessage" => "Bonjour {{CIVILITE_DU_CLIENT}} {{NOM_DU_CLIENT}}, nous espérons que vous allez bien.\nNous avons remarqué que cela fait un moment depuis votre dernière visite chez nous, nous voulons que vous sachiez que nous sommes là pour vous et que nous apprécions votre fidelité.\nNous espérons vous revoir bientôt et sommes impatients vous servir à nouveau.\nPassez une agréable journée\nCordialement.",
            "promotionForTheBestCustomersMessage" => "Bonjour {{CIVILITE_DU_CLIENT}} {{NOM_DU_CLIENT}}, nous tenons à vous remercier d'être l'un de nos meilleurs clients.\nPour vous remercier de votre fidelité, nous vous offrons une réduction de 30% sur votre prochain achat.\nMerci encore pour la confiance que vous nous accordez.\nPassez une agréable journée\nCordialement.",
            "satisfactionSurveyMessage" => "Bonjour {{CIVILITE_DU_CLIENT}} {{NOM_DU_CLIENT}},\nNous espérons que vous avez apprécié vos visites chez nous.\nPouvez-vous prendre un moment pour nous dire si vous avez été satisfait(e) de nos services? Votre opinion est importante pour nous et nous aidera à améliorer notre service clientèle.\nMerci d'avance pour votre réponse.\nCordialement.",
            "seeAPreview" => "Voir un aperçu",
            "loadingPossibleRecipients" => "Chargement des destinataires possibles",
            "theMessageWillBeSentToAllPotentialRecipients" => "Le message sera envoyé à tous les destinataires possibles",
            "noPossibleRecipientFound" => "Aucun destinaire possible trouvé",
            "searchACustomer" => "Rechercher un client",
            "customer" => "Client",
            "phoneNumber" => "N° Téléphone",
            "email" => "E-mail",
            "selectCustomer" => "Sélectionner le client",
            "remindAppointmentHint" => "Ne seront pris en compte que les rendez-vous dont la date de début n'est pas encore arrivée",
            "sendCustomerHint" => "Les messages ne seront envoyés qu'aux clients pour lesquels un numéro de téléphone ou un e-mail sont enregistrés",
            "selectAllPossibleRecipients" => "Sélectionner tous les destinataires possibles",
            "deselectTheCustomer" => "Désélectionner le client",
            "seeTheMessageThatWillBeSentToThisCustomer" => "Voir le message qui sera envoyé à ce client",
            "forWhichPointOfSale" => "Pour quel point de vente",
            "allPointsOfSale" => "Tous les points de vente",
            "dateAndTime" => "Date et heure",
            "sendTheMessages" => "Envoyer les messages",
            "pleaseEnterTheMessageToSend" => "Veuillez saisir le message à envoyer",
            "theMessageSentWillBe" => "Le message envoyé sera",
            "mr" => "M.",
            "ms" => "Mme.",
            "mr/ms" => "M/Mme.",
            "thisMessageCounts" => "Ce message compte",
            "characters" => "caractères",
            "itWillCost" => "il coûtera",
            "sms" => "SMS",
            "pleaseSelectAtLeastOneRecipient" => "Veuillez sélectionner au moins un destinataire",
            "unfortunatelyWeWereUnableToSendAnyOfYourMessages" => "Malheureusement nous n'avons réussi à envoyer aucun de vos messages",
            "messagesSentSuccessfully" => "Messages envoyés avec succès",
            "smsSentSuccessfully" => "SMS envoyé avec succès",
            "emailSentSuccessfully" => "E-mail envoyé avec succès",
            "emails" => "E-mails",
            "unsentMessages" => "Les messages non envoyés",
            "smsStatus" => "Statut sms",
            "emailStatus" => "Statut e-mail",
            "sent" => "Envoyé",
            "unsent" => "Non envoyé",
            "filterByGender" => "Filtrer par genre",
            "all" => "Tous",
            "menOnly" => "Hommes seulement",
            "womenOnly" => "Femmes seulement",
            "sendMessageBy" => "Envoyer le message par",
            "smsAndMail" => "Sms/Mail",
            "smsOnly" => "Sms seulement",
            "mailOnly" => "Mail seulement",
            "considerCustomersWhoseVisitIsHowManyDaysOld" => "Considérer les clients dont la visite remonte à combien de jours",
            "minPurchaseSum" => "Somme achats min.",
            "minNumberOfVisits" => "Nombre min. de visites",
            "reloadPossibleRecipients" => "Recharger les potentiels destinataires",
            "pleaseEnterAValidNumberOfDays" => "Veuillez entrer un nombre de jours valide",
            "followUpDayCountHint" => "Seront considérés les clients dont la dernière visite date d'au plus le",
            "pleaseEnterAValidAmountForTheMinimumPurchaseAmount" => "Veuillez entrer un montant valide pour la somme minimale d'achat",
            "pleaseEnterAValidNumberOfMinimumCustomerVisits" => "Veuillez entrer un nombre de visites minimales du client valide",
            "visits" => "Visites",
            "notConsidered" => "Non considéré",
            "mailSubject" => "Objet du mail",
            "toSendByEmailPleaseSpecifyTheSubject" => "Pour un envoi par mail veuillez préciser l'objet",
        ],
        "templates" => [
            "newTemplate" => "Nouveau modèle",
            "title" => "Titre",
            "message" => "Message",
            "searchByTemplateTitle" => "Rechercher par titre de modèle",
            "editTemplate" => "Modifier le modèle",
            "pleaseFillTitleField" => "Veuillez remplir le champ titre",
            "pleaseFillMessageField" => "Veuillez remplir le champ message",
            "messageTemplateSuccessfullyRegistered" => "Modèle de message enregistré avec succès",
            "aMessageTemplateWithThisTitleAlreadyExists" => "Un modèle de message portant ce titre existe déjà",
            "messageTemplateUpdatedSuccessfully" => "Modèle de message mis à jour avec succès",
            "doYouConfirmTheDeletionOfTheMessageTemplate" => "Confirmez-vous la suppression du modèle de message",
            "messageTemplateDeletedSuccessfully" => "Modèle de message supprimé avec succès",
        ],
        "messagesPersonalizationDescription" => "Les messages sont personnalisés au moyen d'étiquettes remplacées à l'envoi du message. Les étiquettes actuellement disponibles sont",
        "{{CUSTOMER_LAST_NAME}}" => "{{NOM_DU_CLIENT}}",
        "willBeReplacedByTheCustomerLastNameWhenSending" => "Sera remplacée par le nom du client à l'envoi",
        "{{CUSTOMER_FIRST_NAME}}" => "{{PRENOM_DU_CLIENT}}",
        "willBeReplacedByTheCustomerFirstNameWhenSending" => "Sera remplacée par le prénom du client à l'envoi",
        "{{CUSTOMER_CIVILITY}}" => "{{CIVILITE_DU_CLIENT}}",
        "willBeReplacedByTheCustomerCivilityWhenSending" => "Sera remplacé par la civilité du client à l'envoi",
        "{{CURRENT_DATE_WITH_LETTERS}}" => "{{DATE_COURANTE_AVEC_LETTRES}}",
        "willBeReplacedByTheCurrentDateWrittenWithLettersWhenSending" => "Sera remplacée par la date courante écrite avec des lettres à l'envoi",
        "eg" => "ex.",
        "{{CURRENT_DATE_WITH_NUMBERS}}" => "{{DATE_COURANTE_AVEC_CHIFFRES}}",
        "willBeReplacedByTheCurrentDateWrittenWithNumbersWhenSending" => "Sera remplacée par la date courante écrite avec des chiffres à l'envoi",
        "{{COMPANY_NAME}}" => "{{NOM_DE_LA_STRUCTURE}}",
        "willBeReplacedByTheCompanyNameWhenSending" => "Sera remplacée par le nom de la structure à l'envoi",
        "unknownTagFound" => "Etiquette inconnue trouvée",
        "pleaseUseOnlyAvailableTags" => "Veuillez utiliser uniquement les étiquettes disponibles",
        "thisMailWasSentWith" => "Ce mail a été envoyé avec",
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
