<?php

//Remember default language is french

class PasswordEnglish
{
    public static $values = [
        "reset" => [
            "passwordReset" => "Password reset",
            "youAreReceivingThisEmailBecauseYouHaveRequestedAPasswordReset" => "You are receiving this email because you have requested a password reset",
            "theResetPasswordIs" => "The reset password is",
        ],
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
