<?php

//Remember default language is french

class PointOfSaleEnglish
{
    public static $values = [
        "index" => [
            "newPointOfSale" => "New point of sale",
            "userHelpingMessage1" => "Your business can be divided into several agencies or points of sale. You manage them from here",
            "userHelpingMessage2" => "Each point of sale must have a manager",
            "userHelpingMessage3" => "Each point of sale must be associated with a store",
            "manager" => "Manager",
            "store" => "Store",
            "location" => "Location",
            "pointOfSaleName" => "Point of sale name",
            "noManagerSelected" => "No manager selected",
            "noStoreSelected" => "No store selected",
            "editPointOfSale" => "Edit point of sale",
            "pleaseFillPointOfSaleNameField" => "Please fill point of sale name field",
            "pleaseSelectAManagerForThePointOfSale" => "Please select a manager for the point of sale",
            "pleaseSelectAStoreForThePointOfSale" => "Please select a store for the point of sale",
            "pleaseFillLocationField" => "Please fill location field",
            "pointOfSaleSuccessfullyRegistered" => "Point of sale successfully registered",
            "aPointOfSaleWithThisNameAlreadyExists" => "A point of sale with this name already exists",
            "pointOfSaleUpdatedSuccessfully" => "Point of sale updated successfully",
            "doYouConfirmTheDeletionOfThePointOfSale" => "Do you confirm the deletion of the point of sale",
            "pointOfSaleDeletedSuccessfully" => "Point of sale deleted successfully",
            "searchByPointOfSaleName" => "Search by point of sale name",
            "searchByManager" => "Search by manager",
            "searchByStore" => "Search by store",
            "noAssociatedManager" => "No associated manager",
            "subscriptionLimitsForPointOfSaleMessage" => "You have reached the limits of the number of points of sale allowed by your subscription",
        ],
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
