<?php

//Remember default language is french

class ProductNatureEnglish
{
    public static $values = [
        "index" => [
            "userHelpingMessage1" => "The types of product are another axis of product categorization that will facilitate certain searches",
            "pleaseFillNatureNameField" => "Please fill nature name field",
            "productNatureSuccessfullyRegistered" => "Product nature successfully registered",
            "aProductNatureWithThisNameAlreadyExists" => "A product nature with this name already exists",
            "productNatureUpdatedSuccessfully" => "Product nature updated successfully",
            "doYouConfirmTheDeletionOfTheProductNature" => "Do you confirm the deletion of the product nature",
            "productNatureDeletedSuccessfully" => "Product nature deleted successfully",
            "thisProductNatureIsInUse" => "This product nature is in use",
            "newNature" => "New nature",
            "natureName" => "Nature name",
            "editNature" => "Edit nature",
            "searchByNatureName" => "Search by nature name",
        ]
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
