<?php

//Remember default language is french

class ProfileEnglish
{
    public static $values = [
        "index" => [
            "newProfile" => "New profile",
            "profileName" => "Profile name",
            "userHelpingMessage1" => "Profiles are the way to control what users can access while on the system",
            "userHelpingMessage2" => "In a simple way, a profile should correspond to a function (or position) in your business and is characterized by a set of authorized menus",
            "assigningMenusToProfile" => "Assigning menus to profile",
            "pleaseFillProfileNameField" => "Please fill profile name field",
            "youCannotCreateAProfileThatDoesNotContainAnyMenu" => "You cannot create a profile that does not contain any menu",
            "profileSuccessfullyRegistered" => "Profile successfully registered",
            "aProfileWithThisNameAlreadyExists" => "A profile with this name already exists",
            "editProfile" => "Edit profile",
            "profileUpdatedSuccessfully" => "Profile updated successfully",
            "theMenusAssignedToTheProfile" => "The menus assigned to the profile",
            "doYouConfirmTheDeletionOfTheProfile" => "Do you confirm the deletion of the profile",
            "profileDeletedSuccessfully" => "Profile deleted successfully",
            "unableToDeleteThisProfileItIsInUse" => "Unable to delete this profile, it is in use",
            "searchByProfileName" => "Search by profile name",
        ],
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
