<?php

//Remember default language is french

class ReportEnglish
{
    public static $values = [
        "printProducts" => [
            "productsAndServicesList" => "PRODUCTS AND SERVICES LIST",
            "productOrService" => "Product/Service",
            "productsList" => "PRODUCTS LIST",
            "product" => "Product",
            "servicesList" => "SERVICES LIST",
            "service" => "Service",
            "productsInStockList" => "PRODUCTS IN STOCK LIST",
            "buyingPrice" => "Buying price",
            "salePrice" => "Sale price",
            "margin" => "Margin",
        ],
        "printStocks" => [
            "stocksList" => "STOCKS LIST",
            "store" => "Store",
            "expirationDateAfter" => "Expiration date after the",
            "expirationDateBefore" => "Expiration date before the",
            "allStores" => "All stores",
            "designation" => "Designation",
            "batchNumber" => "Batch number",
            "qty" => "Qty",
            "expirationDate" => "Expiration date",
            "initialQty" => "Initial qty",
            "buyingPrice" => "Buying price",
            "salePrice" => "Sale price",
            "buyingTotal" => "Buying total",
            "totals" => "Totals",
            "saleTotal" => "Sale total",
            "profit" => "Profit",
        ],
        "printMovements" => [
            "interStoreMovementsList" => "INTER-STORE MOVEMENTS LIST",
            "originStore" => "Origin store",
            "receivingStore" => "Receiving store",
            "allStores" => "All stores",
            "dateAfter" => "Date after",
            "dateBefore" => "Date before",
            "number" => "Number",
            "entryDate" => "Entry date",
            "movementDate" => "Movement date",
            "status" => "Status",
            "validated" => "Validated",
            "notValidated" => "Not validated",
        ],
        "printMovement" => [
            "interStoreSheetNumber" => "INTER-STORE SHEET N°",
            "originStore" => "Origin store",
            "receivingStore" => "Receiving store",
            "date" => "Date",
            "designation" => "Designation",
            "batchNumber" => "Batch number",
            "sellingPrice" => "Selling price",
            "quantity" => "Quantity",
            "total" => "Total",
            "storekeeperSignature" => "Storekeeper signature",
            "carrierSignature" => "Carrier signature",
        ],
        "printCumulativeStocks" => [
            "cumulativeStocksList" => "CUMULATIVE STOCKS LIST",
            "store" => "Store",
            "date" => "Date",
            "productNameContaining" => "Product name containing",
            "allStores" => "All stores",
            "designation" => "Désignation",
            "quantity" => "Quantity",
            "buyingPrice" => "Buying price",
            "salePrice" => "Sale price",
            "buyingTotal" => "Buying total",
            "totals" => "Totals",
        ],
        "printTransformations" => [
            "transformationsList" => "TRANSFORMATIONS LIST",
            "allStores" => "All stores",
            "store" => "Store",
            "dateAfter" => "Date after",
            "dateBefore" => "Date before",
            "number" => "Number",
            "productObtained" => "Product obtained",
            "qty" => "Qty",
            "transformationDate" => "Transformation date",
            "buyingPrice" => "Buying price",
            "sellingPrice" => "Selling price",
            "status" => "Status",
            "validated" => "Validated",
            "notValidated" => "Not validated",
        ],
        "printTransformation" => [
            "transformationSheetNumber" => "TRANSFORMATION SHEET N°",
            "store" => "Store",
            "date" => "Date",
            "productObtained" => "Product obtained",
            "quantity" => "Quantity",
            "sellingPrice" => "Selling price",
            "buyingPrice" => "Buying price",
            "expirationDate" => "Expiration date",
            "product" => "Product",
            "batchNumber" => "Batch number",
        ],
        "printAtThresholdItems" => [
            "itemsAtThresholdList" => "ITEMS AT THRESHOLD LIST",
            "allStores" => "All stores",
            "productNameContaining" => "Product name containing",
            "batchNumberContaining" => "Batch N° containing",
            "store" => "Store",
            "product" => "Product",
            "batchNumber" => "Batch number",
            "quantity" => "Quantity",
        ],
        "printExpiredItems" => [
            "expiredItemsList" => "EXPIRED ITEMS LIST",
            "allStores" => "All stores",
            "productNameContaining" => "Product name containing",
            "batchNumberContaining" => "Batch N° containing",
            "store" => "Store",
            "product" => "Product",
            "batchNumber" => "Batch number",
            "expirationDate" => "Expiration date",
            "quantity" => "Quantity",
        ],
        "printSoonToExpireItems" => [
            "soonToExpiredItemsList" => "SOON TO EXPIRE ITEMS LIST",
            "allStores" => "All stores",
            "productNameContaining" => "Product name containing",
            "batchNumberContaining" => "Batch N° containing",
            "store" => "Store",
            "product" => "Product",
            "batchNumber" => "Batch number",
            "expirationDate" => "Expiration date",
            "quantity" => "Quantity",
        ],
        "printOrders" => [
            "ordersList" => "ORDERS LIST",
            "allSuppliers" => "All suppliers",
            "supplier" => "Supplier",
            "dateAfter" => "Date after",
            "dateBefore" => "Date before",
            "number" => "Number",
            "orderDate" => "Order date",
            "entryDate" => "Entry date",
            "total" => "Total",
            "status" => "Status",
            "validated" => "Validated",
            "notValidated" => "Not validated",
            "wishedDeliveryDate" => "Wished delivery date",
        ],
        "printOrder" => [
            "orderSheetNumber" => "ORDER SHEET N°",
            "addressedTo" => "Addressed to",
            "date" => "Date",
            "designation" => "Designation",
            "quantity" => "Quantity",
            "unitP" => "Unit P.",
            "total" => "Total",
            "wishedDeliveryDate" => "Wished delivery date",
        ],
        "printReceptions" => [
            "receptionsList" => "RECEPTIONS LIST",
            "allStores" => "All stores",
            "store" => "Store",
            "allSuppliers" => "All suppliers",
            "supplier" => "Supplier",
            "dateAfter" => "Date after",
            "dateBefore" => "Date before",
            "number" => "Number",
            "entryDate" => "Entry date",
            "receivingDate" => "Receiving date",
            "deliveryNoteNumber" => "Delivery note N°",
            "status" => "Status",
            "validated" => "Validated",
            "notValidated" => "Not validated",
        ],
        "printReception" => [
            "receivedFrom" => "Received from",
            "receiptSheetNumber" => "RECEIPT SHEET N°",
            "originalOrderNumber" => "ORIGIN ORDER N°",
            "date" => "Date",
            "designation" => "Designation",
            "quantity" => "Quantity",
            "buyingPrice" => "Buying price",
            "sellingPrice" => "Selling price",
            "maxReductionPercent" => "Max red. %",
            "batchNumber" => "Batch number",
            "expirationDate" => "Expiration date",
            "total" => "Total",
            "storekeeperSignature" => "Storekeeper signature",
            "carrierSignature" => "Carrier signature",
        ],
        "printViewStocks" => [
            "stocksReport" => "STOCKS REPORT",
            "store" => "Store",
            "allStores" => "All stores",
            "productNameContaining" => "Product name containing",
            "batchNumberContaining" => "Batch N° containing",
            "expirationDateAfter" => "Expiration date after",
            "expirationDateBefore" => "Expiration date before",
            "designation" => "Designation",
            "batchNumber" => "Batch number",
            "qty" => "Qty",
            "expirationDate" => "Expiration date",
            "initialQty" => "Initial qty",
            "buyingPrice" => "Buying price",
            "salePrice" => "Sale price",
            "buyingTotal" => "Buying total",
            "saleTotal" => "Sale total",
            "profit" => "Profit",
            "totals" => "Totals",
        ],
        "printViewCumulativeStocks" => [
            "cumulativeStocksReport" => "CUMULATIVE STOCKS REPORT",
            "store" => "Store",
            "date" => "Date",
            "productNameContaining" => "Product name containing",
            "allStores" => "All stores",
            "designation" => "Désignation",
            "quantity" => "Quantity",
            "buyingPrice" => "Buying price",
            "salePrice" => "Sale price",
            "buyingTotal" => "Buying total",
            "totals" => "Totals",
        ],
        "printViewProducts" => [
            "productsAndServicesReport" => "PRODUCTS AND SERVICES REPORT",
            "productsReport" => "PRODUCTS REPORT",
            "designation" => "Designation",
            "servicesReport" => "SERVICES REPORT",
            "service" => "Service",
            "productsInStockList" => "PRODUCTS IN STOCK LIST",
            "buyingPrice" => "Buying price",
            "salePrice" => "Sale price",
            "category" => "Category",
            "designationContaining" => "Designation containing",
            "referenceContaining" => "Reference containing",
            "margin" => "Margin",
        ],
        "printViewOrders" => [
            "ordersReport" => "ORDERS REPORT",
            "allSuppliers" => "All suppliers",
            "supplier" => "Supplier",
            "dateAfter" => "Date after",
            "dateBefore" => "Date before",
            "number" => "Number",
            "orderDate" => "Order date",
            "entryDate" => "Entry date",
            "total" => "Total",
            "status" => "Status",
            "validated" => "Validated",
            "notValidated" => "Not validated",
            "wishedDeliveryDate" => "Wished delivery date",
        ],
        "printViewReceptions" => [
            "receptionsReport" => "RECEPTIONS REPORT",
            "allStores" => "All stores",
            "store" => "Store",
            "allSuppliers" => "All suppliers",
            "supplier" => "Supplier",
            "dateAfter" => "Date after",
            "dateBefore" => "Date before",
            "number" => "Number",
            "entryDate" => "Entry date",
            "receivingDate" => "Receiving date",
            "deliveryNoteNumber" => "Delivery note N°",
            "status" => "Status",
            "validated" => "Validated",
            "notValidated" => "Not validated",
        ],
        "printViewExpiredItems" => [
            "expiredItemsReport" => "EXPIRED ITEMS REPORT",
            "allStores" => "All stores",
            "productNameContaining" => "Product name containing",
            "batchNumberContaining" => "Batch N° containing",
            "store" => "Store",
            "product" => "Product",
            "batchNumber" => "Batch number",
            "expirationDate" => "Expiration date",
            "quantity" => "Quantity",
        ],
        "printViewSoonToExpireItems" => [
            "soonToExpiredItemsReport" => "SOON TO EXPIRE ITEMS REPORT",
            "allStores" => "All stores",
            "productNameContaining" => "Product name containing",
            "batchNumberContaining" => "Batch N° containing",
            "store" => "Store",
            "product" => "Product",
            "batchNumber" => "Batch number",
            "expirationDate" => "Expiration date",
            "quantity" => "Quantity",
        ],
        "printViewItemsToOrder" => [
            "itemsToOrderReport" => "ITEMS TO ORDER REPORT",
            "allStores" => "All stores",
            "productNameContaining" => "Product name containing",
            "batchNumberContaining" => "Batch N° containing",
            "store" => "Store",
            "product" => "Product",
            "batchNumber" => "Batch number",
            "quantity" => "Quantity",
        ],
        "printExceptionalOutings" => [
            "exceptionalOutingsList" => "EXCEPTIONAL OUTINGS LIST",
            "allStores" => "All stores",
            "allTypes" => "All types",
            "store" => "Store",
            "type" => "Type",
            "dateAfter" => "Date after",
            "dateBefore" => "Date before",
            "number" => "Number",
            "entryDate" => "Entry date",
            "outingDate" => "Outing date",
            "user" => "User",
            "status" => "Status",
            "validated" => "Validated",
            "notValidated" => "Not validated",
        ],
        "printExceptionalOuting" => [
            "exceptionalOutingSheetNumber" => "EXCEPTIONAL OUTING SHEET N°",
            "store" => "Store",
            "type" => "Type",
            "date" => "Date",
            "product" => "Product",
            "batchNumber" => "Batch number",
            "sellingPrice" => "Selling price",
            "quantity" => "Quantity",
            "total" => "Total",
        ],
        "printViewExceptionalOutings" => [
            "exceptionalOutingsReport" => "EXCEPTIONAL OUTINGS REPORT",
            "allStores" => "All stores",
            "allTypes" => "All types",
            "store" => "Store",
            "type" => "Type",
            "dateAfter" => "Date after",
            "dateBefore" => "Date before",
            "number" => "Number",
            "entryDate" => "Entry date",
            "outingDate" => "Outing date",
            "user" => "User",
            "status" => "Status",
            "validated" => "Validated",
            "notValidated" => "Not validated",
        ],
        "printViewProductPath" => [
            "movementHistoryOfArticle" => "MOVEMENT HISTORY OF ARTICLE",
            "saleCompleted" => "Sale completed, N°",
            "exitOf" => "Exit of",
            "entryOf" => "Entry of",
            "pieces" => "Piece(s)",
            "withAMotive" => "with a motive",
            "quantityAtTheEveningOf" => "Quantity at the evening of",
            "detailsOfProductMovements" => "Details of product movements",
            "noMovementFound" => "No movement found",
            "store" => "Store",
            "dateAfter" => "Date after",
            "dateBefore" => "Date before",
        ],
        "printViewStockSituation" => [
            "stockSituationReport" => "STOCK SITUATION REPORT",
            "store" => "Store",
            "dateAfter" => "Date after",
            "dateBefore" => "Date before",
            "category" => "Category",
            "product" => "Product",
            "allCategories" => "All categories",
            "allProducts" => "All products",
            "quantityOnTheEveOf" => "Quantity on the eve of",
            "quantityAtTheEveningOf" => "Quantity at the evening of",
            "quantityEnteredOverThePeriod" => "Quantity entered over the period",
            "quantityIssuedOverThePeriod" => "Quantity issued over the period",
            "noStockSituationFound" => "No stock situation found",
        ],
        "printPayslip" => [
            "payslip" => "PAYSLIP",
            "month" => "Month",
            "employee" => "Employee",
            "payrollSection" => "Payroll section",
            "positive" => "Positive",
            "negative" => "Negative",
            "total" => "Total",
            "salaryOf" => "Salary of",
        ],
        "printBarCode" => [
            "barCodeOf" => "Bar code of",
        ],
        "printBatchNumber" => [
            "batchNumber" => "Batch number",
        ],
        "printViewFollowUp" => [
            "customersToFollowUp" => "CUSTOMERS TO FOLLOW UP",
            "pointOfSale" => "Point of sale",
            "allPointsOfSale" => "All points of sale",
            "deadlineForLastVisit" => "Deadline for last visit",
            "days" => "Days",
            "customer" => "Customer",
            "lastVisitDate" => "Last visit date",
            "phoneNumber" => "Phone number",
            "email" => "Email",
            "noCustomerToFollowUpFound" => "No customer to follow up found",
        ],
        "printViewBestCustomers" => [
            "allPointsOfSale" => "All points of sale",
            "bestCustomers" => "BEST CUSTOMERS",
            "startDate" => "Start date",
            "endDate" => "End date",
            "minPurchaseSum" => "Min. purchase sum",
            "customer" => "Customer",
            "purchaseSum" => "Purchase sum",
            "phoneNumber" => "Phone number",
            "email" => "Email",
            "noBestCustomerFound" => "No best customer found",
            "pointOfSale" => "Point of sale",
        ],
        "printViewRegularCustomers" => [
            "allPointsOfSale" => "All points of sale",
            "regularCustomers" => "REGULAR CUSTOMERS",
            "pointOfSale" => "Point of sale",
            "minNumberOfVisits" => "Min. number of visits",
            "startDate" => "Start date",
            "endDate" => "End date",
            "customer" => "Customer",
            "numberOfVisits" => "Number of visits",
            "phoneNumber" => "Phone number",
            "email" => "Email",
            "noRegularCustomerFound" => "No regular customer found",
        ],
        "printViewOutOfStock" => [
            "allCategories" => "All categories",
            "outOfStockOfProducts" => "OUT OF STOCK PRODUCTS",
            "store" => "Store",
            "category" => "Category",
            "product" => "Product",
            "lastExitDate" => "Last exit date",
            "noOutOfStockProductFound" => "No out of stock product found",
        ],
        "printViewSalesByCashier" => [
            "pointsOfSale" => "Points of sale",
            "cashiers" => "Cashiers",
            "allPointsOfSale" => "All points of sale",
            "allCashiers" => "All cashiers",
            "salesPerCashier" => "SALES PER CASHIER",
            "startDate" => "Start date",
            "endDate" => "End date",
            "totals" => "Totals",
            "saleNo" => "Sale N°",
            "dateAndHour" => "Date and hour",
            "amount" => "Amount",
            "reduction" => "Reduction",
            "paidAmount" => "Paid amount",
            "salesTotal" => "Sales total",
            "paymentTotal" => "Payment total",
            "reductionTotal" => "Reduction total",
            "numberOfSales" => "Number of sales",
            "paid" => "Paid",
            "unpaid" => "Unpaid",
            "paymentInProgess" => "Payment in progress",
            "withReduction" => "With reduction",
            "summaryOfSalesPerCashier" => "Summary of sales per cashier",
            "cashier" => "Cashier",
        ],
        "printViewProductsSoldByCashier" => [
            "startDate" => "Start date",
            "endDate" => "End date",
            "pointsOfSale" => "Points of sale",
            "cashiers" => "Cashiers",
            "allPointsOfSale" => "All points of sale",
            "allCashiers" => "All cashiers",
            "productsSoldPerCashier" => "PRODUCTS SOLD PER CASHIER",
            "totals" => "Totals",
            "designation" => "Designation",
            "quantity" => "Quantity",
            "sumOfSales" => "Sum of sales",
            "summaryOfProductsSoldPerCashier" => "Summary of products sold per cashier",
            "cashier" => "Cashier",
            "buyingPrice" => "Buying price",
            "unitPrice" => "Unit price",
            "profit" => "Profit", 
        ],
        "printViewSalesByPointOfSale" => [
            "pointsOfSale" => "Points of sale",
            "allPointsOfSale" => "All points of sale",
            "allCashiers" => "All cashiers",
            "salesPerPointOfSale" => "SALES PER POINT OF SALE",
            "startDate" => "Start date",
            "endDate" => "End date",
            "totals" => "Totals",
            "saleNo" => "Sale N°",
            "dateAndHour" => "Date and hour",
            "amount" => "Amount",
            "reduction" => "Reduction",
            "paidAmount" => "Paid amount",
            "salesTotal" => "Sales total",
            "paymentTotal" => "Payment total",
            "reductionTotal" => "Reduction total",
            "numberOfSales" => "Number of sales",
            "paid" => "Paid",
            "unpaid" => "Unpaid",
            "paymentInProgess" => "Payment in progress",
            "withReduction" => "With reduction",
            "summaryOfSalesPerPointOfSale" => "Summary of sales per point of sale",
            "pointOfSale" => "Point of sale",
        ],
        "printViewProductsSoldByPointOfSale" => [
            "startDate" => "Start date",
            "endDate" => "End date",
            "pointsOfSale" => "Points of sale",
            "allPointsOfSale" => "All points of sale",
            "productsSoldPerPointOfSale" => "PRODUCTS SOLD PER POINT OF SALE",
            "totals" => "Totals",
            "designation" => "Designation",
            "quantity" => "Quantity",
            "sumOfSales" => "Sum of sales",
            "summaryOfProductsSold" => "Summary of products sold",
            "buyingPrice" => "Buying price",
            "unitPrice" => "Unit price",
            "profit" => "Profit", 
        ],
        "printViewProductSales" => [
            "startDate" => "Start date",
            "endDate" => "End date",
            "pointsOfSale" => "Points of sale",
            "allPointsOfSale" => "All points of sale",
            "categories" => "Categories",
            "allCategories" => "All categories",
            "products" => "Products",
            "allProducts" => "All products",
            "productsSold" => "PRODUCTS SOLD",
            "totals" => "Totals",
            "designation" => "Designation",
            "quantity" => "Quantity",
            "sumOfSales" => "Sum of sales",
            "summaryOfProductsSold" => "Summary of products sold",
            "buyingPrice" => "Buying price",
            "unitPrice" => "Unit price",
            "profit" => "Profit", 
        ],
        "printViewSalesByCustomer" => [
            "customer" => "Customer",
            "pointsOfSale" => "Points of sale",
            "allPointsOfSale" => "All points of sale",
            "allCashiers" => "All cashiers",
            "salesPerCustomer" => "SALES PER CUSTOMER",
            "startDate" => "Start date",
            "endDate" => "End date",
            "totals" => "Totals",
            "saleNo" => "Sale N°",
            "dateAndHour" => "Date and hour",
            "amount" => "Amount",
            "reduction" => "Reduction",
            "paidAmount" => "Paid amount",
            "salesTotal" => "Sales total",
            "paymentTotal" => "Payment total",
            "reductionTotal" => "Reduction total",
            "numberOfSales" => "Number of sales",
            "paid" => "Paid",
            "unpaid" => "Unpaid",
            "paymentInProgess" => "Payment in progress",
            "withReduction" => "With reduction",
            "summaryOfSalesPerPointOfSale" => "Summary of sales per point of sale",
            "pointOfSale" => "Point of sale",
        ],
        "printViewProductsSoldByCustomer" => [
            "customer" => "Customer",
            "startDate" => "Start date",
            "endDate" => "End date",
            "pointsOfSale" => "Points of sale",
            "allPointsOfSale" => "All points of sale",
            "productsSoldPerCustomer" => "PRODUCTS SOLD PER CUSTOMER",
            "totals" => "Totals",
            "designation" => "Designation",
            "quantity" => "Quantity",
            "sumOfSales" => "Sum of sales",
            "summaryOfProductsSold" => "Summary of products sold",
            "buyingPrice" => "Buying price",
            "unitPrice" => "Unit price",
            "profit" => "Profit", 
        ],
        "printLoyaltyCard" => [
            "loyaltyCard" => "Loyalty card",
            "loyaltyCardNumber" => "Loyalty card N°",
            "scanToKeepTrackOfPoints" => "Scan here",
            "termsAndConditions" => "Terms & Conditions",
            "pointsGatheredOnThisCardAreNonTransferrable" => "Points gathered on this card are non-transferrable",
            "pointsAreValidOnlyUntilExpirationDate" => "Points are valid only until expiration date",
            "thisCardExpiresOn" => "This card expires on",
        ],
        "printVoucher" => [
            "voucher" => "Voucher",
            "scanHere" => "Scan here",
            "termsAndConditions" => "Terms & Conditions",
            "thisVoucherCanOnlyBeUsedUntilItsExpiryDate" => "This voucher can only be used until its expiry date",
            "thisVoucherCanOnlyBeUsedOnce" => "This voucher can only be used once",
            "voucherCode" => "Voucher code",
        ],
        "noFilter" => "No filter",
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
