<?php

//Remember default language is french

class ReportFrench
{
    public static $values = [
        "printProducts" => [
            "productsAndServicesList" => "LISTE DES PRODUITS ET SERVICES",
            "productOrService" => "Produit/Service",
            "productsList" => "LISTE DES PRODUITS",
            "product" => "Produit",
            "servicesList" => "LISTE DES SERVICES",
            "service" => "Service",
            "productsInStockList" => "LISTE DES PRODUCTS EN STOCK",
            "buyingPrice" => "Prix d'achat",
            "salePrice" => "Prix de vente",
            "margin" => "Marge",
        ],
        "printStocks" => [
            "stocksList" => "LISTE DES STOCKS",
            "store" => "Magasin",
            "expirationDateAfter" => "Date d'expiration après le",
            "expirationDateBefore" => "Date d'expiration avant le",
            "allStores" => "Tous les magasins",
            "designation" => "Désignation",
            "batchNumber" => "Numéro de lot",
            "qty" => "Qté",
            "expirationDate" => "Date d'expiration",
            "initialQty" => "Qté initiale",
            "buyingPrice" => "Prix d'achat",
            "salePrice" => "Prix de vente",
            "buyingTotal" => "Total achat",
            "totals" => "Totaux",
            "saleTotal" => "Total ventes",
            "profit" => "Bénéfice",
        ],
        "printMovements" => [
            "interStoreMovementsList" => "LISTE DES MOUVEMENTS INTER-MAGASIN",
            "originStore" => "Magasin d'origine",
            "receivingStore" => "Magasin de réception",
            "allStores" => "Tous les magasins",
            "dateAfter" => "Date après le",
            "dateBefore" => "Date avant le",
            "number" => "Numéro",
            "entryDate" => "Date de saisie",
            "movementDate" => "Date du mouvement",
            "status" => "Statut",
            "validated" => "Validé",
            "notValidated" => "Non validé",
        ],
        "printMovement" => [
            "interStoreSheetNumber" => "FICHE D'INTER-MAGASIN N°",
            "originStore" => "Magasin d'origine",
            "receivingStore" => "Magasin de réception",
            "date" => "Date",
            "designation" => "Désignation",
            "batchNumber" => "Numéro de lot",
            "sellingPrice" => "Prix de vente",
            "quantity" => "Quantité",
            "total" => "Total",
            "storekeeperSignature" => "Signature magasinier",
            "carrierSignature" => "Signature transporteur",
        ],
        "printCumulativeStocks" => [
            "cumulativeStocksList" => "LISTE DES STOCKS CUMULES",
            "store" => "Magasin",
            "date" => "Date",
            "productNameContaining" => "Nom du produit contenant",
            "allStores" => "Tous les magasins",
            "designation" => "Désignation",
            "quantity" => "Quantité",
            "buyingPrice" => "Prix d'achat",
            "salePrice" => "Prix de vente",
            "buyingTotal" => "Total achat",
            "totals" => "Totaux",
        ],
        "printTransformations" => [
            "transformationsList" => "LISTE DES TRANSFORMATIONS",
            "allStores" => "Tous les magasins",
            "store" => "Magasin",
            "dateAfter" => "Date après le",
            "dateBefore" => "Date avant le",
            "number" => "Numéro",
            "productObtained" => "Produit obtenu",
            "qty" => "Qté",
            "transformationDate" => "Date de transformation",
            "buyingPrice" => "Prix d'achat",
            "sellingPrice" => "Prix de vente",
            "status" => "Statut",
            "validated" => "Validée",
            "notValidated" => "Non validée",
        ],
        "printTransformation" => [
            "transformationSheetNumber" => "FICHE DE TRANSFORMATION N°",
            "store" => "Magasin",
            "date" => "Date",
            "productObtained" => "Produit obtenu",
            "quantity" => "Quantité",
            "sellingPrice" => "Prix de vente",
            "buyingPrice" => "Prix d'achat",
            "expirationDate" => "Date de péremption",
            "product" => "Produit",
            "batchNumber" => "Numéro de lot",
        ],
        "printAtThresholdItems" => [
            "itemsAtThresholdList" => "LISTE DES PRODUITS AU SEUIL",
            "allStores" => "Tous les magasins",
            "productNameContaining" => "Nom du produit contenant",
            "batchNumberContaining" => "N° Lot contenant",
            "store" => "Magasin",
            "product" => "Produit",
            "batchNumber" => "Numéro de lot",
            "quantity" => "Quantité",
        ],
        "printExpiredItems" => [
            "expiredItemsList" => "LISTE DES PRODUITS PERIMES",
            "allStores" => "Tous les magasins",
            "productNameContaining" => "Nom du produit contenant",
            "batchNumberContaining" => "N° Lot contenant",
            "store" => "Magasin",
            "product" => "Produit",
            "batchNumber" => "Numéro de lot",
            "expirationDate" => "Date de péremption",
            "quantity" => "Quantité",
        ],
        "printSoonToExpireItems" => [
            "soonToExpiredItemsList" => "LISTE PRODUITS BIENTOT PERIMES",
            "allStores" => "Tous les magasins",
            "productNameContaining" => "Nom du produit contenant",
            "batchNumberContaining" => "N° Lot contenant",
            "store" => "Magasin",
            "product" => "Produit",
            "batchNumber" => "Numéro de lot",
            "expirationDate" => "Date de péremption",
            "quantity" => "Quantité",
        ],
        "printOrders" => [
            "ordersList" => "LISTE DES COMMANDES",
            "allSuppliers" => "Tous les fournisseurs",
            "supplier" => "Fournisseur",
            "dateAfter" => "Date après le",
            "dateBefore" => "Date avant le",
            "number" => "Numéro",
            "orderDate" => "Date de commande",
            "entryDate" => "Date de saisie",
            "total" => "Total",
            "status" => "Statut",
            "validated" => "Validée",
            "notValidated" => "Non validée",
            "wishedDeliveryDate" => "Date de livraison souhaitée",
        ],
        "printOrder" => [
            "orderSheetNumber" => "FICHE DE COMMANDE N°",
            "addressedTo" => "Adressée à",
            "date" => "Date",
            "designation" => "Désignation",
            "quantity" => "Quantité",
            "unitP" => "Prix U.",
            "total" => "Total",
            "wishedDeliveryDate" => "Date de livraison souhaitée",
        ],
        "printReceptions" => [
            "receptionsList" => "LISTE DES RECEPTIONS",
            "allStores" => "Tous les magasins",
            "store" => "Magasin",
            "allSuppliers" => "Tous les fournisseurs",
            "supplier" => "Fournisseur",
            "dateAfter" => "Date après le",
            "dateBefore" => "Date avant le",
            "number" => "Numéro",
            "entryDate" => "Date de saisie",
            "receivingDate" => "Date de réception",
            "deliveryNoteNumber" => "N° Bordereau de livraison",
            "status" => "Statut",
            "validated" => "Validée",
            "notValidated" => "Non validée",
        ],
        "printReception" => [
            "receivedFrom" => "Reçu de",
            "receiptSheetNumber" => "BON DE RECEPTION N°",
            "originalOrderNumber" => "COMMANDE D'ORIGINE N°",
            "date" => "Date",
            "designation" => "Désignation",
            "quantity" => "Quantité",
            "buyingPrice" => "Prix d'achat",
            "sellingPrice" => "Prix de vente",
            "maxReductionPercent" => "% Max red.",
            "batchNumber" => "Numéro de lot",
            "expirationDate" => "Date de péremption",
            "total" => "Total",
            "storekeeperSignature" => "Signature magasinier",
            "carrierSignature" => "Signature transporteur",
        ],
        "printViewStocks" => [
            "stocksReport" => "RAPPORT DES STOCKS",
            "store" => "Magasin",
            "allStores" => "Tous les magasins",
            "productNameContaining" => "Nom du produit contenant",
            "batchNumberContaining" => "N° de lot contenant",
            "expirationDateAfter" => "Date d'expiration après le",
            "expirationDateBefore" => "Date d'expiration avant le",
            "designation" => "Désignation",
            "batchNumber" => "Numéro de lot",
            "qty" => "Qté",
            "expirationDate" => "Date d'expiration",
            "initialQty" => "Qté initiale",
            "buyingPrice" => "Prix d'achat",
            "salePrice" => "Prix de vente",
            "buyingTotal" => "Total achat",
            "saleTotal" => "Total ventes",
            "profit" => "Bénéfice",
            "totals" => "Totaux",
        ],
        "printViewCumulativeStocks" => [
            "cumulativeStocksReport" => "RAPPORT DES STOCKS CUMULES",
            "store" => "Magasin",
            "date" => "Date",
            "productNameContaining" => "Nom du produit contenant",
            "allStores" => "Tous les magasins",
            "designation" => "Désignation",
            "quantity" => "Quantité",
            "buyingPrice" => "Prix d'achat",
            "salePrice" => "Prix de vente",
            "buyingTotal" => "Total achat",
            "totals" => "Totaux",
        ],
        "printViewProducts" => [
            "productsAndServicesReport" => "RAPPORT DES PRODUITS ET SERVICES",
            "productsReport" => "RAPPORT DES PRODUITS",
            "designation" => "Désignation",
            "servicesReport" => "RAPPORT DES SERVICES",
            "service" => "Service",
            "productsInStockList" => "LISTE DES PRODUCTS EN STOCK",
            "buyingPrice" => "Prix d'achat",
            "salePrice" => "Prix de vente",
            "category" => "Catégorie",
            "designationContaining" => "Désignation contenant",
            "referenceContaining" => "Référence contenant",
            "margin" => "Marge",
        ],
        "printViewOrders" => [
            "ordersReport" => "RAPPORT DES COMMANDES",
            "allSuppliers" => "Tous les fournisseurs",
            "supplier" => "Fournisseur",
            "dateAfter" => "Date après le",
            "dateBefore" => "Date avant le",
            "number" => "Numéro",
            "orderDate" => "Date de commande",
            "entryDate" => "Date de saisie",
            "total" => "Total",
            "status" => "Statut",
            "validated" => "Validée",
            "notValidated" => "Non validée",
            "wishedDeliveryDate" => "Date de livraison souhaitée",
        ],
        "printViewReceptions" => [
            "receptionsReport" => "RAPPORT DES RECEPTIONS",
            "allStores" => "Tous les magasins",
            "store" => "Magasin",
            "allSuppliers" => "Tous les fournisseurs",
            "supplier" => "Fournisseur",
            "dateAfter" => "Date après le",
            "dateBefore" => "Date avant le",
            "number" => "Numéro",
            "entryDate" => "Date de saisie",
            "receivingDate" => "Date de réception",
            "deliveryNoteNumber" => "N° Bordereau de livraison",
            "status" => "Statut",
            "validated" => "Validée",
            "notValidated" => "Non validée",
        ],
        "printViewExpiredItems" => [
            "expiredItemsReport" => "RAPPORT DES PRODUITS PERIMES",
            "allStores" => "Tous les magasins",
            "productNameContaining" => "Nom du produit contenant",
            "batchNumberContaining" => "N° Lot contenant",
            "store" => "Magasin",
            "product" => "Produit",
            "batchNumber" => "Numéro de lot",
            "expirationDate" => "Date de péremption",
            "quantity" => "Quantité",
        ],
        "printViewSoonToExpireItems" => [
            "soonToExpiredItemsReport" => "RAPPORT DES PRODUITS BIENTOT PERIMES",
            "allStores" => "Tous les magasins",
            "productNameContaining" => "Nom du produit contenant",
            "batchNumberContaining" => "N° Lot contenant",
            "store" => "Magasin",
            "product" => "Produit",
            "batchNumber" => "Numéro de lot",
            "expirationDate" => "Date de péremption",
            "quantity" => "Quantité",
        ],
        "printViewItemsToOrder" => [
            "itemsToOrderReport" => "RAPPORT DES PRODUITS A COMMANDER",
            "allStores" => "Tous les magasins",
            "productNameContaining" => "Nom du produit contenant",
            "batchNumberContaining" => "N° Lot contenant",
            "store" => "Magasin",
            "product" => "Produit",
            "batchNumber" => "Numéro de lot",
            "quantity" => "Quantité",
        ],
        "printExceptionalOutings" => [
            "exceptionalOutingsList" => "LISTE DES SORTIES EXCEPTIONNELLES",
            "allStores" => "Tous les magasins",
            "allTypes" => "Tous les types",
            "store" => "Magasin",
            "type" => "Type",
            "dateAfter" => "Date après le",
            "dateBefore" => "Date avant le",
            "number" => "Numéro",
            "entryDate" => "Date de saisie",
            "outingDate" => "Date de sortie",
            "user" => "Utilisateur",
            "status" => "Statut",
            "validated" => "Validée",
            "notValidated" => "Non validée",
        ],
        "printExceptionalOuting" => [
            "exceptionalOutingSheetNumber" => "FICHE DE SORTIE EXCEPTIONNELLE N°",
            "store" => "Magasin",
            "type" => "Type",
            "date" => "Date",
            "product" => "Produit",
            "batchNumber" => "Numéro de lot",
            "sellingPrice" => "Prix de vente",
            "quantity" => "Quantité",
            "total" => "Total",
        ],
        "printViewExceptionalOutings" => [
            "exceptionalOutingsReport" => "RAPPORT DES SORTIES EXCEPTIONNELLES",
            "allStores" => "Tous les magasins",
            "allTypes" => "Tous les types",
            "store" => "Magasin",
            "type" => "Type",
            "dateAfter" => "Date après le",
            "dateBefore" => "Date avant le",
            "number" => "Numéro",
            "entryDate" => "Date de saisie",
            "outingDate" => "Date de sortie",
            "user" => "Utilisateur",
            "status" => "Statut",
            "validated" => "Validée",
            "notValidated" => "Non validée",
        ],
        "printViewProductPath" => [
            "movementHistoryOfArticle" => "HISTORIQUE DE MOUVEMENT DE L'ARTICLE",
            "saleCompleted" => "Vente réalisée, N°",
            "exitOf" => "Sortie de",
            "entryOf" => "Entrée de",
            "pieces" => "Pièce(s)",
            "withAMotive" => "avec pour motif",
            "quantityAtTheEveningOf" => "Quantité au soir du",
            "detailsOfProductMovements" => "Le détail des mouvements du produit",
            "noMovementFound" => "Aucun mouvement trouvé",
            "store" => "Magasin",
            "dateAfter" => "Date après le",
            "dateBefore" => "Date avant le",
        ],
        "printViewStockSituation" => [
            "stockSituationReport" => "RAPPORT DE LA SITUATION DE STOCK",
            "store" => "Magasin",
            "dateAfter" => "Date après le",
            "dateBefore" => "Date avant le",
            "category" => "Catégorie",
            "product" => "Produit",
            "allCategories" => "Toutes les catégories",
            "allProducts" => "Tous les produits",
            "quantityOnTheEveOf" => "Quantité à la veille du",
            "quantityAtTheEveningOf" => "Quantité au soir du",
            "quantityEnteredOverThePeriod" => "Quantité entrée sur la période",
            "quantityIssuedOverThePeriod" => "Quantité sortie sur la période",
            "noStockSituationFound" => "Aucune situation de stock trouvée",
        ],
        "printPayslip" => [
            "payslip" => "BULLETIN DE PAIE",
            "month" => "Mois",
            "employee" => "Employé",
            "payrollSection" => "Rubrique de paie",
            "positive" => "Positive",
            "negative" => "Négative",
            "total" => "Total",
            "salaryOf" => "Salaire de",
        ],
        "printBarCode" => [
            "barCodeOf" => "Code barre de",
        ],
        "printBatchNumber" => [
            "batchNumber" => "Numéro de lot",
        ],
        "printViewFollowUp" => [
            "customersToFollowUp" => "CLIENTS A RELANCER",
            "pointOfSale" => "Point de vente",
            "allPointsOfSale" => "Tous les points de vente",
            "deadlineForLastVisit" => "Limite dernière visite",
            "days" => "Jours",
            "customer" => "Client",
            "lastVisitDate" => "Date de dernière visite",
            "phoneNumber" => "Numéro de téléphone",
            "email" => "E-mail",
            "noCustomerToFollowUpFound" => "Aucun client à relancer trouvé",
        ],
        "printViewBestCustomers" => [
            "allPointsOfSale" => "Tous les points de vente",
            "bestCustomers" => "MEILLEURS CLIENTS",
            "startDate" => "Date de début",
            "endDate" => "Date de fin",
            "minPurchaseSum" => "Somme min. achats",
            "customer" => "Client",
            "purchaseSum" => "Somme achats",
            "phoneNumber" => "Numéro de téléphone",
            "email" => "E-mail",
            "noBestCustomerFound" => "Aucun meilleur client trouvé",
            "pointOfSale" => "Point de vente",
        ],
        "printViewRegularCustomers" => [
            "allPointsOfSale" => "Tous les points de vente",
            "regularCustomers" => "CLIENTS REGULIERS",
            "pointOfSale" => "Point de vente",
            "minNumberOfVisits" => "Nombre min. de visites",
            "startDate" => "Date de début",
            "endDate" => "Date de fin",
            "customer" => "Client",
            "numberOfVisits" => "Nombre de visites",
            "phoneNumber" => "Numéro de téléphone",
            "email" => "E-mail",
            "noRegularCustomerFound" => "Aucun client régulier trouvé",
        ],
        "printViewOutOfStock" => [
            "allCategories" => "Toutes les catégories",
            "outOfStockOfProducts" => "PRODUITS EN RUPTURE",
            "store" => "Magasin",
            "category" => "Catégorie",
            "product" => "Produit",
            "lastExitDate" => "Dernière date de sortie",
            "noOutOfStockProductFound" => "Aucun produit en rupture de stock trouvé",
        ],
        "printViewSalesByCashier" => [
            "pointsOfSale" => "Points de vente",
            "cashiers" => "Caissiers",
            "allPointsOfSale" => "Tous les points de vente",
            "allCashiers" => "Tous les caissiers",
            "salesPerCashier" => "VENTES PAR CAISSIER",
            "startDate" => "Date de début",
            "endDate" => "Date de fin",
            "totals" => "Totaux",
            "saleNo" => "N° Facture",
            "dateAndHour" => "Date et heure",
            "amount" => "Montant",
            "reduction" => "Réduction",
            "paidAmount" => "Montant réglé",
            "salesTotal" => "Total ventes",
            "paymentTotal" => "Total paiements",
            "reductionTotal" => "Total réductions",
            "numberOfSales" => "Nombre de ventes",
            "paid" => "Réglées",
            "unpaid" => "Non réglées",
            "paymentInProgess" => "Paiement en cours",
            "withReduction" => "Avec réduction",
            "summaryOfSalesPerCashier" => "Récapitulatif des ventes par caissier",
            "cashier" => "Caissier",
        ],
        "printViewProductsSoldByCashier" => [
            "startDate" => "Date de début",
            "endDate" => "Date de fin",
            "pointsOfSale" => "Points de vente",
            "cashiers" => "Caissiers",
            "allPointsOfSale" => "Tous les points de vente",
            "allCashiers" => "Tous les caissiers",
            "productsSoldPerCashier" => "PRODUITS VENDUS PAR CAISSIER",
            "totals" => "Totaux",
            "designation" => "Désignation",
            "quantity" => "Quantité",
            "sumOfSales" => "Somme des ventes",
            "summaryOfProductsSoldPerCashier" => "Récapitulatif des produits vendus par caissier",
            "cashier" => "Caissier",
            "buyingPrice" => "Prix d'achat",
            "unitPrice" => "Prix unitaire",
            "profit" => "Bénéfice",
        ],
        "printViewSalesByPointOfSale" => [
            "pointsOfSale" => "Points de vente",
            "allPointsOfSale" => "Tous les points de vente",
            "allCashiers" => "Tous les caissiers",
            "salesPerPointOfSale" => "VENTES PAR POINT DE VENTE",
            "startDate" => "Date de début",
            "endDate" => "Date de fin",
            "totals" => "Totaux",
            "saleNo" => "N° Facture",
            "dateAndHour" => "Date et heure",
            "amount" => "Montant",
            "reduction" => "Réduction",
            "paidAmount" => "Montant réglé",
            "salesTotal" => "Total ventes",
            "paymentTotal" => "Total paiements",
            "reductionTotal" => "Total réductions",
            "numberOfSales" => "Nombre de ventes",
            "paid" => "Réglées",
            "unpaid" => "Non réglées",
            "paymentInProgess" => "Paiement en cours",
            "withReduction" => "Avec réduction",
            "summaryOfSalesPerCashier" => "Récapitulatif des ventes par point de vente",
            "pointOfSale" => "Point de vente",
        ],
        "printViewProductsSoldByPointOfSale" => [
            "startDate" => "Date de début",
            "endDate" => "Date de fin",
            "pointsOfSale" => "Points de vente",
            "cashiers" => "Caissiers",
            "allPointsOfSale" => "Tous les points de vente",
            "productsSoldPerPointOfSale" => "PRODUITS VENDUS PAR POINT DE VENTE",
            "totals" => "Totaux",
            "designation" => "Désignation",
            "quantity" => "Quantité",
            "sumOfSales" => "Somme des ventes",
            "summaryOfProductsSold" => "Récapitulatif des produits vendus",
            "buyingPrice" => "Prix d'achat",
            "unitPrice" => "Prix unitaire",
            "profit" => "Bénéfice",
        ],
        "printViewProductSales" => [
            "startDate" => "Date de début",
            "endDate" => "Date de fin",
            "pointsOfSale" => "Points de vente",
            "cashiers" => "Caissiers",
            "allPointsOfSale" => "Tous les points de vente",
            "categories" => "Catégories",
            "allCategories" => "Toutes les catégories",
            "products" => "Produits",
            "allProducts" => "Tous les produits",
            "productsSold" => "PRODUITS VENDUS",
            "totals" => "Totaux",
            "designation" => "Désignation",
            "quantity" => "Quantité",
            "sumOfSales" => "Somme des ventes",
            "summaryOfProductsSold" => "Récapitulatif des produits vendus",
            "buyingPrice" => "Prix d'achat",
            "unitPrice" => "Prix unitaire",
            "profit" => "Bénéfice",
        ],
        "printViewSalesByCustomer" => [
            "customer" => "Client",
            "pointsOfSale" => "Points de vente",
            "allPointsOfSale" => "Tous les points de vente",
            "allCashiers" => "Tous les caissiers",
            "salesPerCustomer" => "VENTES PAR CLIENT",
            "startDate" => "Date de début",
            "endDate" => "Date de fin",
            "totals" => "Totaux",
            "saleNo" => "N° Facture",
            "dateAndHour" => "Date et heure",
            "amount" => "Montant",
            "reduction" => "Réduction",
            "paidAmount" => "Montant réglé",
            "salesTotal" => "Total ventes",
            "paymentTotal" => "Total paiements",
            "reductionTotal" => "Total réductions",
            "numberOfSales" => "Nombre de ventes",
            "paid" => "Réglées",
            "unpaid" => "Non réglées",
            "paymentInProgess" => "Paiement en cours",
            "withReduction" => "Avec réduction",
            "summaryOfSalesPerCashier" => "Récapitulatif des ventes par point de vente",
            "pointOfSale" => "Point de vente",
        ],
        "printViewProductsSoldByCustomer" => [
            "customer" => "Client",
            "startDate" => "Date de début",
            "endDate" => "Date de fin",
            "pointsOfSale" => "Points de vente",
            "cashiers" => "Caissiers",
            "allPointsOfSale" => "Tous les points de vente",
            "productsSoldPerCustomer" => "PRODUITS VENDUS PAR CLIENT",
            "totals" => "Totaux",
            "designation" => "Désignation",
            "quantity" => "Quantité",
            "sumOfSales" => "Somme des ventes",
            "summaryOfProductsSold" => "Récapitulatif des produits vendus",
            "buyingPrice" => "Prix d'achat",
            "unitPrice" => "Prix unitaire",
            "profit" => "Bénéfice",
        ],
        "printLoyaltyCard" => [
            "loyaltyCard" => "Carte de fidelité",
            "loyaltyCardNumber" => "Carte de fidelité N°",
            "scanToKeepTrackOfPoints" => "Scanner ici",
            "termsAndConditions" => "Termes & Conditions",
            "pointsGatheredOnThisCardAreNonTransferrable" => "Les points accumulés sur cette carte ne sont pas transférables",
            "pointsAreValidOnlyUntilExpirationDate" => "Les points ne sont valables que jusqu'à la date d'expiration",
            "thisCardExpiresOn" => "Cette carte expire le",
        ],
        "printVoucher" => [
            "voucher" => "Bon d'achat",
            "scanHere" => "Scanner ici",
            "termsAndConditions" => "Termes & Conditions",
            "thisVoucherCanOnlyBeUsedUntilItsExpiryDate" => "Ce bon d'achat n'est utilisable que jusqu'à sa date d'expiration",
            "thisVoucherCanOnlyBeUsedOnce" => "Ce bon d'achat n'est utilisable qu'une seule fois",
            "voucherCode" => "Code bon d'achat",
        ],
        "noFilter" => "Aucun filtre",
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
