<?php

//Remember default language is french

class SaleEnglish
{

    public static $values = [
        "sell" => [
            "catalog" => "Product Catalog",
            "content" => "Content of sell",
            "information" => "Information on sell",
            "productSearch" => "Product search",
            "quantityInStock" => "Quantity in stock", 
            "add" => "Add", 
            "xaf" => "Xaf", 
            "noProductFound" => "No product found", 
            "product" => "Product",
            "quantity" => "Quantity",
            "total" => "Total",
            "action" => "Action",
            "pleaseSelectProducts"=> "Please select products",
            "selected" => "Selected",
            "unitPrice" => "Unit price",
            "payment" => "Payment",
            "save" => "Save",
            "onHold" => "On hold",
            "invoice" => "Invoice",
            "inReservation" => "In reservation",
            "consult" => "Consult",
            "saleLog" => "sale Log",
            "pendingInvoices" => "Pending invoices",
            "pendingInvoice" => "Pending invoice",
            "serviceProvider" => "Service provider",
            "chooseServiceProvider" => "Choose service provider",
            "customerType" => "Customer type",
            "tva" => "VAT",
            "ir" => "IT",
            "cashCustomer" => "Cash customer",
            "accountCustomer" => "Account customer",
            "customerName" => "Customer name",
            "location" => "Location",
            "group" => "Group",
            "none" => "None",
            "noProvider" => "No provider",
            "cancelCurrentInvoice" => "Cancel current invoice",
            "saveCurrentInvoice" => "Save current invoice",
            "payCurrentInvoice" => "Pay current invoice",
            "addToCart" => "Add to cart",
            "consultSalesLog" => "Consult sales log",
            "viewPendingInvoices" => "View pending invoices",
            "decreaseQuantity" => "Decrease the quantity",
            "increaseQuantity" => "increase the quantity",
            "removeFromCart" => "Remove from cart",
            "choose" => "Choose",
            "customer" => "Customer",
            "addCustomer" => "Add customer",
            "clearCustomer"=> "Clear customer",
            "cancellation" => "Cancellation",
            "doYouConfirmCancellationOfCurrentInvoice" => "Do you confirm cancellation of the current bill",
            "unsavedInformationMayBeLost" => "unsaved information may be lost",
            "billPayment"  => "Bill payment",
            "orderDetailReminder" => "order detail reminder",
            "price" => "Price",
            "paymentMethod" => "Payment method",
            "amount" => "Amount",
            "reference" => "Reference",
            "cancel" => "Cancel",
            "validate" => "Validate",
            "cancelThisPaymentMethod" => "Cancel this payment",
            "validateThisPaymentMethod" => "Validate this payment",
            "finish" => "Finish",
            "inPromotion" => "In promotion",
            "amountPaid" => "Amount paid",
            "amountToRefund" => "Amount to Refund",
            "pleaseChoosePaymentMethod" => "Please choose payment method",
            "receiptConfirmation" =>  "Receipt Confirmation",
            "doYouConfirmTheCollectionOfAnAmountOf" => "Do you confirm the collection of an amount of",
            "pleaseEnterTheAmountPaid" => "Please enter the amount paid",
            "refundedAmount" => "Refunded amount",
            "poBox" => "PO Box",
            "email" => "Email",
            "webSite" => "Web site",
            "phone" => "Phone",
            "taxpayerNumber" => "Tax pay. num.",
            "commercialRegisterNumber" => "Com. Reg. Num.",
            "invoiceNumber" => "Invoice number",
            "date" => "Date",
            "pointOfSale" => "Point of sale",
            "currentInvoiceAlreadyValidatedAndCannotBeModified" => "the current invoice is already validated and cannot be modified",
            "unknownUser" => "unknown user",
            "netToBuy" => "Net to buy",
            "amountExclTax" => "Amount Ex. Tax",
            "vat" => "VAT",
            "it" => "IT",
            "noOpenCheckoutSession" => "No open checkout session",
            "unknowUserOrPointOfSale" => "Unknow user or point of fale",
            "pleaseChooseAPointOfSale" => "Please choose a point of sale",
            "noPointOfSaleSelected" => "No point of sale selected",
            "severalCheckoutSessionAreOpen" => "Several checkout session are open",
            "openAt" => "Open at",
            "openNewSession" => "Open a new session",
            "reOpenCashSession" => "Re-open Cash session",
            "openNewCashSession" => "Open new Cash session",
            "totalInvoiceReceipts" => "Total invoice receipts",
            "sessionOpenedOn" => "Session opened on",
            "pleaseClickToOpenANewCashSession" => "Please click to open a new cash session",
            "cashoutSessionTotal" => "Cashout session total",
            "yourAreNotAllowToOpenCashSession" => "Your are not allow to open cash session",
            "aCashoutSessionIsAlreadyOpen" => "A cashout session is already open",
            "closeCashoutSession"  => "Close cashout session",
            "noProductInBasket" => "No product in basket",
            "pleaseChooseLocationOfCustomer" => "Please choose the location of customer",
            "pleaseChooseServiceProvider" => "Please choose the service provider",
            "pleaseChooseGroupOfCustomer" => "Please choose the group of customer",
            "yourCheckoutSessionIsTemporarilyClosed" => "Your checkout session is temporarily closed",
            "reOpenCheckoutSession" => "Re-open cashoutsession",
            "reOpen" => "Re-open",
            "incorrectPassword"  => "Incorrect password",
            "closeCheckoutSession" => "Close checkout session",
            "lockCheckoutSession"=> "Lock checkout session",
            "unknowCheckoutSession" => "Unknow checkout session",
            "closeCheckoutSessionConfirmation" => "Close checkout session confirmation",
            "doYouConfirmTheClosingOfTheCheckoutSession" => "Do you confirm the closing of the checkout session",
            "thisOperationIsIrreversible" => "This operation is irreversible",
            "noCheckoutSessionOpened" => "No checkout session opened",
            "chooseCashier" => "Choose a cashier",
            "cashier" => "Cashier",
            "currentInvoiceIsAlreadyBeingPaidAndCannotBeModified"=>"Current invoice is already being paid and cannot be modified",
            "unknowPointOfSale" => "Unknow point of sale",
            "insufficientStock" => "Insufficient stock",
            "unknowPaymentMode" => "Unknow payment mode",
            "noCashSessionAvailable" => "No cash session available",
            "orderRegisteredSuccessfully" => "Order registered successfully",
            "unknowCashSession" => "Unknow cash session",
            "theCashoutSessionIsNotAvailable" => "The cashout session is not available",
            "noCashierAvailableAtTheMoment" => "No cashier available at the moment",
            "lock" => "Lock",
            "unknowCashoutSession" => "Unknow cashout session",
            "pending_s_Invoices" => "Pending invoice(s)",
            "payGroupInvoices" => "Pay group invoices",
            "unknowInvoice" => "Unknow invoice",
            "payInvoice" => "Pay invoice",
            "printInvoice" => "Print invoice",
            "designation" => "Designation",
            "qty" => "Qty",
            "up" => "U.P.",
            "tp" => "T.P.",
            "red" => "Disc",
            "uin" => "UIN",
            "regCom" => "Com. Reg.",
            "customerNum" => "Num. Client",
            "invoiceTotal" => "Invoice total",
            "discountAmount" => "Discount amount",
            "preTaxAmount" => "Pre-tax amount",
            "itAmount" => "It amount",
            "vatAmount" => "Vat amount",
            "includingTaxAmount" => "Including tax amount",
            "numberOfproducts" => "Number of products",
            "invoiceAmount" => "Invoice amount",
            "discount" => "Discount",
            "totalToPay" => "Total to pay",
            "paidAmount" => "Paid amount",
            "toRepay" => "To repay",
            "upReduction" => "U.P. Reduction",
            "invoiceRegisteredSuccessfully" => "Invoice registered successfully",
            "invoicePayment" => "Invoice Payment",
            "salesLog" => "Sales log",
            "salesSessionLog" => "Sales Session log",
            "cashSessionNumber" => "Cash session Number",
            "beginDate" => "Begin date",
            "endDate" => "End date",
            "salesSummary" => "Sales summary",
            "exceptionalCheckInOut" => "Exceptional check In/Out",
            "enteredAmount" => "Entered amount",
            "takenOutAmount" => "Taken out amount",
            "raison" => "Raison",
            "sales" => "Sales",
            "cashTotal" => "Cash Total",
            "print" => "Print",
            "productsSold" => "Products sold",
            "number" => "Number",
            "invoicesRegistered" => "Invoices registered",
            "noPendingInvoices" => "No pending invoices",
            "repay" => "Repay",
            "paid" => "Paid",
            "noInvoiceForMoment" => "No invoice for moment",
            "summaryTotals" => "Summary Totals",
            "totalPointOfSale" => "Total point of sale",
            "totalCategory" => "Total category",
            "sessionSummary" =>"Session summary",
            "grandTotal" => "Grand Total"
        ]
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}