<?php

//Remember default language is french

class SettingFrench
{
    public static $values = [
        "index" => [
            "applicationThemeConfiguration" => "Configuration du thème de l'application",
            "productivityEnhancingColorConfiguration" => "Configuration des couleurs améliorant la productivité",
            "billingItemsConfiguration" => "Configuration des éléments de facturation",
            "businessInformationConfiguration" => "Configuration des informations sur la structure",
            "smsAndEmailConfiguration" => "Configuration SMS et e-mail",
            "otherConfigurations" => "Autres configurations",
            "applicationThemeNoticeHeader" => "Trois couleurs constituent de thème de Crescita, elles sont combinées pour l'affichage des éléments",
            "applicationThemeNoticeMessage1" => "Attention à la combinaison couleurs que vous choisissez, assurez-vous qu'elles ne vous gênent pas visuellement",
            "applicationThemeNoticeMessage2" => "En cas de mauvais choix ou pas satisfaisant souvenez-vous que vous pouvez revenir au thème par défaut",
            "primaryColor" => "Couleur primaire",
            "secondaryColor" => "Couleur secondaire",
            "tertiaryColor" => "Couleur tertiaire",
            "defaultValues" => "Valeurs par défaut",
            "clickToSelectColor" => "Cliquer pour sélectionner la couleur",
            "applicationThemeUpdatedSuccessfully" => "Thème de l'application mis à jour avec succès",
            "businessInformationNoticeHeader" => "Toutes les informations relatives à votre business se configurent ici, cela va du nom de votre struture jusqu'à votre boîte postale",
            "businessName" => "Nom de la structure",
            "businessLogo" => "Logo de la structure",
            "businessEmail" => "E-mail de la structure",
            "businessWebsite" => "Site web de la structure",
            "businessPhoneNumber" => "Numéro de téléphone de la structure",
            "businessPoBox" => "Boîte postale de la structure",
            "businessActivitySector" => "Secteur d'activité",
            "food" => "Alimentation",
            "readyToWear" => "Prêt à porter",
            "beautyInstitute" => "Institut de beauté",
            "pleaseFillBusinessNameField" => "Veuillez remplir le champ nom de la structure",
            "pleaseFillBusinessEmailField" => "Veuillez remplir le champ e-mail de la structure",
            "pleaseFillBusinessWebsiteField" => "Veuillez remplir le champ site web de la structure",
            "pleaseFillBusinessPhoneNumberField" => "Veuillez remplir le champ numéro de téléphone de la structure",
            "pleaseFillBusinessPoBoxField" => "Veuillez remplir le champ boîte postale de la structure",
            "businessInformationUpdatedSuccessfully" => "Informations sur la structure mises à jour avec succès",
            "productivityEnhancingColorNoticeHeader" => "Les couleurs configurées ici vous permettent de répérer facilement des éléments sur les divers tableaux du logiciel, les dits éléments auront la couleur en arrière plan de la ligne du tableau",
            "colorForPaidInvoices" => "Couleur pour les factures réglées",
            "colorForInPaymentInvoices" => "Couleur pour les factures en cours de paiement",
            "colorForUnpaidInvoices" => "Couleur pour les factures non réglées",
            "colorForSoonToExpireProducts" => "Couleur pour les produits bientôt périmés",
            "colorForExpiredProducts" => "Couleur pour les produits périmés",
            "colorForProductsAtTheStockThreshold" => "Couleur pour les produits au seuil de stock",
            "colorForOutOfStockProducts" => "Couleur pour les produits en rupture de stock",
            "productivityEnhancingColorsUpdatedSuccessfully" => "Couleurs améliorant la productivité mises à jour avec succès",
            "billingItemsNoticeHeader" => "Type de facturation, format d'impression, élements sur les tickets de vente et autres se configurent ici",
            "phraseAtTheBottomOfSalesTickets" => "Phrase au bas des tickets de vente",
            "showOnTheInvoice" => "Afficher sur la facture",
            "businessNameOnly" => "Le nom de la structure uniquement",
            "businessLogoOnly" => "Le logo de la structure uniquement",
            "printFormat" => "Format d'impression",
            "a5Print" => "Impression A5",
            "ticketPrint" => "Impression ticket",
            "a4Print" => "Impression A4",
            "printOrientation" => "Orientation d'impression",
            "portraitPrint" => "Impression portrait",
            "landscapePrint" => "Impression paysage",
            "typeOfBilling" => "Type de facturation",
            "billingOnStock" => "Facturation sur stock",
            "billingOnCatalog" => "Facturation sur catalogue",
            "considerVAT" => "Considérer la TVA",
            "VATPercent" => "Pourcentage TVA",
            "considerIncomeTax" => "Considérer l'impôt sur le revenu",
            "incomeTaxPercent" => "Pourcentage de l'impôt sur le revenu",
            "pleaseFillVATPercentField" => "Veuillez remplir le champ pourcentage TVA",
            "pleaseEnterAValidVATPercentage" => "Veuillez entrer un pourcentage de TVA valide",
            "pleaseFillITPercentField" => "Veuillez remplir le champ pourcentage de l'impôt sur le revenu",
            "pleaseEnterAValidITPercentage" => "Veuillez entrer un pourcentage de l'impôt sur le venu valide",
            "billingItemsUpdatedSuccessfully" => "Eléments de facturation mis à jour avec succès",
            "smsSettings" => "Paramètres SMS",
            "emailSettings" => "Paramètres e-mail",
            "smsLogin" => "Login SMS",
            "smsPassword" => "Mot de passe SMS",
            "smsUserId" => "ID utilisateur SMS",
            "smsServer" => "Serveur SMS",
            "emailLogin" => "Login e-mail",
            "emailPassword" => "Mot de passe e-mail",
            "emailDomainName" => "Nom de domaine e-mail",
            "emailPort" => "Port e-mail",
            "insertLogoInEmails" => "Insérer le logo dans les e-mails",
            "pleaseFillSmsLoginField" => "Veuillez remplir le champ login SMS",
            "pleaseFillSmsPasswordField" => "Veuillez remplir le champ Mot de passe SMS",
            "pleaseFillSmsUserIDField" => "Veuillez remplir le champ ID utilisateur SMS",
            "pleaseFillSmsServerField" => "Veuillez remplir le champ serveur SMS",
            "pleaseFillEmailLoginField" => "Veuillez remplir le champ login e-mail",
            "pleaseFillEmailPasswordField" => "Veuillez remplir le champ mot de passe e-mail",
            "pleaseFillEmailDomainNameField" => "Veuillez remplir le champ nom de domaine e-mail",
            "pleaseFillEmailPortField" => "Veuillez remplir le champ port e-mail",
            "smsAndEmailSettingsUpdatedSuccessfully" => "Paramètres SMS et e-mail mis à jour avec succès",
            "allTheRestOfTheGeneralSettingsCanBeFoundHere" => "Tout le reste des paramètres généraux se trouve ici",
            "homePageStatisticsPeriodicity" => "Périodicité des statistiques à l'accueil",
            "daily" => "Journalière",
            "weekly" => "Hebdomadaire",
            "monthly" => "Mensuelle",
            "quarterly" => "Trimestrielle",
            "halfYearly" => "Semestrielle",
            "annual" => "Annuelle",
            "numberOfDaysForExpirationAlert" => "Nombre de jours pour l'alerte de péremption",
            "isAnAdvanceRequiredForOrders" => "Une avance est-elle obligatoire pour les commandes",
            "doYouTakeCareOfIndividualsPricesPerCustomer" => "Prenez-vous en charge les prix individuels par client",
            "howDoYouManageYourCheckout" => "Comment gérez-vous votre caisse",
            "onADailyBasis" => "De façon journalière",
            "overall" => "De façon globale",
            "doYouUseProductReferences" => "Utilisez-vous les références de produit",
            "pleaseFillNumberOfDaysForExpirationAlertField" => "Veuillez remplir le champ nombre de jours pour l'alerte de péremption",
            "pleaseEnterAValidNumberForNumberOfDaysForExpirationAlert" => "Veuillez entrer un chiffre valide pour le nombre de jours pour l'alerte de péremption",
            "restOfGeneralSettingsUpdatedSuccessfully" => "Reste des paramètres généraux mis à jour avec succès",
            "doTheProductsYouSellHaveExpiryDates" => "Les produits que vous vendez ont-ils des dates de péremption",
            "defaultThresholdQuantity" => "Quantité seuil par défaut",
            "pleaseFillDefaultThresholdQuantityField" => "Veuillez remplir le champ quantité seuil par défaut",
            "pleaseEnterAValidNumberForDefaultThresholdQuantity" => "Veuillez entrer un chiffre valide pour la quantité seuil par défaut",
            "desiredLengthForBatchNumbers" => "Longueur souhaitée pour les numéros de lots",
            "pleaseFillDesiredLengthForBatchNumbersField" => "Veuillez remplir le champ longueur souhaitée pour les numéros de lots",
            "pleaseEnterAValidNumberForDesiredLengthForBatchNumbers" => "Veuillez entrer un chiffre valide pour la longueur souhaitée des numéros de lots",
            "desiredLengthForBatchNumbersMustBeEven" => "La longueur souhaitée pour les numéros de lots doit être paire",
            "deadlineForDeclaringAnAppointmentAsHonored" => "Délai de déclaration d'un rendez-vous comme honoré(en jours)",
            "pleaseFillDeadlineForDeclaringAnAppointmentAsHonoredField" => "Veuillez remplir le champ délai de déclaration d'un rendez-vous comme honoré",
            "pleaseEnterAValidNumberForDeadlineForDeclaringAnAppointmentAsHonored" => "Veuillez entrer un chiffre valide pour le délai de déclaration d'un rendez-vous comme honoré",
            "defaultLanguage" => "Langue par défaut",
            "loyaltyConfiguration" => "Configuration de la fidélisation",
            "defaultLoyaltyCardValidityPeriod" => "Durée de validité des cartes de fidélité par défaut(en jours)",
            "minimumPurchaseAmountToBeConsideredForTheLoyaltyCard" => "Montant d'achat minimal à considérer pour la carte de fidélité",
            "numberOfPointsForTheMinimumPurchaseAmount" => "Nombre de points pour le montant d'achat minimal",
            "defaultVoucherValidityPeriod" => "Durée de validité des bons d'achats par défaut (en jours)",
            "minimumNumberOfPointsForAVoucher" => "Nombre minimal de points pour avoir un bon d'achat",
            "voucherAmountForTheMinimumNumberOfPoints" => "Montant du bon d'achat pour le nombre minimal de points",
            "pleaseEnterAValidNumberForTheValidityPeriodOfTheLoyaltyCards" => "Veuillez entrer un nombre valide pour la durée de validité des cartes de fidélité",
            "pleaseEnterAValidAmountForTheMinimumPurchaseAmountToBeConsidered" => "Veuillez entrer un montant valide pour le montant minimual d'achat à considerer",
            "pleaseEnterAValidNumberForTheNumberOfPointsOfTheMinimumPurchaseAmount" => "Veuillez entrer un nombre valide pour le nombre de points du montant d'achat minimal",
            "pleaseEnterAValidNumberForTheValidityPeriodOfTheVouchers" => "Veuillez entrer un nombre valide pour la durée de validité des bons d'achats",
            "pleaseEnterAValidNumberForTheMinimumNumberOfPointsToHaveForAVoucher" => "Veuillez entrer un nombre valide pour le nombre de mininal de points à avoir pour un bon d'achat",
            "pleaseEnterAValidNumberForTheVoucherAmountObtainedForTheMinimumNumberOfPoints" => "Veuillez entrer un nombre valide pour le montant du bon d'achat obtenu pour le nombre minimal de points",
            "loyaltySettingsUpdatedSuccessfully" => "Paramètres de fidélisation mis à jour avec succès",
        ],
        "priceSetting" => [
            "newConfiguration" => "Nouvelle configuration",
            "userHelpingMessage1" => "Si votre business intègre la modification des prix de vente en fonction des jours et heures, vous indiquerez toutes ces configurations ici",
            "userHelpingMessage2" => "Mais si les prix ne changent pas vous avez une seule configuration à créer couvrant toute la semaine",
            "pointOfSale" => "Point de vente",
            "begin" => "Début",
            "end" => "Fin",
            "consideredPrice" => "Prix considéré",
            "defaultSalePrice" => "Prix de vente par défaut",
            "salePrice2" => "Prix de vente 2",
            "salePrice3" => "Prix de vente 3",
            "noPointOfSaleSelected" => "Aucun point de vente sélectionné",
            "startDay" => "Jour de début",
            "endDay" => "Jour de fin",
            "hour" => "Heure",
            "noDaySelected" => "Aucun jour sélectionné",
            "editConfiguration" => "Modifier la configuration",
            "pleaseFillPointOfSaleField" => "Veuillez remplir le champ point de vente",
            "pleaseFillStartDayField" => "Veuillez remplir le champ jour de début",
            "pleaseSpecifyTimeForStartDay" => "Veuillez préciser l'heure pour le jour de début",
            "pleaseFillEndDayField" => "Veuillez remplir le champ jour de fin",
            "pleaseSpecifyTimeForEndDay" => "Veuillez préciser l'heure pour le jour de fin",
            "overlap" => "Chevauchement",
            "ThisConfigurationOverlapsWithTheOneStartingOn" => "Cette configuration chevauche avec celle commençant le",
            "configurationSuccessfullyRegistered" => "Configuration enregistrée avec succès",
            "startDayAndTimeCannotBeLaterThanEndDayAndTime" => "Jour et heure de début ne peuvent être postérieurs à jour et heure de fin",
            "configurationUpdatedSuccessfully" => "Configuration mise à jour avec succès",
            "configurationDeletedSuccessfully" => "Configuration supprimée avec succès",
            "doYouConfirmTheDeletionOfTheConfiguration" => "Confirmez-vous la suppression de la configuration",
            "searchByPointOfSale" => "Rechercher par point de vente",
            "searchByConsideredPrice" => "Rechercher par prix considéré",
            "noPriceSelected" => "Aucun prix sélectionné",
        ],
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
