<?php

//Remember default language is french

class SharedEnglish
{
    public static $values = [
        "language" => "Language",
        "french" => "French",
        "english" => "English",
        "anErrorOccurredPleaseTryAgainLater" => "An error occurred, please try again later",
        "login" => "Login",
        "password" => "Password",
        "signIn" => "Sign in",
        "pleaseEnterYourLogin" => "Please enter your login",
        "pleaseEnterYourPassword" => "Please enter your password",
        "signInFailed" => "Sign in failed",
        "loginOrPasswordIncorrect" => "Login or password incorrect",
        "signInSucceed" => "Sign in succeed",
        "welcome" => "Welcome",
        "months" => [
            "january" => "January",
            "february" => "February",
            "march" => "March",
            "april" => "April",
            "may" => "May",
            "june" => "June",
            "july" => "July",
            "august" => "August",
            "september" => "September",
            "october" => "October",
            "november" => "November",
            "december" => "December",
        ],
        "changeYourPassword" => "Change your password",
        "currentPassword" => "Current password",
        "newPassword" => "New password",
        "confirmPassword" => "Confirm password",
        "changePassword" => "Change password",
        "pleaseEnterYourCurrentPassword" => "Please enter your current password",
        "pleaseEnterYourNewPassword" => "Please enter your new password",
        "pleaseConfirmTheNewPassword" => "Please confirm the new password",
        "passwordMismatch" => "The two passwords do not match",
        "incorrectCurrentPassword" => "The current password is incorrect",
        "youChangedYourPassword" => "You changed your password",
        "userWithLogin" => "User with login",
        "changedHisPassword" => "changed his password",
        "theNewPasswordMustBeDifferentFromTheCurrentOne" => "The new password must be different from the current one",
        "signOut" => "Sign out",
        "menus" => [
            "settings" => "Settings",
            "productsList" => "Products list",
            "customersList" => "Customers list",
            "productCategories" => "Product categories",
            "modificationOfTariffs" => "Modification of tariffs",
            "expenseCategories" => "Expense categories",
            "stores" => "Stores",
            "pointsOfSale" => "Points of sale",
            "newProduct" => "New product",
            "newCustomer" => "New customer",
            "newSupplier" => "New supplier",
            "suppliersList" => "Suppliers list",
            "productTypes" => "Product types",
            "exceptionalTypesOfOutings" => "Exceptional types of outings",
            "fundEntryCategories" => "Fund entry categories",
            "productFeatures" => "Product features",
            "priceSetting" => "Price setting",
            "productsPricePerCustomer" => "Products price per customer",
            "products" => "Products",
            "customerBase" => "Customer base",
            "currentCustomerPoints" => "Current customer points",
            "checkout" => "Checkout",
            "payment" => "Payment",
            "disbursement" => "Disbursement",
            "security" => "Security",
            "profiles" => "Profiles",
            "orders" => "Orders",
            "creditsManagement" => "Credits management",
            "inventory" => "Inventory",
            "store" => "Store",
            "smsAndMails" => "SMS/MAIL",
            "appointment" => "Appointment",
            "salaryManagement" => "Salary management",
            "payrollSections" => "Payroll sections",
            "payrollTemplates" => "Payroll templates",
            "addAPayrollModel" => "Add a payroll model",
            "salaryGeneration" => "Salary generation",
            "payslips" => "Payslips",
            "payrollValidation" => "Payroll validation",
            "purchase" => "Purchase",
            "receptionsValidation" => "Receptions validation",
            "ordersList" => "Orders list",
            "ordersValidation" => "Orders validation",
            "deliverAnOrder" => "Deliver an order",
            "addAnOrder" => "Add an order",
            "addAReception" => "Add a reception",
            "sales" => "Sales",
            "cashSales" => "Cash sales",
            "cashRegisterOpening" => "Cash register opening",
            "cashRegisterClosing" => "Cash register closing",
            "credits" => "Credits",
            "creditsValidation" => "Credits validation",
            "salesJournal" => "Sales journal",
            "entryOutOfFunds" => "Entry/Out of funds",
            "supervisionOfInvoiceEntry" => "Supervision of invoice entry",
            "invoiceCollection" => "Invoice collection",
            "salesConsultation" => "Sales consultation",
            "advanceOrdersFromCustomers" => "Advance orders from customers",
            "orderReservationAndCreditSales" => "Orders(reservation) and credit sales",
            "deliveryOfReservations" => "Delivery of reservations",
            "validationOfEntriesOutingsOfFunds" => "Validation of entries/outings of funds",
            "stocks" => "Stocks",
            "exceptionalOuting" => "Exceptional outing",
            "validationOfExceptionalOutings" => "Validation of exceptional outings",
            "stock" => "Stock",
            "cumulativeStock" => "Cumulative stock",
            "startAnInventory" => "Start an inventory",
            "closeAnInventory" => "Close an inventory",
            "updatingAnInventory" => "Updating an inventory",
            "validateAnInventory" => "Validate an inventory",
            "clearAnInventory" => "Clear an inventory",
            "interStoreMovement" => "Inter-store movement",
            "movementsValidation" => "Movements validation",
            "newProductTransformationFromStock" => "New product transformation from stock",
            "transformationsList" => "Transformations list",
            "transformationValidation" => "Transformation validation",
            "loyalty" => "Loyalty",
            "pointsPerPurchaseInterval" => "Points per purchase interval",
            "customerDiscounts" => "Customer discounts",
            "voucherPerPointsInterval" => "Voucher per points interval",
            "loyaltyCards" => "Loyalty cards",
            "periodicDiscountsForCardholders" => "Periodic discounts for cardholders",
            "customerVouchers" => "Customer vouchers",
            "valueOfVouchers" => "Value of vouchers",
            "productAffectedByTheDiscount" => "Product affected by the discount",
            "configurationOfPointsOfPurchase" => "Configuration of points of purchase",
            "promotionsList" => "Promotions list",
            "validationOfPromotions" => "Validation of promotions",
            "report" => "Report",
            "cashRegisterJournal" => "Cash register journal",
            "statisticsAndPerformance" => "Statistics and performance",
            "checkoutSession" => "Checkout session",
            "invoices" => "Invoices",
            "stockAtDate" => "Stock at date",
            "productMovement" => "Product movement",
            "salesPerProduct" => "Sales per product",
            "listOfReceptions" => "List of receptions",
            "exceptionalOutingsList" => "Exceptional outings list",
            "stockSituation" => "Stock situation",
            "itemsToOrder" => "Items to order",
            "soonToExpireItems" => "Soon to expire items",
            "expiredItems" => "Expired items",
            "detailedSalesPerCashier" => "Detailed sales per cashier",
            "detailedSalesPerProduct" => "Detailed sales per product",
            "detailedSalesPerCustomer" => "Detailed sales per customer",
            "creditAndReservationReport" => "Credit and reservation report",
            "productsServicesList" => "Products/Services list",
            "appointmentAndReminder" => "Appointment and reminder",
            "meetingActivities" => "Meeting activities",
            "tools" => "Tools",
            "users" => "Users",
            "password" => "Password",
            "globalParameters" => "Global parameters",
            "operationsLog" => "Operations log",
            "stockTransformation" => "Stock transformation",
            "messagesTemplates" => "Messages templates",
            "printLog" => "Print log",
            "smsAndMailSendingLog" => "SMS/MAIL sending log",
            "customersToFollowUp" => "Customers to follow up",
            "bestCustomers" => "Best customers",
            "regularCustomers" => "Regular customers",
            "outOfStockProducts" => "Out of stock products",
            "detailedSalesPerPointOfSale" => "Detailed sales per point of sale",
            "voucherValidation" => "Voucher validation",
            "convertPointsIntoVouchers" => "Convert points into vouchers",
        ],
        "pleaseEnterYourEmailAddress" => "Please enter your email address",
        "invalidEmailAddress" => "Invalid email address",
        "invalidLogin" => "Invalid login",
        "theEmailAddressDoesNotCorrespondToThisLogin" => "The email address does not correspond to this login",
        "passwordReset" => "Password reset",
        "passwordResetSuccessfullyCheckYourEmails" => "Password reset successfully, check your emails",
        "sessionExpired" => "Session expired",
        "sessionExpiredDescription" => "Unfortunately your session on the server has expired, you must reconnect to continue working",
        "youAreLoggedInAgain" => "You are logged in again",
        "xaf" => "XAF",
        "from" => "from",
        "to" => "to",
        "otherTo" => "to",
        "of" => "of",
        "noDataAvailableInTable" => "No data available in table",
        "noDataAvailable" => "No data available",
        "search" => "Search",
        "noMatchingRecordsFound" => "No matching records found",
        "first" => "First",
        "last" => "Last",
        "next" => "Next",
        "previous" => "Previous",
        "showing" => "Showing",
        "entries" => "entries",
        "processing" => "Processing",
        "loading" => "Loading",
        "activateToSortColumnAscending" => "activate to sort column ascending",
        "activateToSortColumnDescending" => "activate to sort column descending",
        "filteredFrom" => "Filtered from",
        "show" => "Show",
        "print" => "Print",
        "name" => "Name",
        "actions" => "Actions",
        "newCategory" => "New category",
        "edit" => "Edit",
        "delete" => "Delete",
        "consult" => "Consult",
        "validate" => "Validate",
        "categoryName" => "Category name",
        "save" => "Save",
        "registration" => "Registration",
        "duplicate" => "Duplicate",
        "update" => "Update",
        "deletion" => "Deletion",
        "validation" => "Validation",
        "editCategory" => "Edit category",
        "cancel" => "Cancel",
        "impossibleDeletion" => "Impossible deletion",
        "collapseTheMenu" => "Collapse the menu",
        "expandTheMenu" => "Expand the menu",
        "category" => "Category",
        "yes" => "Yes",
        "no" => "No",
        "gender" => "Gender",
        "genders" => [
            "childBoy" => "Child boy",
            "childGirl" => "Child girl",
            "man" => "Man",
            "woman" => "Woman",
        ],
        "clickHereToSelectAnImage" => "Click here to select an image",
        "noCategorySelected" => "No category selected",
        "noSubCategorySelected" => "No sub category selected",
        "subCategory" => "Sub category",
        "description" => "Description",
        "loadingSubCategoriesFailed" => "Loading sub categories failed",
        "undefined" => "Undefined",
        "pob" => "POB",
        "store" => "Store",
        "designation" => "Designation",
        "quantity" => "Quantity",
        "qty" => "Qty.",
        "noStoreSelected" => "No store selected",
        "noPointOfSaleSelected" => "No point of sale selected",
        "poBox" => "Po Box",
        "days" => [
            "monday" => "Monday",
            "tuesday" => "Tuesday",
            "wednesday" => "Wednesday",
            "thursday" => "Thursday",
            "friday" => "Friday",
            "saturday" => "Saturday",
            "sunday" => "Sunday",
        ],
        "fullScreen" => "Full screen",
        "passwordWarning" => "We have detected that your password is the same as your login, you must change it",
        "close" => "Close",
        "backToHomepage" => "Back to home page",
        "refresh" => "Refresh",
        "printing" => "Printing",
        "alreadyDeletedIssueMessage" => "This resource has already been deleted by another user",
        "alreadyValidatedIssueMessage" => "This resource has already been validated by another user",
        "notPerishable" => "Non perishable",
        "expired" => "Expired",
        "allStores" => "All stores",
        "allSuppliers" => "All suppliers",
        "expiredStock" => "Expired stock",
        "soonToExpire" => "Soon to expire",
        "thresholdReached" => "Threshold reached",
        "number" => "N°",
        "display" => "Display",
        "noResultsFound" => "No results found",
        "months" => [
            "january" => "January",
            "february" => "February",
            "march" => "March",
            "april" => "April",
            "may" => "May",
            "june" => "June",
            "july" => "July",
            "august" => "August",
            "september" => "September",
            "october" => "October",
            "november" => "November",
            "december" => "December",
        ],
        "applicationException" => "Application exception",
        "imageUploadSizeWarningMessage" => "The image file is too large. The maximum size allowed is 1MB.",
        "subscriptionDetails" => "Subscription details",
        "yourSubscriptionIsExpiringSoon" => "Your subscription is expiring soon",
        "trial" => "Trial",
        "demonstration" => "Demonstration",
        "development" => "Development",
        "doubleAuthentication" => "Double authentication",
        "activationOfDoubleAuthentication" => "Activation of double authentication",
        "activationOfDoubleAuthenticationDescription" => "You are about to activate double authentication on your account. Once activated, you will need to provide the code that you will receive by e-mail each time you connect to the application",
        "pleaseEnterTheCodeYouReceivedByEmailToContinue" => "Please enter the code you received by email to continue",
        "codeReceived" => "Code received",
        "checkTheCode" => "Check the code",
        "sendingTheVerificationCode" => "Sending the verification code",
        "deactivationOfDoubleAuthentication" => "Deactivation of double authentication",
        "deactivationOfDoubleAuthenticationDescription" => "You are about to deactivate double authentication on your account. Once deactivated, you will no longer receive a verification code when you connect to the application",
        "theVerificationCodeIs" => "The verification code is",
        "doubleAuthenticationActivated" => "Double authentication activated",
        "doubleAuthenticationDeactivated" => "Double authentication deactivated",
        "incorrectVerificationCode" => "Incorrect verification code",
        "pleaseEnterTheVerificationCode" => "Please enter the verification code",
        "allCategories" => "All categories",
        "paymentMethod" => [
            "cash" => "Cash",
            "customerAccount" => "CustomerAccount",
            "orangeMoney" => "Orange Money",
            "mtnMobileMoney" => "Mtn MOMO",
            "orangeMoneyMerchant" => "Orange Money Merchant Account",
            "mtnMobileMerchant" => "Mtn Money Merchant Account",
        ],
        "error" => "Error",
        "loading" => "Loading",
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
