<?php

//Remember default language is french

class StoreEnglish
{
    public static $values = [
        "index" => [
            "newStore" => "New store",
            "userHelpingMessage1" => "All the products you sell are stocked in stores. You manage these from here",
            "storeName" => "Store name",
            "editStore" => "Edit store",
            "pleaseFillStoreNameField" => "Please fill store name field",
            "storeSuccessfullyRegistered" => "Store successfully registered",
            "aStoreWithThisNameAlreadyExists" => "A store with this name already exists",
            "storeUpdatedSuccessfully" => "Store updated successfully",
            "doYouConfirmTheDeletionOfTheStore" => "Do you confirm the deletion of the store",
            "storeDeletedSuccessfully" => "Store deleted successfully",
            "searchByStoreName" => "Search by store name",
            "subscriptionLimitsForStoreMessage" => "You have reached the number of stores allowed by your subscription",
        ]
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}