<?php

//Remember default language is french

class ViewEnglish
{
    public static $values = [
        "stock" => [],
        "cumulativeStock" => [],
        "productsAndServices" => [],
        "order" => [],
        "reception" => [],
        "itemsToOrder" => [],
        "soonToExpireItems" => [],
        "expiredItems" => [],
        "exceptionalOutings" => [],
        "productPath" => [
            "forWhichStore" => "For which store",
            "forWhichProduct" => "For which product",
            "noStoreSelected" => "No store selected",
            "noProductSelected" => "No product selected",
            "noProductMovementHistoryDisplayed" => "No product movement history displayed",
            "startDate" => "Start date",
            "endDate" => "End date",
            "loadingProductsOfStoreFailed" => "Loading products of store failed",
            "pleaseSelectAStore" => "Please select a store",
            "pleaseSelectAProduct" => "Please select a product",
            "pleaseSelectAStartDate" => "Please select a start date",
            "pleaseSelectAnEndDate" => "Please select an end date",
            "anErrorOccurredWhileDisplayingProductMovementHistory" => "An error occurred while displaying product movement history",
            "saleCompleted" => "Sale completed, N°",
            "exitOf" => "Exit of",
            "entryOf" => "Entry of",
            "pieces" => "Piece(s)",
            "withAMotive" => "with a motive",
            "quantityAtTheEveningOf" => "Quantity at the evening of",
            "detailsOfProductMovements" => "Details of product movements",
            "noMovementFound" => "No movement found",
        ],
        "stockSituation" => [
            "forWhichStore" => "For which store",
            "forWhichCategory" => "For which category",
            "forWhichProduct" => "For which product",
            "noStockSituationDisplayed" => "No stock situation displayed",
            "startDate" => "Start date",
            "endDate" => "End date",
            "pleaseSelectAStore" => "Please select a store",
            "noStoreSelected" => "No store selected",
            "allCategories" => "All categories",
            "allProducts" => "All products",
            "loadingProductsOfCategoryFailed" => "Loading products of category failed",
            "product" => "Product",
            "quantityOnTheEveOf" => "Quantity on the eve of",
            "quantityAtTheEveningOf" => "Quantity at the evening of",
            "quantityEnteredOverThePeriod" => "Quantity entered over the period",
            "quantityIssuedOverThePeriod" => "Quantity issued over the period",
            "searchAProduct" => "Search a product",
            "theStockSituationsAreListedBelow" => "The stock situations are listed below",
        ],
        "followUp" => [
            "forWhichPointOfSale" => "For which point of sale",
            "allPointsOfSale" => "All points of sale",
            "considerCustomersWhoseVisitIsHowManyDaysOld" => "Consider customers whose visit is how many days old",
            "noListOfCustomersToFollowUpDisplayed" => "No list of customers to follow up displayed",
            "theCustomersToFollowUpAreListedHere" => "The customers to follow up are listed here",
            "customer" => "Customer",
            "lastVisitDate" => "Last visit date",
            "phoneNumber" => "Phone number",
            "email" => "Email",
            "searchACustomer" => "Search a customer",
        ],
        "bestCustomers" => [
            "forWhichPointOfSale" => "For which point of sale",
            "allPointsOfSale" => "All points of sale",
            "startDate" => "Start date",
            "endDate" => "End date",
            "minPurchaseSum" => "Min. purchase sum",
            "noListOfBestCustomersDisplayed" => "No list of best customers displayed",
            "theBestCustomersAreListedHere" => "The best customers are listed here",
            "customer" => "Customer",
            "purchaseSum" => "Purchase sum",
            "phoneNumber" => "Phone number",
            "email" => "Email",
            "searchACustomer" => "Search a customer",
        ],
        "regularCustomers" => [
            "forWhichPointOfSale" => "For which point of sale",
            "allPointsOfSale" => "All points of sale",
            "startDate" => "Start date",
            "endDate" => "End date",
            "minNumberOfVisits" => "Min. number of visits",
            "noListOfRegularCustomersDisplayed" => "No list of regular customers displayed",
            "theRegularCustomersAreListedHere" => "The regular customers are listed here",
            "customer" => "Customer",
            "numberOfVisits" => "Number of visits",
            "phoneNumber" => "Phone number",
            "email" => "Email",
            "searchACustomer" => "Search a customer",
        ],
        "outOfStock" => [
            "forWhichStore" => "For which store",
            "noStoreSelected" => "No store selected",
            "forWhichCategory" => "For which category",
            "allCategories" => "All categories",
            "noStocksDisplayed" => "No stocks displayed",
            "product" => "Product",
            "lastExitDate" => "Last exit date",
            "theOutOfStockProductsAreListedBelow" => "The out of stock products are listed below",
            "searchAProduct" => "Search a product",
            "outOfStock" => "Out of stock",
        ],
        "cashierSales" => [
            "forWhichPointOfSale" => "For which point of sale",
            "allPointsOfSale" => "All points of sale",
            "forWhichCashier" => "For which cashier",
            "allCashiers" => "All cashiers",
            "startDate" => "Start date",
            "endDate" => "End date",
            "noDetailedSalesDisplayed" => "No detailed sales displayed",
            "anErrorOccurredWhenLoadingCashiers" => "An error occurred when loading cashiers",
            "noSalesFound" => "No sales found",
            "saleNo" => "Sale N°",
            "dateAndHour" => "Date and hour",
            "amount" => "Amount",
            "reduction" => "Reduction",
            "paidAmount" => "Paid amount",
            "totals" => "Totals",
            "detailsOnSalesMade" => "Details on sales made",
            "detailsOnProductsSold" => "Details on products sold",
            "summaryOfSalesAmounts" => "Summary of sales amounts",
            "summaryOfTheNumberOfSales" => "Summary of the number of sales",
            "salesTotal" => "Sales total",
            "paymentTotal" => "Payment total",
            "reductionTotal" => "Reduction total",
            "numberOfSales" => "Number of sales",
            "paid" => "Paid",
            "unpaid" => "Unpaid",
            "paymentInProgess" => "Payment in progress",
            "withReduction" => "With reduction",
            "showThisSection" => "Show this section",
            "showSalesTable" => "Show the sales table",
            "showSalesCharts" => "Show the sales chart",
            "summaryOfSalesPerCashier" => "Summary of sales per cashier",
            "showTheTable" => "Show the table",
            "showTheCharts" => "Show the charts",
            "cashier" => "Cashier",
            "designation" => "Designation",
            "quantity" => "Quantity",
            "sumOfSales" => "Sum of sales",
            "summaryOfProductsSoldPerCashier" => "Summary of products sold per cashier",
            "summaryOfTheQuantitiesOfProductsSoldPerCashier" => "Summary of the quantities of products sold per cashier",
            "summaryOfTheAmountOfProductsSoldPerCashier" => "Summary of the amount of products sold per cashier",
            "buyingPrice" => "Buying price",
            "unitPrice" => "Unit price",
            "profit" => "Profit", 
        ],
        "salesAtPointOfSale" => [
            "forWhichPointOfSale" => "For which point of sale",
            "allPointsOfSale" => "All points of sale",
            "startDate" => "Start date",
            "endDate" => "End date",
            "noDetailedSalesDisplayed" => "No detailed sales displayed",
            "noSalesFound" => "No sales found",
            "saleNo" => "Sale N°",
            "dateAndHour" => "Date and hour",
            "amount" => "Amount",
            "reduction" => "Reduction",
            "paidAmount" => "Paid amount",
            "totals" => "Totals",
            "detailsOnSalesMade" => "Details on sales made",
            "detailsOnProductsSold" => "Details on products sold",
            "summaryOfSalesAmounts" => "Summary of sales amounts",
            "summaryOfTheNumberOfSales" => "Summary of the number of sales",
            "salesTotal" => "Sales total",
            "paymentTotal" => "Payment total",
            "reductionTotal" => "Reduction total",
            "numberOfSales" => "Number of sales",
            "paid" => "Paid",
            "unpaid" => "Unpaid",
            "paymentInProgess" => "Payment in progress",
            "withReduction" => "With reduction",
            "showThisSection" => "Show this section",
            "showSalesTable" => "Show the sales table",
            "summaryOfSalesPerPointOfSale" => "Summary of sales per point of sale",
            "pointOfSale" => "Point of sale",
            "showTheTable" => "Show the table",
            "showTheCharts" => "Show the charts",
            "designation" => "Designation",
            "quantity" => "Quantity",
            "sumOfSales" => "Sum of sales",
            "buyingPrice" => "Buying price",
            "unitPrice" => "Unit price",
            "profit" => "Profit",
            "summaryOfProductsSoldPerPointOfSale" => "Summary of products sold per point of sale",
            "summaryOfTheQuantitiesOfProductsSold" => "Summary of the quantities of products sold", 
            "summaryOfTheAmountOfProductsSold" => "Summary of the amount of products sold",
            "summaryOfProductsSold" => "Summary of products sold",
        ],
        "productSales" => [
            "forWhichPointOfSale" => "For which point of sale",
            "allPointsOfSale" => "All points of sale",
            "startDate" => "Start date",
            "endDate" => "End date",
            "noProductSalesDisplayed" => "No product sales displayed",
            "noSalesFound" => "No sales found",
            "forWhichCategory" => "For which category",
            "allCategories" => "All categories",
            "forWhichProduct" => "For which product",
            "allProducts" => "All products",
            "anErrorOccurredWhenLoadingProducts" => "An error occurred when loading products",
            "totals" => "Totals",
            "designation" => "Designation",
            "quantity" => "Quantity",
            "sumOfSales" => "Sum of sales",
            "buyingPrice" => "Buying price",
            "unitPrice" => "Unit price",
            "profit" => "Profit",
            "summaryOfProductsSoldPerPointOfSale" => "Summary of products sold per point of sale",
            "summaryOfTheQuantitiesOfProductsSold" => "Summary of the quantities of products sold", 
            "summaryOfTheAmountOfProductsSold" => "Summary of the amount of products sold",
            "summaryOfProductsSold" => "Summary of products sold",
            "pointOfSale" => "Point of sale",
            "showTheTable" => "Show the table",
            "showTheCharts" => "Show the charts",
            "theDetailsOnProductsSoldAreListedBelow" => "The details on product sold are listed below",
        ],
        "customerSales" => [
            "forWhichCustomer" => "For which customer",
            "noCustomerSelected" => "No customer selected",
            "forWhichPointOfSale" => "For which point of sale",
            "allPointsOfSale" => "All points of sale",
            "startDate" => "Start date",
            "endDate" => "End date",
            "noDetailedSalesDisplayed" => "No detailed sales displayed",
            "noSalesFound" => "No sales found",
            "saleNo" => "Sale N°",
            "dateAndHour" => "Date and hour",
            "amount" => "Amount",
            "reduction" => "Reduction",
            "paidAmount" => "Paid amount",
            "totals" => "Totals",
            "detailsOnSalesMade" => "Details on sales made",
            "detailsOnProductsSold" => "Details on products sold",
            "summaryOfSalesAmounts" => "Summary of sales amounts",
            "summaryOfTheNumberOfSales" => "Summary of the number of sales",
            "salesTotal" => "Sales total",
            "paymentTotal" => "Payment total",
            "reductionTotal" => "Reduction total",
            "numberOfSales" => "Number of sales",
            "paid" => "Paid",
            "unpaid" => "Unpaid",
            "paymentInProgess" => "Payment in progress",
            "withReduction" => "With reduction",
            "showThisSection" => "Show this section",
            "showSalesTable" => "Show the sales table",
            "summaryOfSalesPerPointOfSale" => "Summary of sales per point of sale",
            "pointOfSale" => "Point of sale",
            "showTheTable" => "Show the table",
            "showTheCharts" => "Show the charts",
            "designation" => "Designation",
            "quantity" => "Quantity",
            "sumOfSales" => "Sum of sales",
            "buyingPrice" => "Buying price",
            "unitPrice" => "Unit price",
            "profit" => "Profit",
            "summaryOfProductsSoldPerPointOfSale" => "Summary of products sold per point of sale",
            "summaryOfTheQuantitiesOfProductsSold" => "Summary of the quantities of products sold", 
            "summaryOfTheAmountOfProductsSold" => "Summary of the amount of products sold",
            "summaryOfProductsSold" => "Summary of products sold",
        ],
        "statsPerformance" => [
            "sales" => "Sales",
            "fundMovements" => "Fund movements",
            "topSellingItems" => "Top selling items",
            "bestCustomers" => "Best customers",
            "comparativeSalesPerPointOfSale" => "Comparative sales per point of sale",
            "comparativeFundMovementsPerPointOfSale" => "Comparative fund movements per point of sale",
            "pointOfSale" => "Point of sale",
            "allPointsOfSale" => "All points of sale",
            "displayType" => "Display type",
            "perDay" => "Per day",
            "perMonth" => "Per month",
            "startDate" => "Start date",
            "endDate" => "End date",
            "year" => "Year",
            "noYearSelected" => "No year selected",
            "salesTotal" => "Sales total",
            "paymentTotal" => "Payment total",
            "entries" => "Entries",
            "exits" => "Exits",
            "numberOfItemsToConsider" => "Number of items to consider",
            "numberOfCustomersToConsider" => "Number of customers to consider",
            "pleaseEnterACorrectNumberOfItemsToConsider" => "Please enter a correct number of items to consider",
            "pleaseEnterACorrectNumberOfCustomersToConsider" => "Please enter a correct number of customers to consider",
            "quantitySold" => "Quantity sold",
            "amountSold" => "Amount sold",
            "amountOfPurchases" => "Amount of purchases",
            "numberOfPurchases" => "Number of purchases",
            "numberOfSales" => "Number of sales",
        ],
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}