<link rel="shortcut icon" type="image/png" href="<?= $this->baseUrl('images/assets/app_logo.png') ?>" />
<link rel="stylesheet" href="<?= $this->baseUrl('css/semantic.min.css'); ?>" />
<link rel="stylesheet" href="<?= $this->baseUrl('css/iziToast.min.css'); ?>" />
<link rel="stylesheet" href="<?= $this->baseUrl('css/font-awesome.min.css'); ?>" />
<link rel="stylesheet" href="<?= $this->baseUrl('css/font-awesome-old.css'); ?>" />
<link rel="stylesheet" href="<?= $this->baseUrl('css/font-awesome.css'); ?>" />
<link rel="stylesheet" href="<?= $this->baseUrl('css/datatables.semantic.min.css'); ?>" />
<link rel="stylesheet" href="<?= $this->baseUrl('css/buttons.semantic.min.css'); ?>" />
<link rel="stylesheet" href="<?= $this->baseUrl('css/jquery-confirm.min.css'); ?>" />
<link rel="stylesheet" href="<?= $this->baseUrl('css/print.min.css'); ?>" />
<link rel="stylesheet" href="<?= $this->baseUrl('css/jquery.datetimepicker.full.min.css'); ?>" />
<link rel="stylesheet" href="<?= $this->baseUrl('css/spectrum.min.css'); ?>" />
<link rel="stylesheet" href="<?= $this->baseUrl('css/jquery.highlighttextarea.min.css'); ?>" />
<link rel="stylesheet" href="<?= $this->baseUrl('css/slick.min.css'); ?>" />
<link rel="stylesheet" href="<?= $this->baseUrl('css/slick-theme.min.css'); ?>" />
<link rel="stylesheet" href="<?= $this->baseUrl('css/flipdown.min.css'); ?>" />
<style>
    ::-webkit-scrollbar {
        width: 7px;
    }

    ::-webkit-scrollbar-track {
        background: <?= APP_PRIMARY_BRAND ?>;
    }

    ::-webkit-scrollbar-thumb {
        background: <?= APP_SECONDARY_BRAND ?>;
    }

    ::-webkit-scrollbar-thumb:hover {
        background: <?= APP_SECONDARY_BRAND ?>;
    }

    html {
        scrollbar-color: <?= APP_SECONDARY_BRAND ?> <?= APP_PRIMARY_BRAND ?>;
        scrollbar-width: thin;
    }

    body {
        height: 100vh;
        width: 100vw;
        overflow-x: hidden !important;
    }

    body>canvas {
        position: absolute;
        width: 100%;
        height: 100%;
        z-index: -1;
    }

    table {
        width: 100%;
    }

    th {
        background-color: <?= APP_PRIMARY_BRAND ?> !important;
        color: <?= APP_THIRD_BRAND ?> !important;
    }

    tfoot>tr>th {
        font-weight: bold !important;
    }

    th:not(:last-child) {
        border-right: solid 1px <?= APP_THIRD_BRAND ?>;
    }

    tr {
        font-size: 16px !important;
    }

    .app-horizontal-spacer {
        height: 20px;
        width: 100%;
    }

    .app-horizontal-mini-spacer {
        height: 10px;
        width: 100%;
    }

    .app-vertical-spacer {
        height: 100%;
        width: 20px;
    }

    .app-vertical-mini-spacer {
        height: 100%;
        width: 10px;
    }

    .app-input-with-two-icon {
        padding-left: 37px !important;
    }

    .iziToast>.iziToast-body {
        margin-left: 64px !important;
    }

    .iziToast-cover {
        width: 87px !important;
    }

    .app-primary-button {
        background-color: <?= APP_PRIMARY_BRAND ?> !important;
        color: <?= APP_THIRD_BRAND ?> !important;
    }

    .app-secondary-button {
        background-color: <?= APP_SECONDARY_BRAND ?> !important;
        color: <?= APP_THIRD_BRAND ?> !important;
    }

    .page-info-container {
        border: solid 3px <?= APP_PRIMARY_BRAND ?> !important;
        border-radius: 10px !important;
    }

    .section-container {
        padding: 15px !important;
        border: solid 1px <?= APP_SECONDARY_BRAND ?> !important;
        border-radius: 10px !important;
        background-color: <?= APP_THIRD_BRAND ?> !important;
    }

    .page-add-button {
        margin-bottom: 10px !important;
        border: solid 0.8px <?= APP_THIRD_BRAND ?> !important;
    }

    .jconfirm-buttons button {
        text-transform: none !important;
    }

    .expanded-grid {
        padding-left: 15px !important;
        padding-right: 15px !important;
    }

    .image-picker-input-label {
        padding: 4px !important;
        width: 70px !important;
        border-left-color: transparent !important;
    }

    .ui.label>img.image-picker-input-legend-image {
        width: 100% !important;
        border: 1px solid rgba(34, 36, 38, .15) !important;
    }

    .hidden {
        display: none;
    }

    .popup-for-image {
        width: 180px !important;
    }

    .image-on-popup {
        width: 170px !important;
        height: 150px !important;
    }

    textarea {
        resize: none !important;
    }

    .xdsoft_current {
        background-color: <?= APP_SECONDARY_BRAND ?> !important;
        color: <?= APP_THIRD_BRAND ?> !important;
        box-shadow: none !important;
    }

    .xdsoft_datetimepicker .xdsoft_calendar td:hover,
    .xdsoft_datetimepicker .xdsoft_timepicker .xdsoft_time_box>div>div:hover {
        background: <?= APP_PRIMARY_BRAND ?> !important;
        color: <?= APP_THIRD_BRAND ?> !important;
    }

    .xdsoft_label>span {
        color: <?= APP_SECONDARY_BRAND ?> !important;
    }

    .xdsoft_today:not(.xdsoft_current) {
        color: <?= APP_PRIMARY_BRAND ?> !important;
    }

    .color-picker-label {
        padding: 4px !important;
        width: 70px !important;
        border-left-color: transparent !important;
    }

    .color-picker-representation {
        width: 100% !important;
        height: 100% !important;
        border: 1px solid rgba(34, 36, 38, .15) !important;
    }

    .custom-picker-button {
        background-color: <?= APP_THIRD_BRAND ?> !important;
        border: 1px solid rgba(34, 36, 38, .15) !important;
    }

    .app-primary-label {
        background-color: <?= APP_PRIMARY_BRAND ?> !important;
        color: <?= APP_THIRD_BRAND ?> !important;
    }

    .app-secondary-label {
        background-color: <?= APP_SECONDARY_BRAND ?> !important;
        color: <?= APP_THIRD_BRAND ?> !important;
    }

    .ui.fullscreen.modal {
        left: auto !important;
        width: 99% !important;
    }

    .ui.fullscreen.scrolling.modal {
        left: auto !important;
        width: 99% !important;
    }

    .ui.fluid.card {
        height: 100% !important;
        max-height: 210px;
    }

    .ui.card:hover {
        position: relative;
        bottom: 5px;
    }

    .app-primary-ribbon {
        background-color: <?= APP_PRIMARY_BRAND ?> !important;
        border-color: <?= APP_PRIMARY_BRAND ?> !important;
        color: <?= APP_THIRD_BRAND ?> !important;
    }

    .app-secondary-ribbon {
        background-color: <?= APP_SECONDARY_BRAND ?> !important;
        border-color: <?= APP_SECONDARY_BRAND ?> !important;
        color: <?= APP_THIRD_BRAND ?> !important;
    }

    .app-primary-corner {
        border-color: <?= APP_PRIMARY_BRAND ?> !important;
        color: <?= APP_THIRD_BRAND ?> !important;
    }

    .app-secondary-corner {
        border-color: <?= APP_SECONDARY_BRAND ?> !important;
        color: <?= APP_THIRD_BRAND ?> !important;
    }

    .app-content-quantity-input {
        max-width: 60px !important;
        text-align: center !important;
        padding-left: 3px !important;
        padding-right: 3px !important;
        font-weight: bold;
        font-size: 12px !important;
        border-radius: 0 !important;
    }

    .app-content-price-input {
        max-width: 84px !important;
        padding-left: 3px !important;
        padding-right: 3px !important;
        font-weight: bold;
        font-size: 12px !important;
    }

    .app-content-percentage-input {
        max-width: 50px !important;
        text-align: center !important;
        padding-left: 3px !important;
        padding-right: 3px !important;
        font-weight: bold;
        font-size: 12px !important;
    }

    .app-content-any-input {
        padding-left: 3px !important;
        padding-right: 3px !important;
        font-weight: bold;
        font-size: 12px !important;
    }

    .app-not-perishable-consult-cell {
        font-weight: bold !important;
        font-size: 13px;
        color: <?= APP_SECONDARY_BRAND ?>;
    }

    .app-not-perishable-cell {
        font-weight: bold !important;
        text-align: center !important;
        font-size: 10px !important;
        color: <?= APP_SECONDARY_BRAND ?>;
    }

    .app-action-table>thead>tr>th {
        font-size: 13px !important;
        font-weight: bold;
    }

    .app-action-table>tfoot>tr>th {
        font-size: 13px !important;
        font-weight: bold;
    }

    .app-action-table>tbody>tr>td {
        font-size: 12px;
        font-weight: bold;
    }

    .app-table-column-width-05 {
        width: 5%;
    }

    .app-table-column-width-10 {
        width: 10%;
    }

    .app-table-column-width-15 {
        width: 15%;
    }

    .app-table-column-width-20 {
        width: 20%;
    }

    .app-table-column-width-25 {
        width: 25%;
    }

    .app-table-column-width-30 {
        width: 30%;
    }

    .app-table-column-width-35 {
        width: 35%;
    }

    .app-table-column-width-40 {
        width: 40%;
    }

    .app-table-column-width-45 {
        width: 45%;
    }

    .app-table-column-width-50 {
        width: 50%;
    }

    .app-table-column-width-55 {
        width: 55%;
    }

    .app-table-column-width-60 {
        width: 60%;
    }

    .app-primary-color {
        color: <?= APP_PRIMARY_BRAND ?> !important;
    }

    .app-secondary-color {
        color: <?= APP_SECONDARY_BRAND ?> !important;
    }

    .app-third-color {
        color: <?= APP_THIRD_BRAND ?> !important;
    }

    .app-primary-background-color {
        background-color: <?= APP_PRIMARY_BRAND ?> !important;
    }

    .app-secondary-background-color {
        background-color: <?= APP_SECONDARY_BRAND ?> !important;
    }

    .app-third-background-color {
        background-color: <?= APP_THIRD_BRAND ?> !important;
    }

    .app-disabled-td {
        background-color: <?= APP_SECONDARY_BRAND ?>80 !important;
        color: <?= APP_THIRD_BRAND ?> !important;
    }

    .app-highlight-tr {
        background-color: <?= APP_SECONDARY_BRAND ?>80 !important;
        color: <?= APP_THIRD_BRAND ?> !important;
    }

    .app-total-tr {
        background-color: <?= APP_PRIMARY_BRAND ?>80 !important;
        color: <?= APP_THIRD_BRAND ?> !important;
    }

    /**
    * This section extends semantic ui to manage bottom corner labels
    */
    .ui.corner.label.bottom {
        top: calc(100% - 4em);
    }

    .ui.corner.label.bottom .icon {
        top: calc(100% - 1.5em);
    }

    .ui.corner.label.bottom:after {
        position: absolute;
        content: "";
        z-index: -1;
        width: 0px;
        height: 0px;
        background-color: transparent;
        border-top: 4em solid transparent;
        border-right: 0px solid tranparent;
        border-bottom: 0px solid;
        border-left: 4em solid transparent;
        transition: border-color 0.1s ease;
    }

    .ui.corner.label.bottom.left.app-primary-corner:after {
        border-left: 4em solid <?= APP_PRIMARY_BRAND ?>;
    }

    .ui.corner.label.bottom.left.app-secondary-corner:after {
        border-left: 4em solid <?= APP_SECONDARY_BRAND ?>;
    }

    .ui.corner.label.bottom.left.red:after {
        border-left: 4em solid #db2828;
    }

    .ui.corner.label.bottom.left.violet:after {
        border-left: 4em solid #6435c9;
    }

    .ui.corner.label.bottom.left.purple:after {
        border-left: 4em solid #a333c8;
    }

    .ui.corner.label.bottom.left.green:after {
        border-left: 4em solid #21ba45;
    }

    .ui.corner.label.bottom.left.teal:after {
        border-left: 4em solid #00b5ad;
    }

    .ui.corner.label.bottom.left.black:after {
        border-left: 4em solid #1b1c1d;
    }

    .ui.corner.label.bottom.left.expired:after {
        border-left: 4em solid <?= COULEUR_PRODUIT_PERIME ?>;
    }

    /**
    * End of section
    */

    /**
    * This section extends semantic ui to manage bottom ribbon labels
    */
    .ui.card .image>.bottom.ribbon.label,
    .ui.image>.bottom.ribbon.label {
        position: absolute;
        bottom: 1rem;
        top: auto;
    }

    .ui.card .image>.ui[class*="right bottom ribbon"].label,
    .ui.card .image>.ui[class*="right bottom red ribbon"].label,
    .ui.card .image>.ui[class*="right bottom violet ribbon"].label,
    .ui.card .image>.ui[class*="right bottom purple ribbon"].label,
    .ui.card .image>.ui[class*="right bottom green ribbon"].label,
    .ui.card .image>.ui[class*="right bottom teal ribbon"].label,
    .ui.card .image>.ui[class*="right bottom black ribbon"].label,
    .ui.image>.ui[class*="right bottom ribbon"].label,
    .ui.image>.ui[class*="right bottom red ribbon"].label,
    .ui.image>.ui[class*="right bottom violet ribbon"].label,
    .ui.image>.ui[class*="right bottom purple ribbon"].label,
    .ui.image>.ui[class*="right bottom green ribbon"].label,
    .ui.image>.ui[class*="right bottom black ribbon"].label {
        left: calc(100% + -.05rem + 1.2em);
        bottom: 1rem;
        padding-left: .833em;
        top: auto;
    }

    .ui[class*="right bottom ribbon"].label,
    .ui[class*="right bottom red ribbon"].label,
    .ui[class*="right bottom violet ribbon"].label,
    .ui[class*="right bottom purple ribbon"].label,
    .ui[class*="right bottom green ribbon"].label,
    .ui[class*="right bottom teal ribbon"].label,
    .ui[class*="right bottom black ribbon"].label {
        text-align: left;
        -webkit-transform: translateX(-100%);
        transform: translateX(-100%);
        border-radius: .28571429rem 0 0 .28571429rem;
        padding-right: calc(1rem + 1.2em);
    }

    .ui[class*="right bottom ribbon"].label:after,
    .ui[class*="right bottom red ribbon"].label:after,
    .ui[class*="right bottom violet ribbon"].label:after,
    .ui[class*="right bottom purple ribbon"].label:after,
    .ui[class*="right bottom green ribbon"].label:after,
    .ui[class*="right bottom teal ribbon"].label:after,
    .ui[class*="right bottom black ribbon"].label:after {
        left: auto;
        right: 0;
        border-style: solid;
        border-width: 1.2em 1.2em 0 0;
        border-color: transparent;
        border-top-color: inherit;
    }

    /**
    * End of section
    */

    .app-primary-divider {
        color: <?= APP_PRIMARY_BRAND ?> !important;
        font-weight: bold;
    }

    .app-secondary-divider {
        color: <?= APP_SECONDARY_BRAND ?> !important;
        font-weight: bold;
    }

    .app-primary-message {
        background-color: <?= APP_THIRD_BRAND ?> !important;
        color: <?= APP_PRIMARY_BRAND ?> !important;
        -webkit-box-shadow: 0 0 0 1px <?= APP_PRIMARY_BRAND ?> inset, 0 0 0 0 transparent !important;
        box-shadow: 0 0 0 1px <?= APP_PRIMARY_BRAND ?> inset, 0 0 0 0 transparent !important;
        font-weight: bold !important;
    }

    .app-secondary-message {
        background-color: <?= APP_THIRD_BRAND ?> !important;
        color: <?= APP_SECONDARY_BRAND ?> !important;
        -webkit-box-shadow: 0 0 0 1px <?= APP_SECONDARY_BRAND ?> inset, 0 0 0 0 transparent !important;
        box-shadow: 0 0 0 1px <?= APP_SECONDARY_BRAND ?> inset, 0 0 0 0 transparent !important;
        font-weight: bold !important;
    }

    /**
    * This section customize full calendar js looking
    */
    td.fc-day:hover {
        cursor: pointer !important;
    }

    .fc-daygrid-day-number {
        color: <?= APP_PRIMARY_BRAND ?> !important;
    }

    th.fc-col-header-cell {
        background-color: <?= APP_PRIMARY_BRAND ?> !important;
    }

    th.fc-col-header-cell:hover {
        cursor: pointer !important;
    }

    a.fc-col-header-cell-cushion {
        color: <?= APP_THIRD_BRAND ?> !important;
    }

    h2.fc-toolbar-title {
        color: <?= APP_SECONDARY_BRAND ?> !important;
    }

    .fc-button[aria-pressed="false"]:hover {
        background-color: <?= APP_PRIMARY_BRAND ?> !important;
        color: <?= APP_THIRD_BRAND ?> !important;
        border-color: <?= APP_PRIMARY_BRAND ?> !important;
    }

    :root {
        --fc-button-active-bg-color: <?= APP_SECONDARY_BRAND ?> !important;
        --fc-button-active-border-color: <?= APP_SECONDARY_BRAND ?> !important;
        --fc-button-bg-color: <?= APP_PRIMARY_BRAND ?> !important;
        --fc-button-border-color: <?= APP_THIRD_BRAND ?> !important;
    }

    .fc-event-time,
    .fc-event-title {
        font-size: 10px !important;
        font-weight: bold !important;
    }

    .fc-header-toolbar {
        margin-bottom: 0 !important;
    }

    /**
    * End of section
    */

    mark {
        background-color: <?= APP_SECONDARY_BRAND ?>70 !important;
        padding: 0.5px;
        border-radius: 6px;
    }

    .consult-image-represensation {
        width: 130px !important;
        height: 130px !important;
    }

    .consult-image-represensation:hover {
        cursor: pointer !important;
    }

    /**
    *  Flipdown custom the extension
    */

    .flipdown.flipdown__theme-primary {
        font-family: sans-serif;
        font-weight: bold;
    }

    .flipdown.flipdown__theme-secondary {
        font-family: sans-serif;
        font-weight: bold;
    }

    /* Rotor group headings */
    .flipdown.flipdown__theme-primary .rotor-group-heading:before {
        color: <?= APP_PRIMARY_BRAND ?>;
    }

    .flipdown.flipdown__theme-secondary .rotor-group-heading:before {
        color: <?= APP_SECONDARY_BRAND ?>;
    }

    /* Delimeters */
    .flipdown.flipdown__theme-primary .rotor-group:nth-child(n+2):nth-child(-n+3):before,
    .flipdown.flipdown__theme-primary .rotor-group:nth-child(n+2):nth-child(-n+3):after {
        background-color: <?= APP_PRIMARY_BRAND ?>;
    }

    .flipdown.flipdown__theme-secondary .rotor-group:nth-child(n+2):nth-child(-n+3):before,
    .flipdown.flipdown__theme-secondary .rotor-group:nth-child(n+2):nth-child(-n+3):after {
        background-color: <?= APP_SECONDARY_BRAND ?>;
    }

    /* Rotor tops */
    .flipdown.flipdown__theme-primary .rotor,
    .flipdown.flipdown__theme-primary .rotor-top,
    .flipdown.flipdown__theme-primary .rotor-leaf-front {
        color: <?= APP_THIRD_BRAND ?>;
        background-color: <?= APP_PRIMARY_BRAND ?>;
    }

    .flipdown.flipdown__theme-secondary .rotor,
    .flipdown.flipdown__theme-secondary .rotor-top,
    .flipdown.flipdown__theme-secondary .rotor-leaf-front {
        color: <?= APP_THIRD_BRAND ?>;
        background-color: <?= APP_SECONDARY_BRAND ?>;
    }

    /* Rotor bottoms */
    .flipdown.flipdown__theme-primary .rotor-bottom,
    .flipdown.flipdown__theme-primary .rotor-leaf-rear {
        color: <?= APP_THIRD_BRAND ?>;
        background-color: <?= APP_PRIMARY_BRAND ?>;
    }

    .flipdown.flipdown__theme-secondary .rotor-bottom,
    .flipdown.flipdown__theme-secondary .rotor-leaf-rear {
        color: <?= APP_THIRD_BRAND ?>;
        background-color: <?= APP_SECONDARY_BRAND ?>;
    }

    /* Hinge */
    .flipdown.flipdown__theme-primary .rotor:after {
        border-top: solid 1px <?= APP_PRIMARY_BRAND ?>;
    }

    .flipdown.flipdown__theme-secondary .rotor:after {
        border-top: solid 1px <?= APP_SECONDARY_BRAND ?>;
    }

    /* Mini countdown options*/
    .flipdown.mini {
        width: 340px;
        height: 50px;
    }

    .flipdown.mini .rotor {
        font-size: 1.5rem;
        margin-right: 3px;
    }

    .flipdown.mini .rotor,
    .flipdown.mini .rotor-leaf,
    .flipdown.mini .rotor-leaf-front,
    .flipdown.mini .rotor-leaf-rear,
    .flipdown.mini .rotor-top,
    .flipdown.mini .rotor-bottom,
    .flipdown.mini .rotor:after {
        width: 30px;
    }

    .flipdown.mini .rotor-group {
        padding-right: 20px;
    }

    .flipdown.mini .rotor-group:last-child {
        padding-right: 0px;
    }

    .flipdown.mini .rotor-group-heading:before {
        font-size: 0.6rem;
        height: 15px;
        line-height: 20px;
    }

    .flipdown.mini .rotor-group:nth-child(n+2):nth-child(-n+3):before,
    .flipdown.mini .rotor-group:nth-child(n+2):nth-child(-n+3):after {
        left: 69px;
    }

    .flipdown.mini .rotor-group:nth-child(n+2):nth-child(-n+3):before {
        bottom: 9px;
        height: 4px;
        width: 4px;
    }

    .flipdown.mini .rotor-group:nth-child(n+2):nth-child(-n+3):after {
        bottom: 10px;
        height: 4px;
        width: 4px;
    }

    .flipdown.mini .rotor-leaf-front,
    .flipdown.mini .rotor-top {
        line-height: 30px;
    }

    .flipdown.mini .rotor-leaf,
    .flipdown.mini .rotor {
        height: 30px;
    }

    .flipdown.mini .rotor-leaf-front,
    .flipdown.mini .rotor-leaf-rear,
    .flipdown.mini .rotor-top,
    .flipdown.mini .rotor-bottom,
    .flipdown.mini .rotor:after {
        height: 25px;
    }

    /** 
    * End of Flipdown custom the extension
    */

    /**
    * App invoices table row background color shortcuts
    */

    .paid-invoice-backgroud-color {
        background-color: <?= COULEUR_FACTURE_REGLEE ?> !important;
        color: <?= APP_THIRD_BRAND ?> !important;
    }

    .in-payment-invoice-background-color {
        background-color: <?= COULEUR_FACTURE_EN_COURS_REGLEMENT ?> !important;
        color: "<?= APP_THIRD_BRAND ?>" !important;
    }

    .unpaid-invoice-background-color {
        background-color: <?= COULEUR_FACTURE_SANS_PAIEMENT ?> !important;
        color: "<?= APP_THIRD_BRAND ?>" !important;
    }

    /** 
    * End of app invoices shortcuts
    */

    /** 
    * Site type container style   
    */

    .site-type-container {
        z-index: 1003;
        position: fixed;
        bottom: 0;
        left: 0;
        height: 50px;
        min-width: 100px;
        padding: 7px;
        border-top-right-radius: 30px;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .site-type-container-label {
        font-style: normal;
        font-weight: bolder;
        font-size: 25px;
        text-align: center;
        text-shadow: <?= APP_SECONDARY_BRAND ?> 3px 0 10px;
        font-family: 'Brush Script MT', cursive;
        transform: rotate(10deg);
    }

    /**
    * End of site type container style
    */

    /**
    * Customize Semantic UI messages
    */

    .ui.attached.message.app-primary-message, .ui.message.app-primary-message {
        webkit-box-shadow: 0 0 0 1px <?= APP_PRIMARY_BRAND ?> inset, 0 0 0 0 transparent;
        box-shadow: 0 0 0 1px <?= APP_PRIMARY_BRAND ?> inset, 0 0 0 0 transparent;
        color: <?= APP_SECONDARY_BRAND ?>;
        background: <?= APP_PRIMARY_BRAND ?>20 !important;
    }



    .ui.attached.message.app-secondary-message, .ui.message.app-secondary-message {
        webkit-box-shadow: 0 0 0 1px <?= APP_SECONDARY_BRAND ?> inset, 0 0 0 0 transparent;
        box-shadow: 0 0 0 1px <?= APP_SECONDARY_BRAND ?> inset, 0 0 0 0 transparent;
        color: <?= APP_PRIMARY_BRAND ?>;
        background-color: <?= APP_SECONDARY_BRAND ?>20 !important;
    }

    /**
    * End of customize Semantic UI message
    */
</style>