<div id="changePasswordModal" class="ui mini modal">
    <i class="close icon"></i>
    <div class="header"><?= $this->translator->_("shared.changeYourPassword"); ?></div>
    <div class="content">
        <form id="changePasswordForm" class="ui form">
            <div class="ui field">
                <div class="ui left icon input">
                    <div class="ui icon input">
                        <input id="currentPasswordInput" class="app-input-with-two-icon" type="password" placeholder="<?= $this->translator->_("shared.currentPassword"); ?>">
                        <i id="showCurrentPasswordButton" class="eye slash link icon"></i>
                    </div>
                    <i class="lock icon"></i>
                </div>
            </div>
            <div class="ui field">
                <div class="ui left icon input">
                    <div class="ui icon input">
                        <input id="newPasswordInput" class="app-input-with-two-icon" type="password" placeholder="<?= $this->translator->_("shared.newPassword"); ?>">
                        <i id="showNewPasswordButton" class="eye slash link icon"></i>
                    </div>
                    <i class="lock icon"></i>
                </div>
            </div>
            <div class="ui field">
                <div class="ui left icon input">
                    <div class="ui icon input">
                        <input id="confirmNewPasswordInput" class="app-input-with-two-icon" type="password" placeholder="<?= $this->translator->_("shared.confirmPassword"); ?>">
                        <i id="showConfirmNewPasswordButton" class="eye slash link icon"></i>
                    </div>
                    <i class="lock icon"></i>
                </div>
            </div>
            <div class="ui field">
                <button id="changePasswordButton" class="fluid ui button app-primary-button">
                    <?= $this->translator->_("shared.changePassword"); ?>
                </button>
            </div>
        </form>
    </div>
</div>
<div id="changePasswordDueToLoginModal" class="ui mini modal">
    <div class="header"><?= $this->translator->_("shared.changeYourPassword"); ?></div>
    <div class="content">
        <form id="changePasswordDueToLoginForm" class="ui form">
            <div class="ui visible message">
                <p><?= $this->translator->_("shared.passwordWarning"); ?></p>
            </div>
            <div class="ui field">
                <div class="ui left icon input">
                    <div class="ui icon input">
                        <input value="<?= $_SESSION[SESSION_USER_LOGIN] ?>" id="currentPasswordDueToLoginInput" class="app-input-with-two-icon" type="password" placeholder="<?= $this->translator->_("shared.currentPassword"); ?>">
                        <i id="showCurrentPasswordDueToLoginButton" class="eye slash link icon"></i>
                    </div>
                    <i class="lock icon"></i>
                </div>
            </div>
            <div class="ui field">
                <div class="ui left icon input">
                    <div class="ui icon input">
                        <input id="newPasswordDueToLoginInput" class="app-input-with-two-icon" type="password" placeholder="<?= $this->translator->_("shared.newPassword"); ?>">
                        <i id="showNewPasswordDueToLoginButton" class="eye slash link icon"></i>
                    </div>
                    <i class="lock icon"></i>
                </div>
            </div>
            <div class="ui field">
                <div class="ui left icon input">
                    <div class="ui icon input">
                        <input id="confirmNewPasswordDueToLoginInput" class="app-input-with-two-icon" type="password" placeholder="<?= $this->translator->_("shared.confirmPassword"); ?>">
                        <i id="showConfirmNewPasswordDueToLoginButton" class="eye slash link icon"></i>
                    </div>
                    <i class="lock icon"></i>
                </div>
            </div>
            <div class="ui field">
                <button id="changePasswordDueToLoginButton" class="fluid ui button app-primary-button">
                    <?= $this->translator->_("shared.changePassword"); ?>
                </button>
            </div>
        </form>
    </div>
</div>
<div id="signInAgainModal" class="ui mini modal">
    <i class="close icon"></i>
    <div class="header"><?= $this->translator->_("shared.sessionExpired"); ?></div>
    <div class="content">
        <div class="ui warning attached message">
            <p><?= $this->translator->_("shared.sessionExpiredDescription"); ?></p>
        </div>
        <form id="signInAgainForm" class="ui form attached fluid segment">
            <div class="ui field">
                <div class="ui left icon input">
                    <input id="signInAgainLoginInput" type="text" placeholder="<?= $this->translator->_("shared.login"); ?>">
                    <i class="user icon"></i>
                </div>
            </div>
            <div class="ui field">
                <div class="ui left icon input">
                    <div class="ui icon input">
                        <input id="signInAgainPasswordInput" class="app-input-with-two-icon" type="password" placeholder="<?= $this->translator->_("shared.password"); ?>">
                        <i id="showSignInAgainPasswordButton" class="eye slash link icon"></i>
                    </div>
                    <i class="lock icon"></i>
                </div>
            </div>
            <div class="ui field">
                <button id="signInAgainButton" class="fluid ui button app-primary-button">
                    <?= $this->translator->_("shared.signIn"); ?>
                </button>
            </div>
        </form>
    </div>
</div>
<div id="illegalAccessModal" class="ui mini modal">
    <i class="close icon"></i>
    <div class="header"><?= $this->translator->_("cheat.index.unauthorizedAccess"); ?></div>
    <div class="content">
        <div class="ui container grid">
            <div class="row">
                <div class="sixteen wide column">
                    <div class="ui error icon message page-info-container">
                        <i class="eye slash icon"></i>
                        <div class="content">
                            <ui class="list">
                                <li><?= $this->translator->_("cheat.index.detectionMessage"); ?></li>
                                <div class="app-horizontal-mini-spacer"></div>
                                <li><?= $this->translator->_("cheat.index.adminNotificationMessage"); ?></li>
                            </ui>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div id="enableTwoFactorModal" class="ui tiny modal">
    <i class="close icon"></i>
    <div class="header"><?= $this->translator->_("shared.activationOfDoubleAuthentication"); ?></div>
    <div class="content">
        <div class="ui basic segment">
            <div class="ui message app-primary-message">
                <p><?= $this->translator->_("shared.activationOfDoubleAuthenticationDescription"); ?></p>
            </div>
            <div class="ui attached message app-secondary-message">
                <p><?= $this->translator->_("shared.pleaseEnterTheCodeYouReceivedByEmailToContinue"); ?></p>
            </div>
            <form class="ui form attached fluid segment">
                <div class="ui field">
                    <label><?= $this->translator->_("shared.codeReceived"); ?> *</label>
                    <input type="text" id="enableTwoFactorOtpCodeInput" class="utility-number-input" placeholder="<?= $this->translator->_("shared.codeReceived"); ?>" />
                </div>
                <div class="ui field">
                    <button id="verifyEnableTwoFactorOtpCodeButton" class="ui fluid button app-primary-button"><?= $this->translator->_("shared.checkTheCode"); ?></button>
                </div>
            </form>
            <div class="ui active inverted dimmer" id="enableTwoFactorDimmer" style="display: none;">
                <div class="ui text loader"><?= $this->translator->_("shared.sendingTheVerificationCode"); ?></div>
            </div>
        </div>
    </div>
</div>
<div id="disableTwoFactorModal" class="ui tiny modal">
    <i class="close icon"></i>
    <div class="header"><?= $this->translator->_("shared.deactivationOfDoubleAuthentication"); ?></div>
    <div class="content">
        <div class="ui basic segment">
            <div class="ui message app-primary-message">
                <p><?= $this->translator->_("shared.deactivationOfDoubleAuthenticationDescription"); ?></p>
            </div>
            <div class="ui attached message app-secondary-message">
                <p><?= $this->translator->_("shared.pleaseEnterTheCodeYouReceivedByEmailToContinue"); ?></p>
            </div>
            <form class="ui form attached fluid segment">
                <div class="ui field">
                    <label><?= $this->translator->_("shared.codeReceived"); ?> *</label>
                    <input type="text" id="disableTwoFactorOtpCodeInput" class="utility-number-input" placeholder="<?= $this->translator->_("shared.codeReceived"); ?>" />
                </div>
                <div class="ui field">
                    <button id="verifyDisableTwoFactorOtpCodeButton" class="ui fluid button app-primary-button"><?= $this->translator->_("shared.checkTheCode"); ?></button>
                </div>
            </form>
            <div class="ui active inverted dimmer" id="disableTwoFactorDimmer" style="display: none;">
                <div class="ui text loader"><?= $this->translator->_("shared.sendingTheVerificationCode"); ?></div>
            </div>
        </div>
    </div>
</div>
<div class="app-content-bloc-top-section-user-part">
    <img id="loggedUserTopAvatarImage" src="<?= $_SESSION[SESSION_USER_PROFILE_IMAGE] != null ? $this->baseUrl("images/users/" . $_SESSION[SESSION_USER_PROFILE_IMAGE]) : $this->baseUrl("images/defaults/profile_placeholder.png"); ?>" class="ui mini circular image app-content-bloc-top-section-user-part-user-image" alt="User profile image" />
    <div class="ui custom popup" id="loggedUserInfoPopup" style="text-align: center;">
        <div class="ui centered small fluid image">
            <img id="loggerUserProfileImageZoom" style="border: solid 10px <?= APP_PRIMARY_BRAND ?>;" class="ui centered circular small image app-content-bloc-top-section-user-part-user-image-zoom" src="<?= $_SESSION[SESSION_USER_PROFILE_IMAGE] != null ? $this->baseUrl("images/users/" . $_SESSION[SESSION_USER_PROFILE_IMAGE]) : $this->baseUrl("images/defaults/profile_placeholder.png"); ?>" alt="User profile image">
            <form id="loggedUserProfileImageForm" class="hidden">
                <input type="file" name="loggedUserProfileImageInput" id="loggedUserProfileImageInput" accept="image/png, image/jpeg" class="hidden" />
            </form>
            <a id="loggedUserProfileImageEditIcon" class="ui top right corner label app-secondary-corner">
                <i class="edit icon"></i>
            </a>
        </div>
        <strong class="app-content-bloc-top-section-user-part-user-name"><?= $_SESSION[SESSION_USER_LAST_NAME] . " " . $_SESSION[SESSION_USER_FIRST_NAME]; ?></strong>
        <strong class="app-content-bloc-top-section-user-part-user-profile-name">(<?= $_SESSION[SESSION_USER_PROFILE_NAME] ?>)</strong>
        <div class="app-content-bloc-top-section-user-part-full-divider"></div>
        <form class="ui form fluid">
            <div class="ui field">
                <div class="ui toggle checkbox" id="twoFactorCheckbox">
                    <input id="twoFactorInput" type="checkbox">
                    <label class="app-content-bloc-top-section-user-part-two-factor-label"><?= $this->translator->_("shared.doubleAuthentication"); ?></label>
                </div>
            </div>
        </form>
    </div>
    <a id="changePassword" class="app-content-bloc-top-section-user-part-password-icon" title="<?= $this->translator->_("shared.changeYourPassword"); ?>">
        <i class="fa fa-lock fa-fw"></i>
    </a>
    <?php
    if (in_array($_SESSION[SESSION_USER_PROFILE_CODE], IDENTIFIED_PROFILES_CODES)) {
    ?>
        <a href="<?= $this->url(array('controller' => 'Subscription', 'action' => 'index'), null, true); ?>" class="app-content-bloc-top-section-user-part-subscription-icon" title="<?= $this->translator->_("shared.subscriptionDetails"); ?>">
            <i class="stopwatch icon"></i>
        </a>
    <?php
    }
    ?>
    <a id="refreshPage" title="<?= $this->translator->_("shared.refresh"); ?>" class="app-content-bloc-top-section-user-part-refresh-icon">
        <i class="redo icon"></i>
    </a>
    <a id="goToFullscreen" title="<?= $this->translator->_("shared.fullScreen"); ?>" class="app-content-bloc-top-section-user-part-fullscreen-icon">
        <i class="expand icon"></i>
    </a>
    <a class="app-content-bloc-top-section-user-part-sign-out-icon" title="<?= $this->translator->_("shared.signOut"); ?>" href="<?= $this->url(array('controller' => 'Index', 'action' => 'signout'), null, true); ?>">
        <i class="fa fa-sign-out fa-fw"></i>
    </a>
    <div id="languageSelect" class="ui compact selection dropdown">
        <i class="dropdown icon"></i>
        <div class="default text"></div>
        <div class="menu">
            <div class="item" data-value="<?= FRENCH_LOCALE_CODE ?>"><i class="fr flag"></i><?php echo $this->translator->_("shared.french"); ?></div>
            <div class="item" data-value="<?= ENGLISH_LOCALE_CODE ?>"><i class="gb flag"></i><?php echo $this->translator->_("shared.english"); ?></div>
        </div>
    </div>
</div>