<?php

/**
 * Model's function of CategorieBonAchatClient Entity 
 */

/**
 * Description of CategorieBonAchatClientDAO
 *
 * @author Paul BOUMKWO
 */
include  APPLICATION_PATH. '/Models/CategorieBonAchatClient.php';
class CategorieBonAchatClientDAO {
    
    public $_em;
    
    function CategorieBonAchatClientDAO(){
        $registry = Zend_Registry::getInstance();
        $this->_em = $registry->entitymanager;
    }
    
    /**
     * 
     * @param \Application\Models\CategorieBonAchatClient $categorieBonAchatClient
     */
    public function enregistrer($categorieBonAchatClient){
        
        $this->_em->persist($categorieBonAchatClient);
        $this->_em->flush();
    }
    
    /**
     * 
     * @param \Application\Models\CategorieBonAchatClient $categorieBonAchatClient
     */
    public function editer($categorieBonAchatClient){
        $this->_em->merge($categorieBonAchatClient);
        $this->_em->flush();
    }
    
    /**
     * 
     * @param \Application\Models\BonAchatClient $bonAchatClient
     * @return \Application\Models\CategorieBonAchatClient
     */
    public function getCategorieBonAChatClientBonAchatClient($bonAchatClient){
        $lesCategories = $this->_em->getRepository("\Application\Models\CategorieBonAchatClient")->findBy(array("idBonAchatClient" => $bonAchatClient , "statut" => 1));
        return $lesCategories;
    }
    
     public function supprimer($categorieBonAchatClient){
        
        $this->_em->remove($categorieBonAchatClient);
        $this->_em->flush();
    }
    
}