<?php

include APPLICATION_PATH . '/Models/Emplacement.php';

class CustomerLocationDAO {
    //put your code here
    public $entityManager;

    private $modelName = "\Application\Models\Emplacement";
    
    function __construct()
    {
        $registry = Zend_Registry::getInstance();
        $this->entityManager = $registry->entitymanager;
    }

    public function create()
    {
        return new \Application\Models\Emplacement();
    }
    
    public function save($user)
    {
        $this->entityManager->persist($user);
        $this->entityManager->flush();
    }

    public function update($user)
    {
        $this->entityManager->merge($user);
        $this->entityManager->flush();
    }
    
    public function getLocationById($id){
        $place = $this->entityManager->getRepository($this->modelName)->find($id);
        return $place;
    }
    
    
    public function getLocationByPointOfSale($pointOfSale) {
        $list = $this->entityManager->getRepository($this->modelName)
                ->findBy(array("statut" => 1, "idPointVente" => $pointOfSale));
        return $list;
    }
   
}
