<?php

include APPLICATION_PATH . '/Models/Genre.php';

class GenderDAO
{
    public $entityManager;
    private $modelName = "\Application\Models\Genre";

    function GenderDAO()
    {
        $registry = Zend_Registry::getInstance();
        $this->entityManager = $registry->entitymanager;
    }

    /**
     *
     * @param Application\Models\Genre $gender
     */
    public function save($gender)
    {
        $this->entityManager->persist($gender);
        $this->entityManager->flush();
    }

    /**
     *
     * @param Application\Models\Genre $gender
     */
    public function update($gender)
    {
        $this->entityManager->merge($gender);
        $this->entityManager->flush();
    }

    public function getGenderById($id)
    {
        return $this->entityManager->getRepository($this->modelName)->find($id);
    }

    public function getGenders()
    {
        return $this->entityManager->getRepository($this->modelName)->findBy(array("statut" => 1));
    }
}
