<?php

/*
 * Model's functions of RendezVous Entity
 */

/**
 * @author Nicolas
 */

include APPLICATION_PATH . '/Models/LigneReservationStock.php';

class LigneReservationStock {
    //put your code here
    
    public $_em;
    
    function LigneReservationStock(){
        $registry = Zend_Registry::getInstance();
        $this->_em = $registry->entitymanager;
    }
    
    /**
     * 
     * @param Application\Models\LigneReservationStock $activiteRendezVous
     */
    public function enregistrer($ligneReservationStock){
        $this->_em->persist($ligneReservationStock);
        $this->_em->flush();
        
    }
    
    /**
     * 
     * @param Application\Models\LigneReservationStock $ligneReservationStock
     */
    public function editer($ligneReservationStock){
        $this->_em->merge($ligneReservationStock);
        $this->_em->flush();
    }
    
    /**
     * 
     * @param integer $id
     * @return Application\Models\LigneReservationStock
     */
    public function getLigneReservationStock($id){
        $ligneReservationStock = $this->_em->getRepository('\Application\Models\LigneReservationStock')->find($id);
        return $ligneReservationStock;
    }
    
   
    public function listerAllActivities(){
        $listeActivites = $this->_em->getRepository("\Application\Models\ReservationStock")->createQueryBuilder("a")
                                 ->where("a.statut = 1")
                                 ->getQuery()
                                 ->getResult();
        return $listeActivites;
    }
    
    
    
}
