<?php

include APPLICATION_PATH . '/Models/MessageLog.php';

class MessageLogDAO
{
    public $entityManager;
    private $modelName = "\Application\Models\MessageLog";

    function __construct()
    {
        $registry = Zend_Registry::getInstance();
        $this->entityManager = $registry->entitymanager;
    }

    /**
     * 
     * @return \Application\Models\MessageLog
     */
    public function create()
    {
        return new \Application\Models\MessageLog();
    }

    /**
     * 
     * @param \Application\Models\MessageLog $messageLog
     */
    public function save($messageLog)
    {
        $this->entityManager->persist($messageLog);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param \Application\Models\MessageLog $messageLog
     */
    public function update($messageLog)
    {
        $this->entityManager->merge($messageLog);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param int $id
     * @return \Application\Models\MessageLog
     */
    public function getMessageLogById($id)
    {
        return $this->entityManager->getRepository($this->modelName)->findOneBy(array('idMessageLog' => $id, 'statut' => 1));
    }
}
