<?php

/*
 * Model's functions of Menu Entity
 */

/**
 * @author Lionnel WENDEU
 */
include APPLICATION_PATH . '/Models/Raccourci.php';

class RaccourciDAO {
    //put your code here
    
    function RaccourciDAO(){
        $registry = Zend_Registry::getInstance();
        $this->_em = $registry->entitymanager;
    }
    
    public function enregistrer($objet){
          // var_dump($profil);exit;
        $this->_em->persist($objet);
       //$this->_em->flush();
        $this->_em->flush();
            //var_dump($objmodif);exit;
        
    }
    
    public function editer($unRaccourci){
        $this->_em->merge($unRaccourci);
        $this->_em->flush();
    }
    
    public function obtenirRaccourci($id){
        $menu = $this->_em->getRepository('\Application\Models\Raccourci') ->find($id);
        return $menu;
    }
    
    public function listerTout(){
        $liste = $this->_em->getRepository('\Application\Models\Raccourci')
                ->findAll();
           return $liste;
    }
    
    public function listerRaccourciActif(){
        $liste = $this->_em->getRepository('\Application\Models\Raccourci')
                ->findBy(array('statut' => 1 ));
           return $liste;
    }
    
    public function listerRaccourcisParMenu($unMenu){ //lister tous les raccourcis du menu en paramètre
        $liste = $this->_em->getRepository('\Application\Models\Raccourci')
                ->findBy(array('statut' => 1 , 'idMenu' => $unMenu ));        //var_dump($liste); 
           return $liste;
    }
  
//      public function listerSousMenus($unRaccourci){ //lister tous les sous-menus du menu en paramètre
//        $liste = $this->_em->getRepository('\Application\Models\Menu')
//                ->findBy(array('idParent' => $unRaccourci->getIdMenu()) , array('ordreApparition' => 'ASC'));
//           return $liste;
//    }
//    
//    
//      public function droitMenu($idProfil, $idMenu){ //dit si le profil a droit au menu
//        $ligne = $this->_em->getRepository('\Application\Models\LigneProfil')
//                ->findBy(array('idMenu' => $idMenu,'idProfil' => $idProfil));
//        if($ligne) return true;   
//        else return false;
//    }
}
