<?php

/*
 * Model's functions of RendezVous Entity
 */

/**
 * @author Nicolas
 */

include APPLICATION_PATH . '/Models/ReservationStock.php';

class ReservationStockDAO {
    //put your code here
    
    public $_em;
    
    function ReservationStockDAO(){
        $registry = Zend_Registry::getInstance();
        $this->_em = $registry->entitymanager;
    }
    
    /**
     * 
     * @param Application\Models\ReservationStock $activiteRendezVous
     */
    public function enregistrer($reservationStock){
        $this->_em->persist($reservationStock);
        $this->_em->flush();
        
    }
    
    /**
     * 
     * @param Application\Models\ActiviteRendezVous $activiteRendezVous
     */
    public function editer($reservationStock){
        $this->_em->merge($reservationStock);
        $this->_em->flush();
    }
    
    /**
     * 
     * @param integer $id
     * @return Application\Models\ReservationStock
     */
    public function getReservationStock($id){
        $activiteRendezVous = $this->_em->getRepository('\Application\Models\ReservationStock')->find($id);
        return $activiteRendezVous;
    }
    
   
    public function listerAllActivities(){
        $listeActivites = $this->_em->getRepository("\Application\Models\ReservationStock")->createQueryBuilder("a")
                                 ->where("a.statut = 1")
                                 ->getQuery()
                                 ->getResult();
        return $listeActivites;
    }
    
    
    
}
