<?php

/*
 * Model's functions of UtilisateurRaccourci Entity
 */

/**
 * @author Paul BOUMKWO
 */

include APPLICATION_PATH . '/Models/Utilisateurraccourci.php';

class UtilisateurRaccourciDAO {
    //put your code here
    
    public $_em;
    
    function UtilisateurRaccourciDAO(){
        $registry = Zend_Registry::getInstance();
        $this->_em = $registry->entitymanager;
    }
    
    /**
     * 
     * @param Application\Models\Utilisateurraccourci $utilisateurRaccourci
     */
    public function enregistrer($utilisateurRaccourci){
        $this->_em->persist($utilisateurRaccourci);
        $this->_em->flush();
        
    }
    
    /**
     * 
     * @param Application\Models\Utilisateurraccourci $utilisateurRaccourci
     */
    public function editer($utilisateurRaccourci){
        $this->_em->merge($utilisateurRaccourci);
        $this->_em->flush();
    }
    
    /**
     * 
     * @param integer $id
     * @return Application\Models\Utilisateurraccourci
     */
    public function getUtilisateurRaccourci($id){
        $raccourci = $this->_em->getRepository('\Application\Models\Utilisateurraccourci')->find($id);
        return $raccourci;
    }
    
    
    public function listerRaccourciParUtilisateur($user){
        $liste = $this->_em->getRepository('\Application\Models\Utilisateurraccourci')
                ->findBy(array('idUtilisateur' => $user , 'statut' => 1));
          return $liste;
    }
    
}
