<?php

include  APPLICATION_PATH. '/Models/BonAchat.php';

class VoucherDAO 
{
    
    public $entityManager;
    private $modelName = "\Application\Models\BonAchat";
    
    function __construct()
    {
        $registry = Zend_Registry::getInstance();
        $this->entityManager = $registry->entitymanager;
    }
    
    public function create()
    {
        return new \Application\Models\BonAchat();
    }

    /**
     * 
     * @param \Application\Models\BonAchat $voucher
     */
    public function save($voucher)
    {
        $this->entityManager->persist($voucher);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param \Application\Models\BonAchat $voucher
     */
    public function update($voucher)
    {
        $this->entityManager->merge($voucher);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param int $id
     * @return \Application\Models\BonAchat
     */
    public function getVoucherById($id)
    {
        return $this->entityManager->getRepository($this->modelName)->findOneBy(array("idBonAchat" => $id));
    }
}