<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * ActiviteRendezVous
 *
 * @ORM\Table(name="activite_rendez_vous")
 * @ORM\Entity
 */
class ActiviteRendezVous
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id_activite", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idActivite;

    /**
     * @var string
     *
     * @ORM\Column(name="titre", type="text", nullable=false)
     */
    private $titre;

    /**
     * @var string
     *
     * @ORM\Column(name="description", type="text", nullable=true)
     */
    private $description;

    /**
     * @var string
     *
     * @ORM\Column(name="background", type="string", length=255, nullable=true)
     */
    private $background;

    /**
     * @var integer
     *
     * @ORM\Column(name="statut", type="smallint", nullable=false)
     */
    private $statut;



    /**
     * Get idActivite
     *
     * @return integer 
     */
    public function getIdActivite()
    {
        return $this->idActivite;
    }

    /**
     * Set titre
     *
     * @param string $titre
     * @return ActiviteRendezVous
     */
    public function setTitre($titre)
    {
        $this->titre = $titre;
    
        return $this;
    }

    /**
     * Get titre
     *
     * @return string 
     */
    public function getTitre()
    {
        return $this->titre;
    }

    /**
     * Set description
     *
     * @param string $description
     * @return ActiviteRendezVous
     */
    public function setDescription($description)
    {
        $this->description = $description;
    
        return $this;
    }

    /**
     * Get description
     *
     * @return string 
     */
    public function getDescription()
    {
        return $this->description;
    }

    /**
     * Set background
     *
     * @param string $background
     * @return ActiviteRendezVous
     */
    public function setBackground($background)
    {
        $this->background = $background;
    
        return $this;
    }

    /**
     * Get background
     *
     * @return string 
     */
    public function getBackground()
    {
        return $this->background;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return ActiviteRendezVous
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }
}