<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * IntervalleBonAchat
 *
 * @ORM\Table(name="intervalle_bon_achat")
 * @ORM\Entity
 */
class IntervalleBonAchat
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ID_INTERVALLE_BON_ACHAT", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idIntervalleBonAchat;

    /**
     * @var float
     *
     * @ORM\Column(name="POINT_MINIMUM", type="float", nullable=false)
     */
    private $pointMinimum;

    /**
     * @var float
     *
     * @ORM\Column(name="POINT_MAXIMUM", type="float", nullable=false)
     */
    private $pointMaximum;

    /**
     * @var float
     *
     * @ORM\Column(name="MONTANT_BON_ACHAT", type="float", nullable=false)
     */
    private $montantBonAchat;

    /**
     * @var integer
     *
     * @ORM\Column(name="STATUT", type="smallint", nullable=false)
     */
    private $statut;



    /**
     * Get idIntervalleBonAchat
     *
     * @return integer 
     */
    public function getIdIntervalleBonAchat()
    {
        return $this->idIntervalleBonAchat;
    }

    /**
     * Set pointMinimum
     *
     * @param float $pointMinimum
     * @return IntervalleBonAchat
     */
    public function setPointMinimum($pointMinimum)
    {
        $this->pointMinimum = $pointMinimum;
    
        return $this;
    }

    /**
     * Get pointMinimum
     *
     * @return float 
     */
    public function getPointMinimum()
    {
        return $this->pointMinimum;
    }

    /**
     * Set pointMaximum
     *
     * @param float $pointMaximum
     * @return IntervalleBonAchat
     */
    public function setPointMaximum($pointMaximum)
    {
        $this->pointMaximum = $pointMaximum;
    
        return $this;
    }

    /**
     * Get pointMaximum
     *
     * @return float 
     */
    public function getPointMaximum()
    {
        return $this->pointMaximum;
    }

    /**
     * Set montantBonAchat
     *
     * @param float $montantBonAchat
     * @return IntervalleBonAchat
     */
    public function setMontantBonAchat($montantBonAchat)
    {
        $this->montantBonAchat = $montantBonAchat;
    
        return $this;
    }

    /**
     * Get montantBonAchat
     *
     * @return float 
     */
    public function getMontantBonAchat()
    {
        return $this->montantBonAchat;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return IntervalleBonAchat
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }
}