<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * IntervallePoint
 *
 * @ORM\Table(name="intervalle_point")
 * @ORM\Entity
 */
class IntervallePoint
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ID_INTERVALLE_POINT", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idIntervallePoint;

    /**
     * @var float
     *
     * @ORM\Column(name="SOMME_MINIMALE", type="float", nullable=false)
     */
    private $sommeMinimale;

    /**
     * @var float
     *
     * @ORM\Column(name="SOMME_MAXIMALE", type="float", nullable=false)
     */
    private $sommeMaximale;

    /**
     * @var float
     *
     * @ORM\Column(name="NOMBRE_POINT", type="float", nullable=false)
     */
    private $nombrePoint;

    /**
     * @var integer
     *
     * @ORM\Column(name="STATUT", type="smallint", nullable=false)
     */
    private $statut;



    /**
     * Get idIntervallePoint
     *
     * @return integer 
     */
    public function getIdIntervallePoint()
    {
        return $this->idIntervallePoint;
    }

    /**
     * Set sommeMinimale
     *
     * @param float $sommeMinimale
     * @return IntervallePoint
     */
    public function setSommeMinimale($sommeMinimale)
    {
        $this->sommeMinimale = $sommeMinimale;
    
        return $this;
    }

    /**
     * Get sommeMinimale
     *
     * @return float 
     */
    public function getSommeMinimale()
    {
        return $this->sommeMinimale;
    }

    /**
     * Set sommeMaximale
     *
     * @param float $sommeMaximale
     * @return IntervallePoint
     */
    public function setSommeMaximale($sommeMaximale)
    {
        $this->sommeMaximale = $sommeMaximale;
    
        return $this;
    }

    /**
     * Get sommeMaximale
     *
     * @return float 
     */
    public function getSommeMaximale()
    {
        return $this->sommeMaximale;
    }

    /**
     * Set nombrePoint
     *
     * @param float $nombrePoint
     * @return IntervallePoint
     */
    public function setNombrePoint($nombrePoint)
    {
        $this->nombrePoint = $nombrePoint;
    
        return $this;
    }

    /**
     * Get nombrePoint
     *
     * @return float 
     */
    public function getNombrePoint()
    {
        return $this->nombrePoint;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return IntervallePoint
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }
}