<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * Mois
 *
 * @ORM\Table(name="mois")
 * @ORM\Entity
 */
class Mois
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id_mois", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idMois;

    /**
     * @var integer
     *
     * @ORM\Column(name="annee", type="integer", nullable=false)
     */
    private $annee;

    /**
     * @var integer
     *
     * @ORM\Column(name="numero_mois", type="integer", nullable=false)
     */
    private $numeroMois;

    /**
     * @var integer
     *
     * @ORM\Column(name="statut", type="smallint", nullable=false)
     */
    private $statut;



    /**
     * Get idMois
     *
     * @return integer 
     */
    public function getIdMois()
    {
        return $this->idMois;
    }

    /**
     * Set annee
     *
     * @param integer $annee
     * @return Mois
     */
    public function setAnnee($annee)
    {
        $this->annee = $annee;
    
        return $this;
    }

    /**
     * Get annee
     *
     * @return integer 
     */
    public function getAnnee()
    {
        return $this->annee;
    }

    /**
     * Set numeroMois
     *
     * @param integer $numeroMois
     * @return Mois
     */
    public function setNumeroMois($numeroMois)
    {
        $this->numeroMois = $numeroMois;
    
        return $this;
    }

    /**
     * Get numeroMois
     *
     * @return integer 
     */
    public function getNumeroMois()
    {
        return $this->numeroMois;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return Mois
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }
}