<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * NatureProduit
 *
 * @ORM\Table(name="nature_produit")
 * @ORM\Entity
 */
class NatureProduit
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id_nature", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idNature;

    /**
     * @var string
     *
     * @ORM\Column(name="nom_nature", type="string", length=255, nullable=false)
     */
    private $nomNature;

    /**
     * @var integer
     *
     * @ORM\Column(name="statut", type="smallint", nullable=false)
     */
    private $statut;



    /**
     * Get idNature
     *
     * @return integer 
     */
    public function getIdNature()
    {
        return $this->idNature;
    }

    /**
     * Set nomNature
     *
     * @param string $nomNature
     * @return NatureProduit
     */
    public function setNomNature($nomNature)
    {
        $this->nomNature = $nomNature;
    
        return $this;
    }

    /**
     * Get nomNature
     *
     * @return string 
     */
    public function getNomNature()
    {
        return $this->nomNature;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return NatureProduit
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }
}