<?php
//Load constants from database in parameter table
include APPLICATION_PATH . '/DAO/ParameterDAO.php';
$parameterDAO = new ParameterDAO();
$parametersList = $parameterDAO->listParameters();
foreach ($parametersList as $parameter) {
    defined($parameter->getNom()) || define($parameter->getNom(), $parameter->getValeur());
}

//Here are default app theming values
defined("DEFAULT_APP_PRIMARY_BRAND") || define("DEFAULT_APP_PRIMARY_BRAND", "#253168");
defined("DEFAULT_APP_SECONDARY_BRAND") || define("DEFAULT_APP_SECONDARY_BRAND", "#f94f4f");
defined("DEFAULT_APP_THIRD_BRAND") || define("DEFAULT_APP_THIRD_BRAND", "#ffffff");

//Define constants for app theming
if (DB_APP_PRIMARY_BRAND == null || DB_APP_PRIMARY_BRAND == "") {
    defined("APP_PRIMARY_BRAND") || define("APP_PRIMARY_BRAND", DEFAULT_APP_PRIMARY_BRAND);
} else {
    defined("APP_PRIMARY_BRAND") || define("APP_PRIMARY_BRAND", DB_APP_PRIMARY_BRAND);
}
if (DB_APP_SECONDARY_BRAND == null || DB_APP_SECONDARY_BRAND == "") {
    defined("APP_SECONDARY_BRAND") || define("APP_SECONDARY_BRAND", DEFAULT_APP_SECONDARY_BRAND);
} else {
    defined("APP_SECONDARY_BRAND") || define("APP_SECONDARY_BRAND", DB_APP_SECONDARY_BRAND);
}
if (DB_APP_THIRD_BRAND == null || DB_APP_THIRD_BRAND == "") {
    defined("APP_THIRD_BRAND") || define("APP_THIRD_BRAND", DEFAULT_APP_THIRD_BRAND);
} else {
    defined("APP_THIRD_BRAND") || define("APP_THIRD_BRAND", DB_APP_THIRD_BRAND);
}

//Define constants for languages locales code
defined("FRENCH_LOCALE_CODE") || define("FRENCH_LOCALE_CODE", "fr");
defined("FRENCH_MOMENT_LOCALE_CODE") || define("FRENCH_MOMENT_LOCALE_CODE", "fr_FR");
defined("ENGLISH_LOCALE_CODE") || define("ENGLISH_LOCALE_CODE", "en");
defined("ENGLISH_MOMENT_LOCALE_CODE") || define("ENGLISH_MOMENT_LOCALE_CODE", "en_GB");
defined("SESSION_LANGUAGE") || define("SESSION_LANGUAGE", "SESSION_LANGUAGE");
//In case where DEFAULT_LANGUAGE is not set in the database
defined("DEFAULT_LANGUAGE") || define("DEFAULT_LANGUAGE", FRENCH_LOCALE_CODE);

//Define constants related to user in session array
defined("SESSION_USER_ID") || define("SESSION_USER_ID", "SESSION_USER_ID");
defined("SESSION_USER_FIRST_NAME") || define("SESSION_USER_FIRST_NAME", "SESSION_USER_FIRST_NAME");
defined("SESSION_USER_LAST_NAME") || define("SESSION_USER_LAST_NAME", "SESSION_USER_LAST_NAME");
defined("SESSION_USER_PROFILE_NAME") || define("SESSION_USER_PROFILE_NAME", "SESSION_USER_PROFILE_NAME");
defined("SESSION_USER_LOGIN") || define("SESSION_USER_LOGIN", "SESSION_USER_LOGIN");
defined("SESSION_USER_POINT_OF_SALE") || define("SESSION_USER_POINT_OF_SALE", "SESSION_USER_POINT_OF_SALE");
defined("SESSION_USER_PROFILE_IMAGE") || define("SESSION_USER_PROFILE_IMAGE", "SESSION_USER_PROFILE_IMAGE");
defined("SESSION_USER_PROFILE_CODE") || define("SESSION_USER_PROFILE_CODE", "SESSION_USER_PROFILE_CODE");
defined("SESSION_USER_TWO_FACTOR_ENABLED") || define("SESSION_USER_TWO_FACTOR_ENABLED", "SESSION_USER_TWO_FACTOR_ENABLED");
defined("LAST_ACTION_DATE") || define("LAST_ACTION_DATE", "LAST_ACTION_DATE");

//Define constants for default date format
defined("DATE_FORMAT") || define("DATE_FORMAT", "Y-m-d");
defined("DATE_FORMAT_WITH_TIME") || define("DATE_FORMAT_WITH_TIME", "Y-m-d H:i");
defined("DATE_FORMAT_WITH_SECONDS") || define("DATE_FORMAT_WITH_SECONDS", "Y-m-d H:i:s");
defined("DATE_FORMAT_LONG") || define("DATE_FORMAT_LONG", "l d F Y");
defined("DATE_FORMAT_LONG_WITH_TIME") || define("DATE_FORMAT_LONG_WITH_TIME", "l d F Y H:i");
defined("DATE_FORMAT_MIDDLE") || define("DATE_FORMAT_MIDDLE", "D d M Y");
defined("DATE_FORMAT_MIDDLE_WITH_TIME") || define("DATE_FORMAT_MIDDLE_WITH_TIME", "D d M Y H:i");
defined("DATE_FORMAT_MIDDLE_WITH_SECONDS") || define("DATE_FORMAT_MIDDLE_WITH_SECONDS", "D M Y H:i:s");
defined("DATE_FORMAT_MONTH") || define("DATE_FORMAT_MONTH", "F");
defined("DATE_FORMAT_MONTH_MINI") || define("DATE_FORMAT_MONTH_MINI", "M");
defined("DATE_FORMAT_YEAR") || define("DATE_FORMAT_YEAR", "Y");
defined("DATE_FORMAT_DAY") || define("DATE_FORMAT_DAY", "l");
defined("DATE_FORMAT_DAY_MINI") || define("DATE_FORMAT_DAY_MINI", "D");
defined("DATE_FORMAT_MONTH_NUMERIC") || define("DATE_FORMAT_MONTH_NUMERIC", "m");
defined("DATE_FORMAT_DAY_NUMERIC") || define("DATE_FORMAT_DAY_NUMERIC", "d");

//Change Dompdf default temporary directory
defined("DOMPDF_TEMP_DIR") || define("DOMPDF_TEMP_DIR", PUBLIC_PATH . "/temporary");

//Document dimensions
defined("BARCODE_DIMENSIONS") || define("BARCODE_DIMENSIONS", [0, 0, 147.40, 70.0]);
defined("LOYALTY_CARD_DIMESIONS") || define("LOYALTY_CARD_DIMENSIONS", [0, 0, 300, 140]);
defined("VOUCHER_DIMENSIONS") || define("VOUCHER_DIMENSIONS", [0, 0, 300, 140]);

//Sms length
defined("SMS_LENGTH") || define("SMS_LENGTH", 160);

//Gender values
defined("MALE_GENDER") || define("MALE_GENDER", "M");
defined("FEMALE_GENDER") || define("FEMALE_GENDER", "F");

//Signs on payroll sections
defined("POSITIVE_PAYROLL_SECTION_SIGN") || define("POSITIVE_PAYROLL_SECTION_SIGN", 0);
defined("NEGATIVE_PAYROLL_SECTION_SIGN") || define("NEGATIVE_PAYROLL_SECTION_SIGN", 1);

//Protected login on app
defined("PROTECTED_APP_LOGIN") || define("PROTECTED_APP_LOGIN", "developer");

//User session default duration in minutes
defined("DEFAULT_USER_SESSION_DURATION") || define("DEFAULT_USER_SESSION_DURATION", 60);

//Identified profiles codes on the app
defined("IDENTIFIED_PROFILES_CODES") || define("IDENTIFIED_PROFILES_CODES", ["ADMIN", "MANA", "COMP"]);

//Crescita subscription package names
defined("SUBSCRIPTION_PACKAGE_CRESCITA_WELCOME") || define("SUBSCRIPTION_PACKAGE_CRESCITA_WELCOME", "Crescita Welcome");
defined("SUBSCRIPTION_PACKAGE_CRESCITA_MULTI") || define("SUBSCRIPTION_PACKAGE_CRESCITA_MULTI", "Crescita Multi");
defined("SUBSCRIPTION_PACKAGE_CRESCITA_BUSINESS") || define("SUBSCRIPTION_PACKAGE_CRESCITA_BUSINESS", "Crescita Business");
defined("SUBSCRIPTION_PACKAGE_CRESCITA_GROUP") || define("SUBSCRIPTION_PACKAGE_CRESCITA_GROUP", "Crescita Group");
defined("SUBSCRIPTION_PACKAGE_CRESCITA_PLATINUM") || define("SUBSCRIPTION_PACKAGE_CRESCITA_PLATINUM", "Crescita Platinum");
defined("SUBSCRIPTION_PACKAGE_CRESCITA_INFINITY") || define("SUBSCRIPTION_PACKAGE_CRESCITA_INFINITY", "Crescita Infinity");

//Crescita subscription package prices
defined("SUBSCRIPTION_PRICE_CRESCITA_WELCOME") || define("SUBSCRIPTION_PRICE_CRESCITA_WELCOME", 150000);
defined("SUBSCRIPTION_PRICE_CRESCITA_MULTI") || define("SUBSCRIPTION_PRICE_CRESCITA_MULTI", 300000);
defined("SUBSCRIPTION_PRICE_CRESCITA_BUSINESS") || define("SUBSCRIPTION_PRICE_CRESCITA_BUSINESS", 504000);
defined("SUBSCRIPTION_PRICE_CRESCITA_GROUP") || define("SUBSCRIPTION_PRICE_CRESCITA_GROUP", 708000);
defined("SUBSCRIPTION_PRICE_CRESCITA_PLATINUM") || define("SUBSCRIPTION_PRICE_CRESCITA_PLATINUM", 1092000);

//Crescita subscription package details
//CRESCITA WELCOME
defined("SUBSCRIPTION_CRESCITA_WELCOME_USERS") || define("SUBSCRIPTION_CRESCITA_WELCOME_USERS", 2);
defined("SUBSCRIPTION_CRESCITA_WELCOME_PRODUCTS") || define("SUBSCRIPTION_CRESCITA_WELCOME_PRODUCTS", 200);
defined("SUBSCRIPTION_CRESCITA_WELCOME_POINTS_OF_SALE") || define("SUBSCRIPTION_CRESCITA_WELCOME_POINTS_OF_SALE", 1);
defined("SUBSCRIPTION_CRESCITA_WELCOME_STORES") || define("SUBSCRIPTION_CRESCITA_WELCOME_STORES", 2);
//CRESCITA MULTI
defined("SUBSCRIPTION_CRESCITA_MULTI_USERS") || define("SUBSCRIPTION_CRESCITA_MULTI_USERS", 5);
defined("SUBSCRIPTION_CRESCITA_MULTI_PRODUCTS") || define("SUBSCRIPTION_CRESCITA_MULTI_PRODUCTS", 300);
defined("SUBSCRIPTION_CRESCITA_MULTI_POINTS_OF_SALE") || define("SUBSCRIPTION_CRESCITA_MULTI_POINTS_OF_SALE", 2);
defined("SUBSCRIPTION_CRESCITA_MULTI_STORES") || define("SUBSCRIPTION_CRESCITA_MULTI_STORES", 3);
//CRESCITA BUSINESS
defined("SUBSCRIPTION_CRESCITA_BUSINESS_USERS") || define("SUBSCRIPTION_CRESCITA_BUSINESS_USERS", 8);
defined("SUBSCRIPTION_CRESCITA_BUSINESS_PRODUCTS") || define("SUBSCRIPTION_CRESCITA_BUSINESS_PRODUCTS", 400);
defined("SUBSCRIPTION_CRESCITA_BUSINESS_POINTS_OF_SALE") || define("SUBSCRIPTION_CRESCITA_BUSINESS_POINTS_OF_SALE", 3);
defined("SUBSCRIPTION_CRESCITA_BUSINESS_STORES") || define("SUBSCRIPTION_CRESCITA_BUSINESS_STORES", 4);
//CRESCITA GROUP
defined("SUBSCRIPTION_CRESCITA_GROUP_USERS") || define("SUBSCRIPTION_CRESCITA_GROUP_USERS", 12);
defined("SUBSCRIPTION_CRESCITA_GROUP_PRODUCTS") || define("SUBSCRIPTION_CRESCITA_GROUP_PRODUCTS", 500);
defined("SUBSCRIPTION_CRESCITA_GROUP_POINTS_OF_SALE") || define("SUBSCRIPTION_CRESCITA_GROUP_POINTS_OF_SALE", 4);
defined("SUBSCRIPTION_CRESCITA_GROUP_STORES") || define("SUBSCRIPTION_CRESCITA_GROUP_STORES", 5);
//CRESCITA PLATINUM
defined("SUBSCRIPTION_CRESCITA_PLATINUM_USERS") || define("SUBSCRIPTION_CRESCITA_PLATINUM_USERS", 18);
defined("SUBSCRIPTION_CRESCITA_PLATINUM_PRODUCTS") || define("SUBSCRIPTION_CRESCITA_PLATINUM_PRODUCTS", 700);
defined("SUBSCRIPTION_CRESCITA_PLATINUM_POINTS_OF_SALE") || define("SUBSCRIPTION_CRESCITA_PLATINUM_POINTS_OF_SALE", 7);
defined("SUBSCRIPTION_CRESCITA_PLATINUM_STORES") || define("SUBSCRIPTION_CRESCITA_PLATINUM_STORES", 8);

//Days limit for subscription ending warning
defined("SUBSCRIPTION_ENDING_WARNING_DAYS_COUNT") || define("SUBSCRIPTION_ENDING_WARNING_DAYS_COUNT", 10);

//Application site types constants
defined("SITE_TYPE_NORMAL") || define("SITE_TYPE_NORMAL", 0);
defined("SITE_TYPE_TRIAL") || define("SITE_TYPE_TRIAL", 1);
defined("SITE_TYPE_DEMONSTRATION") || define("SITE_TYPE_DEMONSTRATION", 2);
defined("SITE_TYPE_DEVELOPMENT") || define("SITE_TYPE_DEVELOPMENT", 3);
