<?php

//Remember default language is french

include APPLICATION_PATH . '/translation/index/english.php';
include APPLICATION_PATH . '/translation/shared/english.php';
include APPLICATION_PATH . '/translation/home/english.php';
include APPLICATION_PATH . '/translation/stock/english.php';
include APPLICATION_PATH . '/translation/productCategory/english.php';
include APPLICATION_PATH . '/translation/productNature/english.php';
include APPLICATION_PATH . '/translation/product/english.php';
include APPLICATION_PATH . '/translation/cheat/english.php';
include APPLICATION_PATH . '/translation/report/english.php';
include APPLICATION_PATH . '/translation/expenseCategory/english.php';
include APPLICATION_PATH . '/translation/store/english.php';
include APPLICATION_PATH . '/translation/pointOfSale/english.php';
include APPLICATION_PATH . '/translation/customer/english.php';
include APPLICATION_PATH . '/translation/supplier/english.php';
include APPLICATION_PATH . '/translation/error/english.php';
include APPLICATION_PATH . '/translation/setting/english.php';
include APPLICATION_PATH . '/translation/user/english.php';
include APPLICATION_PATH . '/translation/profile/english.php';
include APPLICATION_PATH . '/translation/operations/english.php';
include APPLICATION_PATH . '/translation/fundEntryCategory/english.php';
include APPLICATION_PATH . '/translation/exit/english.php';
include APPLICATION_PATH . '/translation/order/english.php';
include APPLICATION_PATH . '/translation/reception/english.php';
include APPLICATION_PATH . '/translation/view/english.php';
include APPLICATION_PATH . '/translation/appointment/english.php';
include APPLICATION_PATH . '/translation/message/english.php';
include APPLICATION_PATH . '/translation/salary/english.php';
include APPLICATION_PATH . '/translation/subscription/english.php';
include APPLICATION_PATH . '/translation/loyalty/english.php';
include APPLICATION_PATH . '/translation/promotion/english.php';
include APPLICATION_PATH . '/translation/password/english.php';
include APPLICATION_PATH . '/translation/sale/english.php';
include APPLICATION_PATH . '/translation/cashoutSession/english.php';


class English
{

    static function combine()
    {
        $translationsToCombine = [
            "index" => IndexEnglish::combine(),
            "shared" => SharedEnglish::combine(),
            "home" => HomeEnglish::combine(),
            "stock" => StockEnglish::combine(),
            "productCategory" => ProductCategoryEnglish::combine(),
            "productNature" => ProductNatureEnglish::combine(),
            "product" => ProductEnglish::combine(),
            "cheat" => CheatEnglish::combine(),
            "report" => ReportEnglish::combine(),
            "expenseCategory" => ExpenseCategoryEnglish::combine(),
            "store" => StoreEnglish::combine(),
            "pointOfSale" => PointOfSaleEnglish::combine(),
            "customer" => CustomerEnglish::combine(),
            "supplier" => SupplierEnglish::combine(),
            "error" => ErrorEnglish::combine(),
            "setting" => SettingEnglish::combine(),
            "user" => UserEnglish::combine(),
            "profile" => ProfileEnglish::combine(),
            "operations" => OperationsEnglish::combine(),
            "fundEntryCategory" => FundEntryCategoryEnglish::combine(),
            "exit" => ExitEnglish::combine(),
            "order" => OrderEnglish::combine(),
            "reception" => ReceptionEnglish::combine(),
            "view" => ViewEnglish::combine(),
            "appointment" => AppointmentEnglish::combine(),
            "message" => MessageEnglish::combine(),
            "salary" => SalaryEnglish::combine(),
            "subscription" => SubscriptionEnglish::combine(),
            "loyalty" => LoyaltyEnglish::combine(),
            "promotion" => PromotionEnglish::combine(),
            "password" => PasswordEnglish::combine(),
            "sale" => SaleEnglish::combine(),
            "cashoutSession" => CashoutSessionEnglish::combine(),
        ];
        $translations = [];
        foreach ($translationsToCombine as $key => $value) {
            foreach ($value as $subKey => $subValue) {
                $translations[$key . "." . $subKey] = $subValue;
            }
        }
        return $translations;
    }
}
