<?php

//Remember default language is french

class CheatFrench
{
    public static $values = [
        "index" => [
            "unauthorizedAccess" => "Accès non autorisé",
            "detectionMessage" => "Nous avons détecté que vous avez essayé  d'accéder à une ressource non autorisée",
            "adminNotificationMessage" => "Nous avons notifié l'administrateur du système de cette tentative non autorisée d'accès",
        ],
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
