<?php

//Remember default language is french

class ExpenseCategoryEnglish
{
    public static $values = [
        "index" => [
            "userHelpingMessage1" => "It is a question of categorizing the various expenses that you make in your structure, for example you have expenses for electricity, for the newspaper ... You create categories for each axis of expenditure",
            "pleaseFillCategoryNameField" => "Please fill category name field",
            "expenseCategorySuccessfullyRegistered" => "Expense category successfully registered",
            "anExpenseCategoryWithThisNameAlreadyExists" => "An expense category with this name already exists",
            "expenseCategoryUpdatedSuccessfully" => "Expense category updated successfully",
            "doYouConfirmTheDeletionOfTheExpenseCategory" => "Do you confirm the deletion of the expense category",
            "expenseCategoryDeletedSuccessfully" => "Expense category deleted successfully",
            "searchByCategoryName" => "Search by category name",
        ]
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
