<?php

//Remember default language is french

class FundEntryCategoryEnglish
{
    public static $values = [
        "index" => [
            "userHelpingMessage1" => "This is to group all kinds of money that enters your fund, this can be capital injection for example",
            "searchByCategoryName" => "Search by category name",
            "pleaseFillCategoryNameField" => "Please fill category name field",
            "fundEntryCategorySuccessfullyRegistered" => "Fund entry category successfully registered",
            "aFundEntryCategoryWithThisNameAlreadyExists" => "A fund entry category with this name already exists",
            "fundEntryCategoryUpdatedSuccessfully" => "Fund entry category updated successfully",
            "doYouConfirmTheDeletionOfTheFundEntryCategory" => "Do you confirm the deletion of the fund entry category",
            "fundEntryCategoryDeletedSuccessfully" => "Fund entry category deleted successfully",
        ],
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
