<?php

//Remember default language is french

class FundEntryCategoryFrench
{
    public static $values = [
        "index" => [
            "userHelpingMessage1" => "Il s'agit ici de grouper toutes sortes d'argent qui entre dans votre caisse, cela peut être de l'injection de capital par exemple",
            "searchByCategoryName" => "Rechercher par nom de catégorie",
            "pleaseFillCategoryNameField" => "Veuillez remplir le champ nom de catégorie",
            "fundEntryCategorySuccessfullyRegistered" => "Catégorie d'entrée enregistrée avec succès",
            "aFundEntryCategoryWithThisNameAlreadyExists" => "Une catégorie d'entrée portant ce nom existe déjà",
            "fundEntryCategoryUpdatedSuccessfully" => "Catégorie d'entrée mise à jour avec succès",
            "doYouConfirmTheDeletionOfTheFundEntryCategory" => "Confirmez-vous la suppression de la catégorie d'entrée",
            "fundEntryCategoryDeletedSuccessfully" => "Catégorie d'entrée supprimée avec succès",
        ],
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
