<?php

//Remember default language is french

class HomeEnglish
{
    public static $values = [
        "index" => [
            "home" => "Home",
            "expiredItems" => "Expired items",
            "soonToExpireItems" => "Soon to expire items",
            "product" => "Product",
            "batchNumber" => "Batch number",
            "quantity" => "Quantity",
            "expirationDate" => "Expiration date",
            "store" => "Store",
            "searchByStore" => "Search by store",
            "searchByProductName" => "Search by product name",
            "searchByBatchNumber" => "Search by batch number",
            "itemsAtThreshold" => "Items at threshold",
            "theAppointmentsOfTheWeek" => "The appointments of the week",
            "anErrorOccurredDuringLoadingDetailsOfAppointment" => "An error occurred during loading details of appointment",
            "todaySales" => "Today's sales",
            "todayFundMovements" => "Today's fund movements",
        ],
        "fundMovements" => "Fund movements",
        "entries" => "Entries",
        "exits" => "Exits",
        "sales" => "Sales",
        "invoices" => "Invoices",
        "credits" => "Credits",
        "invoicePayment" => "Invoice payment",
        "creditPayment" => "Credit payment",
        "salesOfTheWeek" => "Sales of the week",
        "fundMovementsOfTheWeek" => "Fund movements of the week",
        "salesOf" => "Sales of",
        "fundMovementsOf" => "Fund movements of",
        "salesOfTheFirstQuarterOf" => "Sales of the first quarter of",
        "salesOfTheSecondQuarterOf" => "Sales of the second quarter of",
        "salesOfTheThirdQuarterOf" => "Sales of the third quarter of",
        "salesOfTheFourthQuarterOf" => "Sales of the fourth quarter of",
        "fundMovementsOfTheFirstQuarterOf" => "Fund movements of the first quarter of",
        "fundMovementsOfTheSecondQuarterOf" => "Fund movements of the second quarter of",
        "fundMovementsOfTheThirdQuarterOf" => "Fund movements of the third quarter of",
        "fundMovementsOfTheFourthQuarterOf" => "Fund movements of the fourth quarter of",
        "salesOfTheFirstHalfOf" => "Sales of the first half of",
        "salesOfTheSecondHalfOf" => "Sales of the second half of",
        "fundMovementsOfTheFirstHalfOf" => "Fund movements of the half of",
        "fundMovementsOfTheSecondHalfOf" => "Fund movements of the second half of",
        "salesOfYear" => "Sales of year",
        "fundMovementsOfYear" => "Fund movements of year",
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
