<?php

//Remember default language is french

class IndexEnglish
{
    public static $values = [
        "signIn" => [
            "signInOfUser" => "Sign in of user",
        ],
        "shared" => [
            "whichLoginIs" => "which login is",
        ],
        "index" => [
            "forgottenPassword" => "Forgotten password",
            "resetPassword" => "Reset password",
            "resetPasswordDescription" => "Your password will be reset and sent by email",
            "email" => "Email",
            "emailDescription" => "This is the email associated with your user account",
            "reset" => "Reset",
            "defineANewPassword" => "Define a new password",
            "defineANewPasswordDescription" => "Your current password has been created following a reset request, so you need to set a new one",
            "savePassword" => "Save password",
            "newPassword" => "New password",
            "confirmNewPassword" => "Confirm new password",
            "newPasswordSuccessfullySavedNowYouCanLogIn" => "New password successfully saved, now you can log in",
            "newPasswordDefined" => "New password defined",
            "youAreReceivingThisEmailBecauseYouHaveActivatedDoubleAuthenticationOnYourAccount" => "You are receiving this e-mail because you have activated double authentication on your account",
            "youHaveActivatedDoubleAuthenticationOnYourAccount" => "You have activated double authentication on your account",
        ],
        "signOut" => [
            "signOutOfUser" => "Sign out of user",
        ],
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
