<?php

//Remember default language is french

class IndexFrench
{
    public static $values = [
        "signIn" => [
            "signInOfUser" => "Connexion de l'utilisateur",
        ],
        "shared" => [
            "whichLoginIs" => "dont le login est",
        ],
        "index" => [
            "forgottenPassword" => "Mot de passe oublié",
            "resetPassword" => "Réinitialiser le mot de passe",
            "resetPasswordDescription" => "Votre mot de passe sera réinitialisé et envoyé par mail",
            "email" => "E-mail",
            "emailDescription" => "Il s'agit de l'e-mail associé à votre compte utilisateur",
            "reset" => "Réinitialiser",
            "defineANewPassword" => "Définissez un nouveau mot de passe",
            "defineANewPasswordDescription" => "Votre mot de passe actuel a été créé à la suite d'une demande de réinitialisation, vous devez en définir un nouveau",
            "savePassword" => "Enregistrer le mot de passe",
            "newPassword" => "Nouveau mot de passe",
            "confirmNewPassword" => "Confirmer le nouveau mot de passe",
            "newPasswordSuccessfullySavedNowYouCanLogIn" => "Nouveau mot de passe enregistré avec succès, maintenant vous pouvez vous connecter",
            "newPasswordDefined" => "Nouveau mot de passe défini",
            "youAreReceivingThisEmailBecauseYouHaveActivatedDoubleAuthenticationOnYourAccount" => "Vous recevez ce mail parce que vous avez activé la double authentification sur votre compte",
            "youHaveActivatedDoubleAuthenticationOnYourAccount" => "Vous avez activé la double authentification sur votre compte",
        ],
        "signOut" => [
            "signOutOfUser" => "Déconnexion de l'utilisateur",
        ],
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
