<?php

//Remember default language is french

class LoyaltyEnglish
{
    public static $values = [
        "index" => [
            "newCards" => "New cards",
            "code" => "Code",
            "pointOfSale" => "Point of sale",
            "customer" => "Customer",
            "expirationDate" => "Expiration date",
            "searchByPointOfSale" => "Search by point of sale",
            "searchByCustomer" => "Search by customer",
            "searchByCardStatus" => "Search by card status",
            "allPointsOfSale" => "All points of sale",
            "allCustomers" => "All customers",
            "allStatuses" => "All statuses",
            "notAttributed" => "Not attributed",
            "attributed" => "Attributed",
            "linkTheCardToACustomer" => "Link the card to a customer",
            "howManyCards" => "How many cards",
            "linkedToWhichPointOfSale" => "Linked to which point of sale",
            "noPointOfSaleSelected" => "No point of sale selected",
            "pleaseEnterAValidNumberOfCards" => "Please enter a valid number of cards",
            "pleaseSelectAPointOfSale" => "Please select a point of sale",
            "pleaseSelectAnExpirationDate" => "Please select an expiration date",
            "loyaltyCardsRegisteredSuccessfully" => "Loyalty cards registered successfully",
            "linkToACustomer" => "Link to a customer",
            "noCustomerSelected" => "No customer selected",
            "pleaseSelectACustomer" => "Please select a customer",
            "cardCode" => "Card code",
            "cardLinkedSuccessfully" => "Card linked successfully",
            "theCustomerAlreadyHasALoyaltyCardAtThePointOfSale" => "The customer already has a loyalty card at the point of sale",
            "doYouConfirmTheDeletionOfTheLoyaltyCardWithCode" => "Do you confirm the deletion of the loyalty card with code",
            "loyaltyCardDeletedSuccessfully" => "Loyalty card deleted successfully",
            "thisCardWasAlreadyLinked" => "This card was already linked",
            "group" => "Group",
        ],
        "purchaseIntervals" => [
            "newInterval" => "New interval",
            "filterByMinimumPurchaseAmount" => "Filter by minimum purchase amount",
            "filterByMaximumPurchaseAmount" => "Filter by maximum purchase amount",
            "minimumAmount" => "Minimum amount",
            "maximumAmount" => "Maximum amount",
            "numberOfPoints" => "Number of points",
            "editInterval" => "Edit interval",
            "pleaseEnterAValidAmountForTheMinimumAmount" => "Please enter a valid amount for the minimum amount",
            "pleaseEnterAValidAmountForTheMaximumAmount" => "Please enter a valid amount for the maximum amount",
            "pleaseEnterAValidNumberForTheNumberOfPoints" => "Please enter a valid number for the number of points",
            "purchaseIntervalCreatedSuccessfully" => "Purchase interval created successfully",
            "overlappingIntervalDetected" => "Overlapping interval detected",
            "purchaseIntervalUpdatedSuccessfully" => "Purchase interval updated successfully",
            "theMinimumAmountCannotBeGreaterThanTheMaximumAmount" => "The minimum amount cannot be greater than the maximum amount",
            "doYouConfirmTheDeletionOfThePurchaseInterval" => "Do you confirm the deletion of the purchase interval",
            "purchaseIntervalDeletedSuccessfully" => "Purchase interval deleted successfully",
        ],
        "pointsIntervals" => [
            "newInterval" => "New interval",
            "minimumNumberOfPoints" => "Minimum number of points",
            "maximumNumberOfPoints" => "Maximum number of points",
            "voucherAmount" => "Voucher amount",
            "editInterval" => "Edit interval",
            "filterByMinimumNumberOfPoints" => "Filter by minimum number of points",
            "filterByMaximumNumberOfPoints" => "Filter by maximum number of points",
            "pleaseEnterAValidNumberForTheMinimumNumberOfPoints" => "Please enter a valid number for the minimum number of points",
            "pleaseEnterAValidNumberForTheMaximumNumberOfPoints" => "Please enter a valid number for the maximum number of points",
            "pleaseEnterAValidAmountForTheVoucherAmount" => "Please enter a valid amount for the voucher amount",
            "theMinimumNumberOfPointsCannotBeGreaterThanTheMaximumNumberOfPoints" => "The minimum number of points cannot be greater than the maximum number of points",
            "pointsIntervalCreatedSuccessfully" => "Points interval created successfully",
            "overlappingIntervalDetected" => "Overlapping interval detected",
            "pointsIntervalUpdatedSuccessfully" => "Points interval updated successfully",
            "doYouConfirmTheDeletionOfThePointsInterval" => "Do you confirm the deletion of the points interval",
            "pointsIntervalDeletedSuccessfully" => "Points interval deleted successfully",
        ],
        "cardDiscounts" => [
            "newDiscount" => "New discount",
            "filterByStartDate" => "Filter by start date",
            "filterByEndDate" => "Filter by end date",
            "startDate" => "Start date",
            "endDate" => "End date",
            "discountPercentage" => "Discount percentage",
            "discountDays" => "Discount days",
            "categoriesInvolved" => "Categories involved",
            "noDaySelected" => "No day selected",
            "allCategories" => "All categories",
            "pleaseSelectAStartDate" => "Please select a start date",
            "pleaseSelectAnEndDate" => "Please select an end date",
            "theStartDateCannotBeAfterTheEndDate" => "The start date cannot be after the end date",
            "pleaseEnterAValidDiscountPercentage" => "Please enter a valid discount percentage",
            "pleaseSelectAtLeastOneDiscountDay" => "Please select at least one discount day",
            "periodicDiscountCreatedSuccessfully" => "Periodic discount created successfully",
            "anotherDiscountOverTheSamePeriodConcernsTheCategory" => "Another discount over the same period concerns the category",
            "editDiscount" => "Edit discount",
            "periodicDiscountUpdatedSuccessfully" => "Periodic discount updated successfully",
            "doYouConfirmTheDeletionOfTheDiscount" => "Do you confirm the deletion of the discount",
            "periodicDiscountDeletedSuccessfully" => "Periodic discount deleted successfully",
        ],
        "currentPoints" => [
            "searchByCustomer" => "Search by customer",
            "searchByMinimumNumberOfPoints" => "Search by minimum number of points",
            "searchByMaximumNumberOfPoints" => "Search by maximum number of points",
            "allCustomers" => "All customers",
            "customer" => "Customer",
            "numberOfPoints" => "Number of points",
            "allPointsOfSale" => "All points of sale",
            "searchByPointOfSale" => "Search by point of sale",
            "pointOfSale" => "Point of sale",
            "cardNumber" => "Card number",
            "expirationDate" => "Expiration date",
        ],
        "vouchers" => [
            "newVoucher" => "New voucher",
            "searchByPointOfSale" => "Search by point of sale",
            "searchByCustomer" => "Search by customer",
            "allPointsOfSale" => "All points of sale",
            "allCustomers" => "All customers",
            "code" => "Code",
            "pointsOfSaleConcerned" => "Points of sale concerned",
            "customer" => "Customer",
            "issueDate" => "Issue date",
            "expirationDate" => "Expiration date",
            "amount" => "Amount",
            "issueDateAfterThisDate" => "Issue date after this date",
            "issueDateBeforeThisDate" => "Issue date before this date",
            "validInWhichPointsOfSale" => "Valid in which points of sale",
            "noPointOfSaleSelected" => "No point of sale selected",
            "customer" => "Customer",
            "noCustomerSelected" => "No customer selected",
            "pleaseSelectAtLeastOnePointOfSale" => "Please select at least one point of sale",
            "pleaseSelectACustomer" => "Please select a customer",
            "pleaseEnterAValidNumberForTheVoucherAmount" => "Please enter a valid number for the voucher amount",
            "pleaseSelectAnExpirationDate" => "Please select an expiration date",
            "voucherCreatedSuccessfully" => "Voucher created successfully",
            "status" => "Status",
            "used" => "Used",
            "unused" => "Unused",
            "editVoucher" => "Edit voucher",
            "voucherUpdatedSuccessfully" => "Voucher updated successfully",
            "doYouConfirmTheDeletionOfTheVoucherWithCode" => "Do you confirm the deletion of the voucher with code",
            "voucherDeletedSuccessfully" => "Voucher deleted successfully",
            "origin" => "Origin",
            "freelyCreated" => "Freely created",
            "loyaltyCard" => "Loyalty card",
        ],
        "voucherValidation" => [
            "doYouConfirmTheValidationOfTheVoucherWithCode" => "Do you confirm the validation of the voucher with code",
            "voucherValidatedSuccessfully" => "Voucher validated successfully",
        ],
        "convertPoints" => [
            "convertForAllLoyaltyCards" => "Convert for all loyalty cards",
            "searchByPointOfSale" => "Search by point of sale",
            "allPointsOfSale" => "All points of sale",
            "searchByCustomer" => "Search by customer",
            "allCustomers" => "All customers",
            "cardNumber" => "Card number",
            "customer" => "Customer",
            "numberOfPoints" => "Number of points",
            "pointOfSale" => "Point of sale",
            "expirationDate" => "Expiration date",
            "convertThePoints" => "Convert the points",
            "pointsConversion" => "Points conversion",
            "doYouConfirmTheConversionOfPointsOfTheLoyaltyCardNumber" => "Do you confirm the conversion of points of the loyalty card N°",
            "intoVoucher" => "into voucher",
            "vouchersObtainedByPointsConversionAreValidatedAndCannotBeDeleted" => "Vouchers obtained by points conversion are validated and cannot be deleted",
            "convert" => "Convert",
            "insufficientPointsToConvertIntoAVoucher" => "Insufficient points to convert into a voucher",
            "pointsSuccessfullyConverted" => "Points successfully converted",
            "loyaltyCardNumber" => "Loyalty card N°",
            "voucherNumber" => "Voucher N°",
            "convertForWhichPointOfSale" => "Convert for which point of sale",
            "noPointOfSaleSelected" => "No point of sale selected",
            "pointOfSaleConversionWarningMessage" => "This action will convert the points of all loyalty cards linked to the selected point of sale",
            "pleaseSelectAPointOfSale" => "Please select a point of sale",
            "conversionSuccessfullyDone" => "Conversion successfully done",
        ],
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
