<?php

//Remember default language is french

class PasswordFrench
{
    public static $values = [
        "reset" => [
            "passwordReset" => "Réinitialisation de mot de passe",
            "youAreReceivingThisEmailBecauseYouHaveRequestedAPasswordReset" => "Vous recevez ce mail parce que vous avez demandé une réinitialisation de mot de passe",
            "theResetPasswordIs" => "Le mot de passe réinitialisé est",
        ],
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
