<?php

//Remember default language is french

class PointOfSaleFrench
{
    public static $values = [
        "index" => [
            "newPointOfSale" => "Nouveau point de vente",
            "userHelpingMessage1" => "Votre business peut être divisé en plusieurs agences ou points de vente. Vous les gérez d'ici",
            "userHelpingMessage2" => "Chaque point de vente doit avoir un gérant",
            "userHelpingMessage3" => "Chaque point de vente doit être associé à un magasin",
            "manager" => "Gérant",
            "store" => "Magasin",
            "location" => "Localisation",
            "pointOfSaleName" => "Nom du point de vente",
            "noManagerSelected" => "Aucun gérant sélectionné",
            "noStoreSelected" => "Aucun magasin sélectionné",
            "editPointOfSale" => "Modifier le point de vente",
            "pleaseFillPointOfSaleNameField" => "Veuillez remplir le champs nom du point de vente",
            "pleaseSelectAManagerForThePointOfSale" => "Veuillez sélectionner une gérant pour le point de vente",
            "pleaseSelectAStoreForThePointOfSale" => "Veuillez sélectionner un magasin pour le point de vente",
            "pleaseFillLocationField" => "Veuillez remplir le champs localisation",
            "pointOfSaleSuccessfullyRegistered" => "Point de vente enregistré avec succès",
            "aPointOfSaleWithThisNameAlreadyExists" => "Un point de vente portant ce nom existe déjà",
            "pointOfSaleUpdatedSuccessfully" => "Point de vente mis à jour avec succès",
            "doYouConfirmTheDeletionOfThePointOfSale" => "Confirmez-vous la suppression du point de vente",
            "pointOfSaleDeletedSuccessfully" => "Point de vente supprimé avec succès",
            "searchByPointOfSaleName" => "Rechercher par nom de point de vente",
            "searchByManager" => "Rechercher par gestionnaire",
            "searchByStore" => "Rechercher par magasin",
            "noAssociatedManager" => "Aucun gérant associé",
            "subscriptionLimitsForPointOfSaleMessage" => "Vous avez atteint les limites de nombre de points de vente autorisés par votre abonnement",
        ],
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
