<?php

//Remember default language is french

class ProductCategoryFrench
{
    public static $values = [
        "index" => [
            "parentCategory" => "Catégorie parente",
            "userHelpingMessage1" => "Les catégories de produits vous permettent de regrouper les articles que vous vendez dans votre établissement vous permettant ainsi de faciliter certaines recherches",
            "userHelpingMessage2" => "Vous avez la possibilité de créer des sous catégories de catégorie pour améliorer votre groupage",
            "noParentCategorySelected" => "Aucune catégorie parente sélectionnée",
            "pleaseFillCategoryNameField" => "Veuillez remplir le champs nom de la catégorie",
            "productCategorySuccessfullyRegistered" => "Catégorie de produit enregistrée avec succès",
            "aProductCategoryWithThisNameAlreadyExists" => "Une catégorie de produit portant ce nom existe déjà",
            "productCategoryUpdatedSuccessfully" => "Catégorie de produit mise à jour avec succès",
            "doYouConfirmTheDeletionOfTheProductCategory" => "Confirmez-vous la suppression de la catégorie de produit",
            "productCategoryDeletedSuccessfully" => "Catégorie de produit supprimée avec succès",
            "thisProductCategoryIsInUse" => "Cette catégorie de produit est en cours d'utilisation",
            "searchByProductCategoryName" => "Rechercher par nom de catégorie de produit",
            "searchByParentCategory" => "Rechercher par catégorie parente",
        ],
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
