<?php

//Remember default language is french

class ProductNatureFrench
{
    public static $values = [
        "index" => [
            "userHelpingMessage1" => "Les natures de produit sont un autre axe de catégorisation de produit qui vous faciliterons certaines recherches",
            "pleaseFillNatureNameField" => "Veuillez remplir le champs nom de la nature",
            "productNatureSuccessfullyRegistered" => "Nature de produit enregistrée avec succès",
            "aProductNatureWithThisNameAlreadyExists" => "Une nature de produit portant ce nom existe déjà",
            "productNatureUpdatedSuccessfully" => "Nature de produit mise à jour avec succès",
            "doYouConfirmTheDeletionOfTheProductNature" => "Confirmez-vous la suppression de la nature de produit",
            "productNatureDeletedSuccessfully" => "Nature de produit supprimée avec succès",
            "thisProductNatureIsInUse" => "Cette nature de produit est en cours d'utilisation",
            "newNature" => "Nouvelle nature",
            "natureName" => "Nom de la nature",
            "editNature" => "Modifier la nature",
            "searchByNatureName" => "Rechercher par nom de nature",
        ],
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
