<?php

//Remember default language is french

class ProfileFrench
{
    public static $values = [
        "index" => [
            "newProfile" => "Nouveau profil",
            "profileName" => "Nom du profil",
            "userHelpingMessage1" => "Les profils sont le moyen de contrôler les éléments auxquels les utilisateurs peuvent accéder quand ils sont sur le système",
            "userHelpingMessage2" => "De façon simple un profil devrait correspondre à une fonction(ou poste) dans votre business et se caractérise par un ensemble de menus autorisés",
            "assigningMenusToProfile" => "Attribution des menus au profil",
            "pleaseFillProfileNameField" => "Veuillez remplir le champs nom du profil",
            "youCannotCreateAProfileThatDoesNotContainAnyMenu" => "Vous ne pouvez créer une profil ne contenant aucun menu",
            "profileSuccessfullyRegistered" => "Profil enregistré avec succès",
            "aProfileWithThisNameAlreadyExists" => "Un profil portant ce nom existe déjà",
            "editProfile" => "Modifier le profil",
            "profileUpdatedSuccessfully" => "Profil mis à jour avec succès",
            "theMenusAssignedToTheProfile" => "Les menus attribués au profil",
            "doYouConfirmTheDeletionOfTheProfile" => "Confirmez-vous la suppression du profil",
            "profileDeletedSuccessfully" => "Profil supprimé avec succès",
            "unableToDeleteThisProfileItIsInUse" => "Impossible de supprimer ce profil, il est utilisé",
            "searchByProfileName" => "Rechercher par nom de profil",
        ],
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}