<?php

//Remember default language is french

class SalaryFrench
{
    public static $values = [
        "index" => [],
        "payrollSections" => [
            "newSection" => "Nouvelle rubrique",
            "searchBySectionSign" => "Rechercher par signe de rubrique",
            "allSigns" => "Tous les signes",
            "positiveSection" => "Rubrique positive",
            "negativeSection" => "Rubrique négative",
            "searchBySectionDesignation" => "Rechercher par désignation de rubrique",
            "designation" => "Désignation",
            "code" => "Code",
            "sign" => "Signe",
            "defaultAmount" => "Montant par défaut",
            "positive" => "Positive",
            "negative" => "Négative",
            "pleaseFillDesignationField" => "Veuillez remplir le champ désignation",
            "pleaseFillCodeField" => "Veuillez remplir le champ code",
            "PleaseSelectASign" => "Veuillez sélectionner un signe",
            "pleaseFillDefaultAmountField" => "Veuillez remplir le champ montant par défaut",
            "pleaseEnterAValidAmountForDefaultAmount" => "Veuillez entrer un montant valide pour le montant par défaut",
            "payrollSectionSuccessfullyRegistered" => "Rubrique de paie enregistrée avec succès",
            "aPayrollSectionWithThisDesignationAlreadyExists" => "Une rubrique de paie portant ce désignation existe déjà",
            "aPayrollSectionWithThisCodeAlreadyExists" => "Une rubrique de paie portant ce code existe déjà",
            "editSection" => "Modifier la rubrique",
            "payrollSectionUpdatedSuccessfully" => "Rubrique de paie mise à jour avec succès",
            "doYouConfirmTheDeletionOfThePayrollSection" => "Confirmez-vous la suppression de la rubrique de paie",
            "payrollSectionDeletedSuccessfully" => "Rubrique de paie supprimée avec succès",
        ],
        "payrollTemplates" => [
            "newTemplate" => "Nouveau modèle",
            "searchByTemplateDesignation" => "Rechercher par désignation de modèle",
            "designation" => "Désignation",
            "salaryAmount" => "Montant salaire",
            "sign" => "Signe",
            "defaultAmount" => "Montant par défaut",
            "selectingPayrollSections" => "Sélection des rubriques de paie",
            "searchBySectionSign" => "Rechercher par signe de rubrique",
            "searchBySectionDesignation" => "Rechercher par nom de rubrique",
            "templateInfo" => "Informations sur le modèle",
            "templateComposition" => "Composition du modèle",
            "emptyTemplateAtTheMoment" => "Modèle vide pour le moment",
            "amount" => "Montant",
            "allSigns" => "Tous les signes",
            "positiveSection" => "Rubrique positive",
            "negativeSection" => "Rubrique négative",
            "positive" => "Positive",
            "negative" => "Négative",
            "editTemplate" => "Modifier le modèle",
            "pleaseFillDesignationField" => "Veuillez remplir le champ désignation",
            "pleaseEnterAValidAmount" => "Veuillez entrer un montant valide",
            "aTemplateMustConsistOfAtLeastOneSection" => "Un modèle doit être constitué d'au moins une rubrique",
            "payrollTemplateSuccessfullyRegistered" => "Modèle de paie enregistré avec succès",
            "aPayrollTemplateWithThisDesignationAlreadyExists" => "Un modèle de paie portant cett désignation existe déjà",
            "payrollTemplateUpdatedSuccessfully" => "Modèle de paie mis à jour avec succès",
            "aSalaryCannotBeNegativeOrEqualToZero" => "Un salaire ne peut être négatif ou égal à zéro",
            "doYouConfirmTheDeletionOfThePayrollTemplate" => "Confirmez-vous la suppression du modèle de paie",
            "payrollTemplateDeletedSuccessfully" => "Modèle de paie supprimé avec succès",
        ],
        "salaryGeneration" => [
            "employee" => "Employé",
            "netToBeCollected" => "Net à percevoir",
            "totalSalary" => "Total salaire",
            "noEmployeesFoundAmongYourUsers" => "Aucun employé trouvé parmi vos utilisateurs",
            "salaryGenerationForWhichYear" => "Génération de salaire pour quelle année",
            "salaryGenerationForWhichMonth" => "Génération de salaire pour quel mois",
            "salaryGenerationBasedOnWhatInformation" => "Génération de salaire sur la base de quelle information",
            "aFreeEntry" => "Une saisie libre",
            "thePayrollTemplate" => "Le modèle de paie",
            "thePreviousMonth" => "Le mois précédent",
            "totals" => "Totaux",
            "total" => "Total",
            "loadingSalaryInfos" => "Chargement des informations sur les salaires",
            "youMustCreatePayrollSectionsBeforeGeneratingSalaries" => "Vous devez créer des rubriques de paie avant de procéder à la génération des salaires",
            "youCannotSelectAMonthFromTheFuture" => "Vous ne pouvez sélectionner un mois du futur",
            "pleaseEnterAValidAmountFor" => "Veuillez entrer un montant valide pour",
            "theNetToBeCollectedCannotBeLessThanOrEqualToZero" => "Le net à percevoir ne peut être inférieur ou égal à zéro",
            "salariesSavedSuccessfully" => "Salaires enregistrés avec succès",
            "doYouConfirmTheDeletionOfTheEmployee" => "Confirmez-vous la suppression de l'employé",
            "fromTheSalaryList" => "de la liste des salaires",
            "salaryDeletedSuccessfully" => "Salaire supprimé avec succès",
        ],
        "salaryValidation" => [
            "payrollValidationForWhichYear" => "Validation de paie pour quelle année",
            "payrollValidationForWhichMonth" => "Validation de paie de pour quel mois",
            "youMustCreatePayrollSectionsAndGenerateSalariesBeforeValidation" => "Vous devez créer des rubriques de paie et générer les salaires avant la validation",
            "loadingSalaryInfos" => "Chargement des informations sur les salaires",
            "employee" => "Employé",
            "totals" => "Totaux",
            "netToBeCollected" => "Net à percevoir",
            "totalSalary" => "Total salaire",
            "noSalaryLineFound" => "Aucune ligne de salaire trouvé",
            "doYouConfirmTheValidationOfTheSalaryOf" => "Confirmez-vous la validation du salaire de",
            "salaryValidatedSuccessfully" => "Salaire validé avec succès",
            "printSalaries" => "Imprimer les salaires",
        ],
        "payslips" => [
            "forWhichYear" => "Pour quelle année",
            "forWhichMonth" => "Pour quel mois",
            "youMustCreatePayrollSectionsGenerateAndValidateSalariesBeforePrintingThePayslips" => "Vous devez créer les rubriques de paie, générer et valider les salaires avant d'imprimer les bulletins de paie",
            "employee" => "Employé",
            "totals" => "Totaux",
            "netToBeCollected" => "Net à percevoir",
            "totalSalary" => "Total salaire",
            "noValidatedSalaryLineFound" => "Aucune de salaire validée trouvée",
        ],
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
