<?php

//Remember default language is french

class SaleFrench
{

    public static $values = [
        "sell" => [
            "catalog" => "Catalogue de produit",
            "content" => "Contenu de la vente",
            "information" => "Information sur la vente",
            "productSearch" => "Recherche de produit",
            "quantityInStock" => "Quantité en stock", 
            "add" => "Ajouter", 
            "xaf" => "FCFA", 
            "noProductFound" => "Aucun produit trouvé", 
            "product" => "Produit",
            "quantity" => "Quantité",
            "total" => "Total",
            "action" => "Action",
            "pleaseSelectProducts"=> "Veuillez sélectionner des produits",
            "selected" => "Sélectionné",
            "unitPrice" => "Prix unitaire",
            "totalAmount" => "Montant total",
            "payment" => "Réglement",
            "save" => "Enregistrer",
            "onHold" => "En attente",
            "invoice" => "Facture",
            "inReservation" => "En réservation",
            "consult" => "Consulter",
            "saleLog" => "Journal",
            "pendingInvoices" =>  "Factures en attente",
            "pendingInvoice" => "Facture en attente",
            "serviceProvider" => "Prestataire",
            "chooseServiceProvider" => "Choisir le prestataire",
            "customerType" => "Type client",
            "tva" => "TVA",
            "ir" => "IR",
            "cashCustomer" => "Client comptant",
            "accountCustomer" => "Client en compte",
            "customerName" => "Nom client",
            "location" => "Emplacement",
            "group" => "Groupe",
            "none" => "Aucun",
            "noProvider" => "Aucun prestataire",
            "cancelCurrentInvoice" => "Annuler la courante facture",
            "saveCurrentInvoice" => "Enregistrer la courante facture",
            "payCurrentInvoice" => "Règlement la courante facture",
            "addToCart" => "Ajouter au panier",
            "consultSalesLog" => "Consulter le journal de vente",
            "viewPendingInvoices" => "Voir les factures en attente",
            "decreaseQuantity" => "Diminuer la quantité",
            "increaseQuantity" => "Augmenter la quantité",
            "removeFromCart" => "Retirer du panier",
            "choose" => "Choisir",
            "customer" => "Client",
            "addCustomer" => "Ajouter nouveau client",
            "clearCustomer" => "Effacer le client",
            "cancellation" => "Annulation",
            "doYouConfirmCancellationOfCurrentInvoice" => "Confirmez-vous l'annulation de la courante facture",
            "unsavedInformationMayBeLost" => "Les informations non enregistrées pouront être perdues",
            "billPayment"  => "Paiement de facture",
            "orderDetailReminder" => "Rappel détail commande",
            "price" => "Prix",
            "paymentMethod" => "Mode paiement",
            "amount" => "Montant",
            "reference" => "Reference",
            "cancel" => "Annuler",
            "validate" => "Valider",
            "cancelThisPaymentMethod" => "Annuler ce paiement",
            "validateThisPaymentMethod" => "Valider ce paiement",
            "finish" => "Terminer",
            "inPromotion" => "En promotion",
            "amountPaid" => "Montant versé",
            "amountToRefund" => "Montant à rembourser",
            "pleaseChoosePaymentMethod" => "Veuillez choisir le mode de paiement",
            "receiptConfirmation" =>  "Confirmation de reception",
            "doYouConfirmTheCollectionOfAnAmountOf" => "Confirmez-vous la collecte d'un montant de",
            "pleaseEnterTheAmountPaid" => "Veuillez saisir le montant versé",
            "refundedAmount" => "Montant remboursé",
            "name" => "Désignation",
            "qty"  => "Qté",
            "Up" => "P.U.",
            "Tp" => "P.T.",
            "poBox" => "BP",
            "email" => "Email",
            "webSite" => "Site web",
            "phone" => "Téléphone",
            "taxpayerNumber" => "Num. d'immatriculation",
            "commercialRegisterNumber" => "Num régistre com.",
            "invoiceNumber" => "Numéro facture",
            "date" => "Date",
            "pointOfSale" => "Point de vente",
            "currentInvoiceAlreadyValidatedAndCannotBeModified" => "La courante facture est déjà validée et pourrait être modifiée",
            "unknownUser" => "Utilisateur inconnu",
            "netToBuy" => "Net a payer",
            "amountExclTax" => "Montant H.T",
            "vat" => "TVA",
            "it" => "IR",
            "noOpenCheckoutSession" => "Pas de session  de  caisse ouverte",
            "unknowUserOrPointOfSale" => "Utilisateur ou point de vente inconnu",
            "pleaseChooseAPointOfSale" => "Veuillez choisir un point de vente",
            "noPointOfSaleSelected" => "Aucun point vente selectionné",
            "severalCheckoutSessionAreOpen" => "Plusieurs sessions de caisse ouverte",
            "openAt" => "Ouvert à",
            "openNewSession" => "Ouvrir une nouvelle session",
            "reOpenCashSession" => "Reouvrir la session",
            "openNewCashSession" => "Ouvrir une nouvelle session de caisse",
            "totalInvoiceReceipts" => "Total des encaissements de facture",
            "sessionOpenedOn" => "Session ouverte le",
            "pleaseClickToOpenANewCashSession" => "Veuillez cliquer pour ouvrir une nouvelle session de caisse",
            "cashoutSessionTotal" => "Total session caisse",
            "yourAreNotAllowToOpenCashSession" => "Vous n'êtes pas autorisé à ouvrir une session de caisse",
            "aCashoutSessionIsAlreadyOpen" => "Une session de caisse est déjà en cours",
            "closeCashoutSession"  => "Fermer la session de caisse",
            "noProductInBasket" => "Pas de produit dans le panier",
            "pleaseChooseLocationOfCustomer" => "Veuillez choisir l'emplacement du client",
            "pleaseChooseServiceProvider" => "Veuillez choisir le prestataire",
            "pleaseChooseGroupOfCustomer" => "Veuillez choisir le groupe de client",
            "yourCheckoutSessionIsTemporarilyClosed" => "Votre session de caisse est temporairement fermée",
            "reOpenCheckoutSession" => "Rouvrir une session de caisse",
            "reOpen" => "Rouvrir",
            "incorrectPassword" => "Mot de passe incorrect",
            "closeCheckoutSession" => "Cloturer la session de caisse",
            "lockCheckoutSession"=> "Fermer la session de caisse",
            "unknowCheckoutSession" => "Session caisse inconnue",
            "closeCheckoutSessionConfirmation" => "Confirmation de cloture de caisse",
            "doYouConfirmTheClosingOfTheCheckoutSession" => "Confirmez-vous la cloture de la session de caisse",
            "thisOperationIsIrreversible" => "Cette opération est irréversible",
            "noCheckoutSessionOpened" => "Aucune session de caisse ouverte",
            "chooseCashier" => "Choisir un Caissier",
            "cashier" => "Caissier",
            "currentInvoiceIsAlreadyBeingPaidAndCannotBeModified"=>"La courante facture est déjà en cours de règlement et ne peux être modifiée",
            "unknowPointOfSale" => "Unknow point of sale",
            "insufficientStock" => "Stock insuffisant",
            "unknowPaymentMode" => "Mode de paiement inconnu",
            "noCashSessionAvailable" => "Aucune session de caisse disponible",
            "orderRegisteredSuccessfully" => "Commande enregistrée avec succès",
            "unknowCashSession" => "Session de caisse inconnue",
            "theCashoutSessionIsNotAvailable" => "La session de caisse n'est pas disponible",
            "noCashierAvailableAtTheMoment" => "Aucun caissier disponible pour le moment",
            "lock"  => "Fermeture",
            "unknowCashoutSession"=> "Session de caisse inconnue",
            "pending_s_Invoices" => "Facture(s) en attente",
            "payGroupInvoices" => "Payer les factures du groupe",
            "unknowInvoice" => "Facture inconnue",
            "payInvoice" => "Régler la facture",
            "printInvoice" => "Imprimer la facture",
            "designation" => "Désignation",
            "qty" => "Qte",
            "up" => "P.U",
            "tp" => "P.T",
            "red" => "Red.",
            "uin" => "NIU",
            "regCom" => "Reg. Com.",
            "customerNum" => "Cust. Num.",
            "invoiceTotal" => "Total facture",
            "discountAmount" => "Montant rémise",
            "preTaxAmount" => "Montant hors-taxe",
            "itAmount" => "Montant IR",
            "vatAmount" => "Montant TVA",
            "includingTaxAmount" => "Montant TTC",
            "numberOfproducts" => "Nombre de produits",
            "invoiceAmount" => "Montant facture",
            "discount" => "Rémise",
            "totalToPay" => "Total à payer",
            "paidAmount" => "Montant payé",
            "toRepay" => "A rembourser",
            "upReduction" => "Réduction P.U.",
            "invoiceRegisteredSuccessfully" => "Facture enregistrée avec succès",
            "invoicePayment" => "Règlement facture",
            "salesLog" => "Journal des ventes",
            "salesSessionLog" => "Journal de session de vente",
            "cashSessionNumber" => "Numéro session",
            "beginDate" => "Date début",
            "endDate" => "Date fin",
            "salesSummary" => "Recapitulatif ventes",
            "exceptionalCheckInOut" => "Entrées/Sorties exceptionnelles",
            "enteredAmount" => "Montant entré",
            "takenOutAmount" => "Montant retiré",
            "raison" => "Motif",
            "sales" => "Ventes",
            "cashTotal" => "Total caisse",
            "print" => "Imprimer",
            "productsSold" => "Produits vendus",
            "number" => "Numéro",
            "invoicesRegistered" => "Factures enregistrées",
            "noPendingInvoices" => "Aucune facture en attente",
            "repay" => "Remboursé",
            "paid" => "Payé",
            "noInvoiceForMoment" => "Pas de facture pour le moment",
            "summaryTotals" => "Récapitulatif Totaux",
            "totalPointOfSale" => "Total point de vente",
            "totalCategory" => "Total Catégorie",
            "grandTotal" => "Total général",
            "sessionSummary" =>"Résumé Session",
            "grandTotal" => "Total général"

        ]
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}