<?php

//Remember default language is french

class SettingEnglish
{
    public static $values = [
        "index" => [
            "applicationThemeConfiguration" => "Application theme configuration",
            "productivityEnhancingColorConfiguration" => "Productivity enhancing color configuration",
            "billingItemsConfiguration" => "Billing items configuration",
            "businessInformationConfiguration" => "Business information configuration",
            "smsAndEmailConfiguration" => "SMS and email configuration",
            "otherConfigurations" => "Other configurations",
            "applicationThemeNoticeHeader" => "Three colors make up Crescita's theme, they are combined for the display of elements",
            "applicationThemeNoticeMessage1" => "Pay attention to the color combination you choose, make sure they don't visually distract you",
            "applicationThemeNoticeMessage2" => "In case of bad choice or not satisfactory remember that you can return to the default theme",
            "primaryColor" => "Primary color",
            "secondaryColor" => "Secondary color",
            "tertiaryColor" => "Tertiary color",
            "defaultValues" => "Default values",
            "clickToSelectColor" => "Click to select color",
            "applicationThemeUpdatedSuccessfully" => "Application theme updated successfully",
            "businessInformationNoticeHeader" => "All the information relating to your business is configured here, from the name of your business to your post office box",
            "businessName" => "Business name",
            "businessLogo" => "Business logo",
            "businessEmail" => "Business email",
            "businessWebsite" => "Business website",
            "businessPhoneNumber" => "Business phone number",
            "businessPoBox" => "Business po box",
            "businessActivitySector" => "Business activity sector",
            "food" => "Food",
            "readyToWear" => "Ready to wear",
            "beautyInstitute" => "Beauty institute",
            "pleaseFillBusinessNameField" => "Please fill business name field",
            "pleaseFillBusinessEmailField" => "Please fill business email field",
            "pleaseFillBusinessWebsiteField" => "Please fill business website field",
            "pleaseFillBusinessPhoneNumberField" => "Please fill business phone number field",
            "pleaseFillBusinessPoBoxField" => "Please fill business po box field",
            "businessInformationUpdatedSuccessfully" => "Business information updated successfully",
            "productivityEnhancingColorNoticeHeader" => "The colors configured here allow you to easily identify elements on the various tables of the software, the said elements will have the color in the background of the line of the table",
            "colorForPaidInvoices" => "Color for paid invoices",
            "colorForInPaymentInvoices" => "Color for in-payment invoices",
            "colorForUnpaidInvoices" => "Color for unpaid invoices",
            "colorForSoonToExpireProducts" => "Color for soon to expire products",
            "colorForExpiredProducts" => "Color for expired products",
            "colorForProductsAtTheStockThreshold" => "Color for products at the stock threshold",
            "colorForOutOfStockProducts" => "Color for out of stock products",
            "productivityEnhancingColorsUpdatedSuccessfully" => "Product enhancing colors updated successfully",
            "billingItemsNoticeHeader" => "Type of invoicing, print format, elements on sales receipts and others are configured here",
            "phraseAtTheBottomOfSalesTickets" => "Phrase at the bottom of sales tickets",
            "showOnTheInvoice" => "Show on the invoice",
            "businessNameOnly" => "Business name only",
            "businessLogoOnly" => "Business logo only",
            "printFormat" => "Print format",
            "a5Print" => "A5 print",
            "ticketPrint" => "Ticket print",
            "a4Print" => "A4 print",
            "printOrientation" => "Print orientation",
            "portraitPrint" => "Portrait print",
            "landscapePrint" => "Landscape print",
            "typeOfBilling" => "Type of billing",
            "billingOnStock" => "Billing on stock",
            "billingOnCatalog" => "Billing on catalog",
            "considerVAT" => "Consider VAT",
            "VATPercent" => "VAT percent",
            "considerIncomeTax" => "Consider income tax",
            "incomeTaxPercent" => "Income tax percent",
            "pleaseFillVATPercentField" => "Please fill VAT percent field",
            "pleaseEnterAValidVATPercentage" => "Please enter a valid VAT percentage",
            "pleaseFillITPercentField" => "Please fill income tax percent field",
            "pleaseEnterAValidITPercentage" => "Please enter a valid income tax percentage",
            "billingItemsUpdatedSuccessfully" => "Billing items updated successfully",
            "smsSettings" => "SMS settings",
            "emailSettings" => "Email settings",
            "smsLogin" => "SMS login",
            "smsPassword" => "SMS password",
            "smsUserId" => "SMS user ID",
            "smsServer" => "SMS server",
            "emailLogin" => "Email login",
            "emailPassword" => "Email password",
            "emailDomainName" => "Email domain name",
            "emailPort" => "Email port",
            "insertLogoInEmails" => "Insert logo in emails",
            "pleaseFillSmsLoginField" => "Please fill SMS login field",
            "pleaseFillSmsPasswordField" => "Please fill SMS password field",
            "pleaseFillSmsUserIDField" => "Please fill SMS user field",
            "pleaseFillSmsServerField" => "Please fill SMS server field",
            "pleaseFillEmailLoginField" => "Please fill SMS login field",
            "pleaseFillEmailPasswordField" => "Please fill email password field",
            "pleaseFillEmailDomainNameField" => "Please fill email domain name field",
            "pleaseFillEmailPortField" => "Please fill email port field",
            "smsAndEmailSettingsUpdatedSuccessfully" => "SMS and email settings updated successfully",
            "allTheRestOfTheGeneralSettingsCanBeFoundHere" => "All the rest of the general settings can be found here",
            "homePageStatisticsPeriodicity" => "Home page statistics periodicity",
            "daily" => "Daily",
            "weekly" => "Weekly",
            "monthly" => "Monthly",
            "quarterly" => "Quarterly",
            "halfYearly" => "Half-yearly",
            "annual" => "Annual",
            "numberOfDaysForExpirationAlert" => "Number of days for expiration alert",
            "isAnAdvanceRequiredForOrders" => "Is an advance required for orders",
            "doYouTakeCareOfIndividualsPricesPerCustomer" => "Do you take care of individuals prices per customer",
            "howDoYouManageYourCheckout" => "How do you manage your checkout",
            "onADailyBasis" => "On a daily basis",
            "overall" => "Overall",
            "doYouUseProductReferences" => "Do you use product references",
            "pleaseFillNumberOfDaysForExpirationAlertField" => "Please fill number of days for expiration alert field",
            "pleaseEnterAValidNumberForNumberOfDaysForExpirationAlert" => "Please enter a valid number for number of days for expiration alert",
            "restOfGeneralSettingsUpdatedSuccessfully" => "Rest of general settings updated successfully",
            "doTheProductsYouSellHaveExpiryDates" => "Do the products you sell have expiry dates",
            "defaultThresholdQuantity" => "Default threshold quantity",
            "pleaseFillDefaultThresholdQuantityField" => "Please fill default threshold quantity field",
            "pleaseEnterAValidNumberForDefaultThresholdQuantity" => "Please enter a valid number for default threshold quantity",
            "desiredLengthForBatchNumbers" => "Desired length for batch numbers",
            "pleaseFillDesiredLengthForBatchNumbersField" => "Please fill desired length for batch numbers field",
            "pleaseEnterAValidNumberForDesiredLengthForBatchNumbers" => "Please enter a valid number for desired length for batch numbers",
            "desiredLengthForBatchNumbersMustBeEven" => "Desired length for batch numberds must be even",
            "deadlineForDeclaringAnAppointmentAsHonored" => "Deadline for declaring an appointment as honored(in days)",
            "pleaseFillDeadlineForDeclaringAnAppointmentAsHonoredField" => "Please fill deadline for declaring an appointment as honored field",
            "pleaseEnterAValidNumberForDeadlineForDeclaringAnAppointmentAsHonored" => "Please enter a valid number for deadline for declaring an appointment as honored",
            "defaultLanguage" => "Default language",
            "loyaltyConfiguration" => "Loyalty configuration",
            "defaultLoyaltyCardValidityPeriod" => "Default loyalty card validity period(in days)",
            "minimumPurchaseAmountToBeConsideredForTheLoyaltyCard" => "Minimum purchase amount to be considered for the loyalty card",
            "numberOfPointsForTheMinimumPurchaseAmount" => "Number of points for the minimum purchase amount",
            "defaultVoucherValidityPeriod" => "Default voucher validity period(in days)",
            "minimumNumberOfPointsForAVoucher" => "Minimum number of points for a voucher",
            "voucherAmountForTheMinimumNumberOfPoints" => "Voucher amount for the minimum number of points",
            "pleaseEnterAValidNumberForTheValidityPeriodOfTheLoyaltyCards" => "Please enter a valid number for the validity period of the loyalty cards",
            "pleaseEnterAValidAmountForTheMinimumPurchaseAmountToBeConsidered" => "Please enter a valid amount for the minimum purchase amount to be considered",
            "pleaseEnterAValidNumberForTheNumberOfPointsOfTheMinimumPurchaseAmount" => "Please enter a valid number for the number of points of the minimum purchase amount",
            "pleaseEnterAValidNumberForTheValidityPeriodOfTheVouchers" => "Please enter a valid number for the validity period of the vouchers",
            "pleaseEnterAValidNumberForTheMinimumNumberOfPointsToHaveForAVoucher" => "Please enter a valid number for the minimum number of points to have for a voucher",
            "pleaseEnterAValidNumberForTheVoucherAmountObtainedForTheMinimumNumberOfPoints" => "Please enter a valid number for the voucher amount obtained for the minimum number of points",
            "loyaltySettingsUpdatedSuccessfully" => "Loyalty settings updated successfully",
        ],
        "priceSetting" => [
            "newConfiguration" => "New configuration",
            "userHelpingMessage1" => "If your business integrates the modification of selling prices according to days and hours, you will indicate all these configurations here",
            "userHelpingMessage2" => "But if the prices don't change then you only have to create one configuration covering the whole week",
            "pointOfSale" => "Point of sale",
            "begin" => "Begin",
            "end" => "End",
            "consideredPrice" => "Considered price",
            "defaultSalePrice" => "Default sale price",
            "salePrice2" => "Sale price 2",
            "salePrice3" => "Sale price 3",
            "noPointOfSaleSelected" => "No point of sale selected",
            "startDay" => "Start day",
            "endDay" => "End day",
            "hour" => "Hour",
            "noDaySelected" => "No day selected",
            "editConfiguration" => "Edit configuration",
            "pleaseFillPointOfSaleField" => "Please fill point of sale field",
            "pleaseFillStartDayField" => "Please fill start day field",
            "pleaseSpecifyTimeForStartDay" => "Please specify time for start day",
            "pleaseFillEndDayField" => "Please fill end day field",
            "pleaseSpecifyTimeForEndDay" => "Please specify time for end day",
            "overlap" => "Overlap",
            "ThisConfigurationOverlapsWithTheOneStartingOn" => "This configuration overlaps with the one starting on",
            "configurationSuccessfullyRegistered" => "Configuration successfully registered",
            "startDayAndTimeCannotBeLaterThanEndDayAndTime" => "Start day and time cannot be later than end day and time",
            "configurationUpdatedSuccessfully" => "Configuration updated successfully",
            "configurationDeletedSuccessfully" => "Configuration deleted successfully",
            "doYouConfirmTheDeletionOfTheConfiguration" => "Do you confirm the deletion of the configuration",
            "searchByPointOfSale" => "Search by point of sale",
            "searchByConsideredPrice" => "Search by considered price",
            "noPriceSelected" => "No price selected",
        ],
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
