<?php

//Remember default language is french

class SharedFrench
{
    public static $values = [
        "language" => "Langue",
        "french" => "Français",
        "english" => "Anglais",
        "anErrorOccurredPleaseTryAgainLater" => "Une erreur est survenue, veuillez réessayer plus tard",
        "login" => "Login",
        "password" => "Mot de passe",
        "signIn" => "S'identifier",
        "pleaseEnterYourLogin" => "Veuillez saisir votre login",
        "pleaseEnterYourPassword" => "Veuillez saisir votre mot de passe",
        "signInFailed" => "Echec de la connexion",
        "loginOrPasswordIncorrect" => "Login ou mot de passe incorrect",
        "signInSucceed" => "Connexion réussie",
        "welcome" => "Bienvenu(e)",
        "months" => [
            "january" => "Janvier",
            "february" => "Février",
            "march" => "Mars",
            "april" => "Avril",
            "may" => "Mai",
            "june" => "Juin",
            "july" => "Juillet",
            "august" => "Août",
            "september" => "Septembre",
            "october" => "Octobre",
            "november" => "Novembre",
            "december" => "Décembre",
        ],
        "changeYourPassword" => "Modifier votre mot de passe",
        "currentPassword" => "Mot de passe actuel",
        "newPassword" => "Nouveau mot de passe",
        "confirmPassword" => "Confirmer le mot de passe",
        "changePassword" => "Changer le mot de passe",
        "pleaseEnterYourCurrentPassword" => "Veuillez entrer votre mot de passe actuel",
        "pleaseEnterYourNewPassword" => "Veuillez entrer le nouveau mot de passe",
        "pleaseConfirmTheNewPassword" => "Veuillez confirmer le nouveau mot de passe",
        "passwordMismatch" => "Les deux mots de passe ne correspondent pas",
        "incorrectCurrentPassword" => "Le mot de passe actuel est incorrect",
        "youChangedYourPassword" => "Vous avez changé votre mot de passe",
        "userWithLogin" => "L'utilisateur de login",
        "changedHisPassword" => "a changé son mot de passe",
        "theNewPasswordMustBeDifferentFromTheCurrentOne" => "Le nouveau mot de passe doit être différent de l'actuel",
        "signOut" => "Se déconnecter",
        "menus" => [
            "settings" => "Paramètres",
            "productsList" => "Liste des produits",
            "customersList" => "Liste des clients",
            "productCategories" => "Catégories de produit",
            "modificationOfTariffs" => "Modification des tarifs",
            "expenseCategories" => "Catégories de dépense",
            "stores" => "Magasins",
            "pointsOfSale" => "Points de vente",
            "newProduct" => "Nouveau produit",
            "newCustomer" => "Nouveau client",
            "newSupplier" => "Nouveau fournisseur",
            "suppliersList" => "Liste des fournisseurs",
            "productTypes" => "Natures de produit",
            "exceptionalTypesOfOutings" => "Types de sorties exceptionnelles",
            "fundEntryCategories" => "Catégories d'entrée de fonds",
            "productFeatures" => "Caractéristiques des produits",
            "priceSetting" => "Paramétrage de prix",
            "productsPricePerCustomer" => "Prix de produits par client",
            "products" => "Produits",
            "customerBase" => "Clientèle",
            "currentCustomerPoints" => "Points actuels des clients",
            "checkout" => "Caisse",
            "payment" => "Versement",
            "disbursement" => "Décaissement",
            "security" => "Sécurité",
            "profiles" => "Profils",
            "orders" => "Commandes",
            "creditsManagement" => "Gestion des avoirs",
            "inventory" => "Inventaire",
            "store" => "Magasin",
            "smsAndMails" => "SMS/MAIL",
            "appointment" => "Rendez-vous",
            "salaryManagement" => "Gestion des salaires",
            "payrollSections" => "Rubriques de paie",
            "payrollTemplates" => "Modèles de paie",
            "addAPayrollModel" => "Ajouter un modèle de paie",
            "salaryGeneration" => "Génération de salaire",
            "payslips" => "Bulletins de paie",
            "payrollValidation" => "Validation de paie",
            "purchase" => "Achat",
            "receptionsValidation" => "Validation des réceptions",
            "ordersList" => "Liste des commandes",
            "ordersValidation" => "Validation des commandes",
            "deliverAnOrder" => "Livrer une commande",
            "addAnOrder" => "Ajouter une commande",
            "addAReception" => "Ajouter une réception",
            "sales" => "Ventes",
            "cashSales" => "Ventes au comptant",
            "cashRegisterOpening" => "Ouverture de caisse",
            "cashRegisterClosing" => "Clôture de caisse",
            "credits" => "Avoirs",
            "creditsValidation" => "Validation des avoirs",
            "salesJournal" => "Journal des ventes",
            "entryOutOfFunds" => "Entrées/Sorties de fonds",
            "supervisionOfInvoiceEntry" => "Supervision de saisie de facture",
            "invoiceCollection" => "Encaissement de facture",
            "salesConsultation" => "Consultation des ventes",
            "advanceOrdersFromCustomers" => "Commandes en avance des clients",
            "orderReservationAndCreditSales" => "Commandes(réservation) et ventes à crédit",
            "deliveryOfReservations" => "Livraison des réservations",
            "validationOfEntriesOutingsOfFunds" => "Validation des entrées/sorties de fonds",
            "stocks" => "Stocks",
            "exceptionalOuting" => "Sortie exceptionnelle",
            "validationOfExceptionalOutings" => "Validation des sorties exceptionnelles",
            "stock" => "Stock",
            "cumulativeStock" => "Stock cumulé",
            "startAnInventory" => "Démarrer un inventaire",
            "closeAnInventory" => "Clôturer un inventaire",
            "updatingAnInventory" => "Mise à jour d'un inventaire",
            "validateAnInventory" => "Valider un inventaire",
            "clearAnInventory" => "Apurer un inventaire",
            "interStoreMovement" => "Mouvement inter-magasin",
            "movementsValidation" => "Validation des mouvements",
            "newProductTransformationFromStock" => "Nouvelle transformation de produit du stock",
            "transformationsList" => "Liste des transformations",
            "transformationValidation" => "Validation des transformations",
            "loyalty" => "Fidélisation",
            "pointsPerPurchaseInterval" => "Points par intervalle d'achat",
            "customerDiscounts" => "Remises client",
            "voucherPerPointsInterval" => "Bon d'achat par intervalle de points",
            "loyaltyCards" => "Cartes de fidélité",
            "periodicDiscountsForCardholders" => "Remises périodiques pour les détenteurs de cartes",
            "customerVouchers" => "Bons d'achat des clients",
            "valueOfVouchers" => "Valeur des bons d'achat",
            "productAffectedByTheDiscount" => "Produits concernés par la réduction",
            "configurationOfPointsOfPurchase" => "Paramétrage des points d'achat",
            "promotionsList" => "Liste des promotions",
            "validationOfPromotions" => "Validation des promotions",
            "report" => "Rapport",
            "cashRegisterJournal" => "Journal de caisse",
            "statisticsAndPerformance" => "Statistiques et performance",
            "checkoutSession" => "Session de caisse",
            "invoices" => "Factures",
            "stockAtDate" => "Stock à une date",
            "productMovement" => "Mouvement produit",
            "salesPerProduct" => "Ventes par produit",
            "listOfReceptions" => "Liste des réceptions",
            "exceptionalOutingsList" => "Liste des sorties exceptionnelles",
            "stockSituation" => "Situation du stock",
            "itemsToOrder" => "Articles à commander",
            "soonToExpireItems" => "Articles bientôt périmés",
            "expiredItems" => "Articles périmés",
            "detailedSalesPerCashier" => "Ventes détaillées par caissier",
            "detailedSalesPerProduct" => "Ventes détaillées par produit",
            "detailedSalesPerCustomer" => "Ventes détaillées par client",
            "creditAndReservationReport" => "Rapport de crédit et de réservation",
            "productsServicesList" => "Liste des produits/services",
            "appointmentAndReminder" => "Rendez-vous et rappel",
            "meetingActivities" => "Activités des rendez-vous",
            "tools" => "Outils",
            "users" => "Utilisateurs",
            "password" => "Mot de passe",
            "globalParameters" => "Paramètres globaux",
            "operationsLog" => "Journal des opérations",
            "stockTransformation" => "Transformation de stock",
            "messagesTemplates" => "Modèles de messages",
            "printLog" => "Journal des impressions",
            "smsAndMailSendingLog" => "Journal d'envoi des SMS/MAIL",
            "customersToFollowUp" => "Clients à relancer",
            "bestCustomers" => "Meilleurs clients",
            "regularCustomers" => "Clients réguliers",
            "outOfStockProducts" => "Produits en rupture",
            "detailedSalesPerPointOfSale" => "Ventes détaillées par point de vente",
            "voucherValidation" => "Validation des bons d'achat",
            "convertPointsIntoVouchers" => "Conversion des points en bons d'achat",
        ],
        "pleaseEnterYourEmailAddress" => "Veuillez entre votre adresse e-mail",
        "invalidEmailAddress" => "Adresse e-mail invalide",
        "invalidLogin" => "Login invalide",
        "theEmailAddressDoesNotCorrespondToThisLogin" => "L'adresse e-mail ne correspond pas à ce login",
        "passwordReset" => "Mot de passe réinitialisé",
        "passwordResetSuccessfullyCheckYourEmails" => "Mot de passe réinitialisé, vérifiez vos mails",
        "sessionExpired" => "Session expirée",
        "sessionExpiredDescription" => "Malheureusement votre session sur le serveur a expiré, vous devez vous reconnecter pour continuer à travailler",
        "youAreLoggedInAgain" => "Vous êtes de nouveau connecté",
        "xaf" => "FCFA",
        "from" => "du",
        "to" => "au",
        "otherTo" => "à",
        "of" => "de",
        "noDataAvailableInTable" => "Aucune donnée disponible dans le tableau",
        "noDataAvailable" => "Aucune donnée disponible",
        "search" => "Rechercher",
        "noMatchingRecordsFound" => "Aucun enregistrement correspondant trouvé",
        "first" => "Première",
        "last" => "Dernière",
        "next" => "Suivante",
        "previous" => "Précédente",
        "showing" => "Affichage de",
        "entries" => "entrées",
        "processing" => "Traitement",
        "loading" => "Chargement",
        "activateToSortColumnAscending" => "activer pour trier la colonne par ordre croissant",
        "activateToSortColumnDescending" => "activer pour trier la colonne par ordre décroissant",
        "filteredFrom" => "Filtrées depuis",
        "show" => "Afficher",
        "print" => "Imprimer",
        "name" => "Nom",
        "actions" => "Actions",
        "newCategory" => "Nouvelle catégorie",
        "edit" => "Editer",
        "delete" => "Supprimer",
        "consult" => "Consulter",
        "validate" => "Valider",
        "categoryName" => "Nom de la catégorie",
        "save" => "Enregistrer",
        "registration" => "Enregistrement",
        "duplicate" => "Doublon",
        "update" => "Mise à jour",
        "deletion" => "Suppression",
        "validation" => "Validation",
        "editCategory" => "Modifier la catégorie",
        "cancel" => "Annuler",
        "impossibleDeletion" => "Suppression impossible",
        "collapseTheMenu" => "Réduire le menu",
        "expandTheMenu" => "Développer le menu",
        "category" => "Catégorie",
        "yes" => "Oui",
        "no" => "Non",
        "gender" => "Genre",
        "genders" => [
            "childBoy" => "Enfant garçon",
            "childGirl" => "Enfant fille",
            "man" => "Homme",
            "woman" => "Femme",
        ],
        "clickHereToSelectAnImage" => "Cliquez ici pour sélectionner une image",
        "noCategorySelected" => "Aucune catégorie sélectionnée",
        "noSubCategorySelected" => "Aucune sous catégorie sélectionnée",
        "subCategory" => "Sous catégorie",
        "description" => "Description",
        "loadingSubCategoriesFailed" => "Le chargement des sous catégories a échoué",
        "undefined" => "Non défini",
        "pob" => "BP",
        "store" => "Magasin",
        "designation" => "Désignation",
        "quantity" => "Quantité",
        "qty" => "Qté.",
        "noStoreSelected" => "Aucun magasin sélectionné",
        "noPointOfSaleSelected" => "Aucun point de vente sélectionné",
        "poBox" => "Boîte postale",
        "days" => [
            "monday" => "Lundi",
            "tuesday" => "Mardi",
            "wednesday" => "Mercredi",
            "thursday" => "Jeudi",
            "friday" => "Vendredi",
            "saturday" => "Samedi",
            "sunday" => "Dimanche",
        ],
        "fullScreen" => "Plein écran",
        "passwordWarning" => "Nous avons détecté que votre mot de passe est le même que votre login, vous devez le changer",
        "close" => "Fermer",
        "backToHomepage" => "Rentrer à la page d'acceuil",
        "refresh" => "Recharger",
        "printing" => "Impression",
        "alreadyDeletedIssueMessage" => "Cette ressource a déjà été supprimée par un autre utilisateur",
        "alreadyValidatedIssueMessage" => "Cette ressource a déjà été validée par un autre utilisateur",
        "notPerishable" => "Non périssable",
        "expired" => "Expiré",
        "allStores" => "Tous les magasins",
        "allSuppliers" => "Tous les fournisseurs",
        "expiredStock" => "Stock périmé",
        "soonToExpire" => "Bientôt périmé",
        "thresholdReached" => "Seuil atteint",
        "number" => "N°",
        "display" => "Afficher",
        "noResultsFound" => "Aucun résultat trouvé",
        "months" => [
            "january" => "Janvier",
            "february" => "Février",
            "march" => "Mars",
            "april" => "Avril",
            "may" => "Mai",
            "june" => "Juin",
            "july" => "Juillet",
            "august" => "Août",
            "september" => "Septembre",
            "october" => "Octobre",
            "november" => "Novembre",
            "december" => "Décembre",
        ],
        "applicationException" => "Exception application",
        "imageUploadSizeWarningMessage" => "Le fichier d'image est trop grand. La taille maximale autorisée est de 1Mo.",
        "subscriptionDetails" => "Les détails de l'abonnement",
        "yourSubscriptionIsExpiringSoon" => "Votre abonnement expire bientôt",
        "trial" => "Essai",
        "demonstration" => "Démonstration",
        "development" => "Développement",
        "doubleAuthentication" => "Double authentification",
        "activationOfDoubleAuthentication" => "Activation de la double authentification",
        "activationOfDoubleAuthenticationDescription" => "Vous êtes sur le point d'activer la double authentification sur votre compte. Une fois activée, vous devrez fournir le code que vous recevrez par e-mail à chaque fois que vous vous connecterez à l'application",
        "pleaseEnterTheCodeYouReceivedByEmailToContinue" => "Veuillez saisir le code que vous avez reçu par mail pour continuer",
        "codeReceived" => "Code reçu",
        "checkTheCode" => "Vérifier le code",
        "sendingTheVerificationCode" => "Envoi du code de vérification",
        "deactivationOfDoubleAuthentication" => "Désactivation de la double authentification",
        "deactivationOfDoubleAuthenticationDescription" => "Vous êtes sur le point de désactiver la double authentification sur votre compte. Une fois cette désactivation effectuée vous ne recevrez plus de code de vérification à votre connexion à l'application",
        "theVerificationCodeIs" => "Le code de vérification est",
        "doubleAuthenticationActivated" => "Double authentification activée",
        "doubleAuthenticationDeactivated" => "Double authentification désactivée",
        "incorrectVerificationCode" => "Code de vérification incorrect",
        "pleaseEnterTheVerificationCode" => "Veuillez entrer le code de vérification",
        "allCategories" => "Toutes les catégories",
        "paymentMethod" => [
            "cash" => "Espèce",
            "customerAccount" => "Compte du client",
            "orangeMoney" => "Orange Money",
            "mtnMobileMoney" => "Mtn MOMO",
            "orangeMoneyMerchant" => "Orange compte marchand",
            "mtnMobileMerchant" => "Mtn compte marchand",
        ],
        "error" => "Erreur",
        "loading" => "Chargement en cours",
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
