<?php

//Remember default language is french

class StockEnglish
{
    public static $values = [
        "index" => [
            "searchByStore" => "Search by store",
            "searchByProductName" => "Search by product name",
            "searchByBatchNumber" => "Search by batch number",
            "expirationDateAfterThisDate" => "Expiration date after this date",
            "expirationDateBeforeThisDate" => "Expiration date before this date",
            "designation" => "Designation",
            "store" => "Store",
            "batchNumber" => "Batch number",
            "qty" => "Qty",
            "expirationDate" => "Expiration date",
            "buyingPrice" => "Buying price",
            "salePrice" => "Sale price",
            "buyingTotal" => "Buying total",
            "saleTotal" => "Sale total",
            "initialQty" => "Initial qty",
            "printingTheListOfStocks" => "Printing the list of stocks",
            "youWantToPrintTheStocksOfWhichStore" => "You want to print the stocks of which store",
            "allStores" => "All stores",
            "cumulateTheStocks" => "Cumulate the stocks",
            "standardizeBatchNumbers" => "Standardize batch numbers",
            "cumulateNotPerishableStocksMessage" => "This action will roll up all stock lines of non-perishable products to the most recent stock line and empty all other lines",
            "cumulateAllStocksMessage" => "This action will roll up all product stock rows to the most recent stock row and empty all other rows",
            "cumulate" => "Cumulate",
            "stocksCumulatedSuccessfully" => "Stocks cumulated successfully",
            "stocksAccumulationCompletedSuccessfully" => "Stocks accumulation completed successfully",
            "standardizeBatchNumbersMessage" => "This action will standardize the lengths of the batch numbers to the supplied length by prefixing them with as many 0s as necessary. It should be noted that for batch numbers of length greater than or equal to that provided there will be no modification.",
            "desiredLength" => "Desired length",
            "pleaseFillDesiredLengthField" => "Please fill desired length field",
            "pleaseEnterAValidNumberForDesiredLength" => "Please enter a valid number for desired length",
            "batchNumbersStandardizedSuccessfully" => "Batch numbers standardized successfully",
            "standardize" => "Standardize",
            "theDesiredLengthMustBeEven" => "The desired length must be even",
        ],
        "interStore" => [
            "newMovement" => "New movement",
            "searchByOriginStore" => "Search by origin store",
            "searchByReceivingStore" => "Search by receiving store",
            "movementDateAfterThisDate" => "Movement date after this date",
            "movementDateBeforeThisDate" => "Movement date before this date",
            "number" => "Number",
            "originStore" => "Origin store",
            "receivingStore" => "Receiving store",
            "entryDate" => "Entry date",
            "movementDate" => "Movement date",
            "comment" => "Comment",
            "selectingStocks" => "Selecting stocks",
            "searchByBatchNumber" => "Search by batch number",
            "searchByProductName" => "Search by product name",
            "movementInfo" => "Movement info",
            "commentOnMovement" => "Comment on movement",
            "movementContent" => "Movement content",
            "emptyMovementAtTheMoment" => "Empty movement at the moment",
            "product" => "Product",
            "batchNumber" => "Batch number",
            "remainingQuantity" => "Remaining quantity",
            "quantityToOut" => "Quantity to out",
            "sellingPrice" => "Selling price",
            "pleaseSelectTheOriginStoreFirst" => "Please select the origin store first",
            "clickToAddToMovement" => "Click to add to movement",
            "qty" => "Qty",
            "batchN" => "Batch N°",
            "pleaseSelectAReceivingStoreForThisMovement" => "Please select a receiving store for this movement",
            "aStoreCannotBeOriginAnReceiving" => "A store cannot be origin and receiving",
            "pleaseSelectADateForThisMovement" => "Please select a date for this movement",
            "pleaseFillCommentOnMovementField" => "Please fill comment on movement field",
            "pleaseEnterAValidQuantity" => "Please enter a valid quantity",
            "pleaseDoNotExceedTheRemainingQuantityOnStock" => "Please do not exceed the remaining quantity on stock",
            "aMovementCannotBeEmpty" => "A movement cannot be empty",
            "movementSuccessfullyRegistered" => "Movement successfully registered",
            "insufficientRemainingQuantityForStockWithBatchNumber" => "Insufficient remaining quantity for stock with batch number",
            "editMovement" => "Edit movement",
            "movementUpdatedSuccessfully" => "Movement updated successfully",
            "consultMovement" => "Consult movement",
            "doYouConfirmTheDeletionOfTheMovement" => "Do you confirm the deletion of the movement N°",
            "movementDeletedSuccessfully" => "Movement deleted successfully",
            "printingTheListOfMovements" => "Printing the list of movements",
            "allStores" => "All stores",
            "dateAfter" => "Date after",
            "dateBefore" => "Date before",
        ],
        "interStoreValidation" => [
            "doYouConfirmTheValidationOfTheMovement" => "Do you confirm the validation of the movement",
            "movementValidatedSuccessfully" => "Movement validated successfully",
            "exitCreatedByTheInterStoreMovement" => "Exit created by the inter-store movement N°",
            "receptionCreatedByTheInterStoreMovement" => "Reception created by the inter-store movement N°",
            "from" => "from",
            "to" => "to",
        ],
        "cumulativeStock" => [
            "searchByProductName" => "Search by product name",
            "searchByStore" => "Search by store",
            "stockAtTheDateOf" => "Stock at the date of",
            "designation" => "Designation",
            "store" => "Store",
            "quantity" => "Quantity",
            "buyingPrice" => "Buying price",
            "salePrice" => "Sale price",
            "buyingTotal" => "Buying total",
        ],
        "transformation" => [
            "newTransformation" => "New transformation",
            "searchByStore" => "Search by store",
            "searchByProductName" => "Search by product name",
            "number" => "Number",
            "store" => "Store",
            "productObtained" => "Product obtained",
            "buyingPrice" => "Buying price",
            "sellingPrice" => "Selling price",
            "transformationDate" => "Transformation date",
            "transformationDateAfterThisDate" => "Transformation date after this date",
            "transformationDateBeforeThisDate" => "Transformation date before this date",
            "concernedStore" => "Concerned store",
            "selectingTheProductToObtain" => "Selecting the product to obtain",
            "infoOnProductToObtain" => "Info on product to obtain",
            "pleaseSelectTheConcernedStoreFirst" => "Please select the concerned store first",
            "productToObtain" => "Product to obtain",
            "selectingStocks" => "Selecting stocks",
            "searchByBatchNumber" => "Search by batch number",
            "transformationContent" => "Transformation content",
            "emptyTransformationAtTheMoment" => "Empty transformation for the moment",
            "product" => "Product",
            "batchNumber" => "Batch number",
            "remainingQuantity" => "Remaining quantity",
            "quantityToUse" => "Quantity to use",
            "quantityToObtain" => "Quantity to obtain",
            "clickToAddToTransformation" => "Click to add to transformation",
            "qty" => "Qty",
            "batchN" => "Batch N°",
            "noCategorySelected" => "No category selected",
            "clickToSelect" => "Click to select",
            "searchByProductCategory" => "Search by product category",
            "pleaseSelectTheProductToObtain" => "Please select the product to obtain",
            "pleaseFillQuantityToObtainField" => "Please fill quantity to obtain field",
            "pleaseEnterAValidQuantity" => "Please enter a valid quantity",
            "pleaseFillBuyingPriceField" => "Please fill buying price field",
            "pleaseEnterAValidBuyingPrice" => "Please enter a valid buying price",
            "pleaseFillSellingPriceField" => "Please fill selling price field",
            "pleaseEnterAValidSellingPrice" => "Please enter a valid selling price",
            "pleaseDoNotExceedTheRemainingQuantityOnStock" => "Please do not exceed the remaining quantity on stock",
            "aTransformationCannotBeEmpty" => "A transformation cannot be empty",
            "transformationSuccessfullyRegistered" => "Transformation successfully registered",
            "insufficientRemainingQuantityForStockWithBatchNumber" => "Insufficient remaining quantity for stock with batch number",
            "editTransformation" => "Edit transformation",
            "transformationUpdatedSuccessfully" => "Transformation updated successfully",
            "consultTransformation" => "Consult transformation",
            "quantity" => "Quantity",
            "transformationDeletedSuccessfully" => "Transformation deleted successfully",
            "doYouConfirmTheDeletionOfTheTransformation" => "Do you confirm the deletion of the transformation",
            "printingTheListOfTransformations" => "Printing the list of transformations",
            "allStores" => "All stores",
            "dateAfter" => "Date after",
            "dateBefore" => "Date before",
            "expirationDate" => "Expiration date",
            "pleaseFillExpirationDateField" => "Please fill expiration date field",
        ],
        "transformationValidation" => [
            "doYouConfirmTheValidationOfTheTransformation" => "Confirmez-vous la validation de la transformation",
            "transformationValidatedSuccessfully" => "Transformation validée avec succès",
            "exitCreatedByTheTransformation" => "Exit created by the transformation N°",
            "receptionCreatedByTheTransformation" => "Reception created by the transformation N°",
        ]
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}