<?php

//Remember default language is french

class StockFrench
{
    public static $values = [
        "index" => [
            "searchByStore" => "Rechercher par magasin",
            "searchByProductName" => "Rechercher par nom de produit",
            "searchByBatchNumber" => "Rechercher par numéro de lot",
            "expirationDateAfterThisDate" => "Date d'expiration après cette date",
            "expirationDateBeforeThisDate" => "Date d'expiration avant cette date",
            "designation" => "Désignation",
            "store" => "Magasin",
            "batchNumber" => "Numéro de lot",
            "qty" => "Qté",
            "expirationDate" => "Date de péremption",
            "buyingPrice" => "Prix d'achat",
            "salePrice" => "Prix de vente",
            "buyingTotal" => "Total achat",
            "saleTotal" => "Total vente",
            "initialQty" => "Qté initiale",
            "printingTheListOfStocks" => "Impression de la liste des stocks",
            "youWantToPrintTheStocksOfWhichStore" => "Vous souhaitez imprimer les stocks de quel magasin",
            "allStores" => "Tous les magasins",
            "cumulateTheStocks" => "Cumuler les stocks",
            "standardizeBatchNumbers" => "Uniformiser les numéros de lot",
            "cumulateNotPerishableStocksMessage" => "Cette action cumulera toutes les lignes de stock des produits non périssables sur la ligne de stock la plus récente et videra toutes les autres lignes",
            "cumulateAllStocksMessage" => "Cette action cumulera toutes les lignes de stock de produit sur la ligne de stock la plus récente et videra toutes les autres lignes",
            "cumulate" => "Cumuler",
            "stocksCumulatedSuccessfully" => "Stock cumulés avec succès",
            "stocksAccumulationCompletedSuccessfully" => "Cumulation des stocks effectuée avec succès",
            "standardizeBatchNumbersMessage" => "Cette action uniformisera les longeurs des numéros de lots à la longueur fournie en les préfixant d'autant de 0 que nécessaire. Il faut noter que pour les numéros de lots de longueur supérieure ou égale à celle fournie il n'y aura aucune modification.",
            "desiredLength" => "Longueur souhaitée",
            "pleaseFillDesiredLengthField" => "Veuillez remplir le champ longueur désirée",
            "pleaseEnterAValidNumberForDesiredLength" => "Veuillez un nombre valide pour la longueur désirée",
            "batchNumbersStandardizedSuccessfully" => "Numéros de lots uniformisés avec succès",
            "standardize" => "Uniformiser",
            "theDesiredLengthMustBeEven" => "La longueur souhaitée doit être paire",
        ],
        "interStore" => [
            "newMovement" => "Nouveau mouvement",
            "searchByOriginStore" => "Rechercher par magasin d'origine",
            "searchByReceivingStore" => "Rechercher par magasin de réception",
            "movementDateAfterThisDate" => "Date du mouvement après cette date",
            "movementDateBeforeThisDate" => "Date du mouvement avant cette date",
            "number" => "Numéro",
            "originStore" => "Magasin d'origine",
            "receivingStore" => "Magasin de réception",
            "entryDate" => "Date de saisie",
            "movementDate" => "Date du mouvement",
            "comment" => "Comment",
            "selectingStocks" => "Sélection des stocks",
            "searchByBatchNumber" => "Rechercher par numéro de lot",
            "searchByProductName" => "Rechercher par nom de produit",
            "movementInfo" => "Informations sur le mouvement",
            "commentOnMovement" => "Commentaire sur le mouvement",
            "movementContent" => "Contenu du mouvement",
            "emptyMovementAtTheMoment" => "Mouvement vide pour le moment",
            "product" => "Produit",
            "batchNumber" => "Numéro de lot",
            "remainingQuantity" => "Quantité restante",
            "quantityToOut" => "Quantité à sortir",
            "sellingPrice" => "Prix de vente",
            "pleaseSelectTheOriginStoreFirst" => "Veuillez d'abord sélectionner le magasin d'origine",
            "clickToAddToMovement" => "Cliquez pour ajouter au mouvement",
            "qty" => "Qté",
            "batchN" => "N° Lot",
            "pleaseSelectAReceivingStoreForThisMovement" => "Veuillez sélectionner un magasin de réception pour ce mouvement",
            "aStoreCannotBeOriginAnReceiving" => "Un magasin ne peut être émetteur et récepteur",
            "pleaseSelectADateForThisMovement" => "Veuillez sélectionner une date pour ce mouvement",
            "pleaseFillCommentOnMovementField" => "Veuillez remplir le champ commentaire sur le mouvement",
            "pleaseEnterAValidQuantity" => "Veuillez entrer une quantité valide",
            "pleaseDoNotExceedTheRemainingQuantityOnStock" => "Veuillez ne pas dépasser la quantité restante sur le stock",
            "aMovementCannotBeEmpty" => "Un mouvement ne peut être vide",
            "movementSuccessfullyRegistered" => "Mouvement enregistré avec succès",
            "insufficientRemainingQuantityForStockWithBatchNumber" => "Quantité restante insuffisante pour le stock de numéro de lot",
            "editMovement" => "Modifier le mouvement",
            "movementUpdatedSuccessfully" => "Mouvement mis à jour avec succès",
            "consultMovement" => "Consulter le mouvement",
            "doYouConfirmTheDeletionOfTheMovement" => "Confirmez-vous la suppression du mouvement N°",
            "movementDeletedSuccessfully" => "Mouvement supprimé avec succès",
            "printingTheListOfMovements" => "Impression de la liste des mouvements",
            "allStores" => "Tous les magasins",
            "dateAfter" => "Date après le",
            "dateBefore" => "Date avant le",
        ],
        "interStoreValidation" => [
            "doYouConfirmTheValidationOfTheMovement" => "Confirmez-vous la validation du mouvement",
            "movementValidatedSuccessfully" => "Mouvement validé avec succès",
            "exitCreatedByTheInterStoreMovement" => "Sortie créée par le mouvement inter-magasin N°",
            "receptionCreatedByTheInterStoreMovement" => "Réception créée par le mouvement inter-magasin N°",
            "from" => "de",
            "to" => "à",
        ],
        "cumulativeStock" => [
            "searchByProductName" => "Rechercher par nom de produit",
            "searchByStore" => "Rechercher par magasin",
            "stockAtTheDateOf" => "Stock à la date du",
            "designation" => "Désignation",
            "store" => "Magasin",
            "quantity" => "Quantité",
            "buyingPrice" => "Prix d'achat",
            "salePrice" => "Prix de vente",
            "buyingTotal" => "Total achat",
        ],
        "transformation" => [
            "newTransformation" => "Nouvelle transformation",
            "searchByStore" => "Rechercher par magasin",
            "searchByProductName" => "Rechercher par nom de produit",
            "number" => "Numéro",
            "store" => "Magasin",
            "productObtained" => "Produit obtenu",
            "buyingPrice" => "Prix d'achat",
            "sellingPrice" => "Prix de vente",
            "transformationDate" => "Date de transformation",
            "transformationDateAfterThisDate" => "Date de transformation après cette date",
            "transformationDateBeforeThisDate" => "Date de transformation avant cette date",
            "concernedStore" => "Magasin concerné",
            "selectingTheProductToObtain" => "Sélection du produit à obtenir",
            "infoOnProductToObtain" => "Informations sur le produit à obtenir",
            "pleaseSelectTheConcernedStoreFirst" => "Veuillez d'abord sélectionner le magasin concerné",
            "productToObtain" => "Produit à obtenir",
            "selectingStocks" => "Sélection des stocks",
            "searchByBatchNumber" => "Rechercher par numéro de lot",
            "transformationContent" => "Contenu de la transformation",
            "emptyTransformationAtTheMoment" => "Transformation vide pour le moment",
            "product" => "Produit",
            "batchNumber" => "Numéro de lot",
            "remainingQuantity" => "Quantité restante",
            "quantityToUse" => "Quantité à utiliser",
            "quantityToObtain" => "Quantité à obtenir",
            "clickToAddToTransformation" => "Cliquez pour ajouter à la transformation",
            "qty" => "Qté",
            "batchN" => "N° Lot",
            "noCategorySelected" => "Aucune catégorie sélectionnée",
            "clickToSelect" => "Cliquez pour sélectionner",
            "searchByProductCategory" => "Rechercher par catégorie de produit",
            "pleaseSelectTheProductToObtain" => "Veuillez sélectionner le produit à obtenir",
            "pleaseFillQuantityToObtainField" => "Veuillez remplir le champ quantité à obtenir",
            "pleaseEnterAValidQuantity" => "Veuillez entrer une quantité valide",
            "pleaseFillBuyingPriceField" => "Veuillez remplir le champ prix d'achat",
            "pleaseEnterAValidBuyingPrice" => "Veuillez entrer un prix d'achat valide",
            "pleaseFillSellingPriceField" => "Veuillz remplir le champ prix de vente",
            "pleaseEnterAValidSellingPrice" => "Veuillez entrer un prix de vente valide",
            "pleaseDoNotExceedTheRemainingQuantityOnStock" => "Veuillez ne pas dépasser la quantité restante sur le stock",
            "aTransformationCannotBeEmpty" => "Une transformation ne peux être vide",
            "transformationSuccessfullyRegistered" => "Transformation enregistrée avec succès",
            "insufficientRemainingQuantityForStockWithBatchNumber" => "Quantité restante insuffisante pour le stock de numéro de lot",
            "editTransformation" => "Modifier la transformation",
            "transformationUpdatedSuccessfully" => "Transformation mise à jour avec succès",
            "consultTransformation" => "Consulter la transformation",
            "quantity" => "Quantité",
            "transformationDeletedSuccessfully" => "Transformation supprimée avec succès",
            "doYouConfirmTheDeletionOfTheTransformation" => "Confirmez-vous la suppression de la transformation",
            "printingTheListOfTransformations" => "Impression de la liste des transformations",
            "allStores" => "Tous les magasins",
            "dateAfter" => "Date après le",
            "dateBefore" => "Date avant le",
            "expirationDate" => "Date de péremption",
            "pleaseFillExpirationDateField" => "Veuillez remplir le champ date d'expiration",
        ],
        "transformationValidation" => [
            "doYouConfirmTheValidationOfTheTransformation" => "Confirmez-vous la validation de la transformation",
            "transformationValidatedSuccessfully" => "Transformation validée avec succès",
            "exitCreatedByTheTransformation" => "Sortie créée par la transformation N°",
            "receptionCreatedByTheTransformation" => "Réception créée par la transformation N°",
        ]
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
