<?php

//Remember default language is french

class StoreFrench
{
    public static $values = [
        "index" => [
            "newStore" => "Nouveau magasin",
            "userHelpingMessage1" => "Tous les produits que vous vendez sont stockés dans des magasins. Vous gérez ces derniers d'ici",
            "storeName" => "Nom du magasin",
            "editStore" => "Modifier le magasin",
            "pleaseFillStoreNameField" => "Veuillez remplir le champs nom du magasin",
            "storeSuccessfullyRegistered" => "Magasin enregistré avec succès",
            "aStoreWithThisNameAlreadyExists" => "Un magasin portant ce nom existe déjà",
            "storeUpdatedSuccessfully" => "Magasin mis à jour avec succès",
            "doYouConfirmTheDeletionOfTheStore" => "Confirmez-vous la suppression du magasin",
            "storeDeletedSuccessfully" => "Magasin supprimé avec succès",
            "searchByStoreName" => "Rechercher par nom de magasin",
            "subscriptionLimitsForStoreMessage" => "Vous avez atteint les limites de nombre de magasins autorisés par votre abonnement",
        ],
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}