<?php

//Remember default language is french

class SupplierEnglish
{
    public static $values = [
        "index" => [
            "ETS" => "Sole Trader",
            "SARL" => "Ltd.",
            "SA" => "Plc",
            "newSupplier" => "New supplier",
            "suppliers" => "Suppliers",
            "userHelpingMessage1" => "Suppliers are the companies from which you buy the products you sell",
            "supplierName" => "Supplier name",
            "societyType" => "Society type",
            "phone" => "Phone",
            "address" => "Address",
            "accountingAccount" => "Accounting account",
            "phoneNumber" => "Phone number",
            "editSupplier" => "Edit supplier",
            "pleaseFillSupplierNameField" => "Please fill supplier name field",
            "pleaseFillPhoneNumberField" => "Please fill phone number field",
            "supplierSuccessfullyRegistered" => "Supplier successfully registered",
            "aSupplierWithThisNameAlreadyExists" => "A supplier with this name already exists",
            "supplierUpdatedSuccessfully" => "Supplier updated successfully",
            "supplierDeletedSuccessfully" => "Supplier deleted successfully",
            "doYouConfirmTheDeletionOfTheSupplier" => "Do you confirm the deletion of the supplier",
            "searchBySupplierName" => "Search by supplier name",
            "searchBySocietyType" => "Search by society type",
            "noSocietyTypeSelected" => "No society type selected",
            "searchByPhone" => "Search by phone",
        ]
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
