<?php

//Remember default language is french

class SupplierFrench
{
    public static $values = [
        "index" => [
            "ETS" => "ETS",
            "SARL" => "SARL",
            "SA" => "SA",
            "newSupplier" => "Nouveau fournisseur",
            "suppliers" => "Fournisseurs",
            "userHelpingMessage1" => "Les fournisseurs sont les entreprises auprès desquelles vous achetez les produits que vous vendez",
            "supplierName" => "Nom du fournisseur",
            "societyType" => "Type de société",
            "phone" => "Téléphone",
            "address" => "Adresse",
            "accountingAccount" => "Compte comptable",
            "phoneNumber" => "Numéro de téléphone",
            "editSupplier" => "Modifier le fournisseur",
            "pleaseFillSupplierNameField" => "Veuillez remplir le champs nom du fournisseur",
            "pleaseFillPhoneNumberField" => "Veuillez remplir le champs numéro de téléphone",
            "supplierSuccessfullyRegistered" => "Fournisseur enregistré avec succès",
            "aSupplierWithThisNameAlreadyExists" => "Un fournisseur portant ce nom existe déjà",
            "supplierUpdatedSuccessfully" => "Fournisseur mis à jour avec succès",
            "supplierDeletedSuccessfully" => "Fournisseur supprimé avec succès",
            "doYouConfirmTheDeletionOfTheSupplier" => "Confirmez-vous la suppression du fournisseur",
            "searchBySupplierName" => "Rechercher par nom de fournisseur",
            "searchBySocietyType" => "Rechercher par type de société",
            "noSocietyTypeSelected" => "Aucun type de société sélectionné",
            "searchByPhone" => "Rechercher par téléphone",
        ],
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
