<?php

//Remember default language is french

class ViewFrench
{
    public static $values = [
        "stock" => [],
        "cumulativeStock" => [],
        "productAndServices" => [],
        "order" => [],
        "reception" => [],
        "itemsToOrder" => [],
        "soonToExpireItems" => [],
        "expiredItems" => [],
        "exceptionalOutings" => [],
        "productPath" => [
            "forWhichStore" => "Pour quel magasin",
            "forWhichProduct" => "Pour quel produit",
            "noStoreSelected" => "Aucun magasin sélectionné",
            "noProductSelected" => "Aucun produit sélectionné",
            "noProductMovementHistoryDisplayed" => "Aucun historique de mouvement de produit affiché",
            "startDate" => "Date de début",
            "endDate" => "Date de fin",
            "loadingProductsOfStoreFailed" => "Le chargement des produits du magasin a échoué",
            "pleaseSelectAStore" => "Veuillez sélectionner un magasin",
            "pleaseSelectAProduct" => "Veuillez sélectionner un produit",
            "pleaseSelectAStartDate" => "Veuillez sélectionner une date de début",
            "pleaseSelectAnEndDate" => "Veuillez sélectionner une date de fin",
            "anErrorOccurredWhileDisplayingProductMovementHistory" => "Une erreur est survenue lors de l'affichage de l'historique de mouvement de produit",
            "saleCompleted" => "Vente réalisée, N°",
            "exitOf" => "Sortie de",
            "entryOf" => "Entrée de",
            "pieces" => "Pièce(s)",
            "withAMotive" => "avec pour motif",
            "quantityAtTheEveningOf" => "Quantité au soir du",
            "detailsOfProductMovements" => "Le détail des mouvements du produit",
            "noMovementFound" => "Aucun mouvement trouvé",
        ],
        "stockSituation" => [
            "forWhichStore" => "Pour quel magasin",
            "forWhichCategory" => "Pour quelle catégorie",
            "forWhichProduct" => "Pour quel produit",
            "noStockSituationDisplayed" => "Aucune situation de stock affichée",
            "startDate" => "Date de début",
            "endDate" => "Date de fin",
            "pleaseSelectAStore" => "Veuillez sélectionner un magasin",
            "noStoreSelected" => "Aucun magasin sélectionné",
            "allCategories" => "Toutes les catégories",
            "allProducts" => "Tous les produits",
            "loadingProductsOfCategoryFailed" => "Le chargement des produits de la catégories a échoué",
            "product" => "Produit",
            "quantityOnTheEveOf" => "Quantité à la veille du",
            "quantityAtTheEveningOf" => "Quantité au soir du",
            "quantityEnteredOverThePeriod" => "Quantité entrée sur la période",
            "quantityIssuedOverThePeriod" => "Quantité sortie sur la période",
            "searchAProduct" => "Rechercher un produit",
            "theStockSituationsAreListedBelow" => "Les situations de stock sont listées ci-dessous",
        ],
        "followUp" => [
            "forWhichPointOfSale" => "Pour quel point de vente",
            "allPointsOfSale" => "Tous les points de vente",
            "considerCustomersWhoseVisitIsHowManyDaysOld" => "Considérer les clients dont la visite remonte à combien de jours",
            "noListOfCustomersToFollowUpDisplayed" => "Aucune liste de clients à relancer affichée",
            "theCustomersToFollowUpAreListedHere" => "Les clients à relancer sont listés ici",
            "customer" => "Client",
            "lastVisitDate" => "Date de dernière visite",
            "phoneNumber" => "Numéro de téléphone",
            "email" => "E-mail",
            "searchACustomer" => "Rechercher un client",
        ],
        "bestCustomers" => [
            "forWhichPointOfSale" => "Pour quel point de vente",
            "allPointsOfSale" => "Tous les points de vente",
            "startDate" => "Date de début",
            "endDate" => "Date de fin",
            "minPurchaseSum" => "Somme min. achats",
            "noListOfBestCustomersDisplayed" => "Aucune de liste de meilleurs clients affichée",
            "theBestCustomersAreListedHere" => "Les meilleurs clients sont listés ici",
            "customer" => "Client",
            "purchaseSum" => "Somme achats",
            "phoneNumber" => "Numéro de téléphone",
            "email" => "E-mail",
            "searchACustomer" => "Rechercher un client",
        ],
        "regularCustomers" => [
            "forWhichPointOfSale" => "Pour quel point de vente",
            "allPointsOfSale" => "Tous les points de vente",
            "startDate" => "Date de début",
            "endDate" => "Date de fin",
            "minNumberOfVisits" => "Nombre min. de visites",
            "noListOfRegularCustomersDisplayed" => "Aucun liste de clients réguliers affichée",
            "theRegularCustomersAreListedHere" => "Les clients régulier sont listés ici",
            "customer" => "Client",
            "numberOfVisits" => "Nombre de visites",
            "phoneNumber" => "Numéro de téléphone",
            "email" => "E-mail",
            "searchACustomer" => "Rechercher un client",
        ],
        "outOfStock" => [
            "forWhichStore" => "Pour quel magasin",
            "noStoreSelected" => "Aucun magasin sélectionné",
            "forWhichCategory" => "Pour quelle catégorie",
            "allCategories" => "Toutes les catégories",
            "noStocksDisplayed" => "Aucun stock affiché",
            "product" => "Produit",
            "lastExitDate" => "Dernière date de sortie",
            "theOutOfStockProductsAreListedBelow" => "Les produits en rupture sont listés ci-dessous",
            "searchAProduct" => "Rechercher un produit",
            "outOfStock" => "Rupture de stock",
        ],
        "cashierSales" => [
            "forWhichPointOfSale" => "Pour quel point de vente",
            "allPointsOfSale" => "Tous les points de vente",
            "forWhichCashier" => "Pour quel caissier",
            "allCashiers" => "Tous les caissiers",
            "startDate" => "Date de début",
            "endDate" => "Date de fin",
            "noDetailedSalesDisplayed" => "Aucune vente détaillée affichée",
            "anErrorOccurredWhenLoadingCashiers" => "Une erreur est survenue lors du chargement des caissiers",
            "noSalesFound" => "Aucune vente trouvée",
            "saleNo" => "N° Facture",
            "dateAndHour" => "Date et heure",
            "amount" => "Montant",
            "reduction" => "Réduction",
            "paidAmount" => "Montant réglé",
            "totals" => "Totaux",
            "detailsOnSalesMade" => "Détails sur les ventes effectuées",
            "detailsOnProductsSold" => "Détails sur les produits vendus",
            "summaryOfSalesAmounts" => "Récapitulatif des montants des ventes",
            "summaryOfTheNumberOfSales" => "Récapitulatif du nombre de ventes",
            "salesTotal" => "Total ventes",
            "paymentTotal" => "Total paiements",
            "reductionTotal" => "Total réductions",
            "numberOfSales" => "Nombre de ventes",
            "paid" => "Réglées",
            "unpaid" => "Non réglées",
            "paymentInProgess" => "Paiement en cours",
            "withReduction" => "Avec réduction",
            "showThisSection" => "Afficher cette section",
            "showSalesTable" => "Afficher le tableau de ventes",
            "showSalesCharts" => "Afficher les graphiques de ventes",
            "summaryOfSalesPerCashier" => "Récapitulatif des ventes par caissier",
            "showTheTable" => "Afficher le tableau",
            "showTheCharts" => "Afficher les graphiques",
            "cashier" => "Caissier",
            "designation" => "Désignation",
            "quantity" => "Quantité",
            "sumOfSales" => "Somme des ventes",
            "summaryOfProductsSoldPerCashier" => "Récapitulatif des produits vendus par caissier",
            "summaryOfTheQuantitiesOfProductsSold" => "Récapitulatif des quantités de produits vendus par caissier", 
            "summaryOfTheAmountOfProductsSoldPerCashier" => "Récapitulatif des sommes de produits vendus par caissier",
            "buyingPrice" => "Prix d'achat",
            "unitPrice" => "Prix unitaire",
            "profit" => "Bénéfice", 
        ],
        "salesAtPointOfSale" => [
            "forWhichPointOfSale" => "Pour quel point de vente",
            "allPointsOfSale" => "Tous les points de vente",
            "startDate" => "Date de début",
            "endDate" => "Date de fin",
            "noDetailedSalesDisplayed" => "Aucune vente détaillée affichée",
            "noSalesFound" => "Aucune vente trouvée",
            "saleNo" => "N° Facture",
            "dateAndHour" => "Date et heure",
            "amount" => "Montant",
            "reduction" => "Réduction",
            "paidAmount" => "Montant réglé",
            "totals" => "Totaux",
            "detailsOnSalesMade" => "Détails sur les ventes effectuées",
            "detailsOnProductsSold" => "Détails sur les produits vendus",
            "summaryOfSalesAmounts" => "Récapitulatif des montants des ventes",
            "summaryOfTheNumberOfSales" => "Récapitulatif du nombre de ventes",
            "salesTotal" => "Total ventes",
            "paymentTotal" => "Total paiements",
            "reductionTotal" => "Total réductions",
            "numberOfSales" => "Nombre de ventes",
            "paid" => "Réglées",
            "unpaid" => "Non réglées",
            "paymentInProgess" => "Paiement en cours",
            "withReduction" => "Avec réduction",
            "showThisSection" => "Afficher cette section",
            "showSalesTable" => "Afficher le tableau de ventes",
            "summaryOfSalesPerPointOfSale" => "Récapitulatif des ventes par point de vente",
            "pointOfSale" => "Point de vente",
            "showTheTable" => "Afficher le tableau",
            "showTheCharts" => "Afficher les graphiques",
            "designation" => "Désignation",
            "quantity" => "Quantité",
            "sumOfSales" => "Somme des ventes",
            "buyingPrice" => "Prix d'achat",
            "unitPrice" => "Prix unitaire",
            "profit" => "Bénéfice",
            "summaryOfProductsSoldPerPointOfSale" => "Récapitulatif des produits vendus par point de vente",
            "summaryOfTheQuantitiesOfProductsSold" => "Récapitulatif des quantités de produits vendus", 
            "summaryOfTheAmountOfProductsSold" => "Récapitulatif des sommes de produits vendus",
            "summaryOfProductsSold" => "Récapitulatif des produits vendus",
        ],
        "productSales" => [
            "forWhichPointOfSale" => "Pour quel point de vente",
            "allPointsOfSale" => "Tous les points de vente",
            "startDate" => "Date de début",
            "endDate" => "Date de fin",
            "noProductSalesDisplayed" => "Aucune vente de produits affichée",
            "forWhichCategory" => "Pour quelle catégorie",
            "allCategories" => "Toutes les catégories",
            "forWhichProduct" => "Pour quel produit",
            "allProducts" => "Tous les produits",
            "anErrorOccurredWhenLoadingProducts" => "Une erreur est survenue lors du chargement des produits",
            "totals" => "Totaux",
            "designation" => "Désignation",
            "quantity" => "Quantité",
            "sumOfSales" => "Somme des ventes",
            "buyingPrice" => "Prix d'achat",
            "unitPrice" => "Prix unitaire",
            "profit" => "Bénéfice",
            "summaryOfProductsSoldPerPointOfSale" => "Récapitulatif des produits vendus par point de vente",
            "summaryOfTheQuantitiesOfProductsSold" => "Récapitulatif des quantités de produits vendus", 
            "summaryOfTheAmountOfProductsSold" => "Récapitulatif des sommes de produits vendus",
            "summaryOfProductsSold" => "Récapitulatif des produits vendus",
            "pointOfSale" => "Point de vente",
            "showTheTable" => "Afficher le tableau",
            "showTheCharts" => "Afficher les graphiques",
            "theDetailsOnProductsSoldAreListedBelow" => "Les détails sur les produits vendus sont listés ci-dessous",
        ],
        "customerSales" => [
            "forWhichCustomer" => "Pour quel client",
            "noCustomerSelected" => "Aucun client sélectionné",
            "forWhichPointOfSale" => "Pour quel point de vente",
            "allPointsOfSale" => "Tous les points de vente",
            "startDate" => "Date de début",
            "endDate" => "Date de fin",
            "noDetailedSalesDisplayed" => "Aucune vente détaillée affichée",
            "noSalesFound" => "Aucune vente trouvée",
            "saleNo" => "N° Facture",
            "dateAndHour" => "Date et heure",
            "amount" => "Montant",
            "reduction" => "Réduction",
            "paidAmount" => "Montant réglé",
            "totals" => "Totaux",
            "detailsOnSalesMade" => "Détails sur les ventes effectuées",
            "detailsOnProductsSold" => "Détails sur les produits vendus",
            "summaryOfSalesAmounts" => "Récapitulatif des montants des ventes",
            "summaryOfTheNumberOfSales" => "Récapitulatif du nombre de ventes",
            "salesTotal" => "Total ventes",
            "paymentTotal" => "Total paiements",
            "reductionTotal" => "Total réductions",
            "numberOfSales" => "Nombre de ventes",
            "paid" => "Réglées",
            "unpaid" => "Non réglées",
            "paymentInProgess" => "Paiement en cours",
            "withReduction" => "Avec réduction",
            "showThisSection" => "Afficher cette section",
            "showSalesTable" => "Afficher le tableau de ventes",
            "summaryOfSalesPerPointOfSale" => "Récapitulatif des ventes par point de vente",
            "pointOfSale" => "Point de vente",
            "showTheTable" => "Afficher le tableau",
            "showTheCharts" => "Afficher les graphiques",
            "designation" => "Désignation",
            "quantity" => "Quantité",
            "sumOfSales" => "Somme des ventes",
            "buyingPrice" => "Prix d'achat",
            "unitPrice" => "Prix unitaire",
            "profit" => "Bénéfice",
            "summaryOfProductsSoldPerPointOfSale" => "Récapitulatif des produits vendus par point de vente",
            "summaryOfTheQuantitiesOfProductsSold" => "Récapitulatif des quantités de produits vendus", 
            "summaryOfTheAmountOfProductsSold" => "Récapitulatif des sommes de produits vendus",
            "summaryOfProductsSold" => "Récapitulatif des produits vendus",
        ],
        "statsPerformance" => [
            "sales" => "Ventes",
            "fundMovements" => "Mouvements de fonds",
            "topSellingItems" => "Articles les mieux vendus",
            "bestCustomers" => "Meilleurs clients",
            "comparativeSalesPerPointOfSale" => "Ventes comparées par point de vente",
            "comparativeFundMovementsPerPointOfSale" => "Mouvements de fonds comparés par point de vente",
            "pointOfSale" => "Point de vente",
            "allPointsOfSale" => "Tous les points de vente",
            "displayType" => "Type d'affichage",
            "perDay" => "Par jour",
            "perMonth" => "Par mois",
            "startDate" => "Date de début",
            "endDate" => "Date de fin",
            "year" => "Année",
            "noYearSelected" => "Aucune année sélectionnée",
            "salesTotal" => "Total ventes",
            "paymentTotal" => "Total paiement",
            "entries" => "Entrées",
            "exits" => "Sorties",
            "numberOfItemsToConsider" => "Nombre d'articles à considérer",
            "numberOfCustomersToConsider" => "Nombre de clients à considérer",
            "pleaseEnterACorrectNumberOfItemsToConsider" => "Veuillez entrer un nombre d'articles à considérer correct",
            "pleaseEnterACorrectNumberOfCustomersToConsider" => "Veuillez entrer un nombre de clients à considérer correct",
            "quantitySold" => "Quantité vendue",
            "amountSold" => "Montant vendu",
            "amountOfPurchases" => "Montant des achats",
            "numberOfPurchases" => "Nombre des achats",
            "numberOfSales" => "Nombre de ventes",
        ],
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
