<script type="text/javascript">
    const SITE_PUBLIC_URL = "<?= $this->baseUrl(); ?>";
    const PRINTING_LABEL = "<?= $this->translator->_("shared.printing"); ?>";
    const CLOSE_LABEL = "<?= $this->translator->_("shared.close"); ?>";
    const ALREADY_DELETED_ISSUE_LABEL = "<?= $this->translator->_("shared.alreadyDeletedIssueMessage"); ?>";
    const ALREADY_VALIDATED_ISSUE_LABEL = "<?= $this->translator->_("shared.alreadyValidatedIssueMessage"); ?>";
    const NO_RESULTS_FOUND_LABEL = "<?= $this->translator->_("shared.noResultsFound"); ?>";
    const IMAGE_UPLOAD_SIZE_TOO_LARGE_LABEL = "<?= $this->translator->_("shared.imageUploadSizeWarningMessage"); ?>";
    const NUMBERS_TO_WORDS_FRENCH_LOCALE = "FR_FR";
    const NUMBERS_TO_WORDS_ENGLISH_LOCALE = "EN_US";
    const NUMBERS_TO_WORDS_CURRENT_LOCALE = "<?= $_SESSION[SESSION_LANGUAGE] ?>" === "<?= FRENCH_LOCALE_CODE ?>" ? NUMBERS_TO_WORDS_FRENCH_LOCALE : NUMBERS_TO_WORDS_ENGLISH_LOCALE;
    const IMAGE_UPLOAD_LIMIT_SIZE = 1048576;
    const APP_PRIMARY_BRAND = "<?= APP_PRIMARY_BRAND ?>";
    const APP_SECONDARY_BRAND = "<?= APP_SECONDARY_BRAND ?>";
    const APP_THIRD_BRAND = "<?= APP_THIRD_BRAND ?>";
    const SCREEN_WIDTH_MIN_DIMENSION_FOR_STICKY = 1610;
</script>
<script src="<?= $this->baseUrl('javascript/jquery.min.js'); ?>"></script>
<script src="<?= $this->baseUrl('javascript/ion.sound.min.js'); ?>"></script>
<script src="<?= $this->baseUrl('javascript/iziToast.min.js'); ?>"></script>
<script src="<?= $this->baseUrl('javascript/semantic.min.js'); ?>"></script>
<script src="<?= $this->baseUrl('javascript/chart.min.js'); ?>"></script>
<script src="<?= $this->baseUrl('javascript/chart.datalabels.min.js'); ?>"></script>
<script src="<?= $this->baseUrl('javascript/moment.min.js'); ?>"></script>
<script src="<?= $this->baseUrl('javascript/moment.locale.min.js'); ?>"></script>
<script src="<?= $this->baseUrl('javascript/jquery.datatables.min.js'); ?>"></script>
<script src="<?= $this->baseUrl('javascript/datatables.semantic.min.js'); ?>"></script>
<script src="<?= $this->baseUrl('javascript/datatables.buttons.min.js'); ?>"></script>
<script src="<?= $this->baseUrl('javascript/buttons.semantic.min.js'); ?>"></script>
<script src="<?= $this->baseUrl('javascript/jszip.min.js'); ?>"></script>
<script src="<?= $this->baseUrl('javascript/pdfmake.min.js'); ?>"></script>
<script src="<?= $this->baseUrl('javascript/vfs.fonts.min.js'); ?>"></script>
<script src="<?= $this->baseUrl('javascript/buttons.html5.min.js'); ?>"></script>
<script src="<?= $this->baseUrl('javascript/buttons.print.min.js'); ?>"></script>
<script src="<?= $this->baseUrl('javascript/jquery-confirm.min.js'); ?>"></script>
<script src="<?= $this->baseUrl('javascript/print.min.js'); ?>"></script>
<script src="<?= $this->baseUrl('javascript/jquery.datetimepicker.full.min.js'); ?>"></script>
<script src="<?= $this->baseUrl('javascript/spectrum.min.js'); ?>"></script>
<script src="<?= $this->baseUrl('javascript/isMobile.min.js'); ?>"></script>
<script src="<?= $this->baseUrl('javascript/tsparticles.engine.min.js'); ?>"></script>
<script src="<?= $this->baseUrl('javascript/tsparticles.bundle.min.js'); ?>"></script>
<script src="<?= $this->baseUrl('javascript/jquery-particles.min.js'); ?>"></script>
<script src="<?= $this->baseUrl('javascript/fullcalendar.global.min.js'); ?>"></script>
<script src="<?= $this->baseUrl('javascript/fullcalendar.fr.js'); ?>"></script>
<script src="<?= $this->baseUrl('javascript/jquery.highlighttextarea.min.js'); ?>"></script>
<script src="<?= $this->baseUrl('javascript/slick.min.js'); ?>"></script>
<script src="<?= $this->baseUrl('javascript/numbers2words.min.js'); ?>"></script>
<script src="<?= $this->baseUrl('javascript/flipdown.min.js'); ?>"></script>
<script src="<?= $this->baseUrl('javascript/utility/chart_render.js'); ?>"></script>
<script src="<?= $this->baseUrl('javascript/utility/time.js'); ?>"></script>
<script src="<?= $this->baseUrl('javascript/utility/toaster.js'); ?>"></script>
<script src="<?= $this->baseUrl('javascript/utility/requester.js'); ?>"></script>
<script src="<?= $this->baseUrl('javascript/utility/utility.js'); ?>"></script>
<script type="text/javascript">
    Time.setLocale("<?= $_SESSION[SESSION_LANGUAGE] ?>");
    $.datetimepicker.setLocale("<?= $_SESSION[SESSION_LANGUAGE] ?>");
    $.extend(true, $.fn.dataTable.defaults, {
        "language": {
            "emptyTable": "<?= $this->translator->_("shared.noDataAvailableInTable"); ?>",
            "info": "<?= $this->translator->_("shared.showing"); ?> _START_ <?= $this->translator->_("shared.otherTo"); ?> _END_ <?= $this->translator->_("shared.of"); ?> _TOTAL_ <?= $this->translator->_("shared.entries"); ?>",
            "infoEmpty": "<?= $this->translator->_("shared.showing"); ?> 0 <?= $this->translator->_("shared.otherTo"); ?> 0 <?= $this->translator->_("shared.of"); ?> 0 <?= $this->translator->_("shared.entries"); ?>",
            "infoFiltered": "(<?= $this->translator->_("shared.filteredFrom"); ?> _MAX_ total <?= $this->translator->_("shared.entries"); ?>)",
            "lengthMenu": "<?= $this->translator->_("shared.show"); ?> _MENU_ <?= $this->translator->_("shared.entries"); ?>",
            "loadingRecords": "<?= $this->translator->_("shared.loading"); ?>...",
            "processing": "<?= $this->translator->_("shared.processing"); ?>...",
            "search": "<?= $this->translator->_("shared.search"); ?>:",
            "searchPlaceholder": "<?= $this->translator->_("shared.search"); ?>...",
            "zeroRecords": "<?= $this->translator->_("shared.noMatchingRecordsFound"); ?>",
            "paginate": {
                "first": "<?= $this->translator->_("shared.first"); ?>",
                "last": "<?= $this->translator->_("shared.last"); ?>",
                "next": "<?= $this->translator->_("shared.next"); ?>",
                "previous": "<?= $this->translator->_("shared.previous"); ?>"
            },
            "aria": {
                "sortAscending": ": <?= $this->translator->_("shared.activateToSortColumnAscending"); ?>",
                "sortDescending": ": <?= $this->translator->_("shared.activateToSortColumnDescending"); ?>"
            }
        },
        "bLengthChange": false,
        "destroy": true,
        buttons: [
            'excelHtml5',
            {
                extend: 'print',
                text: "<?= $this->translator->_("shared.print"); ?>"
            },
        ]
    });
    $(document).ready(async function() {
        //Load particles plugin
        await loadFull(tsParticles);

        //Utility on number inputs, class is utility-number-input
        $("body").on("keypress", ".utility-number-input", function(event) {
            let code = event.keyCode || event.which;
            if (!(code >= 48 && code <= 57) && !(code === 38) && !(code === 40) && !(code === 46)) {
                event.preventDefault();
                return;
            }
        });

        //Always trigger a change event when input value is changes via .val()
        let originalVal = $.fn.val;
        $.fn.val = function() {
            let previousValue;
            if ($(this).hasClass("crescita-datepicker-input") && arguments.length > 0) {
                previousValue = originalVal.apply(this, []);
            }
            let result = originalVal.apply(this, arguments);
            if ($(this).hasClass("crescita-datepicker-input") && arguments.length > 0 && previousValue !== originalVal.apply(this, [])) {
                $(this).trigger("change");
            }
            return result;
        };

        <?php
        if ((int)CURRENT_SITE_TYPE == SITE_TYPE_TRIAL || (int)CURRENT_SITE_TYPE == SITE_TYPE_DEMONSTRATION || (int)CURRENT_SITE_TYPE == SITE_TYPE_DEVELOPMENT) {
            $siteTypeLabel = "";
            $siteContainerBackgroundColor = "";
            if ((int)CURRENT_SITE_TYPE == SITE_TYPE_TRIAL) {
                $siteTypeLabel = $this->translator->_("shared.trial");
                $siteContainerBackgroundColor = "#2185d0";
            }
            if ((int)CURRENT_SITE_TYPE == SITE_TYPE_DEMONSTRATION) {
                $siteTypeLabel = $this->translator->_("shared.demonstration");
                $siteContainerBackgroundColor = "#6435c9";
            }
            if ((int)CURRENT_SITE_TYPE == SITE_TYPE_DEVELOPMENT) {
                $siteTypeLabel = $this->translator->_("shared.development");
                $siteContainerBackgroundColor = "#a333c8";
            }
            ?>
            $("body").prepend(`
                <div class='site-type-container' style='background-color: <?= $siteContainerBackgroundColor ?>;'>
                    <h4 class='site-type-container-label' style='color: <?= APP_THIRD_BRAND; ?>'><?= $siteTypeLabel ?></h4>
                </div>
            `);
            <?php
        }
        ?>
    });
</script>