<style>
    .app-main-bloc {
        width: 100vw;
        min-height: 100vh;
        display: flex;
        flex-direction: row;
        padding-bottom: 5px;
    }

    .app-menu-bloc {
        width: 250px;
        min-height: 100vh;
        background-color: <?= APP_PRIMARY_BRAND ?>;
        display: flex;
        flex-direction: column;
    }

    .app-menu-minified-bloc {
        width: 75px;
        min-height: 100vh;
        background-color: <?= APP_PRIMARY_BRAND ?>;
        display: none;
        flex-direction: column;
    }

    .app-menu-bloc-point-of-sale-container {
        width: 100%;
        margin-top: 10px;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .app-menu-minified-bloc-point-of-sale-container {
        width: 100%;
        margin-top: 2px;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .app-menu-bloc-point-of-sale-container-icon {
        font-size: 20px !important;
        color: <?= APP_THIRD_BRAND ?>;
        margin-right: 4px;
    }

    .app-menu-bloc-point-of-sale-container-text {
        font-size: 18px;
        color: <?= APP_SECONDARY_BRAND ?>;
        font-weight: bold;
        margin-left: 4px;
        text-decoration: underline;
    }

    .app-menu-minified-bloc-point-of-sale-container-text {
        font-size: 8px;
        color: <?= APP_SECONDARY_BRAND ?>;
        font-weight: bold;
        text-align: center;
        text-decoration: underline;
    }

    .app-menu-bloc-current-date-container {
        width: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .app-menu-minified-bloc-current-date-container {
        width: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .app-menu-bloc-current-date-container-text {
        font-size: 18px;
        color: <?= APP_THIRD_BRAND ?>;
        font-weight: bold;
        margin-left: 4px;
    }

    .app-menu-minified-bloc-current-date-container-text {
        font-size: 8px;
        color: <?= APP_THIRD_BRAND ?>;
        font-weight: bold;
        text-align: center;
    }

    .app-menu-bloc-current-time-container {
        width: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .app-menu-minified-bloc-current-time-container {
        width: 100%;
        margin-top: 0.5px;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .app-menu-bloc-current-time-container-text {
        margin-top: 4px;
        font-size: 18px;
        color: <?= APP_SECONDARY_BRAND ?>;
        font-weight: bold;
        margin-left: 4px;
        border: solid 2px <?= APP_SECONDARY_BRAND ?>;
        border-radius: 10px;
        padding: 2px;
    }

    .app-menu-minified-bloc-current-time-container-text {
        margin-top: 4px;
        font-size: 8px;
        color: <?= APP_SECONDARY_BRAND ?>;
        font-weight: bold;
        text-align: center;
        border: solid 2px <?= APP_SECONDARY_BRAND ?>;
        border-radius: 10px;
        padding: 2px;
    }

    .app-menu-bloc-logo-container {
        width: 100%;
        padding: 10px 20px 0 20px;
        height: 180px;
    }

    .app-menu-minified-bloc-logo-container {
        width: 100%;
        padding: 5px 5px 0 5px;
        height: 65px;
    }

    .app-menu-bloc-logo-image {
        width: 100%;
        height: 100%;
        border: solid 3px <?= APP_THIRD_BRAND ?>;
        border-radius: 10px;
    }

    .app-menu-minified-bloc-logo-image {
        width: 100%;
        height: 100%;
        border: solid 3px <?= APP_THIRD_BRAND ?>;
        border-radius: 10px;
    }

    .app-menu-bloc-module-item-container {
        width: 100%;
        height: 50px;
        padding-left: 20px;
        padding-right: 20px;
        margin-bottom: 10px;
    }

    .app-menu-minified-bloc-module-item-container {
        width: 100%;
        height: 58px;
        padding-left: 5px;
        padding-right: 5px;
        margin-bottom: 10px;
    }

    .app-menu-bloc-divider {
        width: calc(100% - 40px);
        height: 5px;
        background-color: <?= APP_SECONDARY_BRAND ?>;
        margin: 10px 20px 10px 20px;
        border-radius: 10px;
    }

    .app-menu-bloc-divider-third {
        width: calc(100% - 40px);
        height: 5px;
        background-color: <?= APP_THIRD_BRAND ?>;
        margin: 10px 20px 10px 20px;
        border-radius: 10px;
    }

    .app-menu-bloc-bottom-divider {
        margin-top: 0 !important;
    }

    .app-menu-minified-bloc-divider {
        width: calc(100% - 10px);
        height: 5px;
        background-color: <?= APP_SECONDARY_BRAND ?>;
        margin: 10px 5px 10px 5px;
        border-radius: 10px;
    }

    .app-menu-minified-bloc-divider-third {
        width: calc(100% - 10px);
        height: 5px;
        background-color: <?= APP_THIRD_BRAND ?>;
        margin: 10px 5px 10px 5px;
        border-radius: 10px;
    }

    .app-menu-bloc-time-divider {
        margin-top: 0 !important;
        margin-bottom: 0 !important;
    }

    .app-menu-minified-bloc-time-divider {
        margin-top: 0 !important;
        margin-bottom: 0 !important;
    }

    .app-menu-minified-bloc-bottom-divider {
        margin-top: 0 !important;
    }

    .app-menu-bloc-minify-container {
        width: 100%;
        height: 50px;
        padding-left: 20px;
        padding-right: 20px;
        margin-bottom: 10px;
    }

    .app-menu-minified-bloc-expand-container {
        width: 100%;
        height: 58px;
        padding-left: 5px;
        padding-right: 5px;
        margin-bottom: 10px;
    }

    .app-menu-bloc-module-item-content {
        width: 100%;
        height: 50px;
        justify-content: space-between;
        align-items: center;
        display: flex;
        flex-direction: row;
        border-top: solid 3px <?= APP_THIRD_BRAND ?>;
        border-bottom: solid 3px <?= APP_THIRD_BRAND ?>;
        border-radius: 10px;
        color: <?= APP_SECONDARY_BRAND ?>;
    }

    .app-menu-minified-bloc-module-item-content {
        width: 100%;
        height: 58px;
        justify-content: center;
        align-items: center;
        display: flex;
        flex-direction: column;
        border: solid 3px <?= APP_THIRD_BRAND ?>;
        border-radius: 10px;
        color: <?= APP_SECONDARY_BRAND ?>;
    }

    .app-menu-minified-bloc-expand-content {
        width: 100%;
        height: 58px;
        justify-content: center;
        align-items: center;
        display: flex;
        flex-direction: row;
        border: solid 3px <?= APP_THIRD_BRAND ?>;
        border-radius: 10px;
        color: <?= APP_SECONDARY_BRAND ?>;
    }

    .app-menu-bloc-minify-content {
        width: 100%;
        height: 50px;
        justify-content: space-between;
        align-items: center;
        display: flex;
        flex-direction: row;
        border-top: solid 3px <?= APP_THIRD_BRAND ?>;
        border-bottom: solid 3px <?= APP_THIRD_BRAND ?>;
        border-radius: 10px;
        color: <?= APP_SECONDARY_BRAND ?>;
    }

    .app-menu-bloc-minify-content:hover {
        cursor: pointer;
        color: <?= APP_SECONDARY_BRAND ?>;
    }

    .parent-menu.active {
        border-top: solid 3px <?= APP_SECONDARY_BRAND ?> !important;
        border-bottom: solid 3px <?= APP_SECONDARY_BRAND ?> !important;
    }

    .app-menu-minified-bloc-module-item-content.parent-menu.active {
        border: solid 3px <?= APP_SECONDARY_BRAND ?> !important;
    }

    .app-menu-bloc-module-item-content:hover {
        cursor: pointer;
        position: relative;
        left: 7px;
        color: <?= APP_SECONDARY_BRAND ?>;
    }

    .app-menu-minified-bloc-module-item-content:hover {
        cursor: pointer;
        color: <?= APP_SECONDARY_BRAND ?>;
    }

    .app-menu-minified-bloc-expand-content:hover {
        cursor: pointer;
    }

    .app-menu-bloc-module-item-content-prefix {
        display: flex;
        justify-content: start;
        align-items: center;
    }

    .app-menu-bloc-module-item-content-icon {
        font-size: 25px;
        width: 30px;
        margin-right: 5px;
        margin-left: 5px;
        color: <?= APP_THIRD_BRAND ?>;
    }

    .app-menu-minified-bloc-module-item-content-icon {
        font-size: 25px;
        margin-right: 2px;
        margin-left: 2px;
        color: <?= APP_THIRD_BRAND ?>;
    }

    .app-menu-bloc-module-item-content-text {
        font-weight: bold;
    }

    .app-menu-minified-bloc-module-item-content-text {
        font-weight: bold;
        font-size: 8px;
    }

    .app-menu-bloc-module-item-content-suffix-icon {
        color: <?= APP_THIRD_BRAND ?>;
    }

    .app-menu-detail-dimmer {
        z-index: 1001;
        position: absolute;
        left: 0;
        top: 0;
        width: 100vw;
        height: 100vh;
        display: none;
        background-color: rgba(0, 0, 0, .85);
    }

    .app-menu-detail-bloc {
        z-index: 1002;
        position: absolute;
        left: 0;
        top: 0;
        width: 250px;
        min-height: 100vh;
        display: none;
        background-color: <?= APP_PRIMARY_BRAND ?>;
        flex-direction: column;
    }

    .app-menu-detail-bloc-back-icon {
        z-index: 3;
        position: absolute;
        left: 205px;
        top: 10px;
        font-size: 30px;
        color: <?= APP_SECONDARY_BRAND ?>;
    }

    .app-menu-detail-bloc-back-icon:hover {
        color: <?= APP_SECONDARY_BRAND ?>;
        cursor: pointer;
    }

    .app-menu-detail-bloc-module-section {
        width: 100%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        padding: 20px;
        margin-bottom: 20px;
    }

    .app-menu-detail-bloc-module-section-icon {
        font-size: 40px;
        color: <?= APP_THIRD_BRAND ?>;
        margin-bottom: 10px;
    }

    .app-menu-detail-bloc-module-section-name {
        font-size: 25px;
        color: <?= APP_SECONDARY_BRAND ?>;
        font-weight: bold;
        text-align: center;
    }

    .app-menu-detail-bloc-children-section {
        width: 100%;
        padding-left: 20px;
        padding-right: 20px;
    }

    .app-menu-detail-bloc-child-item {
        width: 100%;
        height: 50px;
        justify-content: space-between;
        align-items: center;
        display: flex;
        flex-direction: row;
        border-top: solid 3px<?= APP_THIRD_BRAND ?>;
        border-bottom: solid 3px<?= APP_THIRD_BRAND ?>;
        border-radius: 10px;
        color: <?= APP_SECONDARY_BRAND ?>;
        padding-left: 5px;
        margin-bottom: 10px;
    }

    .child-menu.active {
        border-top: solid 3px <?= APP_SECONDARY_BRAND ?> !important;
        border-bottom: solid 3px <?= APP_SECONDARY_BRAND ?> !important;
    }

    .app-menu-detail-bloc-child-item:hover {
        cursor: pointer;
        position: relative;
        left: 7px;
        color: <?= APP_SECONDARY_BRAND ?>;
    }

    .app-menu-detail-bloc-child-item-text {
        font-weight: bold;
    }

    .app-menu-detail-bloc-child-item-suffix-icon {
        color: <?= APP_THIRD_BRAND ?>;
    }

    .app-content-bloc {
        width: calc(100vw - 250px);
        min-height: 100vh;
        background-color: transparent;
    }

    .app-content-bloc-top-section {
        padding-left: 15px;
        padding-right: 15px;
        width: 100%;
        height: 50px;
        border-bottom: solid 3px<?= APP_PRIMARY_BRAND ?>;
        display: flex;
        justify-content: space-between;
        align-items: center;
        background-color: <?= APP_THIRD_BRAND ?>;
    }

    .app-content-bloc-top-section>.breadcrumb>.section {
        color: <?= APP_PRIMARY_BRAND ?> !important;
    }

    .app-content-bloc-top-section>.breadcrumb>.section.active {
        color: <?= APP_SECONDARY_BRAND ?> !important;
    }

    .app-content-bloc-top-section>.breadcrumb>.section>.icon {
        color: <?= APP_PRIMARY_BRAND ?> !important;
    }

    .app-content-bloc-top-section-user-part {
        display: flex !important;
        align-items: center !important;
    }

    .app-content-bloc-top-section-user-part-user-image {
        width: 35px !important;
        height: 35px !important;
    }

    .app-content-bloc-top-section-user-part-user-image:hover {
        cursor: pointer !important;
    }

    .app-content-bloc-top-section-user-part-user-image-zoom {
        width: 135px !important;
        height: 135px !important;
    }

    .app-content-bloc-top-section-user-part-user-name {
        color: <?= APP_PRIMARY_BRAND ?>;
        font-weight: bold;
        font-size: 20px;
    }

    .app-content-bloc-top-section-user-part-user-profile-name {
        color: <?= APP_SECONDARY_BRAND ?>;
        font-weight: bold;
        font-size: 18px;
        font-style: italic;
    }

    .app-content-bloc-top-section-user-part-full-divider {
        width: 100%;
        height: 5px;
        background-color: <?= APP_PRIMARY_BRAND ?>;
        border-radius: 6px;
        margin-bottom: 5px;
    }

    .app-content-bloc-top-section-user-part-two-factor-label {
        font-weight: bold;
        color: <?= APP_PRIMARY_BRAND ?> !important;
        cursor: pointer !important;
    }

    .app-content-bloc-top-section-user-part-fullscreen-icon {
        color: <?= APP_SECONDARY_BRAND ?>;
        font-size: 21px;
    }

    .app-content-bloc-top-section-user-part-fullscreen-icon:hover {
        color: <?= APP_PRIMARY_BRAND ?>;
        cursor: pointer;
    }

    .app-content-bloc-top-section-user-part-refresh-icon {
        color: <?= APP_SECONDARY_BRAND ?>;
        font-size: 21px;
    }

    .app-content-bloc-top-section-user-part-refresh-icon:hover {
        color: <?= APP_PRIMARY_BRAND ?>;
        cursor: pointer;
    }

    .app-content-bloc-top-section-user-part-subscription-icon {
        color: <?= APP_SECONDARY_BRAND ?>;
        font-size: 25px;
    }

    .app-content-bloc-top-section-user-part-subscription-icon:hover {
        color: <?= APP_PRIMARY_BRAND ?>;
        cursor: pointer;
    }

    .app-content-bloc-top-section-user-part-password-icon {
        color: <?= APP_SECONDARY_BRAND ?>;
        font-size: 25px;
    }

    .app-content-bloc-top-section-user-part-password-icon:hover {
        color: <?= APP_PRIMARY_BRAND ?>;
        cursor: pointer;
    }

    .app-content-bloc-top-section-user-part-sign-out-icon {
        color: <?= APP_SECONDARY_BRAND ?>;
        font-size: 25px;
    }

    .app-content-bloc-top-section-user-part-sign-out-icon:hover {
        color: <?= APP_PRIMARY_BRAND ?>;
        cursor: pointer;
    }

    .app-content-bloc-main-section {
        width: 100%;
        min-height: calc(100vh - 150px);
        padding-top: 15px;
    }

    .app-content-bloc-main-bloc-subscription-warning-bloc {
        width: 100%;
        height: 60px;
        background-color: <?= APP_PRIMARY_BRAND ?>70;
        border: solid 2px transparent;
        border-bottom-color: <?= APP_SECONDARY_BRAND ?>;
        margin-bottom: 15px;
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding-left: 10px;
    }

    .app-content-bloc-main-bloc-subscription-warning-bloc > strong {
        font-size: 17px;
        color: <?= APP_THIRD_BRAND ?>;
    }
</style>