-- phpMyAdmin SQL Dump
-- version 4.4.14
-- http://www.phpmyadmin.net
--
-- Client :  127.0.0.1
-- Généré le :  Mer 31 Janvier 2018 à 14:21
-- Version du serveur :  5.6.26
-- Version de PHP :  5.6.12

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Base de données :  `pv_vierge`
--

-- --------------------------------------------------------

--
-- Structure de la table `avoir`
--

CREATE TABLE IF NOT EXISTS `avoir` (
  `ID_AVOIR` bigint(20) NOT NULL,
  `ID_PERSONNE` bigint(20) DEFAULT NULL,
  `ID_FACTURE` bigint(20) DEFAULT NULL,
  `NOM_CLIENT` varchar(255) DEFAULT NULL,
  `ID_UTILISATEUR` bigint(20) DEFAULT NULL,
  `MONTANT` int(11) DEFAULT NULL,
  `DATE` datetime DEFAULT NULL,
  `TYPE` varchar(255) DEFAULT NULL,
  `MOTIF` varchar(255) DEFAULT NULL,
  `VALIDE` smallint(6) DEFAULT NULL,
  `STATUT` smallint(6) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `categorie_depense`
--

CREATE TABLE IF NOT EXISTS `categorie_depense` (
  `ID_CATEGORIE_DEPENSE` bigint(20) NOT NULL,
  `NOM` varchar(255) DEFAULT NULL,
  `STATUT` smallint(6) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `categorie_produit`
--

CREATE TABLE IF NOT EXISTS `categorie_produit` (
  `ID_CATEGORIE` bigint(20) NOT NULL,
  `NOM` varchar(255) DEFAULT NULL,
  `STATUT` smallint(6) DEFAULT NULL
) ENGINE=InnoDB AUTO_INCREMENT=1433 DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `commande`
--

CREATE TABLE IF NOT EXISTS `commande` (
  `ID_COMMANDE` bigint(20) NOT NULL,
  `ID_FOURNISSEUR` bigint(20) DEFAULT NULL,
  `DATE_COMMANDE` datetime DEFAULT NULL,
  `DATE_SAISIE` datetime DEFAULT NULL,
  `MONTANT_HT` double DEFAULT NULL,
  `TAUX_TVA` float DEFAULT NULL,
  `MONTANT_TVA` double DEFAULT NULL,
  `MONTANT_TTC` double DEFAULT NULL,
  `FACTURER` smallint(6) DEFAULT NULL,
  `VALIDER` smallint(6) DEFAULT NULL,
  `RECEPTIONNER` smallint(6) DEFAULT NULL,
  `STATUT` smallint(6) DEFAULT NULL
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `compte`
--

CREATE TABLE IF NOT EXISTS `compte` (
  `ID_COMPTE` varchar(255) NOT NULL,
  `ID_PERSONNE` bigint(20) DEFAULT NULL,
  `CLIENT` bigint(20) DEFAULT NULL,
  `CODE_BANQUE` varchar(255) DEFAULT NULL,
  `CODE_GUICHET` varchar(255) DEFAULT NULL,
  `NUM_COMPTE` varchar(255) DEFAULT NULL,
  `NOM_BANQUE` varchar(255) DEFAULT NULL,
  `STATUT` smallint(6) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `detail_mvt_magasin`
--

CREATE TABLE IF NOT EXISTS `detail_mvt_magasin` (
  `ID_DETAIL_MVT` bigint(30) NOT NULL,
  `ID_MVT_MAGASIN` bigint(30) NOT NULL,
  `ID_STOCK` bigint(20) NOT NULL,
  `QTE` int(11) NOT NULL,
  `STATUT` smallint(6) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `facturec`
--

CREATE TABLE IF NOT EXISTS `facturec` (
  `ID_FACTURE` bigint(20) NOT NULL,
  `ID_UTILISATEUR` bigint(20) DEFAULT NULL,
  `ID_PERSONNE` bigint(20) DEFAULT NULL,
  `NOM_CLIENT` varchar(255) DEFAULT NULL,
  `MONTANT_HT` double DEFAULT NULL,
  `TAUX_TVA` decimal(10,0) DEFAULT NULL,
  `MONTANT_TTC` double DEFAULT NULL,
  `DATE_FACTURE` datetime DEFAULT NULL,
  `PCT_REMISE` decimal(10,0) DEFAULT NULL,
  `FORFAIT_REMISE` double DEFAULT NULL,
  `STATUT` smallint(6) DEFAULT NULL,
  `VALIDER` smallint(6) DEFAULT NULL,
  `NBRE_IMPRESSION` int(11) DEFAULT NULL,
  `EN_ATTENTE` int(11) NOT NULL DEFAULT '0' COMMENT '0 pas en attente , 1 en attente',
  `MONTANT_VERSE` double DEFAULT NULL COMMENT 'montant versé en espèces lors de la vente'
) ENGINE=InnoDB AUTO_INCREMENT=628 DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `facturef`
--

CREATE TABLE IF NOT EXISTS `facturef` (
  `ID_FACTURE` bigint(20) NOT NULL,
  `ID_FOURNISSEUR` bigint(20) DEFAULT NULL,
  `ID_COMMANDE` bigint(20) DEFAULT NULL,
  `ID_UTILISATEUR` bigint(20) DEFAULT NULL,
  `MONTANT_HT` double DEFAULT NULL,
  `TAUX_TVA` decimal(10,0) DEFAULT NULL,
  `MONTANT_TTC` double DEFAULT NULL,
  `DATE_FACTURE` datetime DEFAULT NULL,
  `PCT_REMISE` decimal(10,0) DEFAULT NULL,
  `FORFAIT_REMISE` double DEFAULT NULL,
  `STATUT` smallint(6) DEFAULT NULL,
  `VALIDER` smallint(6) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `fournisseur`
--

CREATE TABLE IF NOT EXISTS `fournisseur` (
  `ID_FOURNISSEUR` bigint(20) NOT NULL,
  `NOM_FOURNISSEUR` varchar(255) NOT NULL,
  `RAISON_SOCIALE` varchar(255) DEFAULT NULL,
  `ADRESSE` varchar(100) DEFAULT NULL,
  `TELEPHONE` varchar(100) DEFAULT NULL,
  `BOITE_POSTALE` varchar(100) DEFAULT NULL,
  `STATUT` smallint(6) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=32 DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `inventaire`
--

CREATE TABLE IF NOT EXISTS `inventaire` (
  `ID_INVENTAIRE` bigint(20) NOT NULL,
  `ID_UTILISATEUR` bigint(20) DEFAULT NULL,
  `ID_MAGASIN` bigint(20) NOT NULL,
  `DATE_INVENTAIRE` datetime NOT NULL,
  `DESCRIPTION` varchar(255) DEFAULT NULL,
  `DATE_DEBUT` datetime DEFAULT NULL,
  `DATE_FIN` datetime DEFAULT NULL,
  `VALIDER` smallint(6) NOT NULL DEFAULT '0',
  `APURER` smallint(6) NOT NULL DEFAULT '0',
  `CLOTURER` smallint(6) DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `ligne_avoir`
--

CREATE TABLE IF NOT EXISTS `ligne_avoir` (
  `ID_LIGNE_AVOIR` bigint(20) NOT NULL,
  `ID_AVOIR` bigint(20) DEFAULT NULL,
  `ID_PRODUIT` bigint(20) DEFAULT NULL,
  `PRIX_UNITAIRE` double DEFAULT NULL,
  `QUANTITE` int(11) DEFAULT NULL,
  `STATUT` smallint(6) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `ligne_commande`
--

CREATE TABLE IF NOT EXISTS `ligne_commande` (
  `ID_LIGNE_COMMANDE` bigint(20) NOT NULL,
  `ID_PRODUIT` bigint(20) DEFAULT NULL,
  `ID_COMMANDE` bigint(20) DEFAULT NULL,
  `PRIX_UNITAIRE` double DEFAULT NULL,
  `QUANTITE` bigint(20) DEFAULT NULL,
  `STATUT` smallint(6) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `ligne_facturec`
--

CREATE TABLE IF NOT EXISTS `ligne_facturec` (
  `ID_LIGNE_FACTURE` bigint(20) NOT NULL,
  `ID_FACTURE` bigint(20) DEFAULT NULL,
  `ID_PRODUIT` bigint(20) DEFAULT NULL,
  `NUM_LOT` varchar(255) DEFAULT NULL,
  `CODE_BARRE` varchar(255) DEFAULT NULL,
  `DESIGNATION` varchar(255) DEFAULT NULL,
  `PRIX_UNITAIRE` double DEFAULT NULL,
  `PCT_REMISE` decimal(10,0) DEFAULT NULL,
  `QUANTITE` int(11) DEFAULT NULL,
  `COMMENTAIRE` text,
  `STATUT` smallint(6) DEFAULT NULL
) ENGINE=InnoDB AUTO_INCREMENT=23 DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `ligne_facturef`
--

CREATE TABLE IF NOT EXISTS `ligne_facturef` (
  `ID_LIGNE_FACTURE` bigint(20) NOT NULL,
  `ID_FACTURE` bigint(20) DEFAULT NULL,
  `ID_PRODUIT` bigint(20) DEFAULT NULL,
  `DESIGNATION` varchar(255) DEFAULT NULL,
  `PRIX_UNITAIRE` double DEFAULT NULL,
  `PCT_REMISE` decimal(10,0) DEFAULT NULL,
  `QUANTITE` int(11) DEFAULT NULL,
  `COMMENTAIRE` text,
  `STATUT` smallint(6) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `ligne_inventaire`
--

CREATE TABLE IF NOT EXISTS `ligne_inventaire` (
  `ID_LIGNE_INVENTAIRE` bigint(20) NOT NULL,
  `ID_STOCK` bigint(20) DEFAULT NULL,
  `ID_INVENTAIRE` bigint(20) DEFAULT NULL,
  `QUANTITE_THEORIQUE` bigint(20) DEFAULT NULL,
  `QUANTITE_PHYSIQUE` bigint(20) DEFAULT NULL,
  `QUANTITE_THEORIQUE_FINALE` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `ligne_profil`
--

CREATE TABLE IF NOT EXISTS `ligne_profil` (
  `ID_LIGNE_PROFIL` bigint(20) NOT NULL,
  `ID_MENU` bigint(20) DEFAULT NULL,
  `ID_PROFIL` bigint(20) DEFAULT NULL,
  `STATUT` smallint(6) DEFAULT NULL
) ENGINE=InnoDB AUTO_INCREMENT=1470 DEFAULT CHARSET=utf8;

--
-- Contenu de la table `ligne_profil`
--

INSERT INTO `ligne_profil` (`ID_LIGNE_PROFIL`, `ID_MENU`, `ID_PROFIL`, `STATUT`) VALUES
(1423, 24, 2, NULL),
(1424, 37, 2, NULL),
(1425, 69, 2, NULL),
(1426, 11, 2, NULL),
(1427, 42, 2, NULL),
(1428, 9, 2, NULL),
(1429, 55, 2, NULL),
(1430, 29, 2, NULL),
(1431, 32, 2, NULL),
(1432, 13, 2, NULL),
(1433, 14, 2, NULL),
(1434, 15, 2, NULL),
(1435, 31, 2, NULL),
(1436, 34, 2, NULL),
(1437, 39, 2, NULL),
(1438, 21, 2, NULL),
(1439, 47, 2, NULL),
(1440, 48, 2, NULL),
(1441, 49, 2, NULL),
(1442, 61, 2, NULL),
(1443, 62, 2, NULL),
(1444, 63, 2, NULL),
(1445, 64, 2, NULL),
(1446, 65, 2, NULL),
(1447, 22, 2, NULL),
(1448, 23, 2, NULL),
(1449, 71, 2, NULL),
(1450, 70, 2, NULL),
(1451, 72, 2, NULL),
(1452, 36, 2, NULL),
(1453, 50, 2, NULL),
(1454, 51, 2, NULL),
(1455, 52, 2, NULL),
(1456, 53, 2, NULL),
(1457, 54, 2, NULL),
(1458, 35, 2, NULL),
(1459, 40, 2, NULL),
(1460, 57, 2, NULL),
(1461, 45, 2, NULL),
(1462, 58, 2, NULL),
(1463, 66, 2, NULL),
(1464, 67, 2, NULL),
(1465, 68, 2, NULL),
(1466, 74, 2, NULL),
(1467, 75, 2, NULL),
(1468, 76, 2, NULL),
(1469, 78, 2, NULL);

-- --------------------------------------------------------

--
-- Structure de la table `ligne_reception`
--

CREATE TABLE IF NOT EXISTS `ligne_reception` (
  `ID_LIGNE_RECEPTION` bigint(20) NOT NULL,
  `ID_RECEPTION` bigint(20) DEFAULT NULL,
  `ID_PRODUIT` bigint(20) NOT NULL,
  `QUANTITE` bigint(20) DEFAULT NULL,
  `PRIX_UNITAIRE` double DEFAULT NULL,
  `NUM_LOT` bigint(20) NOT NULL,
  `NUM_LOT_FOURNISSEUR` varchar(255) DEFAULT NULL,
  `DATE_PEREMPTION` date DEFAULT NULL,
  `CODE_BARRE` varchar(255) DEFAULT NULL,
  `NUM_LIGNE` smallint(6) DEFAULT NULL,
  `DESIGNATION` varchar(255) DEFAULT NULL
) ENGINE=InnoDB AUTO_INCREMENT=55 DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `ligne_sortie`
--

CREATE TABLE IF NOT EXISTS `ligne_sortie` (
  `ID_LIGNE_SORTIE` bigint(20) NOT NULL,
  `ID_SORTIE` bigint(20) NOT NULL,
  `ID_STOCK` bigint(20) DEFAULT NULL,
  `QUANTITE` bigint(20) DEFAULT NULL,
  `PRIX_UNITAIRE` bigint(20) DEFAULT NULL,
  `STATUT` int(11) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `log`
--

CREATE TABLE IF NOT EXISTS `log` (
  `ID_LOG` bigint(20) NOT NULL,
  `ID_UTILISATEUR` bigint(20) DEFAULT NULL,
  `DATE_ENREG` datetime DEFAULT NULL,
  `DESCRIPTION_LOG` text
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `magasin`
--

CREATE TABLE IF NOT EXISTS `magasin` (
  `ID_MAGASIN` bigint(20) NOT NULL,
  `NOM_MAGASIN` varchar(255) DEFAULT NULL,
  `STATUT` smallint(6) DEFAULT NULL
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

--
-- Contenu de la table `magasin`
--

INSERT INTO `magasin` (`ID_MAGASIN`, `NOM_MAGASIN`, `STATUT`) VALUES
(1, 'Magasin du point de vente', 1),
(2, 'Magasin de stockage', 1);

-- --------------------------------------------------------

--
-- Structure de la table `marque`
--

CREATE TABLE IF NOT EXISTS `marque` (
  `ID_MARQUE` bigint(20) NOT NULL,
  `NOM` varchar(255) DEFAULT NULL,
  `STATUT` smallint(6) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `menu`
--

CREATE TABLE IF NOT EXISTS `menu` (
  `ID_MENU` bigint(20) NOT NULL,
  `ID_PARENT` bigint(20) DEFAULT NULL,
  `NOM` varchar(255) DEFAULT NULL,
  `PRENOM` varchar(255) DEFAULT NULL,
  `ACTION` varchar(255) DEFAULT NULL,
  `CONTROLLEUR` varchar(255) DEFAULT NULL,
  `ICON` varchar(255) DEFAULT NULL,
  `STATUT` smallint(6) DEFAULT NULL,
  `ORDRE_APPARITION` smallint(6) DEFAULT NULL
) ENGINE=InnoDB AUTO_INCREMENT=79 DEFAULT CHARSET=utf8;

--
-- Contenu de la table `menu`
--

INSERT INTO `menu` (`ID_MENU`, `ID_PARENT`, `NOM`, `PRENOM`, `ACTION`, `CONTROLLEUR`, `ICON`, `STATUT`, `ORDRE_APPARITION`) VALUES
(1, NULL, 'Parametres', NULL, NULL, NULL, 'fa fa-cogs fa-fw', 1, 1),
(2, NULL, 'Produits', NULL, NULL, NULL, 'fa fa-product-hunt fa-fw', 1, 2),
(3, NULL, 'Clientele', NULL, NULL, NULL, 'fa fa-user-md fa-fw', 1, 3),
(4, NULL, 'Stocks', NULL, NULL, NULL, 'fa fa-archive fa-fw', 1, 5),
(5, NULL, 'Ventes', NULL, NULL, NULL, 'fa fa-shopping-cart fa-fw', 1, 4),
(6, NULL, 'Caisse', NULL, NULL, NULL, 'fa fa-money fa-fw', 1, 7),
(7, NULL, 'Rapport', NULL, NULL, NULL, 'fa fa-line-chart fa-fw', 1, 8),
(8, NULL, 'Securite', NULL, NULL, NULL, 'fa fa-cogs fa-fw', 1, 10),
(9, 2, 'Produits', NULL, 'index', 'Produit', NULL, 1, 2),
(11, 1, 'Clients', NULL, 'index', 'Client', NULL, 1, 4),
(13, 56, 'Reception', NULL, 'index', 'Reception', NULL, 1, 3),
(14, 56, 'Validation reception', NULL, 'indexvalidation', 'Reception', NULL, 1, 4),
(15, 5, 'Ventes au comptant', NULL, 'index', 'Vente', NULL, 1, 1),
(17, 7, 'Ventes', NULL, 'rapportvente', 'Vente', NULL, 0, 1),
(18, 8, 'Utilisateurs', NULL, 'index', 'Utilisateur', NULL, 1, NULL),
(19, 8, 'Profils', NULL, 'index', 'Profil', NULL, 1, NULL),
(20, 8, 'Mot de passe', NULL, 'motdepasse', 'Utilisateur', NULL, 1, NULL),
(21, 4, 'Sortie exceptionnelle', NULL, 'index', 'Sortie', NULL, 1, 3),
(22, 6, 'Ouverture de caisse', NULL, 'ouverturecaisse', 'Mvtcaisse', NULL, 1, 1),
(23, 6, 'Cloture de caisse', NULL, 'cloturecaisse', 'Mvtcaisse', NULL, 1, 3),
(24, 1, 'Parametres globaux', NULL, 'index', 'Parametre', NULL, 1, 1),
(26, 6, 'Versement', NULL, 'encaissementfacture', 'Mvtcaisse', NULL, 0, 4),
(27, 6, 'Decaissement', NULL, 'decaissementavoir', 'Mvtcaisse', NULL, 0, 2),
(28, NULL, 'Commandes', NULL, 'index', 'Commande', 'fa fa-bell fa-fw', 1, 10),
(29, 56, 'Commande', NULL, 'index', 'Commande', NULL, 1, 1),
(31, 5, 'Avoirs', NULL, 'index', 'Avoir', NULL, 1, 2),
(32, 56, 'Valider commande', NULL, 'valider', 'Commande', NULL, 1, 2),
(33, 28, 'Livrer Commande', NULL, 'livrer', 'Commande', NULL, 1, 1),
(34, 5, 'Valider avoirs', NULL, 'valider', 'Avoir', NULL, 1, 3),
(35, 7, 'Liste des commandes', NULL, 'listecommande', 'Commande', NULL, 1, 8),
(36, 7, 'Journal caisse', NULL, 'journalcaisse', 'Mvtcaisse', NULL, 1, 2),
(37, 1, 'Profil Utilisateur', NULL, 'index', 'Profil', NULL, 1, 3),
(38, NULL, 'Gestion des avoirs', NULL, NULL, NULL, 'fa fa-minus', 0, 6),
(39, 5, 'Journal des ventes', NULL, NULL, 'Vente', NULL, 1, 5),
(40, 7, 'Statistiques', NULL, 'statistiques', 'Accueil', NULL, 1, 9),
(42, 2, 'Categories de produit', NULL, 'index', 'Categoriearticle', NULL, 1, 1),
(44, 8, 'Journal des operations(Log)', NULL, 'index', 'Log', NULL, 1, NULL),
(45, 7, 'Session de caisse', NULL, 'sessioncaisse', 'sessioncaisse', NULL, 1, 10),
(46, 7, 'Factures', NULL, 'rapportfacture', 'Rapport', NULL, 0, 11),
(47, 4, 'Validation sortie exceptionnelle', NULL, 'indexvalidation', 'Sortie', NULL, 1, 4),
(48, 4, 'Stock', NULL, 'index', 'Stock', NULL, 1, 5),
(49, 4, 'Stock cumule', NULL, 'stockcumulpardate', 'Rapport', NULL, 1, 6),
(50, 7, 'Stock', NULL, 'rapportstock', 'Rapport', NULL, 1, 3),
(51, 7, 'Stock cumule', NULL, 'stockcumule', 'Rapport', NULL, 1, 4),
(52, 7, 'Stock a une date', NULL, 'stockdate', 'Rapport', NULL, 1, 5),
(53, 7, 'Mouvement produit', NULL, 'rapportmouvementproduit', 'Rapport', NULL, 1, 6),
(54, 7, 'Ventes par produit', NULL, 'rapportventeparproduit', 'Vente', NULL, 1, 7),
(55, 2, 'Modification tarif', NULL, 'indexmodificationtarif', 'Produit', NULL, 1, 3),
(56, NULL, 'Achat', NULL, NULL, NULL, 'fa fa-cart-plus', 1, 3),
(57, 7, 'Liste des receptions', NULL, 'listereception', 'Rapport', NULL, 1, 9),
(58, 7, 'Liste des sorties excepionnelles', NULL, 'listesortie', 'Sortie', NULL, 1, 10),
(59, NULL, 'Inventaire', NULL, NULL, '', 'fa fa-indent', 1, 9),
(61, 4, 'Demarrer un inventaire', NULL, 'demarrerinventaire', 'Inventaire', NULL, 1, 6),
(62, 4, 'Cloturer inventaire', NULL, 'indexcloturer', 'Inventaire', NULL, 1, 7),
(63, 4, 'Mise a jour de l''inventaire', NULL, 'indexediter', 'Inventaire', NULL, 1, 8),
(64, 4, 'Valider inventaire', NULL, 'indexvalidation', 'Inventaire', NULL, 1, 9),
(65, 4, 'Apurer inventaire', NULL, 'indexapurer', 'Inventaire', NULL, 1, 10),
(66, 7, 'Situation stock', NULL, 'rapportsituationstock', 'Rapport', NULL, 1, 12),
(67, 7, 'Articles a commander', NULL, 'articletocommand', 'Stock', NULL, 1, 15),
(68, 7, 'Articles perimes', NULL, 'articleperimes', 'Stock', NULL, 1, 16),
(69, 1, 'Categories de depenses', NULL, 'index', 'Categoriedepense', NULL, 1, 3),
(70, 7, 'Vente par caissier', NULL, 'venteparcaissier', 'Rapport', NULL, 1, NULL),
(71, 6, 'Entrees/Sorties de fonds', NULL, 'index', 'mvtcaisse', NULL, 1, 5),
(72, 7, 'Rapport des produits vendus', NULL, 'rapportproduitvendu', 'Rapport', NULL, 1, NULL),
(73, NULL, 'Magasin', NULL, NULL, NULL, 'fa fa-database fa-fw', 1, 10),
(74, 73, 'Liste des magasins', NULL, 'index', 'Magasin', NULL, 1, 1),
(75, 73, 'Mouvement inter-magasins', NULL, 'index', 'Mouvement', NULL, 1, 1),
(76, 73, 'Validation mouvements', NULL, 'validermouvement', 'Mouvement', NULL, 1, 2),
(77, NULL, 'SMS/MAIL', '', 'index', 'Sms', '', 1, 12),
(78, 77, 'Envoie message', '', 'index', 'Sms', '', 1, 1);

-- --------------------------------------------------------

--
-- Structure de la table `mvt_caisse`
--

CREATE TABLE IF NOT EXISTS `mvt_caisse` (
  `ID_MVT_CAISSE` bigint(20) NOT NULL,
  `ID_FACTURE` bigint(20) DEFAULT NULL,
  `ID_SESSION_CAISSE` bigint(20) DEFAULT NULL,
  `ID_UTILISATEUR` bigint(20) DEFAULT NULL,
  `ID_CATEGORIE_DEPENSE` bigint(20) DEFAULT NULL,
  `TYPE` varchar(255) DEFAULT NULL,
  `DATE_MOUVEMENT` datetime DEFAULT NULL,
  `MONTANT` double DEFAULT NULL,
  `MOTIF` varchar(255) DEFAULT NULL,
  `NOM_PORTEUR` varchar(255) DEFAULT NULL,
  `MODE_REGLEMENT` smallint(6) DEFAULT NULL,
  `REF_MOUVEMENT` varchar(255) DEFAULT NULL,
  `BANQUE` varchar(255) DEFAULT NULL,
  `ID_AVOIR` bigint(20) DEFAULT NULL,
  `STATUT` smallint(6) DEFAULT NULL,
  `VALIDE_CAISSE` smallint(6) DEFAULT NULL,
  `VALIDE_SESSION` smallint(6) DEFAULT NULL
) ENGINE=InnoDB AUTO_INCREMENT=556 DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `mvt_magasin`
--

CREATE TABLE IF NOT EXISTS `mvt_magasin` (
  `ID_MVT_MAGASIN` bigint(30) NOT NULL,
  `MAGASIN_EMETTEUR` bigint(30) NOT NULL,
  `MAGASIN_RECEPTEUR` bigint(30) NOT NULL,
  `DATE_MVT` datetime NOT NULL,
  `DATE_SAISIE` datetime NOT NULL,
  `MOTIF` varchar(255) DEFAULT NULL,
  `STATUT` smallint(6) NOT NULL,
  `VALIDE` smallint(6) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `paiement_avoir`
--

CREATE TABLE IF NOT EXISTS `paiement_avoir` (
  `ID_PAIEMENT_AVOIR` bigint(20) NOT NULL,
  `ID_AVOIR` bigint(20) DEFAULT NULL,
  `ID_MVT_CAISSE` bigint(20) DEFAULT NULL,
  `MONTANT` double DEFAULT NULL,
  `ID_UTILISATEUR` bigint(20) DEFAULT NULL,
  `MODEPAIEMENT` smallint(6) DEFAULT NULL,
  `BANQUE` varchar(255) DEFAULT NULL,
  `STATUT` smallint(6) DEFAULT NULL,
  `DATE_PAIEMENT` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `paiement_facture`
--

CREATE TABLE IF NOT EXISTS `paiement_facture` (
  `ID_PAIEMENT_FACTURE` bigint(20) NOT NULL,
  `ID_FACTURE` bigint(20) DEFAULT NULL,
  `ID_MVT_CAISSE` bigint(20) DEFAULT NULL,
  `ID_UTILISATEUR` bigint(20) DEFAULT NULL,
  `MONTANT` double DEFAULT NULL,
  `DATE_PAIEMENT` datetime DEFAULT NULL,
  `MODE_PAIEMENT` smallint(6) DEFAULT NULL,
  `REF_PAIEMENT` varchar(255) DEFAULT NULL,
  `BANQUE` varchar(255) DEFAULT NULL,
  `STATUT` smallint(6) DEFAULT NULL
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `parametre`
--

CREATE TABLE IF NOT EXISTS `parametre` (
  `ID_PARAMETRE` bigint(20) NOT NULL,
  `NOM` varchar(255) DEFAULT NULL,
  `VALEUR` text
) ENGINE=InnoDB AUTO_INCREMENT=146 DEFAULT CHARSET=utf8;

--
-- Contenu de la table `parametre`
--

INSERT INTO `parametre` (`ID_PARAMETRE`, `NOM`, `VALEUR`) VALUES
(1, 'MOUVEMENT_VALIDE', '1'),
(2, 'MOUVEMENT_NON_VALIDE', '0'),
(3, 'TYPE_MOUVEMENT_ENTREE', 'Entree'),
(4, 'TYPE_MOUVEMENT_SORTIE', 'Sortie'),
(5, 'NATURE_CLIENT_PERSONNE_PHYSIQUE', 'Personne Physique'),
(6, 'NATURE_CLIENT_PERSONNE_MORALE', 'Personne Morale'),
(8, 'MODE_PAIEMENT_VIREMENT', '1'),
(9, 'MODE_PAIEMENT_CHEQUE', '2'),
(10, 'MODE_PAIEMENT_ESPECES', '0'),
(11, 'TYPE_PERSONNE_CLIENT', 'Client'),
(12, 'TYPE_PERSONNE_UTILISATEUR', 'Utilisateur'),
(13, 'UTILISATEUR_CAISSIER', '1'),
(14, 'UTILISATEUR_NON_CAISSIER', '0'),
(15, 'SESSION_CAISSE_NON_CLOTURE', '0'),
(16, 'SESSION_CAISSE_CLOTURE', '1'),
(17, 'SESSION_CAISSE_NON_FERME', '0'),
(18, 'SESSION_CAISSE_FERME', '1'),
(19, 'CATEGORIE_MVT_CAISSE_DEPOSIT', 'Deposit'),
(20, 'MODE_VERSEMENT_ESPECE', '0'),
(21, 'MODE_VERSEMENT_VIREMENT', '1'),
(22, 'MODE_VERSEMENT_CHEQUE', '3'),
(23, 'TYPE_MVT_CAISSE_SORTIE', 'Sortie'),
(24, 'TYPE_MVT_CAISSE_ENTREE', 'Entree'),
(30, 'AVOIR_VALIDE', '1'),
(31, 'AVOIR_NON_VALIDE', '0'),
(32, 'TYPE_AVOIR_SUR_MONTANT', 'sur_montant'),
(33, 'TYPE_AVOIR_SUR_PRODUIT', 'sur_produit'),
(34, 'COMMANDE_VALIDE', '1'),
(35, 'COMMANDE_NON_VALIDE', '0'),
(38, 'COMMANDE_RECEPTIONNER', '1'),
(39, 'COMMANDE_NON_RECEPTIONNER', '0'),
(40, 'TYPE_FACTURE_COMPTANT', 'Comptant'),
(41, 'TYPE_FACTURE_EN_COMPTE', 'En compte'),
(42, 'LIVRAISON_AVEC_FACTURATION', 'livraison avec generation'),
(43, 'LIVRAISON_SANS_FACTURATION', 'livraison sans generation'),
(44, 'COMPORTEMENT_LIVRAISON_COMMANDE', 'livraison sans generation'),
(45, 'COULEUR_FACTURE_REGLEE', 'rgba(18,32,31,0.15)'),
(46, 'COULEUR_FACTURE_EN_COURS_REGLEMENT', '#1da2e1'),
(47, 'COULEUR_FACTURE_SANS_PAIEMENT', 'rgba(100,182,190,0.28)'),
(48, 'COULEUR_COMMANDE_FACTUREE', 'rgba(157,195,157,0.22)'),
(49, 'COULEUR_COMMANDE_NON_FACTUREE', '#e4b5b5'),
(52, 'CODE_ARTICLE_BLOC_GLACE', 'Bloc Glace'),
(54, 'LIVRAISON_FACTUREE', '1'),
(55, 'LIVRAISON_NON_FACTUREE', '0'),
(56, 'NOM_STRUCTURE', 'ETS GALANT'),
(57, 'LOGO_STRUCTURE', 'logo_ecole_1.PNG'),
(58, 'TYPE_AFFICHAGE_CHART', 'Mensuel'),
(72, 'TYPE_PERIODE_CHART_HEBDOMADAIRE', 'Hebdomadaire'),
(73, 'TYPE_PERIODE_CHART_MENSUEL', 'Mensuel'),
(74, 'TYPE_PERIODE_CHART_TRIMESTRIEL', 'Trimestriel'),
(75, 'TYPE_PERIODE_CHART_SEMESTRIEL', 'Semestriel'),
(76, 'TYPE_PERIODE_CHART_ANNUEL', 'Annuel'),
(77, 'TYPE_PERIODE_CHART_JOURNALIER', 'Journalier'),
(78, 'BP_STRUCTURE', '117 Yaounde Cameroun'),
(79, 'TEL_STRUCTURE', '675950768/698214050/656175444'),
(80, 'COULEUR_FACTURE_DERIVEE_COMMANDE', 'rgba(13,186,192,0.85)'),
(81, 'EMAIL_STRUCTURE', 'tradshop@tradshop.com'),
(82, 'SITEWEB_STRUCTURE', 'www.tradmessamendongo.com'),
(83, 'CAISSIER_PRINCIPAL', '1'),
(84, 'TYPE_FACTURE_SIMPLE', 'Simple'),
(85, 'TYPE_FACTURE_AVOIR', 'Sur Avoir'),
(86, 'FACTURE_AVEC_REMISE_POURCENTAGE', '1'),
(87, 'FACTURE_SANS_REMISE', '0'),
(88, 'FACTURE_AVEC_REMISE_FORFAITAIRE', '2'),
(89, 'FACTURE_AVEC_REMISE_INDIVIDUELLE', '3'),
(90, 'LISTE_TYPES_NON_STOCKES', ''),
(91, 'TYPE_IMPRESSION_NORMALE', 'A5'),
(92, 'TYPE_IMPRESSION_TICKET', 'A7'),
(93, 'TYPE_IMPRESSION', 'A5'),
(94, 'RECEPTION_VALIDE', '1'),
(95, 'RECEPTION_NON_VALIDE', '0'),
(96, 'TYPE_SORTIE_VENTE', 'vente'),
(97, 'TYPE_SORTIE_PEREMPTION', 'peremption'),
(98, 'SORTIE_NON_VALIDE', '0'),
(99, 'SORTIE_VALIDE', '1'),
(100, 'TYPE_SORTIE_AVARIE', 'avarie'),
(101, 'TYPE_SORTIE_REGULARISATION', 'regularisation'),
(102, 'INVENTAIRE_NON_VALIDE', '0'),
(103, 'INVENTAIRE_VALIDE', '1'),
(104, 'INVENTAIRE_NON_APURE', '0'),
(105, 'INVENTAIRE_APURE', '1'),
(106, 'INVENTAIRE_NON_CLOTURE', '0'),
(107, 'INVENTAIRE_CLOTURE', '1'),
(125, 'DROIT_REDUCTION_ACCORDE', '1'),
(126, 'DROIT_REDUCTION_REFUSE', '0'),
(127, 'NOM_CLIENT_DIVERS', 'Divers'),
(128, 'COULEUR_PRODUIT_EN_RUPTURE', 'rgba(157,195,175,0.93)'),
(129, 'COULEUR_PRODUIT_SEUIL_ATTEINT', 'rgba(220,144,137,0.99)'),
(130, 'COULEUR_PRODUIT_PROCHE_DATE_PEREMPTION', 'rgba(219,174,58,0.92)'),
(131, 'COULEUR_PRODUIT_PERIME', 'rgba(124,186,236,0.84)'),
(132, 'NOMBRE_JOUR_POUR_ALERTE_PEREMPTION', '50'),
(133, 'AFFICHAGE_MARGE_PRIX', '1'),
(134, 'ID_MAGASIN_POINT_VENTE', '1'),
(135, 'PARAMETRE_MESSAGERIE_EMAIL', 'infos@adresse.com'),
(136, 'PARAMETRE_MESSAGERIE_PASS_EMAIL', 'test'),
(137, 'PARAMETRE_MESSAGERIE_NOM_DOMAINE', 'test'),
(138, 'PARAMETRE_MESSAGERIE_PORT', 'tes'),
(139, 'PARAMETRE_SMS_LOGIN', 'espresso'),
(140, 'PARAMETRE_SMS_PASS', 'Espresso2018'),
(141, 'PARAMETRE_SMS_USER_ID', 'lounge'),
(142, 'PARAMETRE_SMS_SERVEUR', 'http://41.204.94.29:8282/Managesms-war/ServiceSMS?wsdl'),
(143, 'ORIENTATION_IMPRESSION', 'landscape'),
(144, 'TYPE_ORIENTATION_PAYSAGE', 'landscape'),
(145, 'TYPE_ORIENTATION_PORTRAIT', 'portrait');

-- --------------------------------------------------------

--
-- Structure de la table `personne`
--

CREATE TABLE IF NOT EXISTS `personne` (
  `ID_PERSONNE` bigint(20) NOT NULL,
  `NOM` varchar(255) DEFAULT NULL,
  `PRENOM` varchar(255) DEFAULT NULL,
  `TYPE` varchar(255) DEFAULT NULL,
  `NATURE` varchar(255) DEFAULT NULL,
  `SEXE` char(1) DEFAULT NULL,
  `TELEPHONE` varchar(255) DEFAULT NULL,
  `EMAIL` varchar(255) DEFAULT NULL,
  `VILLE` varchar(255) DEFAULT NULL,
  `ADRESSE` varchar(255) DEFAULT NULL,
  `DATE_NAISSANCE` datetime DEFAULT NULL,
  `STATUT` smallint(6) DEFAULT NULL
) ENGINE=InnoDB AUTO_INCREMENT=46 DEFAULT CHARSET=utf8;

--
-- Contenu de la table `personne`
--

INSERT INTO `personne` (`ID_PERSONNE`, `NOM`, `PRENOM`, `TYPE`, `NATURE`, `SEXE`, `TELEPHONE`, `EMAIL`, `VILLE`, `ADRESSE`, `DATE_NAISSANCE`, `STATUT`) VALUES
(1, 'Fagiciel', 'Developpeur', 'Utilisateur', 'Personne Physique', 'M', '694341462', '', 'Yaounde', 'YdÃ©', '2017-05-27 00:00:00', 1);

-- --------------------------------------------------------

--
-- Structure de la table `produit`
--

CREATE TABLE IF NOT EXISTS `produit` (
  `ID_PRODUIT` bigint(20) NOT NULL,
  `DESIGNATION` varchar(255) DEFAULT NULL,
  `DESCRIPTION` text,
  `ID_CATEGORIE_PRODUIT` bigint(20) DEFAULT NULL,
  `QUANTITE_ALERTE` bigint(20) DEFAULT NULL,
  `IMAGE` varchar(255) DEFAULT NULL,
  `CONSOMMABLE` smallint(1) DEFAULT NULL,
  `PRIX_ACHAT` double DEFAULT NULL,
  `PRIX_VENTE` double DEFAULT NULL,
  `MARGE` float NOT NULL DEFAULT '0',
  `PRIORITE` int(11) DEFAULT NULL,
  `INVENTORIER` smallint(1) DEFAULT NULL,
  `STATUT` smallint(6) DEFAULT NULL
) ENGINE=InnoDB AUTO_INCREMENT=4995 DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `profil`
--

CREATE TABLE IF NOT EXISTS `profil` (
  `ID_PROFIL` bigint(20) NOT NULL,
  `NOM` varchar(255) DEFAULT NULL,
  `STATUT` smallint(6) DEFAULT NULL
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

--
-- Contenu de la table `profil`
--

INSERT INTO `profil` (`ID_PROFIL`, `NOM`, `STATUT`) VALUES
(2, 'DÃ©veloppeur', 1);

-- --------------------------------------------------------

--
-- Structure de la table `raccourci`
--

CREATE TABLE IF NOT EXISTS `raccourci` (
  `ID_RACCOURCI` bigint(20) NOT NULL,
  `ID_MENU` bigint(20) DEFAULT NULL,
  `NOM` varchar(255) DEFAULT NULL,
  `ACTION` varchar(255) DEFAULT NULL,
  `CONTROLLEUR` varchar(255) DEFAULT NULL,
  `ICON` varchar(255) DEFAULT NULL,
  `STATUT` smallint(6) DEFAULT NULL,
  `ORDRE_APPARITION` smallint(6) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Contenu de la table `raccourci`
--

INSERT INTO `raccourci` (`ID_RACCOURCI`, `ID_MENU`, `NOM`, `ACTION`, `CONTROLLEUR`, `ICON`, `STATUT`, `ORDRE_APPARITION`) VALUES
(1, 3, 'Clients', 'index', 'Client', 'clients.png', 0, 1),
(2, 56, 'Commandes', 'enregistrer', 'Commande', 'commandes.png', 1, NULL),
(3, 5, 'Ventes', 'enregistrer', 'Vente', 'ventes.PNG', 1, NULL),
(4, 56, 'Fournisseurs', 'index', 'Fournisseur', 'fournisseurs.jpeg', 1, NULL),
(5, 1, 'Utilisateurs', 'index', 'Utilisateur', 'utilisateurs.png', 1, NULL),
(6, 6, 'Caisse', 'encaissementfacture', 'Mvtcaisse', 'caisse.jpeg', 1, NULL),
(7, 2, 'Produits', 'enregistrer', 'Produit', 'produits.PNG', 1, NULL),
(8, 4, 'Stock', 'index', 'Stock', 'stock.jpeg', 1, NULL),
(9, 59, 'Inventaire', 'index', 'Inventaire', 'inventaire.jpeg', 1, 2),
(10, 56, 'Reception', 'enregistrer', 'Reception', 'commandes.png', 1, NULL);

-- --------------------------------------------------------

--
-- Structure de la table `reception`
--

CREATE TABLE IF NOT EXISTS `reception` (
  `ID_RECEPTION` bigint(20) NOT NULL,
  `ID_UTILISATEUR` bigint(20) DEFAULT NULL,
  `ID_FOURNISSEUR` bigint(20) DEFAULT NULL,
  `ID_COMMANDE` bigint(20) DEFAULT NULL,
  `ID_MAGASIN` bigint(20) NOT NULL,
  `UTI_ID_UTILISATEUR` bigint(20) DEFAULT NULL,
  `DATE_RECEPTION` date NOT NULL,
  `NUM_BL` varchar(30) DEFAULT NULL,
  `OBSERVATION` varchar(1000) DEFAULT NULL,
  `DATE_VALIDATION` date DEFAULT NULL,
  `DATE_SAISIE` date DEFAULT NULL,
  `STATUT` smallint(6) DEFAULT NULL,
  `VALIDER` smallint(6) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=1214 DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `session_caissier`
--

CREATE TABLE IF NOT EXISTS `session_caissier` (
  `ID_SESSION_CAISSE` bigint(20) NOT NULL,
  `ID_UTILISATEUR` bigint(20) DEFAULT NULL,
  `PWD_CAISSE` text,
  `DATE_OUVERTURE` datetime DEFAULT NULL,
  `DATE_CLOTURE` datetime DEFAULT NULL,
  `DATE_PREVU_CLOTURE` datetime DEFAULT NULL,
  `FERME` smallint(6) DEFAULT NULL,
  `CLOTURER` smallint(6) DEFAULT NULL
) ENGINE=InnoDB AUTO_INCREMENT=53 DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `sortie`
--

CREATE TABLE IF NOT EXISTS `sortie` (
  `ID_SORTIE` bigint(20) NOT NULL,
  `ID_UTILISATEUR` bigint(20) DEFAULT NULL,
  `ID_MAGASIN` bigint(20) DEFAULT NULL,
  `ID_FACTURE` bigint(20) DEFAULT NULL,
  `TYPE_SORTIE` varchar(20) DEFAULT '0',
  `DATE_SAISIE` date DEFAULT NULL,
  `DATE_SORTIE` date DEFAULT NULL,
  `DATE_VALIDATION` date DEFAULT NULL,
  `MOTIF` varchar(255) DEFAULT NULL,
  `VALIDER` smallint(6) NOT NULL,
  `STATUT` smallint(6) DEFAULT NULL
) ENGINE=InnoDB AUTO_INCREMENT=574 DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `stock`
--

CREATE TABLE IF NOT EXISTS `stock` (
  `ID_STOCK` bigint(20) NOT NULL,
  `ID_PRODUIT` bigint(20) NOT NULL,
  `ID_MAGASIN` bigint(20) NOT NULL,
  `DATE_ENTREE` date DEFAULT NULL,
  `QUANTITE` bigint(20) DEFAULT NULL,
  `QUANTITE_ENTREE` bigint(20) DEFAULT NULL,
  `PRIX_ACHAT` double DEFAULT NULL,
  `PRIX_VENTE` double DEFAULT NULL,
  `MARGE` float NOT NULL DEFAULT '0',
  `NUM_LOT` varchar(255) NOT NULL,
  `ID_RECEPTION` bigint(20) DEFAULT NULL,
  `NUM_LOT_FOURNISSEUR` varchar(255) DEFAULT NULL,
  `CODE_BARRE` varchar(255) DEFAULT NULL,
  `DATE_PEREMPTION` date DEFAULT NULL,
  `TAUX_TVA_ACHAT` float DEFAULT NULL,
  `TAUX_TVA_VENTE` float DEFAULT NULL,
  `STATUT` smallint(6) DEFAULT NULL
) ENGINE=InnoDB AUTO_INCREMENT=1749 DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `type`
--

CREATE TABLE IF NOT EXISTS `type` (
  `ID_TYPE` bigint(20) NOT NULL,
  `NOM` varchar(255) DEFAULT NULL,
  `STATUT` smallint(6) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `utilisateur`
--

CREATE TABLE IF NOT EXISTS `utilisateur` (
  `ID_UTILISATEUR` bigint(20) NOT NULL,
  `ID_PROFIL` bigint(20) DEFAULT NULL,
  `LOGIN` varchar(255) DEFAULT NULL,
  `PASSWORD` text,
  `PWD_CAISSE` text,
  `CAISSIER` smallint(6) DEFAULT NULL,
  `STATUT` smallint(6) DEFAULT NULL,
  `ID_PERSONNE` bigint(20) DEFAULT NULL,
  `DROIT_REDUCTION` int(11) DEFAULT '0'
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8;

--
-- Contenu de la table `utilisateur`
--

INSERT INTO `utilisateur` (`ID_UTILISATEUR`, `ID_PROFIL`, `LOGIN`, `PASSWORD`, `PWD_CAISSE`, `CAISSIER`, `STATUT`, `ID_PERSONNE`, `DROIT_REDUCTION`) VALUES
(1, 2, 'admin', 'e026b1b99ccd76d78a418beb9effda9acea24ff2', 'e026b1b99ccd76d78a418beb9effda9acea24ff2', 1, 1, 1, 0);

--
-- Index pour les tables exportées
--

--
-- Index pour la table `avoir`
--
ALTER TABLE `avoir`
  ADD PRIMARY KEY (`ID_AVOIR`),
  ADD KEY `FK_AVOIR_REFERENCE_FACTUREC` (`ID_FACTURE`),
  ADD KEY `FK_AVOIR_REFERENCE_UTILISAT` (`ID_UTILISATEUR`),
  ADD KEY `FK_AVOIR_REFERENCE_PERSONNE` (`ID_PERSONNE`);

--
-- Index pour la table `categorie_depense`
--
ALTER TABLE `categorie_depense`
  ADD PRIMARY KEY (`ID_CATEGORIE_DEPENSE`);

--
-- Index pour la table `categorie_produit`
--
ALTER TABLE `categorie_produit`
  ADD PRIMARY KEY (`ID_CATEGORIE`);

--
-- Index pour la table `commande`
--
ALTER TABLE `commande`
  ADD PRIMARY KEY (`ID_COMMANDE`),
  ADD KEY `commande_fk1` (`ID_FOURNISSEUR`);

--
-- Index pour la table `compte`
--
ALTER TABLE `compte`
  ADD PRIMARY KEY (`ID_COMPTE`),
  ADD KEY `FK_COMPTE_REFERENCE_PERSONNE` (`ID_PERSONNE`);

--
-- Index pour la table `detail_mvt_magasin`
--
ALTER TABLE `detail_mvt_magasin`
  ADD PRIMARY KEY (`ID_DETAIL_MVT`),
  ADD KEY `ID_MVT_MAGASIN` (`ID_MVT_MAGASIN`,`ID_STOCK`),
  ADD KEY `ID_PRODUIT` (`ID_STOCK`);

--
-- Index pour la table `facturec`
--
ALTER TABLE `facturec`
  ADD PRIMARY KEY (`ID_FACTURE`),
  ADD KEY `FK_FACTUREC_REFERENCE_UTILISAT` (`ID_UTILISATEUR`),
  ADD KEY `FK_FACTUREC_REFERENCE_PERSONNE` (`ID_PERSONNE`);

--
-- Index pour la table `facturef`
--
ALTER TABLE `facturef`
  ADD PRIMARY KEY (`ID_FACTURE`),
  ADD KEY `facturef_fk1` (`ID_FOURNISSEUR`),
  ADD KEY `facturef_fk2` (`ID_COMMANDE`),
  ADD KEY `facturef_fk3` (`ID_UTILISATEUR`);

--
-- Index pour la table `fournisseur`
--
ALTER TABLE `fournisseur`
  ADD PRIMARY KEY (`ID_FOURNISSEUR`);

--
-- Index pour la table `inventaire`
--
ALTER TABLE `inventaire`
  ADD PRIMARY KEY (`ID_INVENTAIRE`),
  ADD KEY `inventaire_fk1` (`ID_UTILISATEUR`),
  ADD KEY `ID_MAGASIN` (`ID_MAGASIN`);

--
-- Index pour la table `ligne_avoir`
--
ALTER TABLE `ligne_avoir`
  ADD PRIMARY KEY (`ID_LIGNE_AVOIR`),
  ADD KEY `FK_LIGNE_AV_REFERENCE_AVOIR` (`ID_AVOIR`),
  ADD KEY `FK_LIGNE_AV_REFERENCE_PRODUIT` (`ID_PRODUIT`);

--
-- Index pour la table `ligne_commande`
--
ALTER TABLE `ligne_commande`
  ADD PRIMARY KEY (`ID_LIGNE_COMMANDE`),
  ADD KEY `ligne_commande_fk1` (`ID_COMMANDE`),
  ADD KEY `ligne_commande_fk2` (`ID_PRODUIT`);

--
-- Index pour la table `ligne_facturec`
--
ALTER TABLE `ligne_facturec`
  ADD PRIMARY KEY (`ID_LIGNE_FACTURE`),
  ADD KEY `FK_LIGNE_FA_REFERENCE_FACTUREC` (`ID_FACTURE`),
  ADD KEY `FK_LIGNE_FA_REFERENCE_PRODUIT` (`ID_PRODUIT`);

--
-- Index pour la table `ligne_facturef`
--
ALTER TABLE `ligne_facturef`
  ADD PRIMARY KEY (`ID_LIGNE_FACTURE`),
  ADD KEY `ligne_facturef_fk1` (`ID_FACTURE`),
  ADD KEY `ligne_facturef_fk2` (`ID_PRODUIT`);

--
-- Index pour la table `ligne_inventaire`
--
ALTER TABLE `ligne_inventaire`
  ADD PRIMARY KEY (`ID_LIGNE_INVENTAIRE`),
  ADD KEY `ligne_inventaire_fk1` (`ID_INVENTAIRE`),
  ADD KEY `ligne_inventaire_fk2` (`ID_STOCK`);

--
-- Index pour la table `ligne_profil`
--
ALTER TABLE `ligne_profil`
  ADD PRIMARY KEY (`ID_LIGNE_PROFIL`),
  ADD KEY `FK_LIGNE_PR_REFERENCE_PROFIL` (`ID_PROFIL`),
  ADD KEY `FK_LIGNE_PR_REFERENCE_MENU` (`ID_MENU`);

--
-- Index pour la table `ligne_reception`
--
ALTER TABLE `ligne_reception`
  ADD PRIMARY KEY (`ID_LIGNE_RECEPTION`),
  ADD KEY `FK_LIGNE_RE_REFERENCE_RECEPTIO` (`ID_RECEPTION`),
  ADD KEY `ID_PRODUIT` (`ID_PRODUIT`);

--
-- Index pour la table `ligne_sortie`
--
ALTER TABLE `ligne_sortie`
  ADD PRIMARY KEY (`ID_LIGNE_SORTIE`),
  ADD KEY `ligne_sortie_fk1` (`ID_SORTIE`),
  ADD KEY `FK_LIGNE_SO_REFERENCE_STOCK` (`ID_STOCK`);

--
-- Index pour la table `log`
--
ALTER TABLE `log`
  ADD PRIMARY KEY (`ID_LOG`),
  ADD KEY `FK_LOG_REFERENCE_UTILISAT` (`ID_UTILISATEUR`);

--
-- Index pour la table `magasin`
--
ALTER TABLE `magasin`
  ADD PRIMARY KEY (`ID_MAGASIN`),
  ADD KEY `ID_MAGASIN` (`ID_MAGASIN`);

--
-- Index pour la table `marque`
--
ALTER TABLE `marque`
  ADD PRIMARY KEY (`ID_MARQUE`);

--
-- Index pour la table `menu`
--
ALTER TABLE `menu`
  ADD PRIMARY KEY (`ID_MENU`);

--
-- Index pour la table `mvt_caisse`
--
ALTER TABLE `mvt_caisse`
  ADD PRIMARY KEY (`ID_MVT_CAISSE`),
  ADD KEY `FK_MVT_CAIS_REFERENCE_FACTUREC` (`ID_FACTURE`),
  ADD KEY `FK_MVT_CAIS_REFERENCE_SESSION_` (`ID_SESSION_CAISSE`),
  ADD KEY `FK_MVT_CAIS_REFERENCE_UTILISAT` (`ID_UTILISATEUR`),
  ADD KEY `FK_MVT_CAIS_REFERENCE_AVOIR` (`ID_AVOIR`),
  ADD KEY `ID_CATEGORIE_DEPENSE` (`ID_CATEGORIE_DEPENSE`);

--
-- Index pour la table `mvt_magasin`
--
ALTER TABLE `mvt_magasin`
  ADD PRIMARY KEY (`ID_MVT_MAGASIN`),
  ADD KEY `MAGASIN_EMETTEUR` (`MAGASIN_EMETTEUR`,`MAGASIN_RECEPTEUR`),
  ADD KEY `MAGASIN_EMETTEUR_2` (`MAGASIN_EMETTEUR`,`MAGASIN_RECEPTEUR`),
  ADD KEY `MAGASIN_RECEPTEUR` (`MAGASIN_RECEPTEUR`);

--
-- Index pour la table `paiement_avoir`
--
ALTER TABLE `paiement_avoir`
  ADD PRIMARY KEY (`ID_PAIEMENT_AVOIR`),
  ADD KEY `FK_PAIEMENT_REFERENCE_AVOIR` (`ID_AVOIR`),
  ADD KEY `FK_PAIEMENT_REFERENCE_MVT_AVOIR_CAIS` (`ID_MVT_CAISSE`),
  ADD KEY `FK_PAIEMENT_REFERENCE_AVOIR_UTILISAT` (`ID_UTILISATEUR`);

--
-- Index pour la table `paiement_facture`
--
ALTER TABLE `paiement_facture`
  ADD PRIMARY KEY (`ID_PAIEMENT_FACTURE`),
  ADD KEY `FK_PAIEMENT_REFERENCE_MVT_FACTURE_CAIS` (`ID_MVT_CAISSE`),
  ADD KEY `FK_PAIEMENT_REFERENCE_FACTUREC` (`ID_FACTURE`),
  ADD KEY `FK_PAIEMENT_REFERENCE_FACTURE_UTILISAT` (`ID_UTILISATEUR`);

--
-- Index pour la table `parametre`
--
ALTER TABLE `parametre`
  ADD PRIMARY KEY (`ID_PARAMETRE`);

--
-- Index pour la table `personne`
--
ALTER TABLE `personne`
  ADD PRIMARY KEY (`ID_PERSONNE`);

--
-- Index pour la table `produit`
--
ALTER TABLE `produit`
  ADD PRIMARY KEY (`ID_PRODUIT`),
  ADD KEY `FK_PRODUIT_REFERENCE_CATEGORI` (`ID_CATEGORIE_PRODUIT`);

--
-- Index pour la table `profil`
--
ALTER TABLE `profil`
  ADD PRIMARY KEY (`ID_PROFIL`);

--
-- Index pour la table `raccourci`
--
ALTER TABLE `raccourci`
  ADD PRIMARY KEY (`ID_RACCOURCI`),
  ADD KEY `FK_RACCOURC_REFERENCE_MENU` (`ID_MENU`);

--
-- Index pour la table `reception`
--
ALTER TABLE `reception`
  ADD PRIMARY KEY (`ID_RECEPTION`),
  ADD KEY `reception_fk1` (`ID_UTILISATEUR`),
  ADD KEY `reception_fk2` (`ID_FOURNISSEUR`),
  ADD KEY `reception_fk3` (`ID_COMMANDE`),
  ADD KEY `reception_fk4` (`UTI_ID_UTILISATEUR`),
  ADD KEY `ID_MAGASIN` (`ID_MAGASIN`);

--
-- Index pour la table `session_caissier`
--
ALTER TABLE `session_caissier`
  ADD PRIMARY KEY (`ID_SESSION_CAISSE`),
  ADD KEY `FK_SESSION__REFERENCE_UTILISAT` (`ID_UTILISATEUR`);

--
-- Index pour la table `sortie`
--
ALTER TABLE `sortie`
  ADD PRIMARY KEY (`ID_SORTIE`),
  ADD KEY `sortie_fk1` (`ID_UTILISATEUR`),
  ADD KEY `sortie_fk2` (`ID_FACTURE`),
  ADD KEY `ID_MAGASIN` (`ID_MAGASIN`);

--
-- Index pour la table `stock`
--
ALTER TABLE `stock`
  ADD PRIMARY KEY (`ID_STOCK`),
  ADD UNIQUE KEY `STOCK_NDX1` (`ID_PRODUIT`,`NUM_LOT`,`ID_MAGASIN`) USING BTREE,
  ADD KEY `ID_MAGASIN` (`ID_MAGASIN`),
  ADD KEY `ID_RECEPTION` (`ID_RECEPTION`);

--
-- Index pour la table `type`
--
ALTER TABLE `type`
  ADD PRIMARY KEY (`ID_TYPE`);

--
-- Index pour la table `utilisateur`
--
ALTER TABLE `utilisateur`
  ADD PRIMARY KEY (`ID_UTILISATEUR`),
  ADD KEY `FK_UTILISAT_REFERENCE_PERSONNE` (`ID_PERSONNE`),
  ADD KEY `FK_UTILISAT_REFERENCE_PROFIL` (`ID_PROFIL`);

--
-- AUTO_INCREMENT pour les tables exportées
--

--
-- AUTO_INCREMENT pour la table `avoir`
--
ALTER TABLE `avoir`
  MODIFY `ID_AVOIR` bigint(20) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT pour la table `categorie_depense`
--
ALTER TABLE `categorie_depense`
  MODIFY `ID_CATEGORIE_DEPENSE` bigint(20) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT pour la table `categorie_produit`
--
ALTER TABLE `categorie_produit`
  MODIFY `ID_CATEGORIE` bigint(20) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=1433;
--
-- AUTO_INCREMENT pour la table `commande`
--
ALTER TABLE `commande`
  MODIFY `ID_COMMANDE` bigint(20) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=2;
--
-- AUTO_INCREMENT pour la table `detail_mvt_magasin`
--
ALTER TABLE `detail_mvt_magasin`
  MODIFY `ID_DETAIL_MVT` bigint(30) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT pour la table `facturec`
--
ALTER TABLE `facturec`
  MODIFY `ID_FACTURE` bigint(20) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=628;
--
-- AUTO_INCREMENT pour la table `fournisseur`
--
ALTER TABLE `fournisseur`
  MODIFY `ID_FOURNISSEUR` bigint(20) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=32;
--
-- AUTO_INCREMENT pour la table `inventaire`
--
ALTER TABLE `inventaire`
  MODIFY `ID_INVENTAIRE` bigint(20) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT pour la table `ligne_avoir`
--
ALTER TABLE `ligne_avoir`
  MODIFY `ID_LIGNE_AVOIR` bigint(20) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT pour la table `ligne_commande`
--
ALTER TABLE `ligne_commande`
  MODIFY `ID_LIGNE_COMMANDE` bigint(20) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT pour la table `ligne_facturec`
--
ALTER TABLE `ligne_facturec`
  MODIFY `ID_LIGNE_FACTURE` bigint(20) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=23;
--
-- AUTO_INCREMENT pour la table `ligne_facturef`
--
ALTER TABLE `ligne_facturef`
  MODIFY `ID_LIGNE_FACTURE` bigint(20) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT pour la table `ligne_inventaire`
--
ALTER TABLE `ligne_inventaire`
  MODIFY `ID_LIGNE_INVENTAIRE` bigint(20) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT pour la table `ligne_profil`
--
ALTER TABLE `ligne_profil`
  MODIFY `ID_LIGNE_PROFIL` bigint(20) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=1470;
--
-- AUTO_INCREMENT pour la table `ligne_reception`
--
ALTER TABLE `ligne_reception`
  MODIFY `ID_LIGNE_RECEPTION` bigint(20) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=55;
--
-- AUTO_INCREMENT pour la table `ligne_sortie`
--
ALTER TABLE `ligne_sortie`
  MODIFY `ID_LIGNE_SORTIE` bigint(20) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=9;
--
-- AUTO_INCREMENT pour la table `log`
--
ALTER TABLE `log`
  MODIFY `ID_LOG` bigint(20) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=9;
--
-- AUTO_INCREMENT pour la table `magasin`
--
ALTER TABLE `magasin`
  MODIFY `ID_MAGASIN` bigint(20) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=3;
--
-- AUTO_INCREMENT pour la table `menu`
--
ALTER TABLE `menu`
  MODIFY `ID_MENU` bigint(20) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=79;
--
-- AUTO_INCREMENT pour la table `mvt_caisse`
--
ALTER TABLE `mvt_caisse`
  MODIFY `ID_MVT_CAISSE` bigint(20) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=556;
--
-- AUTO_INCREMENT pour la table `mvt_magasin`
--
ALTER TABLE `mvt_magasin`
  MODIFY `ID_MVT_MAGASIN` bigint(30) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT pour la table `paiement_avoir`
--
ALTER TABLE `paiement_avoir`
  MODIFY `ID_PAIEMENT_AVOIR` bigint(20) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT pour la table `paiement_facture`
--
ALTER TABLE `paiement_facture`
  MODIFY `ID_PAIEMENT_FACTURE` bigint(20) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=3;
--
-- AUTO_INCREMENT pour la table `parametre`
--
ALTER TABLE `parametre`
  MODIFY `ID_PARAMETRE` bigint(20) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=146;
--
-- AUTO_INCREMENT pour la table `personne`
--
ALTER TABLE `personne`
  MODIFY `ID_PERSONNE` bigint(20) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=46;
--
-- AUTO_INCREMENT pour la table `produit`
--
ALTER TABLE `produit`
  MODIFY `ID_PRODUIT` bigint(20) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=4995;
--
-- AUTO_INCREMENT pour la table `profil`
--
ALTER TABLE `profil`
  MODIFY `ID_PROFIL` bigint(20) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=4;
--
-- AUTO_INCREMENT pour la table `reception`
--
ALTER TABLE `reception`
  MODIFY `ID_RECEPTION` bigint(20) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=1214;
--
-- AUTO_INCREMENT pour la table `session_caissier`
--
ALTER TABLE `session_caissier`
  MODIFY `ID_SESSION_CAISSE` bigint(20) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=53;
--
-- AUTO_INCREMENT pour la table `sortie`
--
ALTER TABLE `sortie`
  MODIFY `ID_SORTIE` bigint(20) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=574;
--
-- AUTO_INCREMENT pour la table `stock`
--
ALTER TABLE `stock`
  MODIFY `ID_STOCK` bigint(20) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=1749;
--
-- AUTO_INCREMENT pour la table `utilisateur`
--
ALTER TABLE `utilisateur`
  MODIFY `ID_UTILISATEUR` bigint(20) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=14;
--
-- Contraintes pour les tables exportées
--

--
-- Contraintes pour la table `avoir`
--
ALTER TABLE `avoir`
  ADD CONSTRAINT `FK_AVOIR_REFERENCE_UTILISAT` FOREIGN KEY (`ID_UTILISATEUR`) REFERENCES `utilisateur` (`ID_UTILISATEUR`),
  ADD CONSTRAINT `avoir_ibfk_1` FOREIGN KEY (`ID_PERSONNE`) REFERENCES `personne` (`ID_PERSONNE`),
  ADD CONSTRAINT `avoir_ibfk_2` FOREIGN KEY (`ID_FACTURE`) REFERENCES `facturec` (`ID_FACTURE`);

--
-- Contraintes pour la table `commande`
--
ALTER TABLE `commande`
  ADD CONSTRAINT `commande_ibfk_1` FOREIGN KEY (`ID_FOURNISSEUR`) REFERENCES `fournisseur` (`ID_FOURNISSEUR`);

--
-- Contraintes pour la table `compte`
--
ALTER TABLE `compte`
  ADD CONSTRAINT `compte_ibfk_1` FOREIGN KEY (`ID_PERSONNE`) REFERENCES `personne` (`ID_PERSONNE`);

--
-- Contraintes pour la table `detail_mvt_magasin`
--
ALTER TABLE `detail_mvt_magasin`
  ADD CONSTRAINT `detail_mvt_magasin_ibfk_1` FOREIGN KEY (`ID_MVT_MAGASIN`) REFERENCES `mvt_magasin` (`ID_MVT_MAGASIN`),
  ADD CONSTRAINT `detail_mvt_magasin_ibfk_2` FOREIGN KEY (`ID_STOCK`) REFERENCES `stock` (`ID_STOCK`);

--
-- Contraintes pour la table `facturec`
--
ALTER TABLE `facturec`
  ADD CONSTRAINT `FK_FACTUREC_REFERENCE_UTILISAT` FOREIGN KEY (`ID_UTILISATEUR`) REFERENCES `utilisateur` (`ID_UTILISATEUR`),
  ADD CONSTRAINT `facturec_ibfk_1` FOREIGN KEY (`ID_PERSONNE`) REFERENCES `personne` (`ID_PERSONNE`);

--
-- Contraintes pour la table `facturef`
--
ALTER TABLE `facturef`
  ADD CONSTRAINT `facturef_fk2` FOREIGN KEY (`ID_COMMANDE`) REFERENCES `commande` (`ID_COMMANDE`),
  ADD CONSTRAINT `facturef_fk3` FOREIGN KEY (`ID_UTILISATEUR`) REFERENCES `utilisateur` (`ID_UTILISATEUR`),
  ADD CONSTRAINT `facturef_ibfk_1` FOREIGN KEY (`ID_FOURNISSEUR`) REFERENCES `fournisseur` (`ID_FOURNISSEUR`);

--
-- Contraintes pour la table `inventaire`
--
ALTER TABLE `inventaire`
  ADD CONSTRAINT `inventaire_fk1` FOREIGN KEY (`ID_UTILISATEUR`) REFERENCES `utilisateur` (`ID_UTILISATEUR`),
  ADD CONSTRAINT `inventaire_ibfk_1` FOREIGN KEY (`ID_MAGASIN`) REFERENCES `magasin` (`ID_MAGASIN`);

--
-- Contraintes pour la table `ligne_avoir`
--
ALTER TABLE `ligne_avoir`
  ADD CONSTRAINT `ligne_avoir_ibfk_1` FOREIGN KEY (`ID_PRODUIT`) REFERENCES `produit` (`ID_PRODUIT`),
  ADD CONSTRAINT `ligne_avoir_ibfk_2` FOREIGN KEY (`ID_AVOIR`) REFERENCES `avoir` (`ID_AVOIR`);

--
-- Contraintes pour la table `ligne_commande`
--
ALTER TABLE `ligne_commande`
  ADD CONSTRAINT `ligne_commande_fk1` FOREIGN KEY (`ID_COMMANDE`) REFERENCES `commande` (`ID_COMMANDE`),
  ADD CONSTRAINT `ligne_commande_ibfk_1` FOREIGN KEY (`ID_PRODUIT`) REFERENCES `produit` (`ID_PRODUIT`);

--
-- Contraintes pour la table `ligne_facturec`
--
ALTER TABLE `ligne_facturec`
  ADD CONSTRAINT `ligne_facturec_ibfk_1` FOREIGN KEY (`ID_PRODUIT`) REFERENCES `produit` (`ID_PRODUIT`),
  ADD CONSTRAINT `ligne_facturec_ibfk_2` FOREIGN KEY (`ID_FACTURE`) REFERENCES `facturec` (`ID_FACTURE`);

--
-- Contraintes pour la table `ligne_facturef`
--
ALTER TABLE `ligne_facturef`
  ADD CONSTRAINT `ligne_facturef_fk1` FOREIGN KEY (`ID_FACTURE`) REFERENCES `facturef` (`ID_FACTURE`),
  ADD CONSTRAINT `ligne_facturef_ibfk_1` FOREIGN KEY (`ID_PRODUIT`) REFERENCES `produit` (`ID_PRODUIT`);

--
-- Contraintes pour la table `ligne_inventaire`
--
ALTER TABLE `ligne_inventaire`
  ADD CONSTRAINT `ligne_inventaire_fk1` FOREIGN KEY (`ID_INVENTAIRE`) REFERENCES `inventaire` (`ID_INVENTAIRE`),
  ADD CONSTRAINT `ligne_inventaire_ibfk_1` FOREIGN KEY (`ID_STOCK`) REFERENCES `stock` (`ID_STOCK`);

--
-- Contraintes pour la table `ligne_profil`
--
ALTER TABLE `ligne_profil`
  ADD CONSTRAINT `FK_LIGNE_PR_REFERENCE_PROFIL` FOREIGN KEY (`ID_PROFIL`) REFERENCES `profil` (`ID_PROFIL`),
  ADD CONSTRAINT `ligne_profil_ibfk_1` FOREIGN KEY (`ID_MENU`) REFERENCES `menu` (`ID_MENU`);

--
-- Contraintes pour la table `ligne_reception`
--
ALTER TABLE `ligne_reception`
  ADD CONSTRAINT `ligne_reception_ibfk_1` FOREIGN KEY (`ID_RECEPTION`) REFERENCES `reception` (`ID_RECEPTION`),
  ADD CONSTRAINT `ligne_reception_ibfk_2` FOREIGN KEY (`ID_PRODUIT`) REFERENCES `produit` (`ID_PRODUIT`);

--
-- Contraintes pour la table `ligne_sortie`
--
ALTER TABLE `ligne_sortie`
  ADD CONSTRAINT `ligne_sortie_ibfk_1` FOREIGN KEY (`ID_STOCK`) REFERENCES `stock` (`ID_STOCK`),
  ADD CONSTRAINT `ligne_sortie_ibfk_2` FOREIGN KEY (`ID_SORTIE`) REFERENCES `sortie` (`ID_SORTIE`);

--
-- Contraintes pour la table `log`
--
ALTER TABLE `log`
  ADD CONSTRAINT `log_ibfk_1` FOREIGN KEY (`ID_UTILISATEUR`) REFERENCES `utilisateur` (`ID_UTILISATEUR`);

--
-- Contraintes pour la table `mvt_caisse`
--
ALTER TABLE `mvt_caisse`
  ADD CONSTRAINT `mvt_caisse_ibfk_1` FOREIGN KEY (`ID_FACTURE`) REFERENCES `facturec` (`ID_FACTURE`),
  ADD CONSTRAINT `mvt_caisse_ibfk_2` FOREIGN KEY (`ID_SESSION_CAISSE`) REFERENCES `session_caissier` (`ID_SESSION_CAISSE`),
  ADD CONSTRAINT `mvt_caisse_ibfk_3` FOREIGN KEY (`ID_UTILISATEUR`) REFERENCES `utilisateur` (`ID_UTILISATEUR`),
  ADD CONSTRAINT `mvt_caisse_ibfk_4` FOREIGN KEY (`ID_CATEGORIE_DEPENSE`) REFERENCES `categorie_depense` (`ID_CATEGORIE_DEPENSE`),
  ADD CONSTRAINT `mvt_caisse_ibfk_5` FOREIGN KEY (`ID_AVOIR`) REFERENCES `avoir` (`ID_AVOIR`);

--
-- Contraintes pour la table `mvt_magasin`
--
ALTER TABLE `mvt_magasin`
  ADD CONSTRAINT `mvt_magasin_ibfk_1` FOREIGN KEY (`MAGASIN_EMETTEUR`) REFERENCES `magasin` (`ID_MAGASIN`),
  ADD CONSTRAINT `mvt_magasin_ibfk_2` FOREIGN KEY (`MAGASIN_RECEPTEUR`) REFERENCES `magasin` (`ID_MAGASIN`);

--
-- Contraintes pour la table `paiement_avoir`
--
ALTER TABLE `paiement_avoir`
  ADD CONSTRAINT `paiement_avoir_ibfk_1` FOREIGN KEY (`ID_AVOIR`) REFERENCES `avoir` (`ID_AVOIR`),
  ADD CONSTRAINT `paiement_avoir_ibfk_2` FOREIGN KEY (`ID_MVT_CAISSE`) REFERENCES `mvt_caisse` (`ID_MVT_CAISSE`),
  ADD CONSTRAINT `paiement_avoir_ibfk_3` FOREIGN KEY (`ID_UTILISATEUR`) REFERENCES `utilisateur` (`ID_UTILISATEUR`);

--
-- Contraintes pour la table `paiement_facture`
--
ALTER TABLE `paiement_facture`
  ADD CONSTRAINT `paiement_facture_ibfk_1` FOREIGN KEY (`ID_FACTURE`) REFERENCES `facturec` (`ID_FACTURE`),
  ADD CONSTRAINT `paiement_facture_ibfk_2` FOREIGN KEY (`ID_MVT_CAISSE`) REFERENCES `mvt_caisse` (`ID_MVT_CAISSE`),
  ADD CONSTRAINT `paiement_facture_ibfk_3` FOREIGN KEY (`ID_UTILISATEUR`) REFERENCES `utilisateur` (`ID_UTILISATEUR`);

--
-- Contraintes pour la table `produit`
--
ALTER TABLE `produit`
  ADD CONSTRAINT `produit_ibfk_1` FOREIGN KEY (`ID_CATEGORIE_PRODUIT`) REFERENCES `categorie_produit` (`ID_CATEGORIE`);

--
-- Contraintes pour la table `raccourci`
--
ALTER TABLE `raccourci`
  ADD CONSTRAINT `raccourci_ibfk_1` FOREIGN KEY (`ID_MENU`) REFERENCES `menu` (`ID_MENU`);

--
-- Contraintes pour la table `reception`
--
ALTER TABLE `reception`
  ADD CONSTRAINT `reception_ibfk_1` FOREIGN KEY (`ID_UTILISATEUR`) REFERENCES `utilisateur` (`ID_UTILISATEUR`),
  ADD CONSTRAINT `reception_ibfk_2` FOREIGN KEY (`ID_FOURNISSEUR`) REFERENCES `fournisseur` (`ID_FOURNISSEUR`),
  ADD CONSTRAINT `reception_ibfk_3` FOREIGN KEY (`ID_MAGASIN`) REFERENCES `magasin` (`ID_MAGASIN`),
  ADD CONSTRAINT `reception_ibfk_4` FOREIGN KEY (`ID_COMMANDE`) REFERENCES `commande` (`ID_COMMANDE`);

--
-- Contraintes pour la table `session_caissier`
--
ALTER TABLE `session_caissier`
  ADD CONSTRAINT `session_caissier_ibfk_1` FOREIGN KEY (`ID_UTILISATEUR`) REFERENCES `utilisateur` (`ID_UTILISATEUR`);

--
-- Contraintes pour la table `sortie`
--
ALTER TABLE `sortie`
  ADD CONSTRAINT `sortie_ibfk_1` FOREIGN KEY (`ID_UTILISATEUR`) REFERENCES `utilisateur` (`ID_UTILISATEUR`),
  ADD CONSTRAINT `sortie_ibfk_2` FOREIGN KEY (`ID_MAGASIN`) REFERENCES `magasin` (`ID_MAGASIN`),
  ADD CONSTRAINT `sortie_ibfk_3` FOREIGN KEY (`ID_FACTURE`) REFERENCES `facturec` (`ID_FACTURE`);

--
-- Contraintes pour la table `stock`
--
ALTER TABLE `stock`
  ADD CONSTRAINT `stock_ibfk_1` FOREIGN KEY (`ID_PRODUIT`) REFERENCES `produit` (`ID_PRODUIT`),
  ADD CONSTRAINT `stock_ibfk_2` FOREIGN KEY (`ID_MAGASIN`) REFERENCES `magasin` (`ID_MAGASIN`),
  ADD CONSTRAINT `stock_ibfk_3` FOREIGN KEY (`ID_RECEPTION`) REFERENCES `reception` (`ID_RECEPTION`);

--
-- Contraintes pour la table `utilisateur`
--
ALTER TABLE `utilisateur`
  ADD CONSTRAINT `utilisateur_ibfk_1` FOREIGN KEY (`ID_PROFIL`) REFERENCES `profil` (`ID_PROFIL`),
  ADD CONSTRAINT `utilisateur_ibfk_2` FOREIGN KEY (`ID_PERSONNE`) REFERENCES `personne` (`ID_PERSONNE`);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
