CREATE TABLE `message_log` ( `id_message_log` BIGINT NOT NULL AUTO_INCREMENT , `id_utilisateur` BIGINT NOT NULL , `send_date` DATETIME NOT NULL , `total_sms` INT NOT NULL , `total_email` INT NOT NULL , `total_sms_sent` INT NOT NULL , `total_email_sent` INT NOT NULL , `statut` SMALLINT NOT NULL , PRIMARY KEY (`id_message_log`), INDEX (`id_utilisateur`));
ALTER TABLE `message_log` ADD FOREIGN KEY (`id_utilisateur`) REFERENCES `utilisateur`(`ID_UTILISATEUR`) ON DELETE RESTRICT ON UPDATE RESTRICT;

CREATE TABLE `message_log_detail` ( `id_message_log_detail` BIGINT NOT NULL AUTO_INCREMENT , `id_message_log` BIGINT NOT NULL , `id_client` BIGINT NOT NULL , `message` TEXT NOT NULL , `sms_send_status` SMALLINT NOT NULL , `email_send_status` SMALLINT NOT NULL , `statut` SMALLINT NOT NULL , PRIMARY KEY (`id_message_log_detail`), INDEX (`id_message_log`), INDEX (`id_client`));
ALTER TABLE `message_log_detail` CHANGE `message` `message` TEXT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL;
ALTER TABLE `message_log_detail` ADD FOREIGN KEY (`id_message_log`) REFERENCES `message_log`(`id_message_log`) ON DELETE RESTRICT ON UPDATE RESTRICT; 
ALTER TABLE `message_log_detail` ADD FOREIGN KEY (`id_client`) REFERENCES `personne`(`ID_PERSONNE`) ON DELETE RESTRICT ON UPDATE RESTRICT;


