-- phpMyAdmin SQL Dump
-- version 5.1.0
-- https://www.phpmyadmin.net/
--
-- Hôte : localhost
-- Généré le : ven. 24 mars 2023 à 17:42
-- Version du serveur :  10.4.19-MariaDB
-- Version de PHP : 7.3.28

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Base de données : `crescita`
--

-- --------------------------------------------------------

--
-- Structure de la table `menu`
--

CREATE TABLE `menu` (
  `ID_MENU` bigint(20) NOT NULL,
  `ID_PARENT` bigint(20) DEFAULT NULL,
  `NOM` varchar(255) DEFAULT NULL,
  `PRENOM` varchar(255) DEFAULT NULL,
  `ACTION` varchar(255) DEFAULT NULL,
  `CONTROLLEUR` varchar(255) DEFAULT NULL,
  `ICON` varchar(255) DEFAULT NULL,
  `STATUT` smallint(6) DEFAULT NULL,
  `ORDRE_APPARITION` smallint(6) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `menu`
--

INSERT INTO `menu` (`ID_MENU`, `ID_PARENT`, `NOM`, `PRENOM`, `ACTION`, `CONTROLLEUR`, `ICON`, `STATUT`, `ORDRE_APPARITION`) VALUES
(1, NULL, 'shared.menus.settings', NULL, NULL, NULL, 'fa fa-cogs fa-fw', 1, 2),
(2, NULL, 'shared.menus.products', NULL, NULL, NULL, 'fa fa-product-hunt fa-fw', 0, 10),
(3, NULL, 'shared.menus.customerBase', NULL, NULL, NULL, 'fa fa-user-md fa-fw', 1, 3),
(4, NULL, 'shared.menus.stocks', NULL, NULL, NULL, 'fa fa-archive fa-fw', 1, 4),
(5, NULL, 'shared.menus.sales', NULL, NULL, NULL, 'fa fa-shopping-cart fa-fw', 1, 5),
(6, NULL, 'shared.menus.checkout', NULL, NULL, NULL, 'fa fa-money fa-fw', 1, 7),
(7, NULL, 'shared.menus.report', NULL, NULL, NULL, 'fa fa-line-chart fa-fw', 1, 9),
(8, NULL, 'shared.menus.security', NULL, NULL, NULL, 'fa fa-cogs fa-fw', 1, 10),
(9, 1, 'shared.menus.productsList', NULL, 'index', 'Product', NULL, 1, 3),
(11, 1, 'shared.menus.customersList', NULL, 'index', 'Customer', NULL, 1, 10),
(13, 56, 'shared.menus.listOfReceptions', NULL, 'index', 'Reception', NULL, 1, 3),
(14, 56, 'shared.menus.receptionsValidation', NULL, 'validation', 'Reception', NULL, 1, 4),
(15, 5, 'shared.menus.cashSales', NULL, 'enregistrer', 'Vente', NULL, 1, 1),
(17, 7, 'shared.menus.sales', NULL, 'rapportvente', 'Vente', NULL, 0, 1),
(18, 100, 'shared.menus.users', NULL, 'index', 'User', NULL, 1, 2),
(19, 8, 'shared.menus.profiles', NULL, 'index', 'Profil', NULL, 0, NULL),
(20, 100, 'shared.menus.password', NULL, 'password', 'User', NULL, 0, 5),
(21, 4, 'shared.menus.exceptionalOuting', NULL, 'index', 'Exit', NULL, 1, 3),
(22, 5, 'shared.menus.cashRegisterOpening', NULL, 'ouverturecaisse', 'Mvtcaisse', NULL, 1, 8),
(23, 5, 'shared.menus.cashRegisterClosing', NULL, 'cloturecaisse', 'Mvtcaisse', NULL, 1, 9),
(24, 100, 'shared.menus.globalParameters', NULL, 'index', 'Setting', NULL, 1, 3),
(26, 6, 'shared.menus.payment', NULL, 'encaissementfacture', 'Mvtcaisse', NULL, 0, 4),
(27, 6, 'shared.menus.disbursement', NULL, 'decaissementavoir', 'Mvtcaisse', NULL, 0, 2),
(28, NULL, 'shared.menus.orders', NULL, NULL, NULL, 'fa fa-bell fa-fw', 0, 10),
(29, 56, 'shared.menus.ordersList', NULL, 'index', 'Order', NULL, 1, 1),
(31, 5, 'shared.menus.credits', NULL, 'index', 'Avoir', NULL, 1, 3),
(32, 56, 'shared.menus.ordersValidation', NULL, 'validation', 'Order', NULL, 1, 2),
(33, 56, 'shared.menus.deliverAnOrder', NULL, 'livrer', 'Commande', NULL, 0, 4),
(34, 5, 'shared.menus.creditsValidation', NULL, 'valider', 'Avoir', NULL, 1, 4),
(35, 7, 'shared.menus.ordersList', NULL, 'order', 'View', NULL, 1, 8),
(36, 7, 'shared.menus.cashRegisterJournal', NULL, 'journalcaisse', 'Mvtcaisse', NULL, 1, 2),
(37, 100, 'shared.menus.profiles', NULL, 'index', 'Profile', NULL, 1, 1),
(38, NULL, 'shared.menus.creditsManagement', NULL, NULL, NULL, 'fa fa-minus', 0, 10),
(39, 5, 'shared.menus.salesJournal', NULL, 'journalsession', 'Rapport', NULL, 1, 5),
(40, 7, 'shared.menus.statistics', NULL, 'statistiques', 'Accueil', NULL, 1, 9),
(42, 1, 'shared.menus.productCategories', NULL, 'index', 'Productcategory', NULL, 1, 1),
(44, 100, 'shared.menus.operationsLog', NULL, 'index', 'Operations', NULL, 1, 4),
(45, 7, 'shared.menus.checkoutSession', NULL, 'sessioncaisse', 'sessioncaisse', NULL, 1, 10),
(46, 7, 'shared.menus.invoices', NULL, 'rapportfacture', 'Rapport', NULL, 0, 11),
(47, 4, 'shared.menus.validationOfExceptionalOutings', NULL, 'validation', 'Exit', NULL, 1, 4),
(48, 4, 'shared.menus.stock', NULL, 'index', 'Stock', NULL, 1, 5),
(49, 4, 'shared.menus.cumulativeStock', NULL, 'cumulativestock', 'Stock', NULL, 1, 7),
(50, 7, 'shared.menus.stock', NULL, 'stock', 'View', NULL, 1, 3),
(51, 7, 'shared.menus.cumulativeStock', NULL, 'cumulativestock', 'View', NULL, 1, 4),
(52, 7, 'shared.menus.stockAtDate', NULL, 'stockdate', 'Rapport', NULL, 0, 5),
(53, 7, 'shared.menus.productMovement', NULL, 'productpath', 'View', NULL, 1, 6),
(54, 7, 'shared.menus.salesPerProduct', NULL, 'rapportventeparproduit', 'Vente', NULL, 1, 7),
(55, 4, 'shared.menus.modificationOfTariffs', NULL, 'tariffs', 'Product', NULL, 1, 1),
(56, NULL, 'shared.menus.purchase', NULL, NULL, NULL, 'fa fa-cart-plus', 1, 3),
(57, 7, 'shared.menus.listOfReceptions', NULL, 'reception', 'View', NULL, 1, 9),
(58, 7, 'shared.menus.exceptionalOutingsList', NULL, 'exceptionaloutings', 'View', NULL, 1, 10),
(59, NULL, 'shared.menus.inventory', NULL, NULL, NULL, 'fa fa-indent', 0, 10),
(61, 4, 'shared.menus.startAnInventory', NULL, 'demarrerinventaire', 'Inventaire', NULL, 1, 7),
(62, 4, 'shared.menus.closeAnInventory', NULL, 'indexcloturer', 'Inventaire', NULL, 1, 8),
(63, 4, 'shared.menus.updatingAnInventory', NULL, 'indexediter', 'Inventaire', NULL, 1, 9),
(64, 4, 'shared.menus.validateAnInventory', NULL, 'indexvalidation', 'Inventaire', NULL, 1, 10),
(65, 4, 'shared.menus.clearAnInventory', NULL, 'indexapurer', 'Inventaire', NULL, 1, 11),
(66, 7, 'shared.menus.stockSituation', NULL, 'stocksituation', 'View', NULL, 1, 12),
(67, 7, 'shared.menus.itemsToOrder', NULL, 'itemstoorder', 'View', NULL, 1, 15),
(68, 7, 'shared.menus.expiredItems', NULL, 'expireditems', 'View', NULL, 1, 16),
(69, 1, 'shared.menus.expenseCategories', NULL, 'index', 'Expensecategory', NULL, 1, 5),
(70, 7, 'shared.menus.salesByCashier', NULL, 'venteparcaissier', 'Rapport', NULL, 1, NULL),
(71, 5, 'shared.menus.entryOutOfFunds', NULL, 'index', 'mvtcaisse', NULL, 1, 10),
(72, 7, 'shared.menus.reportOfProductsSold', NULL, 'rapportproduitvendu', 'Rapport', NULL, 1, NULL),
(73, NULL, 'shared.menus.store', NULL, NULL, NULL, 'fa fa-database fa-fw', 0, 10),
(74, 1, 'shared.menus.stores', NULL, 'index', 'Store', NULL, 1, 7),
(75, 4, 'shared.menus.interStoreMovement', NULL, 'interstore', 'Stock', NULL, 1, 5),
(76, 4, 'shared.menus.movementsValidation', NULL, 'interstorevalidation', 'Stock', NULL, 1, 6),
(77, NULL, 'shared.menus.smsAndMails', NULL, NULL, NULL, 'fa fa-mail-forward fa-fw', 0, 10),
(78, 94, 'shared.menus.smsAndMails', NULL, 'index', 'Message', NULL, 1, 4),
(80, 106, 'shared.menus.pointsPerPurchaseValue', NULL, 'index', 'Intervallepoint', NULL, 0, 2),
(81, 106, 'shared.menus.customerDiscounts', NULL, 'profilclient', 'Client', NULL, 0, 6),
(82, 106, 'shared.menus.pointValuation', NULL, 'index', 'Intervallebonachat', NULL, 0, 4),
(83, 106, 'shared.menus.loyaltyCards', NULL, 'cartefidelite', 'Client', NULL, 1, 1),
(84, 106, 'shared.menus.periodicDiscountsForCardholders', NULL, 'index', 'Periodevaliditepoint', NULL, 1, 5),
(85, 3, 'shared.menus.currentCustomerPoints', NULL, 'pointcourantclient', 'Client', NULL, 0, 3),
(86, 1, 'shared.menus.pointsOfSale', NULL, 'index', 'Pointofsale', NULL, 1, 9),
(87, 5, 'shared.menus.supervisionOfInvoiceEntry', NULL, 'supervisionvente', 'vente', NULL, 1, 6),
(89, 106, 'shared.menus.customerVouchers', NULL, 'bonachatclient', 'Bonachat', NULL, 1, 9),
(90, 106, 'shared.menus.valueOfVouchers', NULL, 'index', 'Bonachat', NULL, 1, 8),
(91, 106, 'shared.menus.productAffectedByTheDiscount', NULL, 'index', 'categoriecible', NULL, 0, 7),
(92, 5, 'shared.menus.invoiceCollection', NULL, 'encaissementfacture', 'vente', NULL, 1, 4),
(93, 5, 'shared.menus.salesConsultation', NULL, 'index', 'Vente', NULL, 1, 2),
(94, NULL, 'shared.menus.appointmentAndReminder', NULL, NULL, NULL, 'fa fa-clock-o fa-fw', 1, 8),
(95, NULL, 'shared.menus.appointment', NULL, NULL, NULL, 'fa fa-clock-o fa-fw', 0, 10),
(96, 94, 'shared.menus.appointment', NULL, 'index', 'Appointment', NULL, 1, 2),
(97, 94, 'shared.menus.meetingActivities', NULL, 'activities', 'Appointment', NULL, 1, 1),
(98, 1, 'shared.menus.newProduct', NULL, 'save', 'Produit', NULL, 0, 2),
(99, 1, 'shared.menus.newCustomer', NULL, 'save', 'Client', NULL, 0, 7),
(100, NULL, 'shared.menus.tools', NULL, NULL, NULL, 'fa fa-briefcase fa-fw', 1, 1),
(101, 56, 'shared.menus.addAnOrder', NULL, 'enregistrer', 'Commande', NULL, 0, 1),
(102, 56, 'shared.menus.addAReception', NULL, 'enregistrer', 'Reception', NULL, 0, 5),
(103, 1, 'shared.menus.newSupplier', NULL, 'save', 'Supplier', NULL, 0, 9),
(104, 1, 'shared.menus.suppliersList', NULL, 'index', 'Supplier', NULL, 1, 6),
(105, 106, 'shared.menus.currentCustomerPoints', NULL, 'pointcourantclient', 'Client', NULL, 1, 7),
(106, NULL, 'shared.menus.loyalty', NULL, NULL, NULL, 'fa fa-thumbs-o-up fa-fw', 1, 6),
(107, 1, 'shared.menus.productTypes', NULL, 'index', 'Productnature', NULL, 1, 2),
(108, 5, 'shared.menus.advanceOrdersFromCustomers', NULL, 'index', 'Commandeproduitsclient', NULL, 1, 5),
(109, 7, 'shared.menus.purchasesByCustomerReport', NULL, 'rapportachatclient', 'Rapport', NULL, 1, 2),
(119, NULL, 'shared.menus.salaryManagement', NULL, NULL, NULL, 'fa fa-money fa-fw', 1, 7),
(120, 119, 'shared.menus.payrollSections', NULL, 'payrollsections', 'Salary', NULL, 1, 1),
(121, 119, 'shared.menus.payrollTemplates', NULL, 'payrolltemplates', 'Salary', NULL, 1, 2),
(122, 119, 'shared.menus.addAPayrollModel', NULL, 'payrolltemplates', 'Salary', NULL, 0, 3),
(123, 119, 'shared.menus.salaryGeneration', NULL, 'salarygeneration', 'Salary', NULL, 1, 4),
(124, 119, 'shared.menus.payslips', NULL, 'payslips', 'Salary', NULL, 1, 6),
(125, 119, 'shared.menus.payrollValidation', NULL, 'salaryvalidation', 'Salary', NULL, 1, 5),
(126, 5, 'shared.menus.orderReservationAndCreditSales', NULL, 'enregistrer', 'Reservation', NULL, 1, 9),
(127, 106, 'shared.menus.configurationOfPointsOfPurchase', NULL, 'parametrepointparachat', 'Parametre', NULL, 1, 6),
(128, 5, 'shared.menus.deliveryOfReservations', NULL, 'livraison', 'Reservation', NULL, 1, 6),
(129, 4, 'shared.menus.newProductTransformationFromStock', NULL, 'newtransformation', 'Stock', NULL, 0, 11),
(130, 4, 'shared.menus.stockTransformation', NULL, 'transformation', 'Stock', NULL, 1, 11),
(131, 4, 'shared.menus.transformationValidation', NULL, 'transformationvalidation', 'Stock', NULL, 1, 11),
(132, 1, 'shared.menus.exceptionalTypesOfOutings', NULL, 'type', 'Exit', NULL, 1, 8),
(133, 7, 'shared.menus.creditAndReservationReport', NULL, 'creditreservation', 'rapport', NULL, 1, 18),
(134, 1, 'shared.menus.fundEntryCategories', NULL, 'index', 'Fundentrycategory', NULL, 1, 4),
(135, 1, 'shared.menus.productFeatures', NULL, 'index', 'Criterestock', NULL, 0, 3),
(136, 1, 'shared.menus.priceSetting', NULL, 'pricesetting', 'Setting', NULL, 1, 9),
(142, 5, 'shared.menus.validationOfEntriesOutingsOfFunds', NULL, 'indexvalidation', 'mvtcaisse', NULL, 1, 10),
(143, 106, 'shared.menus.promotionsList', NULL, 'index', 'Promotion', NULL, 1, 4),
(144, 106, 'shared.menus.validationOfPromotions', NULL, 'valider', 'Promotion', NULL, 1, 4),
(145, 7, 'shared.menus.productsServicesList', NULL, 'productsandservices', 'View', NULL, 1, 5),
(146, 7, 'shared.menus.soonToExpireItems', NULL, 'soontoexpireitems', 'View', NULL, 1, 15),
(147, 94, 'shared.menus.messagesTemplates', NULL, 'templates', 'Message', NULL, 1, 3);

--
-- Index pour les tables déchargées
--

--
-- Index pour la table `menu`
--
ALTER TABLE `menu`
  ADD PRIMARY KEY (`ID_MENU`),
  ADD KEY `ID_PARENT` (`ID_PARENT`);

--
-- AUTO_INCREMENT pour les tables déchargées
--

--
-- AUTO_INCREMENT pour la table `menu`
--
ALTER TABLE `menu`
  MODIFY `ID_MENU` bigint(20) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=148;

--
-- Contraintes pour les tables déchargées
--

--
-- Contraintes pour la table `menu`
--
ALTER TABLE `menu`
  ADD CONSTRAINT `menu_ibfk_1` FOREIGN KEY (`ID_PARENT`) REFERENCES `menu` (`ID_MENU`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
